<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	13 January 2011
 * Author		:	Faisel
 * Tested by	: 	Zaki
 + Project		: 	Job site
 * File Name	:	helper/cron.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Cron Helper file (jbjobs)
 ^ 
 * History		:	
 * */
defined('_JEXEC') or die('Restricted access');

class cronHelper {
	var $report = false;
	var $messages = array();
	var $detailMessages = array();
	
	function cron(){
		$app =& JFactory::getApplication();
		$db		=& JFactory::getDBO();
		$cid 	= JRequest::getVar('cid', array(0), '', 'array');
		$emails_count = 0;
		@ini_set("max_execution_time", 0);
		
		$lang =& JFactory::getLanguage();
		$lang->load('com_jbjobs', JPATH_SITE);
		
		$config =& JTable::getInstance('config', 'Table');
		$config->load(1);
		
		$maxJobs = $config->jobsperEmail;
		$emailPerBatch = $remaining = $config->emailperBatch;
		$queuePause = $config->pausebwBatch;
		
		if (count($cid)){
			for($i = 0; $i < count($cid); $i++){echo $cid[$i].'**********<br>';//echo 'entering'.$i;
				//get the list of recommened jobs for every id from job alert table
				$query = "SELECT ja.* from #__jbjobs_job_alert ja WHERE ja.id=".$cid[$i];
				$db->setQuery($query);
				$alert = $db->loadObject();
				
				$keyword = $alert->keyword;
				
				// slashes cause errors, <> get stripped anyway later on. # causes problems.
				$badchars = array('#','>','<','\\'); 
				$searchword = trim(str_replace($badchars, '', $keyword));
			/*	// if searchword enclosed in double quotes, strip quotes and do exact match
				if (substr($searchword,0,1) == '"' && substr($searchword, -1) == '"') { 
					$post['searchword'] = substr($searchword,1,-1);
					JRequest::setVar('searchphrase', 'exact');
				}
				else {
					$post['searchword'] = $searchword;
				}*/
				//stript the space before and after comma(,)
				$spaceStripped = preg_replace("/\s*,\s*/", ",", $searchword);echo $spaceStripped.'<br>';
				
				$result = array();$queryStrings = array();
				$result = explode(',', $spaceStripped);
		
				$phrase = $alert->phrase;
				switch ($phrase) {
					case 'exact':
						$text		= $db->Quote( '%'.$db->getEscaped( $result, true ).'%', false );
						$wheres2 	= array();
						$wheres2[] 	= 'a.job_title LIKE '.$text;
						$wheres2[] 	= 'a.state LIKE '.$text;
						$wheres2[] 	= 'a.city LIKE '.$text;
						$wheres2[] 	= 'b.country LIKE '.$text;
						$wheres2[] 	= 'c.comp_name LIKE '.$text;
						$wheres2[] 	= 'cv.value LIKE '.$text;
						$wheres2[] 	= 'cv.valuetext LIKE '.$text;
						$wheres2[] 	= 'a.short_desc LIKE '.$text;
						$wheres2[] 	= 'a.long_desc LIKE '.$text;
						$queryStrings[] = '(' . implode( ') OR (', $wheres2 ) . ')';
						break;
			
					case 'all':
					case 'any':
					default:
						//$words = explode( ' ', $result );
						$wheres = array();
						foreach ($result as $word) {
							$word		= $db->Quote( '%'.$db->getEscaped( $word, true ).'%', false );
							$wheres2 	= array();
							$wheres2[] 	= 'a.job_title LIKE '.$word;
							$wheres2[] 	= 'a.state LIKE '.$word;
							$wheres2[] 	= 'a.city LIKE '.$word;
							$wheres2[] 	= 'b.country LIKE '.$word;
							$wheres2[] 	= 'c.comp_name LIKE '.$word;
							$wheres2[] 	= 'cv.value LIKE '.$word;
							$wheres2[] 	= 'cv.valuetext LIKE '.$word;
							$wheres2[] 	= 'a.short_desc LIKE '.$word;
							$wheres2[] 	= 'a.long_desc LIKE '.$word;
							$wheres[] 	= implode( ' OR ', $wheres2 );
						}
						$queryStrings[] = '(' . implode( ($phrase == 'all' ? ') AND (' : ') OR ('), $wheres ) . ')';
						break;
				}
					
				$id_job_spec = $alert->id_job_spec;
				if($id_job_spec > 0){
					$queryStrings[] = "a.id_job_spec IN (".$id_job_spec.")";
				}
				
				$where =  implode (' AND ', $queryStrings);echo $where.'<br>';
				$now = date('Y-m-d H:i:s', time() + ($app->getCfg('offset') * 60 * 60));
				$where .= " AND a.is_active='y' AND a.expire_date > '".$now."' AND a.expire_date <> '0000-00-00 00:00:00' ";
				
				$jobs = array();
				$query = "SELECT DISTINCT a.*,country,comp_name,comp_type,b.id countryid FROM #__jbjobs_job a".
				      	 " LEFT JOIN #__jbjobs_country b ON a.id_country = b.id".
					 	 " LEFT JOIN #__jbjobs_employer c ON a.employer_id = c.user_id".
				 		 " LEFT JOIN #__jbjobs_custom_field_value cv ON cv.jobid=a.id".
						 " LEFT JOIN #__jbjobs_comp_type d ON c.id_comp_type = d.id". 
						 " WHERE ".$where.
						 " ORDER BY a.is_featured DESC, a.publish_date DESC, a.id DESC";
				$db->setQuery($query);
				$jobs = $db->loadResultArray();	//this is the list of recommened job ids
				
				//now check if the above recommended jobs has been sent already
				$query = "SELECT jobid FROM #__jbjobs_jobalert_send WHERE alertid=".$alert->id;
				$db->setQuery($query);
				$sent = $db->loadResultArray();
				$sent = implode(",", $sent);
				$sentJobIds = explode(',', $sent);	//this is the list of job ids already sent for the user
				
				$toBeSent = array();
				if (count($jobs)){
					for($j = 0; $j < count($jobs); $j++){
						if(!in_array($jobs[$j], $sentJobIds))
							$toBeSent[] = $jobs[$j];
					}
				}
				
				//send the job details to jobseeker
				$sentt = array();
				if(count($toBeSent)){
					for($k = 0; $k < $maxJobs; $k++){
						if (isset($toBeSent[$k])) $sentt[] = $toBeSent[$k];
					}
					$nowSentJobids = array();
					$nowSentJobids = implode(',', $sentt);echo $nowSentJobids.'<br>';
					if($remaining > 0){
						$sendResult = $this->mailJobalert($alert->userid, $nowSentJobids);//echo $sendResult;
						$emails_count += 1;
						$query = "INSERT INTO #__jbjobs_jobalert_send (alertid, userid, jobid, lastAlertSent, queued) VALUES ('$alert->id', '$alert->userid', '$nowSentJobids', '$now', '0')";
						$db->setQuery($query);
						$db->query();
						$remaining = $remaining - 1;
					}
					if($remaining <= 0){
						//sleep($queuePause);
						$remaining = $emailPerBatch;
					}
				}
			}// end of cid loop
		}
		JRequest::setVar('emails_count', $emails_count);
		return $emails_count;
	}
	
	function mailJobalert($userid, $jobids){
		$app =& JFactory::getApplication();
		$db =& JFactory::getDBO();
		$user 	=& JFactory::getUser($userid);
		
		$name = $user->name;
		$mailto = $user->email;
		$username = $user->username;

		$sitename = $app->getCfg('sitename');
		$fromname = $app->getCfg('fromname');
		$mailfrom = $app->getCfg('mailfrom');
		
		//get all super administrator
		$query = 'SELECT name, email, sendEmail' .
				' FROM #__users' .
				' WHERE LOWER(usertype) = "super administrator"';
		$db->setQuery($query);
		$rows = $db->loadObjectList();
	
		// Send email to user
		if (!$mailfrom  || !$fromname) {
			$fromname = $rows[0]->name;
			$mailfrom = $rows[0]->email;
		}
		
		$lang =& JFactory::getLanguage();
	 	$lang->load('com_jbjobs', JPATH_ADMINISTRATOR);
		$subject  = JText::sprintf('JBJOBS_RECOMMENDED_JOBS_FOR', $name);
		$subject  = html_entity_decode($subject, ENT_QUOTES);
		
		$message = '';
		$message .= JText::sprintf('JBJOBS_JOBALERT_BODY', $name, $sitename);
		$message .= $this->getFormatJobs($jobids);
		$message .= '<br>'.JText::sprintf('JBJOBS_JOBALERT_REGARDS', $sitename);
		echo $message.'<br>';
		
		$message = html_entity_decode($message, ENT_QUOTES);
		
		// Send email to user
		$rs = JUtility::sendMail($mailfrom, $fromname, $mailto, $subject, $message, 1);
		/*// Check for an error
		if ( JError::isError($rs) ) {
			$msg	= $rs->getError();
		} else {
			$msg = $rs ? JText::sprintf( 'E-mail sent to', 100 ) : JText::_('The mail could not be sent');
		}
		echo $msg;*/
		//return $rs;
	}
	
	function getFormatJobs($jobids){
		$db =& JFactory::getDBO();
		$siteURL = JURI::root();
		$message = '';
		$message .= '<table cellspacing="1" border="0" align="center" width="580" cellpadding="5">';//
		$jobids = explode(',', $jobids);
		foreach ($jobids as $jobid) {
			$query = "SELECT a.*,b.specialization,c.country,c.id as countryid,d.comp_name as company FROM #__jbjobs_job a".
				 " LEFT JOIN  #__jbjobs_job_spec b ON a.id_job_spec = b.id".
				 " LEFT JOIN  #__jbjobs_country c ON a.id_country = c.id".
				 " LEFT JOIN  #__jbjobs_employer d ON a.employer_id = d.user_id".
				 " WHERE a.id=$jobid".
				 " ORDER BY a.is_featured DESC, a.publish_date DESC, a.id ASC";
			$db->setQuery($query);
			$row = $db->loadObject();
			
			$urlpart = parse_url($siteURL);
            $host = $urlpart['host'];
            if($host == 'localhost')
            	$link = $siteURL.JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailjob&id='.$row->id);
            else
            	$link = 'http://'.str_replace('http://', '', $_SERVER['HTTP_HOST']).'/'.'index.php?option=com_jbjobs&view=guest&layout=detailjob&id='.$row->id;
			
			$message .= '<tr><td style="background: #D6E9F8;font-size:14px;line-height:18px;font-family:arial, sans-serif;color:#000000;" >';
			$message .= '<b><a href="'.$link.'" style="color:#0058A8;">'.$row->job_title.'</a></b><br><span style="color:#555555;font-size:11px;">'.$row->company.' - '.$row->state.', '.$row->country.'</span>';
			$message .= '</td></tr>';
		}
		$message .= '</table>';
		return $message;
	}

}//endclass