<?php
/**
 * NoNumber! Elements Helper File: Functions
 *
 * @package     NoNumber! Elements
 * @version     2.3.1
 *
 * @author      Peter van Westen <peter@nonumber.nl>
 * @link        http://www.nonumber.nl
 * @copyright   Copyright © 2011 NoNumber! All Rights Reserved
 * @license     http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
* Functions
*/

class NNFunctions
{
	function &getFunctions()
	{
		static $instance;
		if ( !is_object( $instance ) ) {
			$instance = new NoNumberElementsFunctions;
		}
		return $instance;
	}
}
class NoNumberElementsFunctions
{
	function getJSVersion()
	{
		if (	defined( 'JVERSION' )
			&&	version_compare( JVERSION, '1.5', '>=' )
			&&	version_compare( JVERSION, '1.6', '<' )
		) {
			$app = JFactory::getApplication();
			if ( $app->get( 'MooToolsVersion', '1.11' ) != '1.11' ) {
				return '_1.2';
			} else {
				return '';
			}
		} else {
			return '';
		}
	}
}

// PHP4 compatiblility for cloning objects
if ( phpversion() < '5.0.0' && function_exists( 'clone' ) == false ) {
	eval('
		function clone( $object )
		{
			return $object;
		}
	');
}
// PHP4 compatiblility for strripos
if ( phpversion() < '5.0.0' &&  function_exists('strripos') == false ) {
    eval('
		function strripos( $haystack, $needle )
		{
			$pos = strlen( $haystack ) - strpos( strrev( $haystack ), strrev( $needle ) );
			if ( $pos == strlen( $haystack ) ) { $pos = 0; }
			return $pos;
		}
	');
}
