<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	20 October 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminconfig/tmpl/config.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Show the configuration settings (jbjobs)
 ^ 
 * History		:	NONE
 ^ 
 * */
 defined('_JEXEC') or die('Restricted access');
 jimport('joomla.html.pane');
 $pane =& JPane::getInstance('tabs', array('startOffset'=>0)); 
 $model = $this->getModel();
 $editor =& JFactory::getEditor();
 ?>
 <form action="index.php" method="post" name="adminForm">
 	<?php echo $pane->startPane( 'pane' ); 
	  	  echo $pane->startPanel( JText::_('JBJOBS_GLOBAL'), 'global' ); ?>
		
			<fieldset class="adminform">
			<legend><?php echo JText::_( 'JBJOBS_GLOBAL' ); ?></legend>
			<table class="admintable">
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_FREE_MODE_FOR_EMPLOYERS' ); ?>:</label>
					</td>
					<td>
						<?php $free_mode = $model->YesNoBool('freemode', $this->row->freemode ? $this->row->freemode : 0);
						echo  $free_mode;	?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_SET_YES_FINANCIAL_EMPLOYERS'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_FREE_MODE_FOR_JOBSEEKERS' ); ?>:</label>
					</td>
					<td>
						<?php $free_mode_js = $model->YesNoBool('freemode_js', $this->row->freemode_js ? $this->row->freemode_js : 0);
						echo  $free_mode_js;	?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_SET_YES_FINANCIAL_JOBSEEKERS'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_ALLOW_ANONYMOUS_JOB_APPLICATION' ); ?>:</label>
					</td>
					<td>
						<?php $anonymous_jobapply = $model->YesNoBool('anonymous_jobapply', $this->row->anonymous_jobapply ? $this->row->anonymous_jobapply : 0);
						echo  $anonymous_jobapply;	?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_SET_YES_ALLOW_ANONYMOUS_JOB_APPLICATION'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_LIMIT_JOB_EXPIRY' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="limittimeforfreemode" id="limittimeforfreemode" size="5" maxlength="100" value="<?php echo $this->row->limittimeforfreemode; ?>" />
						<?php echo JText::_('JBJOBS_DAYS'); ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_ENTER_NUMBER_OF_DAYS'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_CURRENCY_SYMBOL' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="currencysymbol" id="currencysymbol" size="5" maxlength="10" value="<?php echo $this->row->currencysymbol; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_EXAMPLE_CURRENCY'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_CURRENCY_CODE' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="currencycode" id="currencycode" size="5" maxlength="5" value="<?php echo $this->row->currencycode; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_EXAMPLE_CURRENCY_CODE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_('JBJOBS_DEFAULT_DATE_FORMAT'); ?>:</label>
					</td>
					<td >
						<?php $list_dformat = $model->getselectDateFormat('dateformat', $this->row->dateformat);
						 echo $list_dformat; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_DEFAULT_DATE_FORMAT_EXAMPLE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_DEFAULT_COUNTRY' ); ?>:</label>
					</td>
					<td >
						<?php $list_def_country = $model->getSelectCountry('defaultCountry', $this->row->defaultCountry, 0, '');
						 echo $list_def_country; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_DEFAULT_COUNTRY_EXAMPLE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_THEME' ); ?>:</label>
					</td>
					<td >
						<?php $list_theme = $model->getselectTheme('theme', $this->row->theme);
						 echo $list_theme; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_CHOOSE_DEFAULT_THEME'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_ARTICLE_ID_TNS' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="termarticleid" id="termarticleid" size="5" maxlength="5" value="<?php echo $this->row->termarticleid; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_ENTER_ID_TNS'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_('JBJOBS_RSS_LIMIT'); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="rsslimit" id="rsslimit" size="5" maxlength="5" value="<?php echo $this->row->rsslimit; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_SET_LIMIT_JOBS_RSS'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_SHOW_RSS' ); ?>:</label>
					</td>
					<td>
						<?php $enable_rss = $model->YesNoBool('enablerss', $this->row->enablerss);
						echo  $enable_rss; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_SHOW_HIDE_RSS'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_SHOW_JOOMBAH_CREDIT' ); ?>:</label>
					</td>
					<td>
						<?php $show_jbcredit = $model->YesNoBool('showjbcredit', $this->row->showjbcredit);
						echo  $show_jbcredit; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_SHOW_JOOMBAH_CREDIT_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_SHOW_SHARED_BOOKMARKS' ); ?>:</label>
					</td>
					<td>
						<?php $show_bookmark = $model->YesNoBool('showbookmark', $this->row->showbookmark); 
						echo  $show_bookmark; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_SHOW_SHARED_BOOKMARKS_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_ENABLE_EMPLOYER_REGISTRATION' ); ?>:</label>
					</td>
					<td>
						<?php $enable_emp_reg = $model->YesNoBool('enableempreg', $this->row->enableempreg);
						echo  $enable_emp_reg; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_ENABLE_EMPLOYER_REGISTRATION_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_ENABLE_JOBSEEKER_REGISTRATION' ); ?>:</label>
					</td>
					<td>
						<?php $enable_js_reg = $model->YesNoBool('enablejsreg', $this->row->enablejsreg);
						echo  $enable_js_reg; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_ENABLE_JOBSEEKER_REGISTRATION_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="allowGuest_jobdetail"><?php echo JText::_('JBJOBS_ALLOW_GUESTS_JOB_DETAIL_PAGE'); ?>:</label>
					</td>
					<td>
						<?php $allowGuest_jobdetail = $model->YesNoBool('allowGuest_jobdetail', $this->row->allowGuest_jobdetail);
						echo  $allowGuest_jobdetail; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_ALLOW_GUESTS_JOB_DETAIL_PAGE_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="allowGuest_compdetail"><?php echo JText::_('JBJOBS_ALLOW_GUESTS_COMP_DETAIL_PAGE'); ?>:</label>
					</td>
					<td>
						<?php $allowGuest_compdetail = $model->YesNoBool('allowGuest_compdetail', $this->row->allowGuest_compdetail);
						echo  $allowGuest_compdetail; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_ALLOW_GUESTS_COMP_DETAIL_PAGE_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_SHOW_CAPTCHA' ); ?>:</label>
					</td>
					<td>
						<?php $enable_captcha = $model->YesNoBool('showcaptcha', $this->row->showcaptcha);
						echo  $enable_captcha; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_SHOW_CAPTCHA_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_ENABLE_MOOTOOLS_UPGRADE' ); ?>:</label>
					</td>
					<td>
						<?php $enable_mooupg = $model->YesNoBool('enablemooupg', $this->row->enablemooupg);
						echo  $enable_mooupg; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_ENABLE_MOOTOOLS_UPGRADE_MESSAGE'); ?>	
					</td>
				</tr>
		    </table>
			</fieldset>
		
		<?php  echo $pane->endPanel();
		echo $pane->startPanel( JText::_('JBJOBS_WELCOME_TEXT'), 'welcome' ); ?>
			
			<fieldset class="adminform">
			<legend><?php echo JText::_( 'JBJOBS_FRONTPAGE_TEXT' ); ?></legend>
			<table class="admintable">
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_WELCOME_TITLE' ); ?>:</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="welcome_title" id="welcome_title" size="60" maxlength="100" value="<?php echo $this->row->welcome_title; ?>" />
					</td>
				</tr>
				 <tr valign="top">
    				<td class="key"><?php echo JText::_('JBJOBS_FOR_JOBSEEKERS'); ?>:</td>
    				<td>
    					<?php echo $editor->display('welcome_jobseeker', $this->row->welcome_jobseeker, '550', '300', '20', '25');?>
    				</td>
    			</tr>
    			<tr valign="top">
    				<td class="key"><?php echo JText::_('JBJOBS_FOR_EMPLOYERS'); ?>:</td>
    				<td>
    					<?php echo $editor->display('welcome_employer', $this->row->welcome_employer, '550', '300', '20', '25');?>
    				</td>
				</tr>
		    </table>
			</fieldset>
			
		<?php  echo $pane->endPanel();
		echo $pane->startPanel( JText::_('JBJOBS_PAYMENT'), 'payment' ); ?>
			
			<fieldset class="adminform">
			<legend><?php echo JText::_( 'JBJOBS_INVOICE_DETAILS' ); ?></legend>
			<table class="admintable">
				<tr>
					<td colspan="2"><font color=red><a href="index.php?option=com_jbjobs&view=adminconfig&layout=showpaymode">Click here</a> to configure the payment modes.</font>
					</td>
				</tr>
				<tr>
				<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_MY_INVOICE_DETAILS' ); ?>:</label>
					</td>
					<td >
						<textarea id="myinvoicedetails" name="myinvoicedetails" rows="6" cols="30"><?php echo $this->row->myinvoicedetails; ?></textarea>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_MY_INVOICE_DETAILS_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_('JBJOBS_INVOICE_FORMAT_CREDIT'); ?>:</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="invoiceFormatCredit" id="invoiceFormatCredit" size="60" maxlength="100" value="<?php echo $this->row->invoiceFormatCredit; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_INVOICE_FORMAT_PLANS' ); ?>:</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="invoiceFormatPlan" id="invoiceFormatPlan" size="60" maxlength="100" value="<?php echo $this->row->invoiceFormatPlan; ?>" />
					</td>
				</tr>
		    </table>
		    <table  cellpadding="5" cellspacing="0" border="0" style="width:25%;" class="adminform">
				<tr class="row1"><td> <strong><u><?php echo JText::_('JBJOBS_AVAILABLE_TAGS'); ?></u></strong></td></tr>
				<tr><td>[ID] :  <?php echo JText::_('JBJOBS_ID_CREDIT_OR_SUBSCRIPTION'); ?></td></tr>
				<tr><td>[TIME] :  <?php echo JText::_('JBJOBS_UNIX_TIME_OF_PURCHASE'); ?></td></tr>
				<tr><td>[YYYY] :  <?php echo JText::_('JBJOBS_YEAR_OF_DATE_PURCHASE'); ?></td></tr>
				<tr><td>[USERID] :  <?php echo JText::_('JBJOBS_USER_ID_OF_THE_BUYER'); ?></td></tr>
			</table>
			</fieldset>
			
			<fieldset class="adminform">
			<legend><?php echo JText::_( 'JBJOBS_CREDIT' ); ?></legend>
			<table class="admintable">
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_MIN_CREDIT_PURCHASE' ); ?>:</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="creditmin" id="creditmin" size="5" maxlength="5" value="<?php echo $this->row->creditmin; ?>" />
					</td>
					<td width="50%"><?php echo JText::_('JBJOBS_MIN_CREDIT_PURCHASE_MESSAGE'); ?>
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_TAX_NAME' ); ?>:</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="taxname" id="taxname" size="25" maxlength="30" value="<?php echo $this->row->taxname; ?>" />
					</td>
					<td width="50%"><?php echo JText::_('JBJOBS_TAX_NAME_MESSAGE'); ?>
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_TAX_IN_PERCENT' ); ?>:</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="taxpercent" id="taxpercent" size="8" maxlength="8" value="<?php echo $this->row->taxpercent; ?>" /> %</td>
					<td width="50%"><?php echo JText::_('JBJOBS_TAX_PERCENT_MESSAGE'); ?>
					</td>
				</tr>
				<tr>
					<td colspan="2">
					<a href="index.php?option=com_jbjobs&view=adminconfig&layout=showplan">
					<?php echo JText::_( 'JBJOBS_CLICK_HERE' ) ?> </a> 
					<?php echo JText::_( 'JBJOBS_CHANGE_CREDIT_SETTINGS' ); ?>
					</td>
				</tr>
			</table>
			</fieldset>
			
		<?php  echo $pane->endPanel();
		echo $pane->startPanel( JText::_('JBJOBS_JOB_ALERTS'), 'jobalert' ); ?>
			<fieldset class="adminform">
			<legend><?php echo JText::_( 'JBJOBS_JOB_ALERTS' ); ?></legend>
			<table class="admintable">
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_ENABLE_JOB_ALERTS' ); ?>:</label>
					</td>
					<td>
						<?php $enable_jobalert = $model->YesNoBool('enableJobalert', $this->row->enableJobalert);
						echo  $enable_jobalert; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_ENABLE_JOB_ALERTS_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_NO_OF_JOBS_PER_EMAIL' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="jobsperEmail" id="jobsperEmail" size="5" maxlength="10" value="<?php echo $this->row->jobsperEmail; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_NO_OF_JOBS_PER_EMAIL_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_MAXIMUM_EMAILS_PER_BATCH' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="emailperBatch" id="emailperBatch" size="5" maxlength="10" value="<?php echo $this->row->emailperBatch; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_MAXIMUM_EMAILS_PER_BATCH_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_PAUSE_BETWEEN_TWO_BATCHES' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="pausebwBatch" id="pausebwBatch" size="5" maxlength="10" value="<?php echo $this->row->pausebwBatch; ?>" /> <?php echo JText::_('JBJOBS_SECS'); ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_SEC_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_MAXIMUM_NO_OF_TRIES' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="emailTry" id="emailTry" size="5" maxlength="10" value="<?php echo $this->row->emailTry; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_MAXIMUM_NO_OF_TRIES_MESSAGE'); ?>	
					</td>
				</tr>
		    </table>
			</fieldset>
			<fieldset class="adminform">
			<legend><?php echo JText::_( 'JBJOBS_CRON_JOB' ); ?></legend>
			<table class="admintable">
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_ENABLE_CRON_JOBS' ); ?>:</label>
					</td>
					<td>
						<?php $enable_cronjob = $model->YesNoBool('enableCron', $this->row->enableCron);
						echo  $enable_cronjob; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_ENABLE_CRON_JOBS_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_ENABLE_CRON_LOG' ); ?>:</label>
					</td>
					<td>
						<?php $enable_cronLog = $model->YesNoBool('enablecronLog', $this->row->enablecronLog);
						echo  $enable_cronLog; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_ENABLE_CRON_JOBS_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_ENABLE_CRON_EMAIL_REPORT' ); ?>:</label>
					</td>
					<td>
						<?php $enable_cronemail = $model->YesNoBool('enablecronEmail', $this->row->enablecronEmail);
						echo  $enable_cronemail; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_ENABLE_CRON_EMAIL_REPORT_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_SEND_THE_REPORT' ); ?>:</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="cronEmail" id="cronEmail" size="40" maxlength="60" value="<?php echo $this->row->cronEmail; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_SEND_THE_REPORT_MESSAGE'); ?>	
					</td>
				</tr>
		    </table>
			</fieldset>
			
		<?php  echo $pane->endPanel();  
		echo $pane->startPanel( JText::_('JBJOBS_UPLOADS'), 'uploads' ); ?>
			
			<fieldset class="adminform">
			<legend><?php echo JText::_( 'JBJOBS_RESUME_CV' ); ?></legend>
			<table class="admintable">
			
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_LEGAL_MIME_TYPES' ); ?>:</label>
					</td>
					<td >
						<textarea id="cvfiletype" name="cvfiletype" rows="6" cols="30"><?php echo $this->row->cvfiletype; ?></textarea>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_LEGAL_MIME_TYPES_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_('JBJOBS_TEXT_UPLOAD_FIELD'); ?>:</label>
					</td>
					<td>
						<textarea id="cvfiletext" name="cvfiletext" rows="3" cols="30"><?php echo $this->row->cvfiletext; ?></textarea>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_TEXT_UPLOAD_FIELD_MESSAGE'); ?>	
					</td>
				</tr>
		    </table>
			</fieldset>
			
			<fieldset class="adminform">
			<legend><?php echo JText::_( 'JBJOBS_IMAGES' ); ?></legend>
			<table class="admintable">
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_ALLOW_IMAGE_TYPES' ); ?>:</label>
					</td>
					<td >
						<textarea id="imgfiletype" name="imgfiletype" rows="6" cols="30"><?php echo $this->row->imgfiletype; ?></textarea>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_ALLOW_IMAGE_TYPES_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_WIDTH' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="imgwidth" id="imgwidth" size="10" maxlength="10" value="<?php echo $this->row->imgwidth; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_HEIGHT' ); ?>:</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="imgheight" id="imgheight" size="10" maxlength="10" value="<?php echo $this->row->imgheight; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_MAX_SIZE_IN_KB' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="imgmaxsize" id="imgmaxsize" size="10" maxlength="10" value="<?php echo $this->row->imgmaxsize; ?>" />
					</td>
				</tr>
		    </table>
			</fieldset>
		
		<?php  echo $pane->endPanel(); 
		echo $pane->startPanel( JText::_('JBJOBS_PRIVATE_MESSAGING'), 'pmessaging' ); ?>
			
			<fieldset class="adminform">
			<legend><?php echo JText::_( 'JBJOBS_GENERAL' ); ?></legend>
			<table class="admintable">
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_LET_USERS_SEND_MSG' ); ?>:</label>
					</td>
					<td>
						<?php $enable_cronjob = $model->YesNoBool('pm_enable', $this->row->pm_enable);
						echo  $enable_cronjob; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_LET_USERS_SEND_MSG_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_SEND_NOTIFY_EMAIL' ); ?>:</label>
					</td>
					<td>
						<?php $enable_cronLog = $model->YesNoBool('pm_sendNotify', $this->row->pm_sendNotify);
						echo  $enable_cronLog; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_SEND_NOTIFY_EMAIL_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="nameSuggestion">
							<?php echo JText::_( 'JBJOBS_SUGGESTEDNAME' ); ?>
						</label>
					</td>
					<td>
						<input type="radio" name="pm_suggestion" value="0" <?php echo ($this->row->pm_suggestion==0?"checked":""); ?>/><?php echo JText::_( 'JBJOBS_USERNAME' ); ?><br />
						<input type="radio" name="pm_suggestion" value="1" <?php echo ($this->row->pm_suggestion==1?"checked":""); ?>/><?php echo JText::_( 'JBJOBS_NAME' ); ?><br />
						<input type="radio" name="pm_suggestion" value="2" <?php echo ($this->row->pm_suggestion==2?"checked":""); ?>/><?php echo JText::_( 'JBJOBS_BOTH' ); ?><br />
						<input type="radio" name="pm_suggestion" value="3" <?php echo ($this->row->pm_suggestion==3?"checked":""); ?>/><?php echo JText::_( 'JBJOBS_NOSUGGESTION' ); ?>
					</td>
				</tr>
		    </table>
			</fieldset>
		<?php  echo $pane->endPanel(); 
		echo $pane->startPanel( JText::_('JBJOBS_INTEGRATION'), 'integration' ); ?>
		
			<fieldset class="adminform">
			<legend><?php echo JText::_( 'JBJOBS_SOCIAL_COMPONENT' ); ?></legend>
			<table class="admintable">
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_USER_PROFILE' ); ?>:</label>
					</td>
					<td>
						<?php $user_profile = $model->getSelectUserProfile('userprofile', $this->row->userprofile, 0);
						echo  $user_profile; ?>
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_USER_PROFILE_MESSAGE'); ?>	
					</td>
				</tr>
		    </table>
			</fieldset>
			
			<fieldset class="adminform">
			<legend><?php echo JText::_( 'JBJOBS_GOOGLE_MAP' ); ?></legend>
			<table class="admintable">
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_GOOGLE_API_KEY' ); ?>:</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="googleApiKey" id="googleApiKey" size="70" maxlength="100" value="<?php echo $this->row->googleApiKey; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_GOOGLE_API_KEY_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_GOOGLE_MAP_WIDTH' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="googleWidth" id="googleWidth" size="3" maxlength="10" value="<?php echo $this->row->googleWidth; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_GOOGLE_MAP_WIDTH_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_GOOGLE_MAP_HEIGHT' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="googleHeight" id="googleHeight" size="3" maxlength="10" value="<?php echo $this->row->googleHeight; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_GOOGLE_MAP_HEIGHT_MESSAGE'); ?>	
					</td>
				</tr>
		    </table>
			</fieldset>
			
			<fieldset class="adminform">
			<legend><?php echo JText::_( 'JBJOBS_INDEEDCOM' ); ?></legend>
			<table class="admintable">
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_ENABLE_INDEEDCOM' ); ?>:</label>
					</td>
					<td >
						<?php $enable_indeed = $model->YesNoBool('indeedenable', $this->row->indeedenable);
						echo  $enable_indeed; ?>
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_PUBLISHER_ID' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="indeedpubid" id="indeedpubid" size="30" maxlength="30" value="<?php echo $this->row->indeedpubid; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_PUBLISHER_ID_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_KEYWORDS' ); ?>:</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="indeedkey" id="indeedkey" size="50" maxlength="50" value="<?php echo $this->row->indeedkey; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_KEYWORDS_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_LOCATION' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="indeedlocate" id="indeedlocate" size="50" maxlength="50" value="<?php echo $this->row->indeedlocate; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_LOCATION_MESSAGE'); ?>	
					</td>
				</tr>
				<tr>
					<td class="key"><label for="name"><?php echo JText::_( 'JBJOBS_COUNTRY_CODE' ); ?>:</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="indeedcountry" id="indeedcountry" size="3" maxlength="10" value="<?php echo $this->row->indeedcountry; ?>" />
					</td>
					<td width="50%">
						<?php echo JText::_('JBJOBS_COUNTRY_CODE_MESSAGE'); ?>	
					</td>
				</tr>
		    </table>
			</fieldset>
		
		<?php  echo $pane->endPanel(); ?>
	<?php echo $pane->endPane();?>
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
	<input type="hidden" name="boxchecked" value="0" />
    <?php echo JHTML::_( 'form.token' ); ?>
</form>