<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	14 January 2011
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminconfig/tmpl/showcron.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	shows the Cron Job list (jbjobs)
 ^ 
 * History		:	NONE
 * */

defined('_JEXEC') or die('Restricted access'); 
$config =& JTable::getInstance('config', 'Table');
$config->load(1);
$dformat = $config->dateformat;
$app =& JFactory::getApplication();
?>
<form action="index.php" method="post" name="adminForm">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo JText::_( 'ID' ); ?>
			</th>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->rows ); ?>);" />
			</th>			
			<th>
				<?php echo JText::_('JBJOBS_TASK_NAME'); ?>
			</th>
			<th>
				<?php echo JText::_('PUBLISHED'); ?>
			</th>
			<th>
				<?php echo JText::_('JBJOBS_TASK_RUN_AT'); ?>
			</th>
			<th>
				<?php echo JText::_('JBJOBS_LAST_RUN_TIME'); ?>
			</th>
		</tr>
	</thead>
	<tbody>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->rows); $i < $n; $i++){
			$row = &$this->rows[$i];
			$checked = JHTML::_('grid.id', $i, $row->id);
			$link 	 = JRoute::_( 'index.php?option=com_jbjobs&view=adminconfig&layout=editcron&cid[]='. $row->id );
			?>
			<tr class="<?php echo "row$k"; ?>">
	            <td align="center">
					<?php echo $row->id; ?>
				</td>
				<td align="center">
					<?php echo $checked; ?>
				</td>
				<td>
					<?php echo JText::_('JBJOBS_'.$row->task); ?>
				</td>
				<td align="center">
					<?php echo JHTML::_('grid.published', $row, $i); ?>
				</td>
				<td align="center">
					<b><?php echo $row->unix_mhdmd; ?></b>
				</td>
				<td align="center">
					<?php 
						$lastran  = date('Y-m-d H:i:s', strtotime($row->ran_at) + ($app->getCfg('offset') * 60 * 60));//echo $lastran;	
						echo JHTML::_('date', $lastran, $dformat.' %H:%M:%S', false); 
					?>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
	</tbody>	
	</table>
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="ctype" value="cron" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_('form.token'); ?>
</form>
