<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	25 December 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminjob/tmpl/showpaymode.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows list of payment modes (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');
?>
<form action="index.php" method="post" name="adminForm">
	
	<table class="adminlist">
	<thead>
		<tr>
			<th width="10">
				<?php echo JText::_( 'NO' ); ?>
			</th>
			<th width="10" >
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->rows); ?>);" />
			</th>
			<th align="left">
				<?php echo JText::_( 'TITLE' ); ?>
			</th>
			<th width="8%" nowrap="nowrap">
				<?php echo JText::_( 'ORDERING' ); ?>
				<?php echo JHTML::_('grid.order',  $this->rows); ?>
			</th>
			<th width="5%" nowrap="nowrap">
				<?php echo JText::_( 'PUBLISH' ); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="8">
				<?php echo $this->pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
	<?php
	$k = 0;
	for ($i=0, $n=count($this->rows); $i < $n; $i++) {
		$row = $this->rows[$i];
		$edit_paymode = JRoute::_( 'index.php?option=com_jbjobs&view=adminconfig&layout=editpaymode&cid[]='.$row->id);
		$row->checked_out = 0;
		$checked 	= JHTML::_('grid.checkedout', $row, $i );
		$published = JHTML::_('grid.published', $row, $i );
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $this->pageNav->getRowOffset( $i ); ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
		
			<td>
				<a href="<?php echo $edit_paymode?>"><?php echo $row->fieldtext; ?></a>					
			</td>										
									
			<td class="order">
				<span><?php echo $this->pageNav->orderUpIcon( $i, true, 'orderup', 'Move Up', true); ?></span>
				<span><?php echo $this->pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', true ); ?></span>
				<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align: center" />
			</td>
			<td align="center">
				<?php echo $published; ?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</tbody>
	</table>

	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="view" value="adminconfig" />
	<input type="hidden" name="layout" value="showpaymode" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="ctype" value="paymode" />
	<input type="hidden" name="fieldfor" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>