<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminconfig/view.html.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Entry point for the component (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');
jimport( 'joomla.application.component.view' );

$styles = <<<EOF
#submenu-box {
	display: none !important;
}
EOF;

$document = JFactory::getDocument();
$document->addStyleDeclaration($styles);
$document->addStyleSheet ( JURI::base().'components/com_jbjobs/assets/css/style.css' );

$lang =& JFactory::getLanguage();
$lang->load('com_jbjobs', JPATH_SITE);
?>

<?php
class JbjobsViewAdminconfig extends JView {
	/**
	 * display method of Jbjobs view
	 * @return void
	 **/
	function display($tpl = null) { ?>
		<?php	
		$link_dashboard 	= JRoute::_('index.php?option=com_jbjobs');
		$link_compsetting	= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=config');
		$link_memberplan	= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showplan');
		$link_memberplan_js	= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showplanjs');
		$link_pay_mode		= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showpaymode');
		$link_country		= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showcountry');
		$link_fieldorder	= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=fieldorder');
		$link_customfield	= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showcustomfield');
		$link_cron			= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showcron');
		$link_emailtemp		= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=emailtemplate&tempfor=subscr-pending');
		$link_degree 		= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showdeglevel');
		$link_major			= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showmajor');
		$link_university 	= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showuniversity');
		$link_salary 		= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showsaltype');
		$link_jobexp 		= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showjobexp');
		$link_company 		= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showcomptype');
		$link_salutation	= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showsalutation');
		$link_position 		= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showpostype');
		$link_jobspecial	= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showjobspec');
		$link_jobcateg 		= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showjobcateg');
		$link_industry 		= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showindcomp');
		?>
<!--[if IE]>
<style type="text/css">

table.jbadmin-stat caption {
	display:block;
	font-size:12px !important;
	padding-top: 10px !important;
}

</style>
<![endif]-->

<div id="jbadmin">
	<div class="jbadmin-left">
		<div id="jbadmin-menu">
			<?php $stask = JRequest::getVar ( 'task', null ); ?>
				<a class="jbadmin-mainmenu icon-db-sm" href="<?php echo $link_dashboard; ?>"><?php echo JText::_('JBJOBS_JB_DASHBOARD'); ?></a>
				<a class="jbadmin-mainmenu icon-component-sm" href="<?php echo $link_compsetting; ?>"><?php echo JText::_('JBJOBS_COMPONENT_SETTINGS'); ?></a>
				<a class="jbadmin-mainmenu icon-membership-sm" href="<?php echo $link_memberplan; ?>"><?php echo JText::_('JBJOBS_EMPLOYER_PLANS'); ?></a>
				<a class="jbadmin-mainmenu icon-membershipjs-sm" href="<?php echo $link_memberplan_js; ?>"><?php echo JText::_('JBJOBS_JOBSEEKER_PLANS'); ?></a>
				<a class="jbadmin-mainmenu icon-paymode-sm" href="<?php echo $link_pay_mode; ?>"><?php echo JText::_('JBJOBS_PAYMENT_GATEWAY'); ?></a>
				<a class="jbadmin-mainmenu icon-country-sm" href="<?php echo $link_country; ?>"><?php echo JText::_('JBJOBS_COUNTRIES_STATES'); ?></a>
				<a class="jbadmin-mainmenu icon-fieldorder-sm" href="<?php echo $link_fieldorder; ?>"><?php echo JText::_('JBJOBS_STD_FIELD_SETTINGS'); ?></a>
				<a class="jbadmin-mainmenu icon-customfield-sm" href="<?php echo $link_customfield; ?>"><?php echo JText::_('JBJOBS_CUSTOM_FIELDS'); ?></a>
				<a class="jbadmin-mainmenu icon-cronjob-sm" href="<?php echo $link_cron; ?>"><?php echo JText::_('JBJOBS_CRON_JOBS'); ?></a>
				<a class="jbadmin-mainmenu icon-emailtemp-sm" href="<?php echo $link_emailtemp; ?>"><?php echo JText::_('JBJOBS_EMAIL_TEMPLATES'); ?></a>
				<a class="jbadmin-mainmenu icon-major-sm" href="<?php echo $link_major; ?>"><?php echo JText::_('JBJOBS_MAJOR_STUDIES'); ?></a>
				<a class="jbadmin-mainmenu icon-degree-sm" href="<?php echo $link_degree; ?>"><?php echo JText::_('JBJOBS_DEG_LEVEL'); ?></a>
				<a class="jbadmin-mainmenu icon-university-sm" href="<?php echo $link_university; ?>"><?php echo JText::_('JBJOBS_UNIVERSITIES'); ?></a>
				<a class="jbadmin-mainmenu icon-salary-sm" href="<?php echo $link_salary; ?>"><?php echo JText::_('JBJOBS_SAL_TYPE'); ?></a>
				<a class="jbadmin-mainmenu icon-jobexp-sm" href="<?php echo $link_jobexp; ?>"><?php echo JText::_('JBJOBS_EXP_LEVEL'); ?></a>
				<a class="jbadmin-mainmenu icon-company-sm" href="<?php echo $link_company; ?>"><?php echo JText::_('JBJOBS_COMP_TYPE'); ?></a>
				<a class="jbadmin-mainmenu icon-salutation-sm" href="<?php echo $link_salutation; ?>"><?php echo JText::_('JBJOBS_SALUTATION'); ?></a>
				<a class="jbadmin-mainmenu icon-position-sm" href="<?php echo $link_position; ?>"><?php echo JText::_('JBJOBS_POS_TYPE'); ?></a>
				<a class="jbadmin-mainmenu icon-jobcateg-sm" href="<?php echo $link_jobcateg; ?>"><?php echo JText::_('JBJOBS_JOB_CATEG'); ?></a>
				<a class="jbadmin-mainmenu icon-jobspecial-sm" href="<?php echo $link_jobspecial; ?>"><?php echo JText::_('JBJOBS_JOB_SPEC'); ?></a>
                <a class="jbadmin-mainmenu icon-industry-sm" href="<?php echo $link_industry; ?>"><?php echo JText::_('JBJOBS_INDUSTRY'); ?></a>
		</div>
	</div>
	
		<?php	
		$layout =  JRequest::getVar('layout');
		$model		=& $this->getModel(); 
		
		if($layout == 'config'){
			$return = $model->getConfig();
			$row = $return[0];
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showplan'){
			$return = $model->getShowMemberPlan();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'showplanjs'){
			$return = $model->getShowMemberPlanJS();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editplan'){
			$row = $model->getEditMemberPlan();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'editplanjs'){
			$row = $model->getEditMemberPlanJS();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showcountry'){
			$return = $model->getShowCountry();
			$rows = $return[0];
			$pageNav = $return[1];
			$lists = $return[2];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('lists', $lists);
		}
		elseif($layout == 'editcountry'){
			$row = $model->getEditCountry();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showstate'){
			$return = $model->getShowState();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editstate'){
			$row = $model->getEditState();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showcity'){
			$return = $model->getShowCity();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editcity'){
			$row = $model->getEditCity();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showcustomfield'){
			$return = $model->getShowCustomField();
			$rows = $return[0];
			$pageNav = $return[1];
			$lists = $return[2];
			$fieldfor = $return[3];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('lists', $lists);
			$this->assignRef('fieldfor', $fieldfor);
		}
		elseif($layout == 'editcustomfield'){
			$return = $model->getEditCustomField();
			$row = $return[0];
			$groups = $return[1];
			$lists = $return[2];
			
			$this->assignRef('row', $row);
			$this->assignRef('groups', $groups);
			$this->assignRef('lists', $lists);
		}
		elseif($layout == 'showcron'){
			$return = $model->getShowCron();
			$rows = $return[0];
			$this->assignRef('rows', $rows);
		}
		elseif($layout == 'emailtemplate'){
			$template = $model->getEmailTemplate();
			$this->assignRef('template', $template);
		}
		elseif($layout == 'showpaymode'){
			$return = $model->getShowPaymode();
			$rows = $return[0];
			$pageNav = $return[1];
			$lists = $return[2];
			$fieldfor = $return[3];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('lists', $lists);
			$this->assignRef('fieldfor', $fieldfor);
		}
		elseif($layout == 'editpaymode'){
			$return = $model->getEditPaymode();
			$rows = $return[0];
			$payname = $return[1];
			$this->assignRef('rows', $rows);
			$this->assignRef('payname', $payname);
		}
		elseif($layout == 'showuniversity'){
			$return = $model->getShowUniversity();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'edituniversity'){
			$row = $model->getEditUniversity();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showmajor'){
			$return = $model->getShowMajor();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editmajor'){
			$row = $model->getEditMajor();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showdeglevel'){
			$return = $model->getShowDegLevel();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editdeglevel'){
			$row = $model->getEditDegLevel();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showsaltype'){
			$return = $model->getShowSalType();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editsaltype'){
			$row = $model->getEditSalType();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showjobexp'){
			$return = $model->getShowJobExp();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editjobexp'){
			$row = $model->getEditJobExp();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showcomptype'){
			$return = $model->getShowCompType();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editcomptype'){
			$row = $model->getEditCompType();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showsalutation'){
			$return = $model->getShowSalutation();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editsalutation'){
			$row = $model->getEditSalutation();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showpostype'){
			$return = $model->getShowPosType();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editpostype'){
			$row = $model->getEditPosType();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showjobspec'){
			$return = $model->getShowJobSpec();
			
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editjobspec'){
			$row = $model->getEditJobSpec();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showjobcateg'){
			$return = $model->getShowJobCateg();
			
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editjobcateg'){
			$row = $model->getEditJobCateg();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'showindcomp'){
			$return = $model->getShowIndComp();
			
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'editindcomp'){
			$row = $model->getEditIndComp();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'fieldorder'){
			$return  = $model->getFieldOrder();
			$rows    = $return[0];
			$pageNav = $return[1];
			$fieldfor = $return[2];
			$lists   = $return[3];
			$tree   = $return[4];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('fieldfor', $fieldfor);
			$this->assignRef('lists', $lists);
			$this->assignRef('tree', $tree);
		}
		?>
	<div class="jbadmin-right">
		<?php	parent::display($tpl);?>
		
		<table width="100%" style="table-layout:fixed;">
			<tr>
				<td style="vertical-align:top;">
					<?php
						include_once('components/com_jbjobs/views/joombahcr.php');
					?>
				</td>
			</tr>
		</table>
	</div>
</div>	
<?php	
	}
	
	
	
	
}