<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminjob/tmpl/editjob.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Add/Edit job (jbjobs)
 ^ 
 * History		:	NONE
 * */
 defined('_JEXEC') or die('Restricted access');

 $editor =& JFactory::getEditor();
 $model = $this->getModel();
 JBjobs::loadMootools();
 JHTML::_('behavior.tooltip');
 JHTML::script('bfvalidate.js', 'components/com_jbjobs/js/');
 $doc =& JFactory::getDocument();
 $doc->addScript(JURI::root()."components/com_jbjobs/js/utility.js");
 $doc->addStyleSheet(JURI::root().'components/com_jbjobs/css/style.css'); 
 
 $config =& JTable::getInstance('config', 'Table');
 $config->load(1);
 $dformat = $config->dateformat;
 $googleApiKey = $config->googleApiKey;
 $mapWidth = $config->googleWidth;
 $mapHeight = $config->googleHeight;
 
 $app = &JFactory::getApplication(); 
 $lang = JFactory::getLanguage(); 
 $tag_lang=(substr($lang->getTag(),0,2)); 
 $app->addCustomHeadTag( '<meta name="viewport" content="initial-scale=1.0, user-scalable=no" />'); 
 $app->addCustomHeadTag( '<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language='.$tag_lang.'&key='.$googleApiKey.'"></script>'); 
	
?>	
<script language="javascript" type="text/javascript">
<!--
	window.addEvent('domready', function(){
		myFunction();
		processExtApplyUrl();
	});

	function myFunction(){
		//checking children
		<?php
		foreach($this->children as $child){ 
			if($child->required){ ?>
				var el = '<?php echo $child->field; ?>';
				if(document.getElementById(el)){
					$(el).addClass('required');
					if(el == 'salary'){
						$('currency_salary').addClass('required');
						$('id_salary_type').addClass('required');
					}
				}
			<?php
			}
		}
		?>
		//checking parents
		<?php
		foreach($this->parents as $parent){ 
			if($parent->required){ ?>
				var el = '<?php echo $parent->field; ?>';
				if(document.getElementById(el)){
					$(el).addClass('required');
				}
			<?php
			}
		}
		?>

		if($('manage_applicant')){
			$('manage_applicant').addEvent('change', function(e){
				if(e) e.stop();
				processExtApplyUrl();
			});
		}
	}

	function processExtApplyUrl(){
		if($('manage_applicant')){
			var value = $('manage_applicant').get('value');
			if(value == 1)
				$('con_ext_apply_url').removeProperty('style');
			if(value == 0)
				$('con_ext_apply_url').setStyle('display', 'none');
		}
	}
	
	function submitbutton(pressbutton) {
		var form = document.adminForm;
		if (pressbutton == 'canceljob') {
			document.adminForm.task.value = pressbutton;
			form.submit();
		}
		else { 
			var browser = navigator.appName;
			if (browser == "Microsoft Internet Explorer"){
					var flag = 0;
					for (var i=0;i < form.elements.length; i++) {
						el = form.elements[i];
						 if ($(el).hasClass('required')) {
							 var idz= $(el).getProperty('id');
							 	if(document.getElementById(idz)){
								  	if (!document.getElementById(idz).value) {
								  		document.formvalidator.handleResponse(false, el);
								  		flag = flag + 1;
									}
							   }
						 }
					}
			}
			else {
				var valid = document.formvalidator.isValid(form);
			}
			if (flag == 0 || valid == true) {
				form.submit();
		    }
		    else {
				alert('<?php echo JText::_('JBJOBS_FIEDS_HIGHLIGHTED_RED_COMPULSORY'); ?>');
		    }
		}
	}
	function limitText(limitField, limitCount, limitNum) {
		if (limitField.value.length > limitNum) {
			limitField.value = limitField.value.substring(0, limitNum);
		} else {
			limitCount.value = limitNum - limitField.value.length;
		}
	}
//-->
</script>
<script>
<!--
	var geocoder;
	var map;
	var form = document.adminForm;
	function init() {
		geocoder = new google.maps.Geocoder();

		var lat, lng, zoom_carte;
        if(document.adminForm.glat.value!=0) lat = document.adminForm.glat.value;
        else lat = 4;
        if(document.adminForm.glng.value!=0) lng = document.adminForm.glng.value;
        else lng = 114;
        if(document.adminForm.gzoom.value!=0) zoom_carte = parseInt(document.adminForm.gzoom.value);
        else zoom_carte = 10;

		var latlng = new google.maps.LatLng(lat, lng);
		var myOptions = {
		  zoom: zoom_carte,
		  center: latlng,
		  mapTypeId: google.maps.MapTypeId.ROADMAP
		};
		map = new google.maps.Map(document.getElementById("map"), myOptions);

		google.maps.event.addListener(map, "bounds_changed", function() {
			   document.adminForm.gzoom.value = map.getZoom();
		  });

	      // Create a draggable marker which will later on be binded to a
	      marker1 = new google.maps.Marker({
	          map: map,
	          position: new google.maps.LatLng(lat, lng),
	          draggable: true,
	          title: 'Drag me!'
	      });
		  google.maps.event.addListener(marker1, "drag", function() {
			document.adminForm.glat.value = marker1.getPosition().lat();
			document.adminForm.glng.value = marker1.getPosition().lng();
		  });
	}
	// Register an event listener to fire when the page finishes loading.
    google.maps.event.addDomListener(window, 'load', init);
    
	function codeAddress() { 
		var sAddress = document.getElementById("address_geocode").value;
		geocoder.geocode( { 'address': sAddress}, function(results, status) 
			{ 
			if (status == google.maps.GeocoderStatus.OK) {
				  map.setCenter(results[0].geometry.location);
				  marker1.setPosition(results[0].geometry.location); 
					document.adminForm.glat.value = results[0].geometry.location.lat();
					document.adminForm.glng.value = results[0].geometry.location.lng();
				} else {
				  alert(sAddress + " not found for the following reason: " + status);
				}
			});
	}
	function UpdateAddress(){
		var frm = document.adminForm;
		var selected_text = '';
		if(frm.id_country){
			var w = frm.id_country.selectedIndex;
			selected_text = frm.id_country.options[w].text;
		}
		frm.address_geocode.value = frm.city.value + ", " + frm.state.value + ", " + selected_text;	
	}
//-->
</script>		
		
<form action="index.php" method="post" name="adminForm" class="form-validate" enctype="multipart/form-data">

	<div class="col width-50">
	<fieldset class="adminform">
		<legend><?php echo JText::_('JBJOBS_EMPLOYER_INFORMATION'); ?></legend>

		<table class="admintable">
		<tr>
			<td class="key"><label for="employer_id"><?php echo JText::_('JBJOBS_USERNAME'); ?><span class="redfont">*</span>:</label>
			</td>
			<td>
				<?php echo  $this->lists;?>
			</td>
		</tr>
	 </table>
	</fieldset>
	
	<?php
	foreach($this->parents as $parent){ 
		switch ($parent->field) {
			case "job_options": ?>
				<fieldset class="adminform">
					<legend><?php echo JText::_('JBJOBS_JOB_OPTIONS'); ?></legend>
			
					<table class="admintable">
					<?php
					foreach($this->children as $child){ 
						switch ($child->field) {
							case "is_active": ?>
								<tr>
									<td class="key"><label for="is_active"><?php echo JText::_('JBJOBS_ACTIVE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td >
										<?php $list_active = $model->YesNo( 'is_active',$this->row->is_active ? $this->row->is_active: 'y');
										echo  $list_active;
										?>
									</td>
								</tr>
								<?php break;
								case "is_featured": ?>
								<tr>
									<td class="key"><label for="is_featured"><?php echo JText::_('JBJOBS_FEATURED'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td >
										<?php $is_featured = $model->YesNoBool('is_featured', $this->row->is_featured);
										echo  $is_featured;
										?>
									</td>
								</tr>
								<?php
								break;
								} //child switch end
							} //child foreach end?>
				 	</table>
				</fieldset>
			<?php 
			break; 
			case "publish_info": ?>
				<fieldset class="adminform">
					<legend><?php echo JText::_('JBJOBS_PUBLISHED'); ?></legend>
			
					<table class="admintable">
					<tr>
						<td class="key"><label for="publish_date"><?php echo JText::_('JBJOBS_PUBLISHED_DATE'); ?><span class="redfont">*</span>:</label>
						</td>
						<td >
							<?php 
							$publishDate = ($this->row->publish_date != "0000-00-00 00:00:00" && $this->row->publish_date != null) ?  JHTML::_('date', $this->row->publish_date, '%Y-%m-%d', false) :  '';
							echo JHTML::_('calendar', $publishDate, 'publish_date', 'publish_date', '%Y-%m-%d', array('class'=>'inputbox required')); ?>
						</td>
					</tr>
					<tr>
						<td class="key"><label for="expire_date"><?php echo JText::_('JBJOBS_EXPIRY_DATE'); ?><span class="redfont">*</span>:</label>
						</td>
						<td >
							<?php 
							$expireDate = ($this->row->expire_date != "0000-00-00 00:00:00" && $this->row->expire_date != null) ?  JHTML::_('date', $this->row->expire_date, '%Y-%m-%d', false) :  "";
							echo JHTML::_('calendar', $expireDate, 'expire_date', 'expire_date', '%Y-%m-%d', array('class'=>'inputbox required')); ?>
						</td>
					</tr>
					<tr>
						<td class="key"><label for="expire_date"><?php echo JText::_('JBJOBS_HOT_UNTIL'); ?>:</label>
						</td>
						<td >
							<?php 
							$expireDate = ($this->row->hotjob_expire != "0000-00-00 00:00:00" && $this->row->hotjob_expire != null) ?  JHTML::_('date', $this->row->hotjob_expire, '%Y-%m-%d', false) :  "";
							echo JHTML::_('calendar', $expireDate, 'hotjob_expire', 'hotjob_expire', '%Y-%m-%d', array('class'=>'inputbox')); ?>
						</td>
					</tr>
				 </table>
				</fieldset>
			<?php 
			break; 
			case "job_info": ?>
				<fieldset class="adminform">
					<legend><?php echo JText::_('JBJOBS_JOB_INFORMATION'); ?></legend>
			
					<table class="admintable">
					<?php
					foreach($this->children as $child){ 
						switch ($child->field) {
							case "job_title": ?>
								<tr>
									<td class="key"><label for="job_title"><?php echo JText::_('JBJOBS_JOB_TITLE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td >
										<input class="inputbox" type="text" name="job_title" id="job_title" size="60" maxlength="100" value="<?php echo $this->row->job_title; ?>" />
									</td>
								</tr>
								<?php break;
								case "id_country": ?>
								<tr>
									<td class="key"><label for="id_country"><?php echo JText::_('JBJOBS_COUNTRY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<?php $list_country = $model->getSelectCountry('id_country', $this->row->id_country, '', 'onChange="loadaddress(this.value, \'state\')"');
										 echo $list_country; ?>
									</td>
								</tr>
								<?php break;
								case "state": ?>
								<tr>
									<td class="key"><label for="state"><?php echo JText::_('JBJOBS_DISTRICT/STATE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<div id="state1" class="fl">
										<?php
											$list_state = $model->getSelectState('state', $this->row->state, 'onChange="loadaddress(this.value, \'city\')"', $this->row->id_country);
											if($list_state == ''){ ?>
												<input class="inputbox" type="text" name="state" id="state" size="60" maxlength="255" value="<?php echo $this->row->state; ?>" />
										<?php
											}
											else { 
												echo $list_state;
											} ?>
										</div>
										<div id="status_state" class="dis-inl-blk fl"></div>
									</td>
								</tr>
								<?php break;
								case "city": ?>
								<tr>
									<td class="key"><label for="city"><?php echo JText::_('JBJOBS_CITY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<div id="city1" class="fl">
										<?php
											$list_city = $model->getSelectCity('city', $this->row->city, '', $this->row->state);
											if($list_city == ''){ ?>
												<input class="inputbox" type="text" name="city" id="city" size="60" maxlength="255" value="<?php echo $this->row->city; ?>" />
										<?php
											}
											else { 
												echo $list_city;
											} ?>	
										</div>
										<div id="status_city" class="dis-inl-blk fl"></div>	
									</td>
								</tr>
								<?php break;
								case "id_job_spec": ?>
								<tr>
									<td class="key"><label for="id_job_spec"><?php echo JText::_('JBJOBS_JOB_SPECIALIZATION'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td >
										<?php $list_job_spec = $model->getSelectJobSpec('id_job_spec', $this->row->id_job_spec, '') ;
										 echo $list_job_spec; ?>
									</td>
								</tr>
								<?php break;
								case "id_pos_type": ?>
								<tr>
									<td class="key"><label for="id_pos_type"><?php echo JText::_('JBJOBS_POSITION_TYPE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td >
										<?php 
										    $list_pos_tye = $model->getSelectPositionType('id_pos_type', $this->row->id_pos_type, '') ;
											echo $list_pos_tye; ?>
									</td>
								</tr>
								<?php break;
								case "id_job_exp": ?>
								<tr>
									<td class="key"><label for="id_job_exp"><?php echo JText::_('JBJOBS_MIN_EXPERIENCE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td >
										<?php $list_comp_type = $model->getSelectExpLevel('id_job_exp', $this->row->id_job_exp, '') ;
										 echo $list_comp_type; ?>
									</td>
								</tr>
								<?php break;
								case "id_degree_level": ?>
								<tr>
									<td class="key"><label for="id_degree_level"><?php echo JText::_('JBJOBS_MIN_EDUCATION'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td >
										<?php $list_degree_level= $model->getSelectDegreeLevel('id_degree_level',$this->row->id_degree_level,'') ;
										 echo $list_degree_level; ?>
									</td>
								</tr>
								<?php break;
								case "salary": ?>
								<tr>
									<td class="key"><label for="salary"><?php echo JText::_('JBJOBS_APROXIMATE_SALARY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td >
										<input class="inputbox" type="text" name="salary" id="salary" size="40" maxlength="255" value="<?php echo $this->row->salary; ?>" />
									</td>
								</tr>
								<tr>
									<td class="key"><label for="currency_salary"><?php echo JText::_('JBJOBS_CURRENCY_OF_SALARY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td >
										<input class="inputbox" type="text" name="currency_salary" id="currency_salary" size="40" maxlength="255" value="<?php echo $this->row->currency_salary; ?>" />
									</td>
								</tr>
								<tr>
									<td class="key"><label for="id_salary_type"><?php echo JText::_('JBJOBS_SALARY_TYPE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td >
										<?php $list_salary_type = $model->getSelectTypeSalary('id_salary_type', $this->row->id_salary_type, '') ;
										 echo $list_salary_type; ?>
									</td>
								</tr>
								<?php
							break;
							case "manage_applicant": ?>
								<tr>
									<td class="key"><label for="manage_applicant"><?php echo JText::_('JBJOBS_MANAGE_APPLICANTS'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<?php $list_manage_app = $model->getSelectManageApplicant('manage_applicant', $this->row->manage_applicant, 0);
										 echo $list_manage_app; ?>
									</td>
								</tr>
								<tr id="con_ext_apply_url" style="display:none">
									<td class="key"><label for="ext_apply_url"><?php echo JText::_('JBJOBS_JOB_APPLICATION_LINK'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<input class="inputbox" type="text" name="ext_apply_url" id="ext_apply_url" size="60" maxlength="100" value="<?php echo $this->row->ext_apply_url; ?>" />&nbsp;<?php echo JText::_('JBJOBS_INCLUDE_HTTP'); ?>
									</td>
								</tr>
							<?php break;
							} //child switch end
						} //child foreach end?>
					 </table>
				</fieldset>
			<?php 
			break; 
			case "job_desc": ?>
					<fieldset class="adminform">
						<legend><?php echo JText::_('JBJOBS_JOB_DESCRIPTION'); ?></legend>
						<table class="admintable" width="100%">
						<?php
						foreach($this->children as $child){ 
							switch ($child->field) {
								case "short_desc": ?>
									<tr>
										<td>
											<p>
												<strong><label for="short_desc"><?php echo JText::_('JBJOBS_SHORT_DESCRIPTION'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label></strong>
											</p>
											<textarea class="inputbox" style="width: 550px; height:100px;" name="short_desc" id="short_desc" 
											onKeyDown="limitText(this.form.short_desc, this.form.countdown, 256);" 
											onKeyUp="limitText(this.form.short_desc, this.form.countdown, 256);"><?php echo $this->row->short_desc; ?></textarea><br>
											<font size="1">(<?php echo JText::_('JBJOBS_MAX_CHARS'); ?> : 256)<br>
											<input readonly type="text" name="countdown" size="2" value="256"> <?php echo JText::_('JBJOBS_CHARS_LEFT'); ?></font>
										</td>			
									</tr>
									<?php break;
									case "long_desc": ?>
									<tr>
										<td>
											<p>
												<strong><?php echo JText::_('JBJOBS_LONG_DESCRIPTION'); ?> <span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</strong>
											</p>
											<?php echo $editor->display('long_desc',$this->row->long_desc ,'100%', '550', '75', '10') ;?>
										</td>
									</tr>
									<?php
									break;
								} //child switch end
							} //child foreach end?>							
					    </table>
					</fieldset>
			<?php 
			break; 
			case "google_map": ?>
				<fieldset class="adminform">
					<legend><?php echo JText::_('JBJOBS_GOOGLE_MAP'); ?></legend>
					<table class="admintable" width="100%">
						<?php
						foreach($this->children as $child){ 
							switch ($child->field) {
								case "address_geocode": ?>
									<tr>
										<td class="key"><label for="address_geocode"><?php echo JText::_('JBJOBS_ADDRESS_TO_GEOCODE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
										</td>
										<td class="">
											<input type="text" id="address_geocode" name="address_geocode" size="60" title="<?php echo JText::_('JBJOBS_ADDRESS_TO_GEOCODE'); ?>" value="<?php echo $this->row->address_geocode; ?>" />
											<input type="button" onclick="UpdateAddress()" id="inputButtonAddress" value="<?php echo JText::_('JBJOBS_UPDATE_ADDRESS'); ?>" class="button"/>
											<input type="button" onclick="codeAddress()" id="inputButtonGeocode" value="<?php echo JText::_('JBJOBS_CLICK_TO_GEOCODE'); ?>" class="button"/>
										</td>			
									</tr>
									<?php break;
								case "map_point": ?>
									<tr>
										<td class="key"><label for="map_point"><?php echo JText::_('JBJOBS_MAP_POINT'); ?>:</label>
										</td>
										<td class="">
											<div id="map" style="width: <?php echo $mapWidth?>px; height: <?php echo $mapHeight?>px; overflow:hidden;" class="border"></div>
										</td>			
									</tr>
									<?php break;
									case "lat_long": ?>
									<tr>
							            <td class="key"><label for="title"><?php echo JText::_('JBJOBS_LAT_LONG_ZOOM'); ?>:</label>
							            </td>
							            <td valign="top">
							                <input class="inputbox" onblur="IsReal('glat');" type="text" name="glat" id="glat" size="20" value="<?php echo $this->row->glat ?>" />
							                <input class="inputbox" onblur="IsReal('glng');" type="text" name="glng" id="glng" size="20" value="<?php echo $this->row->glng ?>" />
							                <input class="inputbox" onblur="IsReal('gzoom');" type="text" name="gzoom" id="gzoom" size="20" value="<?php echo $this->row->gzoom ?>" />
							                <!-- <input type="button" onclick="getCoordinate();" value="<?php echo JText::_('JBJOBS_LOCATE_COORDINATES'); ?>" />  -->
							            </td>
							    	</tr>
									<?php
								break;
								} //child switch end
							} //child foreach end?>	
					</table>
			<?php 
			break; 
			case "customfield": ?>
				<?php $model->showCustom($this->custom, $this->row->id, 'job'); ?>
			<?php break;
		 } //parent switch end
	 } //parent foreach end ?>
	</div>
	
	<div class="col width-50">
		<fieldset class="adminform">
			<legend><?php echo JText::_('JBJOBS_JOB_APPLICANTS_FOR').' '.$this->row->job_title; ?></legend>
			<?php echo JText::_('JBJOBS_APPLICANTS').' : '.count($this->apps); ?>
			<div style="max-height: 800px; overflow: auto;">
			<table class="adminlist">
				<thead>
					<tr class="jbj_rowhead">					
						<th><?php echo JText::_('#'); ?></th>	
						<th><?php echo JText::_('JBJOBS_APPLICANT'); ?></th>					
						<th><?php echo JText::_('JBJOBS_POSITION'); ?></th>
					</tr>
				</thead>
				<tbody>
				<?php
				$k = 0;
				for ($i=0, $n=count($this->apps); $i < $n; $i++) {
					$apl = $this->apps[$i];
					$link_applicant = JRoute::_('index.php?option=com_jbjobs&view=adminjob&layout=editjobseeker&cid[]='.$apl->jobseeker_id);
					?>
					<!-- Registered users applied to the job -->
					<?php if($apl->jseeker_id) : ?>
					<tr class="<?php echo "row$k"; ?>">
						<td>
							<?php echo $i+1; ?>
						</td>
						<td>
							<a href="<?php echo $link_applicant; ?>" ><?php  echo $apl->name; ?></a>				
						</td>
						<td>
							<?php echo $apl->current_position; ?>
						</td>
					</tr>
					<!-- Non-Registered / anonymous users applied to the job -->
					<?php else : ?>
					<tr class="<?php echo "row$k"; ?>">
						<td>
							<?php echo $i+1; ?>
						</td>
						<td>
							<?php 
								$ttl = JText::_('JBJOBS_APPLICANT');
								$msg = JText::_('JBJOBS_APPLICANT_NOT_REGISTERED_IN_THE_SITE').' ';
								$msg .= JText::sprintf('JBJOBS_ANONYMOUS_APPLICANT_DETAILS', $apl->contact_name, $apl->contact_email, $apl->contact_no);
							
							?>
							<span title="<?php echo $ttl."::".$msg;?>" class="hasTip"><?php  echo $apl->contact_name; ?></span>		
						</td>
						<td>
							<?php echo $apl->resume_title; ?>
						</td>
					</tr>	
					<?php endif; ?>
					<?php
					$k = 1 - $k;
				}
				?>
				</tbody>
			</table>
			</div>
		</fieldset>
	</div>	
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="savejob" />
	<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
    <?php echo JHTML::_( 'form.token' ); ?>
</form>