<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	04 November 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminjob/tmpl/editsubscr.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Edit subscription details
 ^ 
 * History		:	NONE
 * */
 defined('_JEXEC') or die('Restricted access');
 $model = $this->getModel();
 $config =& JTable::getInstance('config', 'Table');
 $config->load(1);
?>
<form action="index.php" method="post" name="adminForm">
	<fieldset class="adminform">
	<legend><?php echo JText::_('JBJOBS_USER_INFORMATION'); ?></legend>
	<table class="admintable">
		<tr>
		  <td class="key"><?php echo JText::_('JBJOBS_USER_TYPE'); ?>:</td>
		  <td>
			<?php echo $this->lists['user_type']; ?>
		  </td>
		</tr>
		<tr>
		  <td class="key"><?php echo JText::_('JBJOBS_USERNAME'); ?>:</td>
		  <td><?php echo  $this->users; ?></td>
		</tr>
	</table>
	</fieldset>
	
	<fieldset class="adminform">
	<legend><?php echo JText::_('JBJOBS_SUBSCR_INFO'); ?></legend>
	<table class="admintable">
		<tr>
		  <td class="key"><?php echo JText::_('JBJOBS_SUBSCR_ID'); ?>:</td>
		  <td><input type="text" size="8" value="<?php echo $this->row->id; ?>" disabled="disabled"/></td>
		</tr>
		<tr>
			<td class="key"><?php echo JText::_('JBJOBS_INVOICE_NO'); ?>:</td>
			<td><?php echo $this->row->invoiceNo; ?></td>
		</tr>
		<tr>
		  <td class="key"><?php echo JText::_('JBJOBS_PLAN_NAME'); ?>:</td>
		  <td><?php echo  $this->plans; ?></td>
		</tr>
		<tr>
		  <td class="key"><?php echo JText::_('JBJOBS_STATUS'); ?>:</td>
		  <td><?php $approved = $model->YesNoBool('approved', $this->row->approved);
			  echo  $approved; ?>
		  </td>
		</tr>
		<!--<TR>
		  <TD class="key"><?php echo JText::_('Access Limit'); ?>:</TD>
		  <TD><INPUT type="text" value="<?php echo $this->row->access_limit ?>" class="text_area" size="50" name="access_limit"/>  </TD>
		</TR>-->
		<?php if($this->row->date_approval != '0000-00-00 00:00:00' && $this->row->id > 0){?>
			<tr>
			  <td class="key"><?php echo JText::_('JBJOBS_STARTS_ON'); ?>:</td>
			  <td><?php 
			  	$approvalDate = $this->row->date_approval != "0000-00-00 00:00:00" ?  JHTML::_('date', $this->row->date_approval, '%Y-%m-%d %H:%M:%S') :  "";
			  	echo JHTML::_('calendar', $approvalDate, 'date_approval', 'date_approval', '%Y-%m-%d %H:%M:%S'); ?></td>
			</tr>
			<tr>
			  <td class="key"><?php echo JText::_('JBJOBS_ENDS_ON'); ?>:</td>
			  <td><?php 
			  	$expireDate = $this->row->date_expire != "0000-00-00 00:00:00" ?  JHTML::_('date', $this->row->date_expire, '%Y-%m-%d %H:%M:%S') :  "";
			  	echo JHTML::_('calendar', $expireDate, 'date_expire', 'date_expire', '%Y-%m-%d %H:%M:%S'); ?></td>
			</tr>
		<?php } ?>
	</table>
	</fieldset>
	
	<?php if($this->row->date_approval != '0000-00-00 00:00:00' && $this->row->id > 0){?>
	<fieldset class="adminform">
	<legend><?php echo JText::_('JBJOBS_PAYMENT_INFO'); ?></legend>
	<table class="admintable">
		<tr>
		  <td class="key"><?php echo JText::_('JBJOBS_TAX'); ?>:</td>
		  <td><input type="text" size="5" name="tax_percent" value="<?php echo $this->row->tax_percent; ?>" /> %</td>
		</tr>
		<tr>
		  <td class="key"><?php echo JText::_('JBJOBS_TOTAL_AMOUNT'); ?> (<?php echo $config->currencysymbol; ?>):</td>
		  <td><input type="text" size="5" name="price" value="<?php echo number_format($this->row->price, 2, '.', ','); ?>" /></td>
		</tr>
		<tr>
		  <td class="key"><?php echo JText::_('JBJOBS_CREDIT_ADDED'); ?>:</td>
		  <td><input type="text" size="5" name="credit" value="<?php echo $this->row->credit; ?>" /></td>
		</tr>
		<tr>
		  <td class="key"><?php echo JText::_('JBJOBS_PAYMENT_GATEWAY'); ?>:</td>
		  <td><?php echo JBjobs::getGwayName($this->row->gateway); ?></td>
		</tr>
		
	</table>
	</fieldset>
	<?php } ?>
	
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="view" value="adminjob" />
	<input type="hidden" name="layout" value="editsubscr" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="id" value="<?php echo $this->row->id;?>">
	<input type="hidden" name="gateway" value="<?php echo ($this->row->gateway ? $this->row->gateway : '.byadmin' );?>" />
	<!--<input type="hidden" name="gateway_id" value="<?php echo ($this->row->gateway_id ? $this->row->gateway_id : time() );?>" />-->
	<input type="hidden" name="hidemainmenu" value="0" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>

