<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	10 January 2011
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminjob/tmpl/recommendjob.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows list of recommended jobs for jobseekers (jbjobs)
 * */
defined('_JEXEC') or die('Restricted access');
$cid 	= JRequest::getVar('cid', array(0), '', 'array');
$user =& JFactory::getUser();		
?>
<form action="index.php" method="post" name="adminForm">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="10">
				<?php echo JText::_( '#' ); ?>
			</th>
			<th width="10" >
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->rows); ?>);" />
			</th>
			<!--<th width="30%" align="left">
				<?php echo JHTML::_( 'grid.sort', JText::_( 'Job Title' ), 'a.job_title', $this->lists['order_Dir'], $this->lists['order']); ?>
			</th>-->
			<th width="70%" align="left">
				<?php echo JText::_( 'Jobs' ); ?>
			</th>
			<th width="10%" align="left">
				<?php echo JText::_( 'Status' ); ?>
			</th>
			<th width="20%" align="left">
				<?php echo JText::_( 'Sent Date' ); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="10">
				<?php echo $this->pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
	<?php
	$k = 0;
	for ($i=0, $n=count($this->rows); $i < $n; $i++) {
		$row = $this->rows[$i];

		$link_edit	= JRoute::_( 'index.php?option=com_jbjobs&view=adminjob&layout=editjob&cid[]='. $row->id );
		$row->checked_out = 0;
		$checked = JHTML::_('grid.checkedout', $row, $i);
		
	?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $this->pageNav->getRowOffset($i); ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td>
				<a href="<?php echo $link_edit;?>"><?php echo $row->job_title; ?></a>					
			</td>
			<td>
			<?php foreach ($this->alerts as $alert) {
				$jobid = explode(',',$alert->jobid );?>
				
				<?php if(in_array($row->id, $jobid)) : ?>
					<?php echo JText::_('Sent'); ?>
				<?php else: ?>
				
			<?php 
			endif;
			}?>
			</td>
			<td>
			<?php foreach ($this->alerts as $alert) {
				$jobid = explode(',', $alert->jobid );?>
				
				<?php if(in_array($row->id, $jobid)) : ?>
					<?php echo $alert->lastAlertSent; ?>
				<?php else: ?>
				
			<?php 
			endif;
			}?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</tbody>
	</table>

	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="view" value="adminjob" />
	<input type="hidden" name="layout" value="recommendjob" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="cid" value="<?php echo $cid[0]; ?>" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>