<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminjob/tmpl/showbilling.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Show Credit purchase transactions (jbjobs)
 ^ 
 * History		:	NONE
 * */
 defined('_JEXEC') or die('Restricted access');

?>
<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
	<table>
		<tr>
			<td width="20%">
				<?php echo JText::_('JBJOBS_INVOICE_NO'); ?>:
				<input type="text" name="cinv_num" id="cinv_num" size="20" maxlength="50" value="<?php echo htmlspecialchars($this->lists['cinv_num']);?>" class="text_area"  />
			</td>
			<td width="15%">
				<?php echo JText::_('JBJOBS_USERID'); ?>:
				<input type="text" name="cuser_id" id="cuser_id" size="5" maxlength="8" value="<?php echo htmlspecialchars($this->lists['cuser_id']);?>" class="text_area"  />
			</td>
			<td width="65%">
				<?php echo JText::_('JBJOBS_CREDIT_ID'); ?>:
				<input type="text" name="ccredit_id" id="ccredit_id" size="5" maxlength="8" value="<?php echo htmlspecialchars($this->lists['ccredit_id']);?>" class="text_area"  />
				<button onclick="this.form.submit();"><?php echo JText::_('GO'); ?></button>
				<button onclick="document.getElementById('cinv_num').value='';
								document.getElementById('cuser_id').value='';
								document.getElementById('ccredit_id').value='';
								this.form.getElementById('cgateways').value='';
								this.form.getElementById('cstatus').value='a';
								this.form.submit();"><?php echo JText::_('RESET'); ?>
				</button>
			</td>
			<td nowrap="nowrap" align="right">
				<?php echo $this->lists['cgateways']; ?>
				<?php echo $this->lists['cstatus']; ?>
			</td>
		</tr>
	</table>
	
	<table class="adminlist">
	<thead>
		<tr>
			<th width="10">
				<?php echo JText::_( '#' ); ?>
			</th>
			<th width="10" >
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->rows); ?>);" />
			</th>
			<th width="10%" align="left">
				<?php echo JText::_('JBJOBS_DATE_BUY'); ?>
			</th>
			<th width="25%" align="left">
				<?php echo JText::_('JBJOBS_NAME'); ?>
			</th>
			<th width="10%" align="left">
				<?php echo JText::_('JBJOBS_GATEWAY'); ?>
			</th>
			<th width="10%" align="left">
				<?php echo JText::_('JBJOBS_STATUS'); ?>
			</th>
			<th width="10%" align="left">
				<?php echo JText::_('JBJOBS_APPROVED'); ?>
			</th>
			<th width="5%" align="left">
				<?php echo JText::_('JBJOBS_CREDITS'); ?>
			</th>
			<th width="5%" align="left">
				<?php echo JText::_('JBJOBS_PRICE'); ?>
			</th>
			<th width="5%" align="left">
				<?php echo JText::_('JBJOBS_TAX_AMT'); ?>
			</th>
			<th width="5%" align="left">
				<?php echo JText::_('JBJOBS_TOTAL_AMOUNT'); ?>
			</th>
			<th width="15%" align="left">
				<?php echo JText::_('JBJOBS_INVOICE_NO'); ?>
			</th>
			<th width="10%" align="left">
				<?php echo JText::_('JBJOBS_CREDIT_ID'); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="13">
				<?php echo $this->pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
	<?php
	$k = 0;
	for ($i=0, $n=count($this->rows); $i < $n; $i++) {
		$row = $this->rows[$i];

		$row->checked_out = 0;
		$checked 	= JHTML::_('grid.checkedout', $row, $i );
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $this->pageNav->getRowOffset( $i ); ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td>
				<?php echo JHTML::Date($row->date_buy, '%Y-%m-%d') ?>
			</td>
			<td>
				<?php echo $row->name ?>				
			</td>
			<td>
				<?php echo JBjobs::getGwayName($row->gateway); ?>
			</td>
			<td>
				<?php echo ($row->approval == 'y') ? JText::_('JBJOBS_APPROVED') : JText::_('JBJOBS_UNAPPROVED'); ?>
			</td>
			<td>
				<?php echo ($row->approval_date != "0000-00-00 00:00:00" ?  JHTML::_('date', $row->approval_date, '%Y-%m-%d') :  "Never"); ?>
			</td>
			<td align="right">
				<?php echo $row->credit;?>
			</td>
			<td align="right">
				<?php echo number_format($row->amount, 2, '.', ','); ?>
			</td>
			<td align="right">
				<?php $taxamt = ($row->tax_percent/100)*$row->amount;
				echo number_format($taxamt, 2, '.', ','); ?>
			</td>
			<td align="right">
				<?php $total = $taxamt + $row->amount;
				echo number_format($total, 2, '.', ','); ?>
			</td>
			<td align="right">
				<?php echo $row->invoiceNo;?>
			</td>
			<td align="right">
				<?php echo $row->id;?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</tbody>
	</table>

	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="view" value="adminjob" />
	<input type="hidden" name="layout" value="showbilling" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>