<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminjob/tmpl/showemployer.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Show list of employers (jbjobs)
 * */
  defined('_JEXEC') or die('Restricted access');

 $jbtask = JRequest::getVar('jbtask', '');
 $ename = JRequest::getVar('ename');
 //get the number to attach to the id of the input to update after selecting a menu item
 $elId = JRequest::getVar('elId');
	
?>
	<form action="index.php" method="post" name="adminForm">
		<table>
		<tr>
			<td width="100%">
				<?php echo JText::_( 'Filter' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo htmlspecialchars($this->lists['search']);?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
		</tr>
		</table>
			
		<table class="adminlist">
		<thead>
			<tr>
				<th width="10">
					<?php echo '#'; ?>
				</th>
				<th width="10" >
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->rows); ?>);" />
				</th>
				<th width="20%" align="left">
					<?php echo JHTML::_( 'grid.sort', 'JBJOBS_NAME', 'a.firstname', $this->lists['order_Dir'], $this->lists['order']); ?>
				</th>
				<th width="20%" align="left">
					<?php echo JHTML::_( 'grid.sort', 'JBJOBS_COMPANY_NAME', 'a.comp_name', $this->lists['order_Dir'], $this->lists['order']); ?>
				</th>
				<th width="20%" align="left">
					<?php echo JText::_('JBJOBS_ADDRESS'); ?>
				</th>
				<th width="15%" align="left">
					<?php echo JText::_('JBJOBS_STATE'); ?>
				</th>
				<th width="10%" align="left">
					<?php echo JText::_('JBJOBS_COUNTRY'); ?>
				</th>
				<th width="10%" align="left">
					<?php echo JText::_('JBJOBS_PHONE'); ?>
				</th>
				<th width="5%" align="right">
					<?php echo JText::_('JBJOBS_CREDITS'); ?>
				</th>
				<th width="10" align="left">
					<?php echo JHTML::_( 'grid.sort', 'JBJOBS_USERID', 'b.id', $this->lists['order_Dir'], $this->lists['order']); ?>
				</th>				
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pageNav->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->rows); $i < $n; $i++) {
			$row = $this->rows[$i];
			$uurl = 'index.php?option=com_users&view=user&task=edit&hidemainmenu=1&cid='.$row->user_id;
			$link_edit	= JRoute::_( 'index.php?option=com_jbjobs&view=adminjob&layout=editemployer&cid[]='. $row->id );
			$row->checked_out = 0;
			$checked 	= JHTML::_('grid.checkedout', $row, $i );
			
			//The following code has been added for module browing to get id
			$onclick = '';
			if($jbtask == 'getid'){
		 		$onclick = "window.parent.jSelectItemid('$ename', '$row->user_id', $elId)";
			}
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
					<?php echo $this->pageNav->getRowOffset( $i ); ?>
				</td>
				<td>
					<?php echo $checked; ?>
				</td>
				<td>
					<a href="<?php echo $link_edit;?>" onclick="<?php echo $onclick; ?>" ><?php echo $row->firstname; ?>&nbsp;<?php echo $row->lastname; ?> ,<?php echo $row->salutation;?>&nbsp;<?php echo $row->other_title?> </a>					
				</td>
				<td>
					<?php echo $row->comp_name;?>
				</td>
				<td>
					<?php echo $row->street_addr;?>
				</td>
				<td>
					<?php echo $row->state;?>
				</td>
				<td>
					<?php echo $row->country;?>
				</td>
				<td>
					<?php echo $row->primary_phone;?>
				</td>
				<td style="text-align: right;">
					<?php echo number_format($row->total_credit, 2, '.', '');?>
				</td>
				<td>
					<a href="<?php echo $uurl; ?>" title="<?php echo JText::_('Click here to edit the user'); ?>" onclick="<?php echo $onclick; ?>" ><?php echo $row->user_id;?></a>
				</td>					
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
		</tbody>
		</table>

	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="view" value="adminjob" />
	<input type="hidden" name="layout" value="showemployer" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
	
	<input type="hidden" name="jbtask" value="<?php echo $jbtask; ?>" />
	<input type="hidden" name="ename" value="<?php echo $ename; ?>" />
	<input type="hidden" name="elId" value="<?php echo $elId; ?>" />
	<?php if($jbtask == 'getid'){?>
	<input type="hidden" name="tmpl" value="<?php echo JRequest::getVar('tmpl'); ?>" />
	<?php }?>
	<?php echo JHTML::_( 'form.token' ); ?>
	</form>