<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	10 January 2011
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminjob/tmpl/showjobalert.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Show the job alerts set by jobseekers (jbjobs)
 * */
defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.tooltip');
?>
<form action="index.php?option=com_jbjobs&view=adminjob&layout=showjobalert" method="post" name="adminForm">
	<table>
		<tr>
			<!--<td width="100%">
				<?php echo JText::_( 'Filter' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo htmlspecialchars($this->lists['search']);?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_job_status').value='0';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
			--><td nowrap="nowrap">
				<?php //echo $this->lists['job_status'];?>
			</td>
		</tr>
	</table>
		
	<table class="adminlist">
		<thead>
			<tr>
				<th width="10">
					<?php echo JText::_('#'); ?>
				</th>
				<th width="10" >
					<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->rows); ?>);" />
				</th>
				<th width="25%" align="left">
					<?php echo JHTML::_( 'grid.sort', 'JBJOBS_JOBALERT_TITLE', 'a.job_title', $this->lists['order_Dir'], $this->lists['order']); ?>
				</th>
				<th width="25%" align="left">
					<?php echo JHTML::_( 'grid.sort', 'JBJOBS_JOBSEEKER_NAME', 'e.comp_name', $this->lists['order_Dir'], $this->lists['order']); ?>
				</th>
				<th width="15%" align="left">
					<?php echo JHTML::_( 'grid.sort', 'JBJOBS_KEYWORDS', 'b.specialization', $this->lists['order_Dir'], $this->lists['order']); ?>
				</th>
				<th width="10%" align="left">
					<?php echo JHTML::_( 'grid.sort', 'JBJOBS_JOB_SPECIALIZATION', 'a.publish_date', $this->lists['order_Dir'], $this->lists['order']); ?>
				</th>
				<th width="5%" align="left">
					<?php echo JHTML::_( 'grid.sort', 'JBJOBS_FREQUENCY', 'a.expire_date', $this->lists['order_Dir'], $this->lists['order']); ?>
				</th>
				<th width="5%" align="left">
					<?php echo JText::_('JBJOBS_SUBSCRIBED'); ?>
				</th>
				<th width="5%" align="left">
					<?php echo JHTML::_( 'grid.sort', 'JBJOBS_USERID', 'a.id', $this->lists['order_Dir'], $this->lists['order']); ?>
				</th>
				<th width="5%" align="left">
					<?php echo JText::_('JBJOBS_VIEW_JOBS'); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pageNav->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->rows); $i < $n; $i++) {
			$row = $this->rows[$i];

			$link_edit	= JRoute::_('index.php?option=com_jbjobs&view=adminjob&layout=editjobalert&cid[]='. $row->id );
			$link_rec_job = JRoute::_('index.php?option=com_jbjobs&view=adminjob&layout=recommendjob&cid[]='. $row->id );
			$row->checked_out = 0;
			$checked = JHTML::_('grid.checkedout', $row, $i);
			$specs = getJobSpec($row->id_job_spec);
		?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
					<?php echo $this->pageNav->getRowOffset($i); ?>
				</td>
				<td>
					<?php echo $checked; ?>
				</td>
				<td>
					<a href="<?php echo $link_edit;?>"><?php echo $row->alert_title; ?></a>					
				</td>
				<td>
					<?php echo $row->first_name; ?>
				</td>
				<td>
					<?php echo $row->keyword; ?>
				</td>
				<td class="hasTip" title="Specialization::<?php echo $specs; ?>">
					<?php echo $row->id_job_spec; ?>
				</td>
				<td align="center">
					<?php echo getFrequency($row->frequency); ?>
				</td>
				<td align="center">
					<?php
						if($row->subscribed) { ?>
							<img src="images/tick.png"/>
					<?php }else { ?>
							<img src="images/publish_x.png"/>
					<?php } ?>
				</td>
				<td>
					<?php echo $row->userid; ?>
				</td>
				<td>
					<a href="<?php echo $link_rec_job; ?>"><?php echo JText::_('VIEW')?></a>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
		</tbody>
	</table>

	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="view" value="adminjob" />
	<input type="hidden" name="layout" value="showjobalert" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
	<?php echo JHTML::_('form.token'); ?>
</form>
<?php 
	function getFrequency($freqType){
		if($freqType == 'd')
			$lang = JText::_('JBJOBS_DAILY');
		elseif($freqType == 'w')
			$lang = JText::_('JBJOBS_WEEKLY');
		elseif($freqType == 'm')
			$lang = JText::_('JBJOBS_MONTHLY');
		return $lang;
	}
	function getJobSpec($specIds){
		$db	= & JFactory::getDBO();
		$query = "SELECT js.specialization FROM #__jbjobs_job_spec js WHERE js.id IN(".$specIds.")";
		$db->setQuery($query);
		$specs = $db->loadResultArray();
		
		$specs = implode(',<BR>', $specs);
	
	 	return $specs;
	
	}
?>