<?php
/**
+ Created by	:	JoomBah Team
* Company		:	ISDS Sdn Bhd
+ Contact		:	www.joombah.com , support@joombah.com
* Created on	:	August 2010
* Author 		:	Faisel
+ Project		: 	Job site
* File Name		:	install.jbjobs.php
* License		:	GNU General Public License version 3, or later
^ 
* Description	: 	Installation file (jbjobs)
^ 
* History		:	NONE
^ 
* */
defined('_JEXEC') or die('Restricted access');

function com_install() {
	$db =& JFactory::getDBO();
	
	// Insert the required data to the tables
	//1. Country
	$query = "SELECT COUNT(*) FROM #__jbjobs_country ";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_country` VALUES ('1', 'Brunei Darussalam', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('2', 'United Kingdom', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('3', 'United States', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('4', 'India', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('5', 'Canada', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('6', 'China', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('7', 'France', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('8', 'Germany', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('9', 'Italy', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('10', 'Japan', 1)
				INSERT INTO `#__jbjobs_country` VALUES ('11', 'Kuwait', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('12', 'Mexico', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('13', 'Netherlands', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('14', 'Norway', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('15', 'Russia', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('16', 'Saudi Arabia', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('17', 'Singapore', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('18', 'Spain', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('19', 'Switzerland ', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('20', 'Hongkong', 1);
				INSERT INTO `#__jbjobs_country` VALUES ('21', 'Other Locations', 1);";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//2. Major
	$query = "SELECT COUNT(*) FROM #__jbjobs_major ";	
	$db->setQuery($query);	
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_major` VALUES ('1', 'Accounting', 1, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('2', 'Agriculture', 2, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('3', 'Automobile', 3, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('4', 'Aviation', 4, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('5', 'Bio-Chemistry/Bio-Technology', 5, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('6', 'Biomedical', 6, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('7', 'Ceramics', 7, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('8', 'Chemical', 8, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('9', 'Civil', 9, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('10', 'Computers/IT', 10, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('11', 'Electrical', 11, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('12', 'Electronics/Telecommunication', 12, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('13', 'Energy', 13, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('14', 'Environmental', 14, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('15', 'Instrumentation', 15, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('16', 'Marine', 16, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('17', 'Mechanical', 17, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('18', 'Metallurgy', 18, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('19', 'Mineral', 19, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('20', 'Mining', 20, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('21', 'Nuclear', 21, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('22', 'Paint/Oil', 22, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('23', 'Petroleum', 23, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('24', 'Plastics', 24, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('25', 'Production/Industrial', 25, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('26', 'Textile', 26, 1);
				INSERT INTO `#__jbjobs_major` VALUES ('27', 'Other', 27, 1);";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//3. Degree Level
	$query = "SELECT COUNT(*) FROM #__jbjobs_degree_level ";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_degree_level` VALUES ('1', 'Not Pursuing Graduation', 1, 1);
				INSERT INTO `#__jbjobs_degree_level` VALUES ('2', 'High School or Equivalent', 2, 1);
				INSERT INTO `#__jbjobs_degree_level` VALUES ('3', 'Associates Degree', 3, 1);
				INSERT INTO `#__jbjobs_degree_level` VALUES ('4', 'Bachelors Degree', 4, 1);
				INSERT INTO `#__jbjobs_degree_level` VALUES ('5', 'Masters Degree', 5, 1);
				INSERT INTO `#__jbjobs_degree_level` VALUES ('6', 'Doctorate', 6, 1);
				INSERT INTO `#__jbjobs_degree_level` VALUES ('7', 'Professional', 7, 1);";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//4. Salary type
	$query = "SELECT COUNT(*) FROM #__jbjobs_type_salary ";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_type_salary` VALUES ('1', 'Per Hour', 1, 1);
				INSERT INTO `#__jbjobs_type_salary` VALUES ('2', 'Per Month', 2, 1);
				INSERT INTO `#__jbjobs_type_salary` VALUES ('3', 'Per Week', 3, 1);
				INSERT INTO `#__jbjobs_type_salary` VALUES ('4', 'Per Year', 4, 1);";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//5. Job Experience
	$query = "SELECT COUNT(*) FROM #__jbjobs_job_exp ";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_job_exp` VALUES ('1', 'Fresh Graduate', 1, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('2', '1 Year', 2, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('3', '2 Years', 3, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('4', '3 Years', 4, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('5', '4 Years', 5, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('6', '5 Years', 6, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('7', '6 Years', 7, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('8', '7 Years', 8, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('9', '8 Years', 9, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('10', '9 Years', 10, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('11', '10 Years', 11, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('12', '11-15 Years', 12, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('13', '16-20 Years', 13, 1);
				INSERT INTO `#__jbjobs_job_exp` VALUES ('14', 'Above 20 Years', 14, 1);";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//6. Company Type
	$query = "SELECT COUNT(*) FROM #__jbjobs_comp_type ";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_comp_type` VALUES ('1', 'Direct Employer');
				INSERT INTO `#__jbjobs_comp_type` VALUES ('2', 'Job Agent');";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//7. Salutation
	$query = "SELECT COUNT(*) FROM #__jbjobs_salutation ";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_salutation` VALUES ('1', 'Mr.');
				INSERT INTO `#__jbjobs_salutation` VALUES ('2', 'Ms.');
				INSERT INTO `#__jbjobs_salutation` VALUES ('3', 'Mrs.');";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//8. Position Type
	$query = "SELECT COUNT(*) FROM #__jbjobs_pos_type ";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_pos_type` VALUES ('1', 'Full-Time', 1, 1);
				INSERT INTO `#__jbjobs_pos_type` VALUES ('2', 'Part-Time', 2, 1);
				INSERT INTO `#__jbjobs_pos_type` VALUES ('3', 'Freelance', 3, 1);
				INSERT INTO `#__jbjobs_pos_type` VALUES ('4', 'Contract', 4, 1);";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//9. Industry
	$query = "SELECT COUNT(*) FROM #__jbjobs_industry ";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_industry` VALUES ('1', 'Accounting/Finance', 1, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('2', 'Advertising/PR/MR/Events', 2, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('3', 'Agriculture/Dairy', 3, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('4', 'Animation', 4, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('5', 'Architecture/Interior Designing', 5, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('6', 'Auto/Auto Ancillary', 6, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('7', 'Aviation/Aerospace Firms', 7, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('8', 'Banking/Financial Services/Broking', 8, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('9', 'BPO/ITES', 9, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('10', 'Brewery/Distillery', 10, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('11', 'Ceramics /Sanitary ware', 11, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('12', 'Chemicals/PetroChemical/Plastic/Rubber', 12, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('13', 'Construction/Engineering/Cement/Metals', 13, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('14', 'Consumer Durables', 14, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('15', 'Courier/Transportation/Freight', 15, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('16', 'Defence/Government', 16, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('17', 'Education/Teaching/Training', 17, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('18', 'Electricals/Switchgears', 18, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('19', 'Export/Import', 19, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('20', 'Facility Management', 20, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('21', 'Fertilizers/Pesticides', 21, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('22', 'FMCG/Foods/Beverage', 22, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('23', 'Food Processing', 23, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('24', 'Fresher/Trainee', 24, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('25', 'Gems & Jewellery', 25, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('26', 'Glass', 26, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('27', 'Heat Ventilation Air Conditioning', 27, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('28', 'Hotels/Restaurants/Airlines/Travel', 28, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('29', 'Industrial Products/Heavy Machinery', 29, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('30', 'Insurance', 30, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('31', 'IT-Hardware & Networking', 31, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('32', 'IT-Software/Software Services', 32, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('33', 'KPO/Research /Analytics', 33, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('34', 'Legal', 34, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('35', 'Media/Dotcom/Entertainment', 35, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('36', 'Medical/Healthcare/Hospital', 36, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('37', 'Mining', 37, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('38', 'NGO/Social Services', 38, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('39', 'Office Equipment/Automation', 39, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('40', 'Oil and Gas/Power/Infrastructure/Energy', 40, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('41', 'Paper', 41, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('42', 'Pharma/Biotech/Clinical Research', 42, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('43', 'Printing/Packaging', 43, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('44', 'Publishing', 44, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('45', 'Real Estate/Property', 45, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('46', 'Recruitment', 46, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('47', 'Retail', 47, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('48', 'Security/Law Enforcement', 48, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('49', 'Semiconductors/Electronics', 49, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('50', 'Shipping/Marine', 50, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('51', 'Steel', 51, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('52', 'Strategy /Management Consulting Firms', 52, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('53', 'Telcom/ISP', 53, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('54', 'Textiles/Garments/Accessories', 54, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('55', 'Tyres', 55, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('56', 'Water Treatment/Waste Management', 56, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('57', 'Wellness/Fitness/Sports', 57, 1);
				INSERT INTO `#__jbjobs_industry` VALUES ('58', 'Other', 58, 1);";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//10. Job Category
	//First Check : Job Category
	$query = "SELECT COUNT(*) FROM #__jbjobs_job_categ";
	$db->setQuery($query);
	$check_category = $db->loadResult();
	$query = "SELECT COUNT(*) FROM #__jbjobs_job_spec";
	$db->setQuery($query);
	$check_spec = $db->loadResult();
	//Second check : Job Specialization
	if($check_category == 0 and $check_spec == 0){
		//Insert category
		$query = "INSERT INTO `#__jbjobs_job_categ` VALUES ('1', 'Accounting', 1, 1);
				INSERT INTO `#__jbjobs_job_categ` VALUES ('2', 'Banking & Finance', 2, 1);
				INSERT INTO `#__jbjobs_job_categ` VALUES ('3', 'Business Administration', 3, 1);
				INSERT INTO `#__jbjobs_job_categ` VALUES ('4', 'Engineering', 4, 1);
				INSERT INTO `#__jbjobs_job_categ` VALUES ('5', 'Facilities & Services', 5, 1);
				INSERT INTO `#__jbjobs_job_categ` VALUES ('6', 'Health Care', 6, 1);
				INSERT INTO `#__jbjobs_job_categ` VALUES ('7', 'Info & Tech', 7, 1);
				INSERT INTO `#__jbjobs_job_categ` VALUES ('8', 'Sales & Marketing', 8, 1);
				INSERT INTO `#__jbjobs_job_categ` VALUES ('9', 'Training & Education', 9, 1);
				INSERT INTO `#__jbjobs_job_categ` VALUES ('10', 'Others', 10, 1);";
		$db->setQuery($query);
		$db->queryBatch();
		
		//Insert Specialization	
		$query = "INSERT INTO `#__jbjobs_job_spec` VALUES ('1', 'Audit/Taxation', '1', 1, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('2', 'Cashiers and Clerks', '1', 2, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('3', 'General and Cost Accounting', '1', 3, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('4', 'Banking Services', '2', 4, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('5', 'Corporate Finance/Investment', '2', 5, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('6', 'Financial Services', '2', 6, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('7', 'Merchant Banking', '2', 7, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('8', 'Corporate Planning/Consulting', '3', 8, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('9', 'Administration/HR/IR', '3', 9, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('10', 'Public Relations/Communications', '3', 10, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('11', 'Quality Control/Assurance', '3', 11, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('12', 'Quantity Surveying', '3', 12, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('13', 'Site Engineering/Project Management', '3', 13, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('14', 'Architecture/Interior Design', '4', 14, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('15', 'Biotechnology', '4', 15, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('16', 'Civil/Construction/Structural', '4', 16, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('17', 'Electrical and Electronics', '4', 17, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('18', 'Electronics and Communication', '4', 18, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('19', 'Environmental/Health/Safety', '4', 19, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('20', 'Industrial/ Mechanical/ Automotive', '4', 20, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('21', 'Oil and Gas', '4', 21, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('22', 'Process Design & Control/Instrumentation', '4', 22, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('23', 'Others', '4', 23, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('24', 'Maintenance/Repair (Facilities & Machinery)', '5', 24, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('25', 'Logistics/Supply Chain', '5', 25, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('26', 'Social & Counseling Service', '5', 26, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('27', 'Technical & Helpdesk Support', '5', 27, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('28', 'Training & Development', '5', 28, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('29', 'Security/Armed Forces/Protective Services', '5', 29, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('30', 'Food/Beverage/Restaurant Service', '5', 30, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('31', 'Pharmacy', '6', 31, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('32', 'Doctor/Diagnosis', '6', 32, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('33', 'Nurse/Medical Support & Assistant', '6', 33, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('34', 'Food Technology/Nutritionist', '6', 34, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('35', 'IT- Hardware/Telecom/Technical Staff/Support', '7', 35, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('36', 'IT Software- Mobile', '7', 36, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('37', 'IT Software- Programming', '7', 37, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('38', 'IT Software- DBA/Data warehousing', '7', 38, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('39', 'IT Software- E-Commerce/Internet Technologies', '7', 39, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('40', 'IT Software- Network Administration/Security', '7', 40, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('41', 'IT Software- QA & Testing', '7', 41, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('42', 'IT Software- Systems/EDP/MIS', '7', 42, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('43', 'IT Software- Other', '7', 43, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('44', 'Web/Graphic Design/Visualiser', '7', 44, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('45', 'Marketing / Telemarketing', '8', 45, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('46', 'Retail/General', '8', 46, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('47', 'Teachers, Lecturers and Trainers', '9', 47, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('48', 'Professors & Assistant Professors', '9', 48, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('49', 'Agriculture/Fisheries & Forestry', '10', 49, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('50', 'General Work', '10', 50, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('51', 'Construction Labors', '10', 51, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('52', 'General and Skilled Labors', '10', 52, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('53', 'Content/Journalism', '10', 53, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('54', 'Secretary/Front Office/Data Entry', '10', 54, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('55', 'Guards/Security Services', '10', 55, 1);
				INSERT INTO `#__jbjobs_job_spec` VALUES ('56', 'Hotels/Restaurants', '10', 56, 1);";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//11. University
	$query = "SELECT COUNT(*) FROM #__jbjobs_university ";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_university` VALUES ('1', 'University Brunei Darussalam');
				INSERT INTO `#__jbjobs_university` VALUES ('2', 'California Institute of Technology');
				INSERT INTO `#__jbjobs_university` VALUES ('3', 'Columbia University');
				INSERT INTO `#__jbjobs_university` VALUES ('4', 'Cornell University');
				INSERT INTO `#__jbjobs_university` VALUES ('5', 'Harvard University');
				INSERT INTO `#__jbjobs_university` VALUES ('6', 'Massachusetts Institute of Technology');
				INSERT INTO `#__jbjobs_university` VALUES ('7', 'Princeton University');
				INSERT INTO `#__jbjobs_university` VALUES ('8', 'Stanford University');
				INSERT INTO `#__jbjobs_university` VALUES ('9', 'Tokyo University');
				INSERT INTO `#__jbjobs_university` VALUES ('10', 'University of California');
				INSERT INTO `#__jbjobs_university` VALUES ('11', 'University of Cambridge');
				INSERT INTO `#__jbjobs_university` VALUES ('12', 'University of Chicago');
				INSERT INTO `#__jbjobs_university` VALUES ('13', 'University of Michigan');
				INSERT INTO `#__jbjobs_university` VALUES ('14', 'University of Oxford');
				INSERT INTO `#__jbjobs_university` VALUES ('15', 'University of Washington');";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//12. Standard Field Settings table
	$query = "SELECT COUNT(*) FROM #__jbjobs_fieldorder";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('1', 'userinformation', 'User Information', '1', null, '1', '1', '1', '0', '1', '0', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('2', 'username', 'Username', '1', null, '1', '1', '1', '0', '0', '1', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('3', 'firstname', 'First Name', '2', null, '1', '1', '1', '0', '1', '1', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('4', 'lastname', 'Last Name', '3', null, '1', '1', '1', '0', '0', '1', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('5', 'id_salutation', 'Salutation', '4', null, '1', '1', '1', '0', '1', '1', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('6', 'other_title', 'Other Title', '5', null, '1', '1', '1', '0', '0', '1', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('7', 'companyinfo', 'Company Information', '2', null, '1', '1', '1', '0', '1', '0', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('8', 'comp_name', 'Company Name', '1', null, '1', '1', '1', '0', '1', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('9', 'id_industry', 'Industry', '2', null, '1', '1', '1', '0', '1', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('10', 'id_comp_type', 'Company Type', '3', null, '1', '1', '1', '0', '1', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('11', 'street_addr', 'Address', '4', null, '1', '1', '1', '0', '1', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('12', 'id_country', 'Country', '5', null, '1', '1', '1', '0', '1', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('13', 'state', 'District/State', '6', null, '1', '1', '1', '0', '1', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('14', 'city', 'City', '7', null, '1', '1', '1', '0', '1', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('15', 'zip', 'Zip / Post Code', '8', null, '1', '1', '1', '0', '1', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('16', 'primary_phone', 'Primary Phone', '9', null, '1', '1', '1', '0', '1', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('17', 'fax_number', 'Fax Number', '10', null, '1', '1', '1', '0', '0', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('18', 'comp_overview', 'Company Overview', '11', null, '1', '1', '1', '0', '0', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('19', 'comp_history', 'Company History', '12', null, '1', '1', '1', '0', '0', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('20', 'comp_benefits', 'Company Benefits', '13', null, '1', '1', '1', '0', '0', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('21', 'complogo', 'Company Logo', '14', null, '1', '1', '1', '0', '0', '7', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('22', 'privacy', 'Privacy Settings', '3', null, '1', '1', '1', '0', '0', '0', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('23', 'billing', 'Billing Address', '4', null, '1', '1', '1', '0', '0', '0', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('24', 'bill_addr', 'Address', '1', null, '1', '1', '1', '0', '1', '23', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('25', 'bill_addr_cont', 'Address Line 2', '2', null, '1', '1', '1', '0', '0', '23', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('26', 'bill_id_country', 'Country', '3', null, '1', '1', '1', '0', '1', '23', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('27', 'bill_state', 'State', '4', null, '1', '1', '1', '0', '1', '23', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('28', 'bill_city', 'City', '5', null, '1', '1', '1', '0', '1', '23', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('29', 'bill_zip', 'Zip', '6', null, '1', '1', '1', '0', '1', '23', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('30', 'bill_phone', 'Phone', '7', null, '1', '1', '1', '0', '1', '23', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('31', 'customfield', 'Custom Fields', '5', null, '1', '1', '1', '0', '1', '0', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('32', 'personal_tab', 'JBJOBS_PERSONAL_INFO', '1', null, '2', '1', '1', '0', '1', '0', 'JBJOBS_', null, '0');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('33', 'userinformation', 'User Information', '1', null, '2', '1', '1', '0', '1', '32', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('34', 'username', 'Username', '1', null, '2', '1', '1', '0', '0', '33', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('35', 'first_name', 'First Name', '2', null, '2', '1', '1', '0', '1', '33', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('36', 'last_name', 'Last Name', '3', null, '2', '1', '1', '0', '0', '33', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('37', 'contactdetails', 'Contact Details', '2', null, '2', '1', '1', '0', '1', '32', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('38', 'street_addr', 'Address', '1', null, '2', '1', '1', '0', '1', '37', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('39', 'id_country', 'Country', '2', null, '2', '1', '1', '0', '1', '37', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('40', 'district', 'District/State', '3', null, '2', '1', '1', '0', '1', '37', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('41', 'city', 'City', '4', null, '2', '1', '1', '0', '1', '37', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('42', 'zip', 'Zip / Post Code', '5', null, '2', '1', '1', '0', '1', '37', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('43', 'contactno', 'Contact Number', '6', null, '2', '1', '1', '0', '1', '37', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('44', 'personaldetails', 'Personal Details', '3', null, '2', '1', '1', '0', '1', '32', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('45', 'personal_birthday', 'Date of Birth', '1', null, '2', '1', '1', '0', '0', '44', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('46', 'personal_gender', 'Gender', '2', null, '2', '1', '1', '0', '0', '44', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('47', 'personal_status', 'Status', '3', null, '2', '1', '1', '0', '0', '44', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('48', 'personal_nationality', 'Nationality', '4', null, '2', '1', '1', '0', '0', '44', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('49', 'photo', 'Photo', '5', null, '2', '1', '1', '0', '0', '44', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('50', 'billing', 'Billing Address', '4', null, '2', '1', '1', '0', '0', '32', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('51', 'bill_addr', 'Address', '1', null, '2', '1', '1', '0', '1', '50', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('52', 'bill_addr_cont', 'Address Line 2', '2', null, '2', '1', '1', '0', '0', '50', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('53', 'bill_id_country', 'Country', '3', null, '2', '1', '1', '0', '1', '50', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('54', 'bill_state', 'State', '4', null, '2', '1', '1', '0', '1', '50', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('55', 'bill_city', 'City', '5', null, '2', '1', '1', '0', '1', '50', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('56', 'bill_zip', 'Zip', '6', null, '2', '1', '1', '0', '1', '50', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('57', 'bill_phone', 'Phone', '7', null, '2', '1', '1', '0', '1', '50', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('58', 'education_tab', 'JBJOBS_EDUCATION', '2', null, '2', '1', '1', '0', '1', '0', 'JBJOBS_', null, '0');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('59', 'highestedu', 'Highest Education', '1', null, '2', '1', '1', '0', '1', '58', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('60', 'id_degree_level', 'Degree Level', '1', null, '2', '1', '1', '0', '1', '59', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('61', 'id_major', 'Major', '2', null, '2', '1', '1', '0', '1', '59', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('62', 'ug_graduated', 'Year Graduated', '3', null, '2', '1', '1', '0', '1', '59', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('63', 'ug_university', 'College / University', '4', null, '2', '1', '1', '0', '1', '59', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('64', 'sechighestedu', 'Second Highest Education', '2', null, '2', '1', '1', '0', '0', '58', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('65', 'pg_id_degree_level', 'PG Degree Level', '1', null, '2', '1', '1', '0', '0', '64', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('66', 'pg_major', 'PG Major', '2', null, '2', '1', '1', '0', '0', '64', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('67', 'pg_graduated', 'PG Year Graduated', '3', null, '2', '1', '1', '0', '0', '64', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('68', 'pg_university', 'PG College / University', '4', null, '2', '1', '1', '0', '0', '64', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('69', 'skills', 'Skills', '3', null, '2', '1', '1', '0', '1', '58', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('70', 'skill_summary', 'Skill Summary', '1', null, '2', '1', '1', '0', '1', '69', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('71', 'employment_tab', 'JBJOBS_EMPLOYMENT', '3', null, '2', '1', '1', '0', '1', '0', 'JBJOBS_', null, '0');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('72', 'currempmnt', 'Current Employment', '1', null, '2', '1', '1', '0', '1', '71', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('73', 'current_employer', 'Current Employer', '1', null, '2', '1', '1', '0', '0', '72', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('74', 'current_position', 'Designation', '2', null, '2', '1', '1', '0', '1', '72', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('75', 'id_job_spec', 'Area of Specialization', '3', null, '2', '1', '1', '0', '1', '72', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('76', 'id_job_exp', 'Experience', '4', null, '2', '1', '1', '0', '0', '72', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('77', 'prevempmnt', 'Previous Employment', '2', null, '2', '1', '1', '0', '1', '71', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('78', 'prev_employer', 'Previous Employer', '1', null, '2', '1', '1', '0', '0', '77', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('79', 'designation', 'Designation', '2', null, '2', '1', '1', '0', '0', '77', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('80', 'duration', 'Duration', '3', null, '2', '1', '1', '0', '0', '77', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('81', 'job_profile', 'Job Profile', '4', null, '2', '1', '1', '0', '0', '77', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('82', 'desiredemp', 'Desired Employment', '3', null, '2', '1', '1', '0', '1', '71', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('83', 'id_industry1', 'Primary Industry', '1', null, '2', '1', '1', '0', '1', '82', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('84', 'id_industry2', 'Secondary Industry', '2', null, '2', '1', '1', '0', '1', '82', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('85', 'id_pos_type', 'Position Type', '3', null, '2', '1', '1', '0', '1', '82', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('86', 'salary', 'Salary', '4', null, '2', '1', '1', '0', '1', '82', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('87', 'privacy_tab', 'JBJOBS_PRIVACY_SETTINGS', '4', null, '2', '1', '1', '0', '0', '0', 'JBJOBS_', null, '0');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('88', 'additional_tab', 'JBJOBS_ADDITIONAL_INFO', '5', null, '2', '1', '1', '0', '1', '0', 'JBJOBS_', null, '0');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('89', 'referredby', 'Referred By', '1', null, '2', '1', '1', '0', '1', '88', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('90', 'customfield', 'Custom Fields', '2', null, '2', '1', '1', '0', '1', '88', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('91', 'attachedresume', 'Attached Resume', '6', null, '2', '1', '1', '0', '1', '0', 'JBJOBS_', null, '0');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('92', 'comp_info', 'Employer Information', '1', null, '3', '1', '1', '0', '1', '0', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('93', 'job_options', 'Job Options', '2', null, '3', '1', '1', '0', '1', '0', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('94', 'is_active', 'Active', '1', null, '3', '1', '1', '0', '0', '93', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('95', 'is_featured', 'Featured', '2', null, '3', '1', '1', '0', '0', '93', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('96', 'publish_info', 'Published Info', '3', null, '3', '1', '1', '0', '1', '0', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('97', 'job_info', 'Job Information', '4', null, '3', '1', '1', '0', '1', '0', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('98', 'job_title', 'Job Title', '1', null, '3', '1', '1', '0', '1', '97', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('99', 'id_job_spec', 'Job Specialization', '2', null, '3', '1', '1', '0', '1', '97', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('100', 'id_pos_type', 'Position Type', '3', null, '3', '1', '1', '0', '1', '97', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('101', 'id_job_exp', 'Minimum Experience', '4', null, '3', '1', '1', '0', '1', '97', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('102', 'id_degree_level', 'Minimum Education', '5', null, '3', '1', '1', '0', '1', '97', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('103', 'salary', 'Salary', '6', null, '3', '1', '1', '0', '1', '97', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('104', 'id_country', 'Country', '7', null, '3', '1', '1', '0', '1', '97', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('105', 'state', 'District / State', '8', null, '3', '1', '1', '0', '1', '97', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('106', 'city', 'City', '9', null, '3', '1', '1', '0', '1', '97', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('107', 'manage_applicant', 'Manage Applicants', '10', null, '3', '1', '1', '0', '1', '97', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('108', 'job_desc', 'Job Description', '5', null, '3', '1', '1', '0', '1', '0', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('109', 'short_desc', 'Short Description', '1', null, '3', '1', '1', '0', '1', '108', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('110', 'long_desc', 'Long Description', '2', null, '3', '1', '1', '0', '0', '108', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('111', 'google_map', 'Google Map', '6', null, '3', '1', '1', '0', '0', '0', 'JBJOBS_', null, '1');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('112', 'address_geocode', 'Address to Geocode', '1', null, '3', '1', '1', '0', '0', '111', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('113', 'map_point', 'Map Point', '2', null, '3', '1', '1', '0', '0', '111', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('114', 'lat_long', 'Latitude-Longitude-Zoom', '3', null, '3', '1', '1', '0', '0', '111', 'JBJOBS_', null, '2');
				INSERT INTO `#__jbjobs_fieldorder` VALUES ('115', 'customfield', 'Custom Fields', '7', null, '3', '1', '1', '0', '1', '0', 'JBJOBS_', null, '1');
				 ";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//12. Payment Modes
	$query = "SELECT COUNT(*) FROM #__jbjobs_payment_mode";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_payment_mode` VALUES ('1', 'banktransfer', 'Bank Transfer', '0', 'Bank Transfer', '', '1', '300', '1', '1', '0', '', 'BT', '.banktransfer', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('2', 'btAccnum', 'Bank Transfer', '0', 'Account Number', '123456789123', '1', '250', '1', '1', '1', 'Enter your Bank account number', 'BT', '.banktransfer', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('3', 'btBankname', 'Bank Transfer', '0', 'Bank Name', 'My Bank Name', '1', '250', '1', '2', '1', 'Enter your Bank name', 'BT', '.banktransfer', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('4', 'btAccHoldername', 'Bank Transfer', '0', 'Account Holder Name', 'My Name', '1', '250', '1', '3', '1', 'Enter bank account holder\'s name', 'BT', '.banktransfer', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('5', 'btIBAN', 'Bank Transfer', '0', 'IBAN', '', '1', '250', '1', '4', '1', 'International Bank Account Number (IBAN) is a 21 digit alphanumeric characters. Enter, if you have any.', 'BT', '.banktransfer', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('6', 'btSWIFT', 'Bank Transfer', '0', 'SWIFT', '', '1', '250', '1', '5', '1', 'Society for Worldwide Interbank Financial Telecommunication (SWIFT). Enter, if you have any', 'BT', '.banktransfer', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('7', 'btNotifyemail', 'Bank Transfer', '0', 'Notification Email', 'sales@mysite.com', '1', '200', '1', '6', '1', 'Enter your Email address to which employers notify in case of manual transfer. Example, notify@mysite.com', 'BT', '.banktransfer', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('8', 'btNotifyfaxno', 'Bank Transfer', '0', 'Fax No.', '673-123456789', '1', '200', '1', '7', '1', 'Enter your fax number to which employers notify in case of manual transfer', 'BT', '.banktransfer', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('11', 'paypal', 'PayPal', '1', 'PayPal', ' ', '1', '100', '1', '2', '0', '', 'PP', '.paypal', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('12', 'paypalEmail', 'PayPal', '0', 'PayPal Account ID', 'mypaypal@gmail.com', '1', '250', '1', '1', '11', 'Enter your PayPal account id to which payment will be made', 'PP', '.paypal', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('13', 'ppCurrency', 'PayPal', '0', 'Currency', 'SGD', '1', '30', '1', '2', '11', 'Enter your PayPal account id to which payment will be made', 'PP', '.paypal', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('14', 'pptestmode', 'PayPal', '1', 'Test Mode', '0', '1', '150', '1', '3', '11', 'Set to Yes, if you wish to test your payment through PayPal. To sign up, visit http://www.sandbox.paypal.com', 'PP', '.paypal', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('21', 'authorizenet', 'Authorize.net', '1', 'Authorize.net ', '1', '1', '100', '1', '3', '0', '', 'AN', '.authorizenet', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('22', 'authAPILogin', 'Authorize.net', '0', 'API Login ID', '', '1', '100', '1', '1', '21', 'Enter your Authorize.net API Login ID', 'AN', '.authorizenet', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('23', 'authTransKey', 'Authorize.net', '0', 'Transaction Key', '', '1', '120', '1', '2', '21', 'Enter your Authorize.net Transaction Key', 'AN', '.authorizenet', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('24', 'authCurrency', 'Authorize.net', '0', 'Currency', 'SGD', '1', '30', '1', '3', '21', 'Enter the currency supported by Authorize.net', 'AN', '.authorizenet', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('25', 'authIntType', 'Authorize.net', '2', 'Server Integration', '1', '1', '100', '1', '4', '21', 'Select the type of integration method', 'AN', '.authorizenet', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('26', 'authtestmode', 'Authorize.net', '1', 'Test Mode', '0', '1', '100', '1', '5', '21', 'Set to yes, if you wish to test your payment through Authorize.net sandbox', 'AN', '.authorizenet', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('31', '2checkout', '2Checkout', '1', '2Checkout', ' ', '1', '100', '1', '4', '0', '', '2CO', '.2checkout', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('32', '2coVendorid', '2Checkout', '0', 'Vendor ID', '', '1', '100', '1', '1', '31', 'Enter the Vendor ID', '2CO', '.2checkout', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('33', '2coSecretword', '2Checkout', '0', 'Secret Word', '', '1', '100', '1', '2', '31', 'Enter the 2checkout secret word', '2CO', '.2checkout', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('34', '2coTestmode', '2Checkout', '1', 'Test Mode', '0', '1', '100', '1', '3', '31', 'Set to yes, if you wish to test your payment through 2checkout sandbox', '2CO', '.2checkout', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('41', 'googleco', 'Google Checkout', '1', 'Google Checkout', '', '1', '100', '1', '5', '0', '', 'GCO', '.googleco', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('42', 'gcMerchantID', 'Google Checkout', '0', 'Merchant ID', '', '1', '150', '1', '1', '41', 'Enter your GCO merchant ID', 'GCO', '.googleco', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('43', 'gcMerchantKey', 'Google Checkout', '0', 'Merchant Key', '', '1', '150', '1', '2', '41', 'Enter your GCO merchant Key', 'GCO', '.googleco', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('44', 'gcCurrency', 'Google Checkout', '0', 'Currency', 'GBP', '1', '30', '1', '3', '41', 'Enter the currency supported by GCO', 'GCO', '.googleco', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('45', 'gctestmode', 'Google Checkout', '1', 'Test Mode', '0', '1', '200', '1', '4', '41', 'Set to yes, if you wish to test your payment through GCO sandbox', 'GCO', '.googleco', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('51', 'moneybookers', 'Moneybookers', '0', 'Moneybookers', '', '1', '10', '1', '6', '0', '', 'MB', '.moneybookers', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('52', 'mbPaymentEmail', 'Moneybookers', '0', 'Account Email', '', '1', '250', '1', '1', '51', 'Enter your MB Merchant account (email) id.', 'MB', '.moneybookers', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('53', 'mbMerchantID', 'Moneybookers', '0', 'Merchant ID', '', '1', '150', '1', '2', '51', 'Enter your MB merchant ID.', 'MB', '.moneybookers', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('54', 'mbSecret', 'Moneybookers', '0', 'Secret Word', '', '1', '150', '1', '3', '51', 'Enter your secret word set in your MB account.', 'MB', '.moneybookers', '');
					INSERT INTO `#__jbjobs_payment_mode` VALUES ('55', 'mbCurrency', 'Moneybookers', '0', 'Currency', '', '1', '25', '1', '4', '51', 'Enter the currency supported by MB', 'MB', '.moneybookers', '');
					";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//12. Component config settings
	$query = "SELECT COUNT(*) FROM #__jbjobs_config";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_config` VALUES ('1', 'Welcome to JoomBah!', '0', '7', '$', 'BND', '1', '1', '1', '10', '1', '1', '1', '1', '1', 'VAT', '12.5', '#123, My Address,<br/>City,<br/>Country<br/>My Tax No:123455', 'image/jpeg,image/gif,application/msword,application/excel,application/pdf,text/plain,application/x-z', 'jpg, gif, word, excel, pdf, zip', 'image/jpeg,image/gif,image/png,image/bmp,image/ico', '100', '200', '200', '0', '1', '', 'php,java,joomla', 'singapore', 'sg', '1', '%Y-%m-%d', 'styleJB.css', '1', '5', '50', '1', '3', '1', '0', '', '0', '<p>Jobseekers get their dream job and features including,</p>\r\n<h3><strong>Features:</strong></h3>\r\n<ul class=\"jbf_frontlist\">\r\n<li>Simple registration</li>\r\n<li>Search and apply for Jobs in just a few clicks</li>\r\n<li>Interact with Employers through Private Messaging System</li>\r\n<li>Track your resume/profile viewed by Employers</li>\r\n<li>Get periodic Job Alerts in your inbox</li>\r\n</ul>', '<p>Try Recruitment Solutions from JoomBah Jobs. We enable you to,</p>\r\n<h3><strong>Features:</strong></h3>\r\n<ul class=\"jbf_frontlist\">\r\n<li>Post a job in easy steps and start receiving applications the same day</li>\r\n<li>Payment through PayPal, 2CO, Authorize.net, Google Checkout, Moneybookers</li>\r\n<li>Private Messaging between Employers and Jobseekers</li>\r\n<li>Find the right candidates easily and quickly through our Powerful Search Engine</li>\r\n</ul>', '1', '1', '0', 'MSP/[YYYY]/[ID]', 'CRP/[YYYY]/[ID]', '1', '0', '', 500, 400, 1, '1', '1');
				";
		$db->setQuery($query);
		$db->query();
	}
	
	//12. Membership Plans for employers
	$query = "SELECT COUNT(*) FROM #__jbjobs_plan";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_plan` VALUES (1, 'Free Membership', 15, 'days', 0.0, 0.0, 1, 0, 1, 0, 0, 1, '', 5, 5, 5, 20, 3, 15, 5, 1, 'This is Free membership plan', 'Thank you for becoming our Free member', 10, 1);
				  INSERT INTO `#__jbjobs_plan` VALUES (2, 'Silver Membership', 3, 'months', 10.0, 5.0, 1, 0, 2, 0, 0, 1, '', 20, 3, 3, 10, 2, 30, 20, 1, 'This is Silver membership plan', 'Thank you for becoming our Silver member', 5, 5);
				  INSERT INTO `#__jbjobs_plan` VALUES (3, 'Gold Membership', 6, 'months', 50.0, 10.0, 1, 0, 3, 0, 0, 1, '', 50, 2, 2, 5, 1, 60, 30, 1, 'This is Gold membership plan', 'Thank you for purchasing Gold membership', 2, 10);
				  INSERT INTO `#__jbjobs_plan` VALUES (4, 'Platinum Membership', 1, 'years', 100.0, 15.0, 1, 0, 4, 0, 0, 1, '', 100, 1, 1, 1, 0, 90, 45, 1, 'This is Platinum membership plan', 'Thank you for purchasing Platinum membership', 1, 20);
				 ";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//12. Membership Plans for jobseekers
	$query = "SELECT COUNT(*) FROM #__jbjobs_plan_js";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_plan_js` VALUES ('1', 'Free Membership', '30', 'days', '5', '0', '0', 'This is Free membership plan', 'Thank you for becoming our Free member', '0', '0', '1', '0', '1', '1', '', '5', '10', '1', '2', '5', '3', '1', '1', '0', '0', '10', '0', '0', '1');
				INSERT INTO `#__jbjobs_plan_js` VALUES ('2', 'Gold Membership', '6', 'months', '30', '50', '10', 'This is Gold membership plan', 'Thank you for purchasing Gold membership', '0', '0', '1', '0', '2', '1', '', '50', '5', '0', '1', '2', '1', '3', '3', '1', '1', '60', '1', '1', '3');
				";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//12. Cron tasks
	$query = "SELECT COUNT(*) FROM #__jbjobs_crontask";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_crontask` VALUES ('1', 'Hourly', '2', '1', 'index.php?option=com_jbjobs&task=cron&freq=h', '2011-01-20 00:00:00', '1', '', '0 * * * *', '1');
					INSERT INTO `#__jbjobs_crontask` VALUES ('2', 'Daily', '2', '1', 'index.php?option=com_jbjobs&task=cron&freq=d', '2011-01-20 00:00:00', '1', '', '0 0 * * *', '1');
					INSERT INTO `#__jbjobs_crontask` VALUES ('3', 'Weekly', '2', '1', 'index.php?option=com_jbjobs&task=cron&freq=w', '2011-01-20 00:00:00', '1', '', '0 0 * * 0', '1');
					INSERT INTO `#__jbjobs_crontask` VALUES ('4', 'Monthly', '2', '0', 'index.php?option=com_jbjobs&task=cron&freq=m', '2011-01-20 00:00:00', '1', '', '0 0 1 * *', '1');
					";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//12. Email templates
	$query = "SELECT COUNT(*) FROM #__jbjobs_emailtemplate";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "  INSERT INTO `#__jbjobs_emailtemplate` VALUES ('1', 'subscr-pending', 'Subscription Pending', 'Subscription for [NAME] at [SITENAME] - Pending', '<p>Dear [NAME],</p>\r\n<p>You have been subscribed to <strong>[PLANNAME]</strong> at [SITENAME].</p>\r\n<p>But your subscription has not been approved automatically. Please, contact the admin at [ADMINEMAIL] for payment details.</p>\r\n<p><br />Thank You.</p>\r\n<p>Please do not respond to this message as it is automatically generated and is for information purposes only.</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('2', 'subscr-approved-auto', 'Subscription Auto Approved', 'Subscription for [NAME] at [SITENAME] - Approved', '<p>Dear [NAME],</p>\r\n<p>You have been subscribed to <strong>[PLANNAME]</strong> at [SITENAME].</p>\r\n<p>You may now login to [SITEURL] and enjoy the benefits. You may also email to [ADMINEMAIL]</p>\r\n<p><br />Thank You.</p>\r\n<p>Please do not respond to this message as it is automatically generated and is for information purposes only.</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('3', 'subscr-details', 'Subscription Details', 'Subscription for [NAME] at [SITENAME]', '<p>Dear Admin,</p>\r\n<p>A new user has created a subscription at [SITENAME].</p>\r\n<p>Further details below:</p>\r\n<p>Name.........: [NAME]<br /> Email.........: [USEREMAIL]<br /> Username...: [USERNAME]<br /> Subscr.-ID...: [SUBSCRID]<br /> Plan Name..: [PLANNAME]<br /> Gateway......: [GATEWAY]<br /> Status.........: [PLANSTATUS]</p>\r\n<p>Thank You.</p>\r\n<p>Please do not respond to this message as it is automatically generated and is for information purposes only.</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('4', 'credit-purchase', 'Credit Purchase', 'Request for credit purchase', '<p>Dear Admin,</p>\r\n<p>You have received a request for credit purchase. Here are further details:</p>\r\n<p>Name: [NAME]<br />Username: [USERNAME]<br /> Invoice No: [INVOICENO]<br />Gateway: [GATEWAY]</p>\r\n<p>Please log in to [ADMINURL] and go to JoomBah Dashboard -&gt; Credits to approve or delete the order.</p>\r\n<p>Thank You.</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('5', 'jobseeker-applyjob', 'Job Application', 'JobSeeker [USERNAME] has applied to your job posting', '<p>Dear Employer,<br /><br />There is a new applicant for the job you have posted through [SITENAME].<br /><br />Job Details: [JOBTITLE]<br />View Applicant: [APPLICANTNAME]<br />Attached Resume: [ATTACHMENT]<br /><br />Please login to [SITEURL] and browse to Dashboard -&gt; My Job Applicants -&gt; Click on \"Applicants\" button to view the applicants.</p>\r\n<p><strong>Note:</strong> You might be charged for viewing the applicant details based on your membership plan you have subscribed to.</p>\r\n<p><br />Thank You.</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('6', 'newuser-login', 'New User Login', 'Account details for [NAME] at [SITENAME]', '<p>Dear [NAME],</p>\r\n<p>Thank you for registering at [SITENAME].</p>\r\n<p>You may now log in to [SITEURL] using the username and password you registered with.</p>\r\n<p>\r\n<p><br />Thank You.</p>\r\n<p>Please do not respond to this message as it is automatically generated and is for information purposes only.</p>\r\n</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('7', 'newuser-activate', 'New User Activate', 'Account details for [NAME] at [SITENAME]', '<p>Dear [NAME],</p>\r\n<p>Thank you for registering at [SITENAME].</p>\r\n<p>Your account is created and must be activated before you can use it.</p>\r\n<p>To activate the account click on the following link or copy-paste it in your browser:</p>\r\n<p>[ACTLINK]</p>\r\n<p>After activation you may login to [SITEURL] using the following username and password:</p>\r\n<p>Username: [USERNAME]<br />Password: [PASSWORD]</p>\r\n<p><br />Thank You.</p>\r\n<p>Please do not respond to this message as it is automatically generated and is for information purposes only.</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('8', 'newuser-details', 'New User Details', 'Account details for [NAME] at [SITENAME]', '<p>Dear Admin,</p>\r\n<p>A new user has registered at [SITENAME].</p>\r\n<p>This e-mail contains the user details:</p>\r\n<p>Name: [NAME]<br />E-mail: [USEREMAIL]<br />Username: [USERNAME]<br />Usertype: [USERTYPE]</p>\r\n<p><br />Thank You.</p>\r\n<p>Please do not respond to this message as it is automatically generated and is for information purposes only.</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('9', 'subscr-approved-admin', 'Subscription Admin Approved', 'Your Subscription has been approved at [SITENAME]', '<p>Dear [NAME],</p>\r\n<p>Your subscription for <strong>[PLANNAME]</strong> has been approved by admin at [SITENAME].</p>\r\n<p>You may now login to [SITEURL] and start using it right away.</p>\r\n<p><br />Thank You.</p>\r\n<p>Please do not respond to this message as it is automatically generated and is for information purposes only.</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('10', 'credit-approved-admin', 'Credit Admin Approved', 'Your Credit Purchase has been approved at [SITENAME]', '<p>Dear [NAME],</p>\r\n<p>Your purchase of [CREDITS] credit(s) (<strong>Invoice No. [INVOICENO]</strong>) has been approved at [SITENAME] by admin.</p>\r\n<p>You may now login to [SITEURL] and start using it right away.</p>\r\n<p><br />Thank You.</p>\r\n<p>Please do not respond to this message as it is automatically generated and is for information purposes only.</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('11', 'jobseeker-anms-applyjob', 'Anonymous Job Application', 'JobSeeker [NAME] has applied to your job posting', '<p>Dear Employer,<br /><br />There is a new applicant for the job you have posted through [SITENAME].<br /><br />Job Details: [JOBTITLE]<br />Applicant Name: [NAME]<br />Contact Email: [EMAIL]<br />Contact Number: [CONTACTNO]</p>\r\n<p>Please login to [SITEURL] and browse to Dashboard -&gt; My Job Applicants -&gt; Click on \"Applicants\" button to view the applicants.</p>\r\n<p><strong>Note:</strong> You might be charged for viewing the applicant details based on your membership plan you have subscribed to.</p>\r\n<p><br />Thank You.</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('12', 'pm-interview-jobseeker', 'Interview Jobseeker Directly', 'Invitation for Interview', '<p>Dear [JSEEKERNAME],</p>\r\n<p>Please attend the interview in our office.</p>\r\n<address><strong>Address:</strong><br />[ADDRESS]<br />[CITY] [ZIP]<br />[STATE]<br />[COUNTRY]</address>\r\n<p>Thank You.</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('13', 'pm-interview-jobagent', 'Interview Jobseeker via Job Agent', 'Information required about your candiate', '<p>Dear,</p>\r\n<p>I need more information about your candidate name [JSEEKERNAME].</p>\r\n<p>Please contact us as soon as possible.</p>\r\n<p>Thank You.</p>');
					INSERT INTO `#__jbjobs_emailtemplate` VALUES ('14', 'pm-new-notify', 'New PM Notification', 'You have received a message via [SITENAME]', '<p>Dear [RECIPIENTNAME],</p>\r\n<p>You have received a message from [SENDERNAME].</p>\r\n<p>Please login to [SITEURL], browse to Dashboard-&gt;My Messages to read your message.</p>\r\n<p>Thank You.</p>');
					";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//TABLE MODIFICATION SECTION
	$pre = $db->_table_prefix;
	
	//alter the config table
	$res = mysql_query("SELECT * FROM ".$pre."jbjobs_config");
	$fields = mysql_num_fields($res);
	$field = array();
	for ($i=0; $i < $fields; $i++){
		$field[] = mysql_field_name($res, $i);
	}
	
	if(!in_array('freemode_js', $field)){
		$query = "ALTER TABLE #__jbjobs_config ADD (freemode_js TINYINT(1) DEFAULT '1' NOT NULL)";
		$db->setQuery($query);
		$db->query();
	}
	if(!in_array('anonymous_jobapply', $field)){
		$query = "ALTER TABLE #__jbjobs_config ADD (anonymous_jobapply TINYINT(1) DEFAULT '0' NOT NULL)";
		$db->setQuery($query);
		$db->query();
	}
	if(!in_array('googleApiKey', $field)){
		$query = "ALTER TABLE #__jbjobs_config ADD (googleApiKey VARCHAR(100));
				  ALTER TABLE #__jbjobs_config ADD (googleWidth INT(3) DEFAULT '500' NOT NULL);
				  ALTER TABLE #__jbjobs_config ADD (googleHeight INT(3) DEFAULT '400' NOT NULL);
				  ALTER TABLE #__jbjobs_config ADD (defaultCountry INT(11) DEFAULT '1' NOT NULL);
				 ";
		$db->setQuery($query);
		$db->queryBatch();
	}
	if(!in_array('allowGuest_jobdetail', $field)){
		$query = "ALTER TABLE #__jbjobs_config ADD (allowGuest_jobdetail TINYINT(1) DEFAULT '1' NOT NULL);
				  ALTER TABLE #__jbjobs_config ADD (allowGuest_compdetail TINYINT(1) DEFAULT '1' NOT NULL);
				 ";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//alter the billing table
	$res = mysql_query("SELECT * FROM ".$pre."jbjobs_billing");
	$fields = mysql_num_fields($res);
	$field = array();
	for ($i=0; $i < $fields; $i++){
		$field[] = mysql_field_name($res, $i);
	}
	if(!in_array('user_id', $field)){
		$query = "ALTER TABLE #__jbjobs_billing CHANGE employer_id user_id INT DEFAULT '0' NOT NULL";
		$db->setQuery($query);
		$db->query();
	}
	
	//alter the transaction table
	$res = mysql_query("SELECT * FROM ".$pre."jbjobs_transaction");
	$fields = mysql_num_fields($res);
	$field = array();
	for ($i=0; $i < $fields; $i++){
		$field[] = mysql_field_name($res, $i);
	}
	if(!in_array('user_id', $field)){
		$query = "ALTER TABLE #__jbjobs_transaction CHANGE employer_id user_id INT DEFAULT '0' NOT NULL";
		$db->setQuery($query);
		$db->query();
	}
	
	//alter the jobseeker table
	$res = mysql_query("SELECT * FROM ".$pre."jbjobs_jobseeker");
	$fields = mysql_num_fields($res);
	$field = array();
	for ($i=0; $i < $fields; $i++){
		$field[] = mysql_field_name($res, $i);
	}
	if(!in_array('bill_addr', $field)){
		$query = "ALTER TABLE #__jbjobs_jobseeker ADD (bill_addr VARCHAR(255));
				ALTER TABLE #__jbjobs_jobseeker ADD (bill_addr_cont VARCHAR(255));
				ALTER TABLE #__jbjobs_jobseeker ADD (bill_id_country INT(11));
				ALTER TABLE #__jbjobs_jobseeker ADD (bill_state VARCHAR(50));
				ALTER TABLE #__jbjobs_jobseeker ADD (bill_city VARCHAR(100));
				ALTER TABLE #__jbjobs_jobseeker ADD (bill_zip VARCHAR(25));
				ALTER TABLE #__jbjobs_jobseeker ADD (bill_phone VARCHAR(50));
				";
		$db->setQuery($query);
		$db->queryBatch();
	}
	if(!in_array('show_name', $field)){
		$query = "ALTER TABLE #__jbjobs_jobseeker ADD (show_name CHAR(1) DEFAULT 'y' NOT NULL);
				  ALTER TABLE #__jbjobs_jobseeker ADD (show_addr CHAR(1) DEFAULT 'y' NOT NULL);
				  ALTER TABLE #__jbjobs_jobseeker ADD (show_location CHAR(1) DEFAULT 'y' NOT NULL);
				  ALTER TABLE #__jbjobs_jobseeker ADD (show_phone CHAR(1) DEFAULT 'y' NOT NULL);
				  ALTER TABLE #__jbjobs_jobseeker ADD (show_zip CHAR(1) DEFAULT 'y' NOT NULL);
				  ALTER TABLE #__jbjobs_jobseeker ADD (show_email CHAR(1) DEFAULT 'y' NOT NULL);
				  ALTER TABLE #__jbjobs_jobseeker ADD (show_post INT(3) DEFAULT '20' NOT NULL);
				";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//alter the resume table
	$res = mysql_query("SELECT * FROM ".$pre."jbjobs_resume");
	$fields = mysql_num_fields($res);
	$field = array();
	for ($i=0; $i < $fields; $i++){
		$field[] = mysql_field_name($res, $i);
	}
	if(!in_array('featured', $field)){
		$query = "ALTER TABLE #__jbjobs_resume ADD (featured TINYINT(1) DEFAULT '0' NOT NULL);
				ALTER TABLE #__jbjobs_resume ADD (featured_expire DATETIME DEFAULT '0000-00-00 00:00:00');
				ALTER TABLE #__jbjobs_resume ADD (video_link VARCHAR(100));
				ALTER TABLE #__jbjobs_resume ADD (video_url VARCHAR(50));
				";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//alter the subscription table
	$res = mysql_query("SELECT * FROM ".$pre."jbjobs_plan_subscr");
	$fields = mysql_num_fields($res);
	$field = array();
	for ($i=0; $i < $fields; $i++){
		$field[] = mysql_field_name($res, $i);
	}
	if(!in_array('user_type', $field)){
		$query = "ALTER TABLE #__jbjobs_plan_subscr ADD (user_type CHAR(1) DEFAULT 'e' NOT NULL);";
		$db->setQuery($query);
		$db->query();
	}
	
	//alter the apply job table
	$res = mysql_query("SELECT * FROM ".$pre."jbjobs_save_job");
	$fields = mysql_num_fields($res);
	$field = array();
	for ($i=0; $i < $fields; $i++){
		$field[] = mysql_field_name($res, $i);
	}
	if(!in_array('contact_name', $field)){
		$query = "ALTER TABLE #__jbjobs_save_job ADD (contact_name VARCHAR(100));
				  ALTER TABLE #__jbjobs_save_job ADD (contact_email VARCHAR(50));
				  ALTER TABLE #__jbjobs_save_job ADD (contact_no VARCHAR(50));
				 ";
		$db->setQuery($query);
		$db->queryBatch();
	}
	if(!in_array('cover_letter', $field)){
		$query = "ALTER TABLE #__jbjobs_save_job ADD (cover_letter VARCHAR(512));
				  ALTER TABLE #__jbjobs_save_job ADD (resume_title VARCHAR(50));
				  ALTER TABLE #__jbjobs_save_job ADD (resume_link VARCHAR(100));
				 ";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//Add the billing fields of jobseeker to field order table.
	$query = "SELECT id FROM #__jbjobs_fieldorder WHERE id=95";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_fieldorder` VALUES ('95', 'billing', 'Billing Address', '12', null, '2', '1', '1', '0', '0', '0', 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES ('96', 'bill_addr', 'Address', '1', null, '2', '1', '1', '0', '1', '95', 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES ('97', 'bill_addr_cont', 'Address Line 2', '2', null, '2', '1', '1', '0', '0', '95', 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES ('98', 'bill_id_country', 'Country', '3', null, '2', '1', '1', '0', '1', '95', 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES ('99', 'bill_state', 'State', '4', null, '2', '1', '1', '0', '1', '95', 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES ('100', 'bill_city', 'City', '5', null, '2', '1', '1', '0', '1', '95', 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES ('101', 'bill_zip', 'Zip', '6', null, '2', '1', '1', '0', '1', '95', 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES ('102', 'bill_phone', 'Phone', '7', null, '2', '1', '1', '0', '1', '95', 'JBJOBS_', null);
				 ";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//Alter the field order table.
	$query = "SELECT id FROM #__jbjobs_fieldorder WHERE id=103";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_fieldorder` VALUES (103, 'google_map', 'Google Map', 4, null, 3, '1', '1', '0', '1', 0, 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES (104, 'address_geocode', 'Address to Geocode', 1, null, 3, '1', '1', '0', '1', 103, 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES (105, 'map_point', 'Map Point', 2, null, 3, '1', '1', '0', '1', 103, 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES (106, 'lat_long', 'Latitude-Longitude-Zoom', 3, null, 3, '1', '1', '0', '1', 103, 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES (107, 'comp_overview', 'Company Overview', 12, null, 1, '1', '1', '0', '0', 7, 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES (108, 'comp_history', 'Company History', 13, null, 1, '1', '1', '0', '0', 7, 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES (109, 'comp_benefits', 'Company Benefits', 14, null, 1, '1', '1', '0', '0', 7, 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES (110, 'privacy', 'Privacy Settings', 13, null, 2, '1', '1', '0', '0', 0, 'JBJOBS_', null);
				  INSERT INTO `#__jbjobs_fieldorder` VALUES (111, 'skills', 'Skills', 1, null, 2, '1', '1', '0', '1', 61, 'JBJOBS_', null);
				  ";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//Add the email template for anonymous job appln.
	$query = "SELECT id FROM #__jbjobs_emailtemplate WHERE id=11";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_emailtemplate` VALUES ('11', 'jobseeker-anms-applyjob', 'Anonymous Job Application', 'JobSeeker [NAME] has applied to your job posting', '<p>Dear Employer,<br /><br />There is a new applicant for the job you have posted through [SITENAME].<br /><br />Job Details: [JOBTITLE]<br />Applicant Name: [NAME]<br />Contact Email: [EMAIL]<br />Contact Number: [CONTACTNO]</p>\r\n<p>Please login to [SITEURL] and browse to Dashboard -&gt; My Job Applicants -&gt; Click on \"Applicants\" button to view the applicants.</p>\r\n<p><strong>Note:</strong> You might be charged for viewing the applicant details based on your membership plan you have subscribed to.</p>\r\n<p><br />Thank You.</p>');
				";
		$db->setQuery($query);
		$db->query();
	}
	$query = "SELECT id FROM #__jbjobs_emailtemplate WHERE id=12";
	$db->setQuery($query);
	if(!$db->loadResult()){
		$query = "INSERT INTO `#__jbjobs_emailtemplate` VALUES ('12', 'pm-interview-jobseeker', 'Interview Jobseeker Directly', 'Invitation for Interview', '<p>Dear [JSEEKERNAME],</p>\r\n<p>Please attend the interview in our office.</p>\r\n<address><strong>Address:</strong><br />[ADDRESS]<br />[CITY] [ZIP]<br />[STATE]<br />[COUNTRY]</address>\r\n<p>Thank You.</p>');
				  INSERT INTO `#__jbjobs_emailtemplate` VALUES ('13', 'pm-interview-jobagent', 'Interview Jobseeker via Job Agent', 'Information required about your candiate', '<p>Dear,</p>\r\n<p>I need more information about your candidate name [JSEEKERNAME].</p>\r\n<p>Please contact us as soon as possible.</p>\r\n<p>Thank You.</p>');
				  INSERT INTO `#__jbjobs_emailtemplate` VALUES ('14', 'pm-new-notify', 'New PM Notification', 'You have received a message via [SITENAME]', '<p>Dear [RECIPIENTNAME],</p>\r\n<p>You have received a message from [SENDERNAME].</p>\r\n<p>Please login to [SITEURL], browse to Dashboard-&gt;My Messages to read your message.</p>\r\n<p>Thank You.</p>');
				 ";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//alter the job table
	$res = mysql_query("SELECT * FROM ".$pre."jbjobs_job");
	$fields = mysql_num_fields($res);
	$field = array();
	for ($i=0; $i < $fields; $i++){
		$field[] = mysql_field_name($res, $i);
	}
	if(!in_array('glng', $field)){
		$query = "ALTER TABLE #__jbjobs_job ADD (glng VARCHAR(15) NOT NULL);
				ALTER TABLE #__jbjobs_job ADD (glat VARCHAR(15) NOT NULL);
				ALTER TABLE #__jbjobs_job ADD (gzoom VARCHAR(2));
				ALTER TABLE #__jbjobs_job ADD (address_geocode VARCHAR(250));
				";
		$db->setQuery($query);
		$db->queryBatch();
	}
	if(!in_array('hotjob_expire', $field)){
		$query = "ALTER TABLE #__jbjobs_job ADD (hotjob_expire DATETIME DEFAULT '0000-00-00 00:00:00');
				ALTER TABLE #__jbjobs_job ADD (manage_applicant TINYINT(1) DEFAULT '0' NOT NULL);
				ALTER TABLE #__jbjobs_job ADD (ext_apply_url VARCHAR(200));
				";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//alter the major table
	$res = mysql_query("SELECT * FROM ".$pre."jbjobs_major");
	$fields = mysql_num_fields($res);
	$field = array();
	for ($i=0; $i < $fields; $i++){
		$field[] = mysql_field_name($res, $i);
	}
	if(!in_array('ordering', $field)){
		$query = "ALTER TABLE #__jbjobs_major ADD (ordering INT DEFAULT '0' NOT NULL);
				  ALTER TABLE #__jbjobs_major ADD (published TINYINT(1) DEFAULT '1' NOT NULL);
				  
				  ALTER TABLE #__jbjobs_degree_level ADD (ordering INT DEFAULT '0' NOT NULL);
				  ALTER TABLE #__jbjobs_degree_level ADD (published TINYINT(1) DEFAULT '1' NOT NULL);
				  
				  ALTER TABLE #__jbjobs_type_salary ADD (ordering INT DEFAULT '0' NOT NULL);
				  ALTER TABLE #__jbjobs_type_salary ADD (published TINYINT(1) DEFAULT '1' NOT NULL);
				  
				  ALTER TABLE #__jbjobs_job_exp ADD (ordering INT DEFAULT '0' NOT NULL);
				  ALTER TABLE #__jbjobs_job_exp ADD (published TINYINT(1) DEFAULT '1' NOT NULL);
				  
				  ALTER TABLE #__jbjobs_pos_type ADD (ordering INT DEFAULT '0' NOT NULL);
				  ALTER TABLE #__jbjobs_pos_type ADD (published TINYINT(1) DEFAULT '1' NOT NULL);
				  
				  ALTER TABLE #__jbjobs_job_spec ADD (ordering INT DEFAULT '0' NOT NULL);
				  ALTER TABLE #__jbjobs_job_spec ADD (published TINYINT(1) DEFAULT '1' NOT NULL);
				  
				  ALTER TABLE #__jbjobs_job_categ ADD (ordering INT DEFAULT '0' NOT NULL);
				  ALTER TABLE #__jbjobs_job_categ ADD (published TINYINT(1) DEFAULT '1' NOT NULL);
				  
				  ALTER TABLE #__jbjobs_industry ADD (ordering INT DEFAULT '0' NOT NULL);
				  ALTER TABLE #__jbjobs_industry ADD (published TINYINT(1) DEFAULT '1' NOT NULL);
				 ";
		$db->setQuery($query);
		$db->queryBatch();
	}

	//alter the job table
	$res = mysql_query("SELECT * FROM ".$pre."jbjobs_employer");
	$fields = mysql_num_fields($res);
	$field = array();
	for ($i=0; $i < $fields; $i++){
		$field[] = mysql_field_name($res, $i);
	}
	if(!in_array('comp_overview', $field)){
		$query = "ALTER TABLE #__jbjobs_employer ADD (comp_overview TEXT);
				  ALTER TABLE #__jbjobs_employer ADD (comp_history TEXT);
				  ALTER TABLE #__jbjobs_employer ADD (comp_benefits TEXT);
				  ALTER TABLE #__jbjobs_employer ADD (show_post INT(3) DEFAULT '20' NOT NULL);
				 ";
		$db->setQuery($query);
		$db->queryBatch();
	}
	if(!in_array('show_comp_name', $field)){
		$query = "ALTER TABLE #__jbjobs_employer ADD (show_comp_name CHAR(1) DEFAULT 'y' NOT NULL)";
		$db->setQuery($query);
		$db->query();
	}
	
	//alter the employer plan table
	$res = mysql_query("SELECT * FROM ".$pre."jbjobs_plan");
	$fields = mysql_num_fields($res);
	$field = array();
	for ($i=0; $i < $fields; $i++){
		$field[] = mysql_field_name($res, $i);
	}
	if(!in_array('creditperhotjob', $field)){
		$query = "ALTER TABLE #__jbjobs_plan ADD (creditperhotjob FLOAT DEFAULT '2' NOT NULL);
				  ALTER TABLE #__jbjobs_plan ADD (hotjobexpire INT DEFAULT '5' NOT NULL);
				 ";
		$db->setQuery($query);
		$db->queryBatch();
	}
	
	//alter the custom field table
	$res = mysql_query("SELECT * FROM ".$pre."jbjobs_custom_field");
	$fields = mysql_num_fields($res);
	$field = array();
	for ($i=0; $i < $fields; $i++){
		$field[] = mysql_field_name($res, $i);
	}
	if(!in_array('gdesc', $field)){
		$query = "ALTER TABLE #__jbjobs_custom_field ADD (gdesc VARCHAR(500))";
		$db->setQuery($query);
		$db->query();
	}
	
	// Delete unwanted files (from JoomBah version 1.2.x)
	$obsolete_files = Array(
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/buycredit.php',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/buycredit.xml',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/checkout.php',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/checkout.xml',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/credit_checkout.php',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/manualpayment.php',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/manualpayment.xml',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/manualsubscr.php',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/manualsubscr.xml',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/planadd.php',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/planadd.xml',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/planhistory.php',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/planhistory.xml',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/printinvoice.php',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/printinvoice.xml',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/showbilling.php',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/showbilling.xml',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/showcredit.php',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/showcredit.xml',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/subscrdetail.php',
		JPATH_SITE.DS.'components/com_jbjobs/views/employer/tmpl/subscrdetail.xml',
		JPATH_ADMINISTRATOR.DS.'components/com_jbjobs/helper/configuration.php'
		);
	$printed_head = false;
	jimport('joomla.filesystem.file');
	foreach($obsolete_files as $file){
		if(JFile::exists($file)){
			if(!$printed_head){
				echo '<h3>' . JText::_('Deleting unwanted files, if necessary') . '</h3>';
				$printed_head = true;
				}
			if(JFile::delete($file)){
				echo JText::sprintf('&nbsp;&nbsp;&nbsp;&nbsp;Deleted unwanted file %s', $file) . "<br />";
				}
			else {
				echo JText::sprintf('&nbsp;&nbsp;&nbsp;&nbsp;WARNING! Unable to delete the file %s', $file) . "<br />";
				}
			}
		// NOTE: If the file is not found, just skip it quietly
	}
}

	$status = new JObject();
	$status->plugins = array();
	$status->modules = array();
		
	/***********************************************************************************************
	* ---------------------------------------------------------------------------------------------
	* MODULE INSTALLATION SECTION
	* ---------------------------------------------------------------------------------------------
	***********************************************************************************************/
	
	$modules = &$this->manifest->getElementByPath('modules');
	if (is_a($modules, 'JSimpleXMLElement') && count($modules->children())) {
	
		foreach ($modules->children() as $module)
		{
			$mname		= $module->attributes('module');
			$mclient	= JApplicationHelper::getClientInfo($module->attributes('client'), true);
	
			// Set the installation path
			if (!empty ($mname)) {
				$this->parent->setPath('extension_root', $mclient->path.DS.'modules'.DS.$mname);
			} else {
				$this->parent->abort(JText::_('Module').' '.JText::_('Install').': '.JText::_('No module file specified'));
				return false;
			}
	
			/*
			* If the module directory already exists, then we will assume that the
			* module is already installed or another module is using that directory.
			*/
			if (file_exists($this->parent->getPath('extension_root'))&&!$this->parent->getOverwrite()) {
				$this->parent->abort(JText::_('Module').' '.JText::_('Install').': '.JText::_('Another module is already using directory').': "'.$this->parent->getPath('extension_root').'"');
				return false;
			}
	
			// If the module directory does not exist, lets create it
			$created = false;
			if (!file_exists($this->parent->getPath('extension_root'))) {
				if (!$created = JFolder::create($this->parent->getPath('extension_root'))) {
					$this->parent->abort(JText::_('Module').' '.JText::_('Install').': '.JText::_('Failed to create directory').': "'.$this->parent->getPath('extension_root').'"');
					return false;
				}
			}
	
			/*
			* Since we created the module directory and will want to remove it if
			* we have to roll back the installation, lets add it to the
			* installation step stack
			*/
			if ($created) {
				$this->parent->pushStep(array ('type' => 'folder', 'path' => $this->parent->getPath('extension_root')));
			}
	
			// Copy all necessary files
			$element = &$module->getElementByPath('files');
			if ($this->parent->parseFiles($element, -1) === false) {
				// Install failed, roll back changes
				$this->parent->abort();
				return false;
			}
	
			// Copy language files
			$element = &$module->getElementByPath('languages');
			if ($this->parent->parseLanguages($element, $mclient->id) === false) {
				// Install failed, roll back changes
				$this->parent->abort();
				return false;
			}
	
			// Copy media files
			$element = &$module->getElementByPath('media');
			if ($this->parent->parseMedia($element, $mclient->id) === false) {
				// Install failed, roll back changes
				$this->parent->abort();
				return false;
			}
	
			$mtitle		= $module->attributes('title');
			$mposition	= $module->attributes('position');
			$morder		= $module->attributes('order');
			$mparams  =  'menu='.$module->attributes('menu');
	
			if ($mtitle && $mposition) {
				// if module already installed do not create a new instance
				$db =& JFactory::getDBO();
				$query = 'SELECT `id` FROM `#__modules` WHERE module = '.$db->Quote( $mname);
				$db->setQuery($query);
				if (!$db->Query()) {
					// Install failed, roll back changes
					$this->parent->abort(JText::_('Module').' '.JText::_('Install').': '.$db->stderr(true));
					return false;
				}
				$id = $db->loadResult();
	
				if (!$id){
					$row = & JTable::getInstance('module');
					$row->title		= $mtitle;
					$row->ordering	= $morder;
					$row->position	= $mposition;
					$row->showtitle	= 0;
					$row->iscore	= 0;
					$row->access	= ($mclient->id) == 1 ? 2 : 0;
					$row->client_id	= $mclient->id;
					$row->module	= $mname;
					$row->published	= 1;
					$row->params	= $mparams;
	
					if (!$row->store()) {
						// Install failed, roll back changes
						$this->parent->abort(JText::_('Module').' '.JText::_('Install').': '.$db->stderr(true));
						return false;
					}
					
					// Make visible evertywhere if site module
					if ($mclient->id==0){
						$query = 'REPLACE INTO `#__modules_menu` (moduleid,menuid) values ('.$db->Quote( $row->id).',0)';
						$db->setQuery($query);
						if (!$db->query()) {
							// Install failed, roll back changes
							$this->parent->abort(JText::_('Module').' '.JText::_('Install').': '.$db->stderr(true));
							return false;
						}
					}
	
	
				}
	
	
			}
	
			$status->modules[] = array('name'=>$mname, 'client'=>$mclient->name, 'title'=>$mtitle);
		}
	}
	/***********************************************************************************************
	* ---------------------------------------------------------------------------------------------
	* PLUGIN INSTALLATION SECTION
	* ---------------------------------------------------------------------------------------------
	***********************************************************************************************/
	
	$plugins = &$this->manifest->getElementByPath('plugins');
	if (is_a($plugins, 'JSimpleXMLElement') && count($plugins->children())) {
	
		foreach ($plugins->children() as $plugin)
		{
			$pname		= $plugin->attributes('plugin');
			$pgroup		= $plugin->attributes('group');
			$porder		= $plugin->attributes('order');
			$ptitle		= $plugin->attributes('title');
	
			// Set the installation path
			if (!empty($pname) && !empty($pgroup)) {
				$this->parent->setPath('extension_root', JPATH_ROOT.DS.'plugins'.DS.$pgroup);
			} else {
				$this->parent->abort(JText::_('Plugin').' '.JText::_('Install').': '.JText::_('No plugin file specified'));
				return false;
			}
	
			/**
			 * ---------------------------------------------------------------------------------------------
			 * Filesystem Processing Section
			 * ---------------------------------------------------------------------------------------------
			 */
	
			// If the plugin directory does not exist, lets create it
			$created = false;
			if (!file_exists($this->parent->getPath('extension_root'))) {
				if (!$created = JFolder::create($this->parent->getPath('extension_root'))) {
					$this->parent->abort(JText::_('Plugin').' '.JText::_('Install').': '.JText::_('Failed to create directory').': "'.$this->parent->getPath('extension_root').'"');
					return false;
				}
			}
	
			/*
			* If we created the plugin directory and will want to remove it if we
			* have to roll back the installation, lets add it to the installation
			* step stack
			*/
			if ($created) {
				$this->parent->pushStep(array ('type' => 'folder', 'path' => $this->parent->getPath('extension_root')));
			}
	
			// Copy all necessary files
			$element = &$plugin->getElementByPath('files');
			if ($this->parent->parseFiles($element, -1) === false) {
				// Install failed, roll back changes
				$this->parent->abort();
				return false;
			}
	
			// Copy all necessary files
			$element = &$plugin->getElementByPath('languages');
			if ($this->parent->parseLanguages($element, 1) === false) {
				// Install failed, roll back changes
				$this->parent->abort();
				return false;
			}
	
			// Copy media files
			$element = &$plugin->getElementByPath('media');
			if ($this->parent->parseMedia($element, 1) === false) {
				// Install failed, roll back changes
				$this->parent->abort();
				return false;
			}
	
			/**
			 * ---------------------------------------------------------------------------------------------
			 * Database Processing Section
			 * ---------------------------------------------------------------------------------------------
			 */
			$db = &JFactory::getDBO();
	
			// Check to see if a plugin by the same name is already installed
			$query = 'SELECT `id`' .
			' FROM `#__plugins`' .
			' WHERE folder = '.$db->Quote($pgroup) .
			' AND element = '.$db->Quote($pname);
			$db->setQuery($query);
			if (!$db->Query()) {
				// Install failed, roll back changes
				$this->parent->abort(JText::_('Plugin').' '.JText::_('Install').': '.$db->stderr(true));
				return false;
			}
			$id = $db->loadResult();
	
			// Was there a plugin already installed with the same name?
			if ($id) {
	
				if (!$this->parent->getOverwrite())
				{
					// Install failed, roll back changes
					$this->parent->abort(JText::_('Plugin').' '.JText::_('Install').': '.JText::_('Plugin').' "'.$pname.'" '.JText::_('already exists!'));
					return false;
				}
	
			} else {
				$row =& JTable::getInstance('plugin');
				$row->name = JText::_(ucfirst($pgroup)).' - '.JText::_(ucfirst($pname));
				$row->ordering = $porder;
				$row->folder = $pgroup;
				$row->iscore = 0;
				$row->access = 0;
				$row->client_id = 0;
				$row->element = $pname;
				$row->published = 1;
				$row->params = '';
	
				if (!$row->store()) {
					// Install failed, roll back changes
					$this->parent->abort(JText::_('Plugin').' '.JText::_('Install').': '.$db->stderr(true));
					return false;
				}
			}
	
			$status->plugins[] = array('name'=>$pname,'group'=>$pgroup, 'title'=>$ptitle);
		}
	}
	$rows = 0;
?>

<img src="http://www.joombah.com/images/documents/joombah-logo-new.png" alt="JoomBah Jobs" align="right" />

<h2>JoomBah! Jobs Installation</h2>
<table class="adminlist">
	<thead>
		<tr>
			<th class="title" colspan="3"><?php echo JText::_('Extension'); ?></th>
			<th width="30%"><?php echo JText::_('Status'); ?></th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="4"></td>
		</tr>
	</tfoot>
	<tbody>
		<tr class="row0">
			<td class="key" colspan="3"><?php echo 'JoomBah! Jobs '.JText::_('Component'); ?></td>
			<td style="text-align: center;"><strong><?php echo JText::_('Installed'); ?></strong></td>
		</tr>
<?php if (count($status->modules)) : ?>
		<tr>
			<th><?php echo JText::_('Module'); ?></th>
			<th><?php echo JText::_('Title'); ?></th>
			<th><?php echo JText::_('Client'); ?></th>
			<th></th>
		</tr>
	<?php foreach ($status->modules as $module) : ?>
		<tr class="row<?php echo (++ $rows % 2); ?>">
			<td class="key"><?php echo $module['name']; ?></td>
			<td class="key"><?php echo $module['title']; ?></td>
			<td class="key"><?php echo ucfirst($module['client']); ?></td>
			<td style="text-align: center;"><strong><?php echo JText::_('Installed'); ?></strong></td>
		</tr>
	<?php endforeach;
endif;
if (count($status->plugins)) : ?>
		<tr>
			<th><?php echo JText::_('Plugin'); ?></th>
			<th><?php echo JText::_('Title'); ?></th>
			<th><?php echo JText::_('Group'); ?></th>
			<th></th>
		</tr>
	<?php foreach ($status->plugins as $plugin) : ?>
		<tr class="row<?php echo (++ $rows % 2); ?>">
			<td class="key"><?php echo ucfirst($plugin['name']); ?></td>
			<td class="key"><?php echo ucfirst($plugin['title']); ?></td>
			<td class="key"><?php echo ucfirst($plugin['group']); ?></td>
			<td style="text-align: center;"><strong><?php echo JText::_('Installed'); ?></strong></td>
		</tr>
	<?php endforeach;
endif; ?>
	</tbody>
</table>