<?php

// no direct access
defined('_JEXEC') or die('Restricted access');

class modJBJobsHelper {	

	function getCategory($show_empty_count = 1){
		$database	=& JFactory::getDBO();
		
		$query = "SELECT a.* FROM #__jbjobs_job_categ a WHERE a.published=1 ORDER BY a.ordering";
		$database->setQuery($query);
		$rows = $database->loadObjectList();
		
		echo $database->getErrorMsg();
		if($show_empty_count == 1){
			return $rows;
		}
		else {
			if(count($rows)){
				$newRows = null;
				for($n=0;$n<count($rows);$n++){
					if(count(modJBJobsHelper::getItem($rows[$n]->id, $show_empty_count))){
						$newRows[] = $rows[$n];
					}
				}
				return $newRows;
			}
			else {
				return $rows;
			}
		}
	}//end function	
	
	function getItem($id_category, $show_empty_count = 1){
		$database =& JFactory::getDBO();
		$now = date('Y-m-d');//, time() + ( $mainframe->getCfg('offset') * 60 * 60 ) );
		$where = "b.is_active='y' and b.expire_date >= '".$now."' and b.publish_date <= '".$now."' and b.expire_date <> '0000-00-00 00:00:00'";
		if($show_empty_count == 1){
			$query = "SELECT a.*, (SELECT count(b.id) FROM #__jbjobs_job b WHERE b.id_job_spec=a.id AND ".$where.") as thecount ".
					 " FROM #__jbjobs_job_spec a ".
					 " WHERE a.id_category =".$id_category." AND a.published=1".
					 " GROUP BY a.ordering";
		}
		else{
			$query = "SELECT a.*, count(b.id) as thecount FROM #__jbjobs_job_spec a ".
					 " LEFT JOIN #__jbjobs_job b ON a.id=b.id_job_spec".
					 " WHERE a.id_category =".$id_category." AND " . $where." AND a.published=1".
					 " GROUP BY a.ordering".
					 " HAVING thecount > 0";
		}
		$database->setQuery($query);
		$rows = $database->loadObjectList();
		echo $database->getErrorMsg();
		return $rows;		
	}
	
	function getLocation($show_empty_count = 1){
		$database	=& JFactory::getDBO();
		
		$now = date('Y-m-d');//, time() + ( $mainframe->getCfg('offset') * 60 * 60 ) );
		$where = "b.is_active='y' and b.expire_date >= '".$now."' and b.publish_date <= '".$now."' and b.expire_date <> '0000-00-00 00:00:00'";
		
		if($show_empty_count == 1){
			$query = "SELECT a.*, (SELECT count(b.id) FROM #__jbjobs_job b WHERE b.id_country=a.id AND ".$where.") as thecount  ".
						" FROM #__jbjobs_country a".
						" GROUP BY a.id";
		}
		else{
			$query = "SELECT a.*, count(b.id) as thecount  ".
					" FROM #__jbjobs_country a".
					" LEFT JOIN #__jbjobs_job b".
					" ON a.id=b.id_country".
					" WHERE " . $where.
					" GROUP BY a.id".
					" HAVING thecount>0";
		}
		
		$database->setQuery( $query );
		$rows = $database->loadObjectList();
		echo $database->getErrorMsg();
		return $rows;		
	}//end function	
	
	function getStates($show_empty_count = 1, $id = 1){
		$database	=& JFactory::getDBO();
		
		$now = date('Y-m-d');//, time() + ( $mainframe->getCfg('offset') * 60 * 60 ) );
		$where = "b.is_active='y' AND b.expire_date >= '".$now."' AND b.publish_date <= '".$now."' AND b.expire_date <> '0000-00-00 00:00:00'";
		
		$query = "SELECT a.*, (SELECT count(b.id) FROM #__jbjobs_job b WHERE b.state=a.state AND ".$where.") as thecount FROM #__jbjobs_state a". 
					 " LEFT JOIN #__jbjobs_country c ON c.id=a.country_id WHERE c.id='$id'".
					 " GROUP BY a.id";
		
		if($show_empty_count == 1){
			
		}
		else {
			$query .= " HAVING thecount>0";
		}
		
		$database->setQuery($query);
		$rows = $database->loadObjectList();
		echo $database->getErrorMsg();
		return $rows;		
	}//end function	
	
	function getCities($show_empty_count = 1, $state_name = ''){
		$database	=& JFactory::getDBO();
		
		$now = date('Y-m-d');//, time() + ( $mainframe->getCfg('offset') * 60 * 60 ) );
		$where = "b.is_active='y' AND b.expire_date >= '".$now."' AND b.publish_date <= '".$now."' AND b.expire_date <> '0000-00-00 00:00:00'";
		
		$query = "SELECT a.*, (SELECT count(b.id) FROM #__jbjobs_job b WHERE b.city=a.city AND ".$where.") as thecount FROM #__jbjobs_city a". 
					 " LEFT JOIN #__jbjobs_state s ON s.state=a.state_name WHERE s.state='$state_name'".
					 " GROUP BY a.id";
		
		if($show_empty_count == 1){
			//do nothing
		}
		else {
			$query .= " HAVING thecount>0";
		}
		
		$database->setQuery($query);
		$rows = $database->loadObjectList();
		echo $database->getErrorMsg();
		return $rows;		
	}//end function	
	
	function getPosition($show_empty_count = 1){
		$database =& JFactory::getDBO();
		
		$now = date('Y-m-d');//, time() + ( $mainframe->getCfg('offset') * 60 * 60 ) );
		$where = "b.is_active='y' AND b.expire_date >= '".$now."' AND b.publish_date <= '".$now."' AND b.expire_date <> '0000-00-00 00:00:00'";
		
		if($show_empty_count == 1){
			$query = "SELECT a.*, (SELECT count(b.id) FROM #__jbjobs_job b WHERE b.id_pos_type=a.id AND ".$where.") AS thecount".
					" FROM #__jbjobs_pos_type a".
					" WHERE a.published=1".
					" ORDER BY a.ordering";
		}
		else {
			$query = "SELECT a.*, count(b.id) AS thecount FROM #__jbjobs_pos_type a".
					" LEFT JOIN #__jbjobs_job b ON a.id=b.id_pos_type".
					" WHERE ". $where ." AND a.published=1".
					" GROUP BY a.ordering".
					" HAVING thecount>0";
		}
		$database->setQuery($query);
		$rows = $database->loadObjectList();
		echo $database->getErrorMsg();
		return $rows;		
	}//end function	
	
	function getIndustry($show_empty_count = 1){
		$database =& JFactory::getDBO();
		
		$now = date('Y-m-d');//, time() + ( $mainframe->getCfg('offset') * 60 * 60 ) );
		$where = "c.is_active='y' and c.expire_date >= '".$now."' and c.publish_date <= '".$now."' and c.expire_date <> '0000-00-00 00:00:00'";
	
		if($show_empty_count == 1){
			$query = "SELECT a.*, (SELECT count(c.id) FROM #__jbjobs_employer AS b Left Join #__jbjobs_job AS c ON c.employer_id = b.user_id WHERE b.id_industry=a.id AND ".$where.") as thecount".
					 " FROM #__jbjobs_industry a".
					 " WHERE a.published=1".
					 " GROUP BY a.ordering";
		}
		else {
			$query = "SELECT a.*, count(c.id) as thecount FROM #__jbjobs_industry a".
					 " LEFT JOIN #__jbjobs_employer b ON a.id=b.id_industry".
					 " LEFT JOIN #__jbjobs_job c ON c.employer_id=b.user_id".
					 " WHERE ". $where ." AND a.published=1".
					 " GROUP BY a.ordering".
					 " HAVING thecount>0";
		}
	
		$database->setQuery( $query );
		$rows = $database->loadObjectList();
		echo $database->getErrorMsg();
		
		return $rows;		
	}//end function	
}//end of class
?>