<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 * Tested by	: 	Zaki
 + Project		: 	Job site
 * File Name	:	tmpl/default.php
 ^ 
 * Description	: 	This module show the list of latest jobs (jbjobs)
 ^ 
 * History		:	NONE
 * */
// no direct access
defined('_JEXEC') or die('Restricted access');
$show_logo = intval($params->get('show_logo', 1));
$set_Itemid	= intval($params->get('set_itemid', 0));
$Itemid = ($set_Itemid > 0) ? '&Itemid='.$set_Itemid : '';

JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbjobs'.DS.'tables');
$config =& JTable::getInstance('config', 'Table');
$config->load(1);

$document = & JFactory::getDocument(); 
$document->addStyleSheet("components/com_jbjobs/css/$config->theme"); 
$document->addStyleSheet("modules/mod_jbjobslatest/css/style.css"); 

$link_joblist = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=joblist'.$Itemid); 
?>
	<div style="border:1px solid #dedede; width:100%;">
		<table width="100%" cellpadding="0" cellspacing="0" style="border-collapse: collapse;">
		<thead>
			<tr class="jbj_rowhead">
				<th width="10%" align="left">
					<b><?php echo JText::_( 'POSTED' ); ?></b>
				</th>
				<th width="35%" align="left">
					<b><?php echo JText::_( 'DESCRIPTION' ); ?></b>
				</th>				
				<th width="35%" align="left">
					<b><?php echo JText::_( 'LOCATION' ); ?></b>
				</th>		
				<th width="20%" align="left">
					<b><?php echo JText::_( 'COMPANY' ); ?></b>
				</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];				
				$link_detail  = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailjob&id='.$row->id.$Itemid);				
				$link_comp 	  = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->employer_id.'&type=company'.$Itemid);
				$link_state   = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&name='.$row->state.'&type=state'.$Itemid);
				$link_country = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->countryid.'&type=country'.$Itemid);
				$link_city	  = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&name='.$row->city.'&type=city'.$Itemid);		
				?>
				<tr class="jbj_<?php echo "row$k"; ?>">					
					<td style="text-align:center">
						<span class="jbj_date"><?php echo JHTML::_('date', $row->publish_date, '%d', false) ;?></span><br />
						<span class="jbj_month"><?php echo JHTML::_('date', $row->publish_date, '%b') ;?></span>
					</td>
					<td>
						<a href="<?php echo $link_detail;?>" class="jbj_title jobcriteria"><?php echo $row->job_title; ?></a>		
					</td>
					<td>
						<?php if($row->city != '') { ?>
								<a href="<?php echo $link_city; ?>" class="jobcriteria jbj_normfont"><?php echo $row->city.', '; ?></a>
						<?php } ?>
						<?php if($row->state != '') { ?>
								<a href="<?php echo $link_state; ?>" class="jobcriteria jbj_normfont"><?php echo $row->state.'<br/>'; ?></a>
						<?php } ?>
						<em>
							<?php if($row->country != '') { ?>
									<a href="<?php echo $link_country; ?>" class="jobcriteria"><?php echo $row->country; ?></a>
							<?php } ?>
						</em>
					</td>
					<td align="center">
					  <?php
					  	if($show_logo){
							$img = JPATH_SITE.DS.'images'.DS.'jbjobs'.DS.$row->employer_id.'.jpg';
							if(file_exists($img)) {
								$img = JURI::base().'images/jbjobs/'.$row->employer_id.'.jpg';
								echo '<img class="jbj_imglatest" src="'.$img.'" width="50" height="50" style="margin-right:10px;" alt="img"/>';
							}
							else if($row->id) {
								$img = JURI::base().'components/com_jbjobs/images/nophoto.gif';
								echo '<img class="jbj_imglatest" src="'.$img.'" width="50" height="50" style="margin-right:10px;" alt="img"/>';
							}
						}
						?><br />
						<a href="<?php echo $link_comp;?>" class="jobcriteria" title="<?php echo JText::_('LIST_BY_COMP'); ?>">
							<span class="jbj_compname"><?php echo ($row->show_comp_name == 'y') ? $row->comp_name : JText::_('JBJOBS_CONFIDENTIAL'); ?></span>
						</a>
					</td>
					<td nowrap="nowrap">
						<div style="float:right;">
						<?php if($row->is_hot): ?>
							<img src="components/com_jbjobs/images/hot.png" alt="Hot" width="22" title="<?php echo JText::_('JBJOBS_HOT_JOB');?>">
						<?php endif; ?>
						<?php if($row->is_featured): ?>
							<img src="components/com_jbjobs/images/fj1.png" alt="Featured" width="22" title="<?php echo JText::_('JBJOBS_FEATURED_JOB'); ?>" >
						<?php endif; ?>
						</div>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="5" class="jbj_row3" align="center">
						<a href="<?php echo $link_joblist; ?>" class="jobcriteria"><?php echo JText::_('MORE_JOBS'); ?></a><br>
						<!-- <img src="components/com_jbjobs/images/fj1.png" style="display:inline-block; vertical-align:middle; text-decoration: none;" alt="" width="22" vspace="10"> = <?php echo JText::_('FEATURED_JOBS'); ?>  -->
					</td>
				</tr>
			</tfoot>
		</table>
	</div>