<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	08 December 2010
 * Author 		:	Faisel
 * Tested by	: 	Zaki
 + Project		: 	Job site
 * File Name	:	helper.php
 ^ 
 * Description	: 	This module shows list of latest jobs in compact mode (jbjobs)
 ^ 
 * History		:	NONE
 * */

// no direct access
defined('_JEXEC') or die('Restricted access');

class modJBJobsLatestHelperMini {	
	function getLatestJobs($total_row, $show_jobtype, $jobcriteria, $criteriaId) {
		global $mainframe;
		$db	 = & JFactory::getDBO(); 		
			
		$now = date( 'Y-m-d');//, time() + ( $mainframe->getCfg('offset') * 60 * 60 ) );
		$where = $having = $order = '';
		$where = " WHERE a.is_active='y' AND a.publish_date <> '0000-00-00 00:00:00' AND a.expire_date >= '$now' AND a.publish_date <= '$now' AND a.expire_date <> '0000-00-00 00:00:00' ";
		
		if($show_jobtype == 1)
			$having = ' HAVING is_hot=1'; //only hot jobs
		elseif($show_jobtype == 2)
			$where .= ' AND a.is_featured=1'; //only featured jobs
		elseif($show_jobtype == 3){
			$where .= ' AND a.is_featured=0'; $having = ' HAVING is_hot=0'; } //only ordinary jobs
		elseif($show_jobtype == 5)
			$order = ' a.hits DESC,'; //most viewed jobs
		
		//generate where condition for job criteria
		if($jobcriteria == '2')
			$where .= " AND a.id_job_spec IN (SELECT id FROM #__jbjobs_job_spec WHERE id_category=".$db->quote($criteriaId).")";
		elseif($jobcriteria == '3')
			$where .= " AND a.id_job_spec =".$db->quote($criteriaId);
		elseif($jobcriteria == '4')
			$where .= " AND a.employer_id =".$db->quote($criteriaId);
		elseif($jobcriteria == '5')
			$where .= " AND a.id_pos_type =".$db->quote($criteriaId);
		elseif($jobcriteria == '6')
			$where .= " AND b.id_industry =".$db->quote($criteriaId);
		elseif($jobcriteria == '7')
			$where .= " AND a.id_country =".$db->quote($criteriaId);	
			
		$query = "SELECT a.* ,b.id id_emp,b.comp_name,b.show_comp_name,c.country,IF(now()<a.hotjob_expire, true, false) is_hot FROM #__jbjobs_job a ".
				" LEFT JOIN #__jbjobs_employer b ON a.employer_id = b.user_id ".
				" LEFT JOIN #__jbjobs_country c ON a.id_country =c.id".$where.$having. 
	  		 	" ORDER BY $order a.publish_date DESC, a.id DESC".
			 	" LIMIT 0,". $total_row;
		$db->setQuery($query);
		$rows = $db->loadObjectList();		
		return $rows;
	}//end function	
}//end of class

?>