<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	02 November 2010
 * Author 		:	Faisel
 * Tested by	: 	-
 + Project		: 	Job site
 * File Name	:	freeplanonexpiry.php
 ^ 
 * Description	: 	Entry point for the plugin (jbjobs)
 ^ 
 * History		:	NONE
  * */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.plugin.plugin');

 JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbjobs'.DS.'tables');
 require_once(JPATH_SITE.DS.'components'.DS.'com_jbjobs'.DS.'controllers'.DS.'jbjobs.php');
 
class plgUserFreePlanOnExpiry extends JPlugin {
	function plgUserFreePlanOnExpiry(& $subject, $config){
		parent::__construct($subject, $config);
	}
	
	function onLoginUser($user, $options = array()){
		$app =& JFactory::getApplication();
		$user = JFactory::getUser();
		$db =& JFactory::getDBO();
		
		$is_jobseeker = JBJobsModelJbjobs::isJobSeeker($user->id);
		$is_employer = JBJobsModelJbjobs::isEmployer($user->id);
		if($is_employer)
 				$planTblName = '#__jbjobs_plan';
 			elseif($is_jobseeker)
 				$planTblName = '#__jbjobs_plan_js';
 				
		//if the user is not an employer or a jobseeker, do not execute the the expire code.
		if((!$is_employer && !$is_jobseeker)){
			return true;
		}
		
		$query = "SELECT MAX(id) FROM #__jbjobs_plan_subscr WHERE user_id = ".$db->quote($user->id)." AND approved=1";
		$db->setQuery($query);
		$id_max = $db->loadResult();
		if(!$id_max)
			return true; //user's doesn't have any active plan. Assume he is new and return him
			
		$query = "SELECT s.* FROM #__jbjobs_plan_subscr s WHERE s.id = ".$id_max;
		$db->setQuery($query);
		$last_subscr = $db->loadObject();
		
		$query = "SELECT p.* FROM $planTblName p WHERE p.id = ".$last_subscr->subscription_id;
		$db->setQuery($query);
		$last_plan = $db->loadObject();
		
		$zerocredit = $last_plan->creditexpire;
		
		$now = date('Y-m-d H:i:s', time() + ($app->getCfg('offset') * 60 * 60));
		
		//Get the expiry date after the grace period
		$expireaftergrace = date("Y-m-d H:i:s", strtotime($last_subscr->date_expire . "+$last_plan->graceperiod day"));
		
		$daysleft = $this->dateDiff($now, $expireaftergrace);
			if($daysleft < 0){			//check if the days left is less than zero, then add the user to free plan
				if($zerocredit)
					JBJobsControllerJbjobs::setCreditZero($expireaftergrace);		
			}
		
		return true;
	}
	function dateDiff($start, $end) {
		$start_ts = strtotime($start);
		$end_ts = strtotime($end);
		$diff = $end_ts - $start_ts;
		return round($diff / 86400);
	}
}
