<?php
/**
+ Created by	:	JoomBah Team
* Company		:	ISDS Sdn Bhd
+ Contact		:	www.joombah.com , support@joombah.com
* Created on	:	06 May 2010
* Author 		:	Faisel
* Tested by		: 	Zaki
+ Project		: 	Job site
* File Name		:	jbfeeds.php
* License		:	GNU General Public License version 3, or later
^ 
* Description	: 	This Plugin writes on the wall of JoomBah(jbjobs)
^ 
* History		:	NONE
* */
// no direct access
defined('_JEXEC') or die('Restricted access');
require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbjobs'.DS.'helper'.DS.'feeds.php');
require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbjobs'.DS.'helper'.DS.'helper.php');
if(!class_exists('plgSystemJBFeeds')){
	class plgSystemJBFeeds extends JPlugin {
		
		function plgSystemJBFeeds(& $subject, $config){
			parent::__construct($subject, $config);
			//Load Language file.
			JPlugin::loadLanguage( 'plg_system_jbfeeds', JPATH_ADMINISTRATOR );
		}
		
		function onJobseekerApplyJob($actorid, $targetid, $jobid){
			$app =& JFactory::getApplication();
			$now = date('Y-m-d H:i:s', time() + ($app->getCfg('offset') * 60 * 60));
			//get the privacy setting
			$jbhelper = new JBjobs();
			$privacy = $jbhelper->getPrivacySettings($actorid);
			
			$act 		  = new stdClass();
			$act->actor   = $actorid;
			$act->target  = $targetid;
			$act->id_job  = $jobid;
			$act->title   = JText::sprintf("JBJOBS_JOBSEEKER_APPLIED_TO_JOB", '{actor}', '{jobid}');
			$act->content = '';
			$act->status  = 0;
			$act->access = $privacy['show_post'];
			$act->created	= $now;
			JBFeeds::add($act);
		}
		
		function onEmployerPublishJob($actorid, $targetid, $jobid, $short_desc){
			$app =& JFactory::getApplication();
			$now = date('Y-m-d H:i:s', time() + ($app->getCfg('offset') * 60 * 60));
			//get the privacy setting
			$jbhelper = new JBjobs();
			$privacy = $jbhelper->getPrivacySettings($actorid);
			
			$act 		  = new stdClass();
			$act->actor   = $actorid;
			$act->target  = $targetid;
			$act->id_job  = $jobid;
			$act->title   = JText::sprintf("JBJOBS_NEW_JOB_POSTED_BY", '{jobid}', '{actor}');
			$act->content = $short_desc;
			$act->status  = 0;
			$act->access = $privacy['show_post'];
			$act->created	= $now;
			JBFeeds::add($act);
		}
		
		function onEmployerUpdateProfile($actorid){
			$app =& JFactory::getApplication();
			$now = date('Y-m-d H:i:s', time() + ($app->getCfg('offset') * 60 * 60));
			//get the privacy setting
			$jbhelper = new JBjobs();
			$privacy = $jbhelper->getPrivacySettings($actorid);
			
			$act 		  = new stdClass();
			$act->actor   = $actorid;
			$act->target  = 0;
			$act->id_job  = 0;
			$act->title   = JText::sprintf("JBJOBS_EMPLOYER_UPDATED_COMPANY_PROFILE", '{actor}', '{companyname}');
			$act->content = '';
			$act->status  = 0;
			$act->access = $privacy['show_post'];
			$act->created	= $now;
			JBFeeds::add($act);
		}
		
		function onJobseekerUpdateProfile($actorid){
			$app =& JFactory::getApplication();
			$now = date('Y-m-d H:i:s', time() + ($app->getCfg('offset') * 60 * 60));
			//get the privacy setting
			$jbhelper = new JBjobs();
			$privacy = $jbhelper->getPrivacySettings($actorid);
			
			$act 		  = new stdClass();
			$act->actor   = $actorid;
			$act->target  = 0;
			$act->id_job  = 0;
			$act->title   = JText::sprintf("JBJOBS_JOBSEEKER_UPDATED_THE_PROFILE_PAGE", '{actor}');
			$act->content = '';
			$act->status  = 0;
			$act->access = $privacy['show_post'];
			$act->created	= $now;
			JBFeeds::add($act);
		}
		
		function onEmployerViewJobseekerProfile($actorid, $targetid){
			$app =& JFactory::getApplication();
			$now = date('Y-m-d H:i:s', time() + ($app->getCfg('offset') * 60 * 60));
			//get the privacy setting
			$jbhelper = new JBjobs();
			$privacy = $jbhelper->getPrivacySettings($actorid);
			
			$act 		  = new stdClass();
			$act->actor   = $actorid;
			$act->target  = $targetid;
			$act->id_job  = 0;
			$act->title   = JText::sprintf("JBJOBS_EMPLOYER_VIEWED_JOBSEEKER_PROFILE", '{actor}', '{target}');
			$act->content = '';
			$act->status  = 0;
			$act->access = $privacy['show_post'];
			$act->created	= $now;
			JBFeeds::add($act);
		}
	}	
}
