<?php
/**
+ Created by	:	JoomBah Team
* Company		:	ISDS Sdn Bhd
+ Contact		:	www.joombah.com , support@joombah.com
* Created on	:	August 2010
* Author 		:	Faisel
* Tested by		: 	Zaki
+ Project		: 	Job site
* File Name		:	jbjobs.php
* License		:	GNU General Public License version 3, or later
^ 
* Description	: 	Entry point for the component (jbjobs)
* 
* History		:	
* */
defined('_JEXEC') or die('Restricted access');

function JBJobsBuildRoute(&$query){

	$segments = array();
	$db =& JFactory::getDBO();
	
	$task = null;
	//$segments[0] would either be view or task only. Both are not set at once.
	 if(isset( $query['view'] )){
	 	$segments[] = $query['view']; 
		unset( $query['view'] ); 
	}
	else{
		if(isset( $query['task'] )){
		 	$segments[] = $query['task'];
			$task = $query['task'];
			unset( $query['task'] ); 
		}
	}
	
	$layout = '';
	//$segments[1] would be layout
	if(isset( $query['layout'] )){
		$segments[] = $query['layout'];
		$layout = $query['layout'];
		unset( $query['layout'] );
	};
	
	if($task == 'jbjobsrss'){
		$type = null;
		if(isset($query['type'])){
			$segments[] = $query['type'];
			$type = $query['type'];
			unset($query['type']);
		}

		if(isset($query['id'])){
			$id = $query['id'];
			$title = null;
			$q = null;
			switch($type){
				case 'jobcateg':
					$q = "SELECT category FROM #__jbjobs_job_categ WHERE id='$id'";
				break;
				case 'jobspec':
					$q = "SELECT specialization FROM #__jbjobs_job_spec WHERE id='$id'";
				break;
				case 'country':
					$q = "SELECT country FROM #__jbjobs_country WHERE id='$id'";
				break;
				case 'position':
					$q = "SELECT pos_type FROM #__jbjobs_pos_type WHERE id='$id'";
				break;
				case 'industry':
					$q = "SELECT industry FROM #__jbjobs_industry WHERE id='$id'";
				break;
				case 'company':
					$q = "SELECT comp_name FROM #__jbjobs_employer WHERE show_comp_name='y' AND user_id='$id'";
				break;
			}
			
			if(!empty($q)){
				$db->setQuery($q);
				$title = $db->loadResult();
			}

			if(!empty($title)){
				$title = parseTitle($title);
				$segments[] = $id . '-' . $title;
			}
			else if(!empty($id)){
				$segments[] = $id;
			}
			else{
				$segments[] = null;
			}
			unset($query['id']);
		}
	}
	elseif($layout == 'jobsby_criteria'){
		$type = null;
		if(isset($query['type'])){
			$segments[] = $query['type'];
			$type = $query['type'];
			unset($query['type']);
		}

		if(isset($query['id'])){
			//$segments[] = $query['id'];
			$id = $query['id'];
			$title = null;
			$q = null;
			switch($type){
				case 'jobcateg':
					$q = "SELECT category FROM #__jbjobs_job_categ WHERE id='$id'";
				break;
				case 'jobspec':
					$q = "SELECT specialization FROM #__jbjobs_job_spec WHERE id='$id'";
				break;
				case 'company':
					$q = "SELECT comp_name FROM #__jbjobs_employer WHERE show_comp_name='y' AND user_id='$id'";
				break;
				case 'position':
					$q = "SELECT pos_type FROM #__jbjobs_pos_type WHERE id='$id'";
				break;
				case 'industry':
					$q = "SELECT industry FROM #__jbjobs_industry WHERE id='$id'";
				break;
				case 'country':
					$q = "SELECT country FROM #__jbjobs_country WHERE id='$id'";
				break;
			}
			
			if(!empty($q)){
				$db->setQuery($q);
				$title = $db->loadResult();
			}

			if(!empty($title)){
				$title = parseTitle($title);
				$segments[] = $id . '-' . $title;
			}
			else if(!empty($id)){
				$segments[] = $id;
			}
			else{
				$segments[] = null;
			}
			unset($query['id']);
		}
	}
	else {
	//$segments[2] would be id	
	if(isset($query['id'])){
		$id = $query['id'];
		$q = null;
		switch($layout){
			case 'publishjob':
			case 'detailjob':
			case 'editjob':
				$q = "SELECT job_title FROM #__jbjobs_job WHERE id='$id'";
				break;
			case 'detailcomp':
				$q = "SELECT comp_name FROM #__jbjobs_employer WHERE show_comp_name='y' AND user_id='$id'";
				break;
			case 'detailjobseeker':
				$q = "SELECT first_name FROM #__jbjobs_jobseeker WHERE show_name='y' AND user_id='$id'";
				break;
			case 'editresume':
			case 'viewresume':
				$q = "select r.name_resume from #__jbjobs_resume r where r.id=$id";
				break;
			case 'editcoverletter':
			case 'viewcoverletter':
				$q = "select c.title from #__jbjobs_coverletter c where c.id=$id";
				break;
			case 'viewapplicant':
				$q = "SELECT job_title FROM #__jbjobs_job WHERE id='$id'";
				break;
			case 'recommend_job':
				$q = "SELECT alert_title FROM #__jbjobs_job_alert WHERE id='$id'";
				break;
		}
		if(!empty($q)){
			$db->setQuery($q);
			$title = $db->loadResult();
			if(!empty($title)){
				$title = parseTitle($title);
				$segments[] = (!empty($title)) ? $id . '-' . $title : $id;
			}
			else
				$segments[] = $query['id'];
		}
		else
			$segments[] = $query['id'];
		
		unset($query['id']);
	};
	
	}
	/*if(isset( $query['Itemid'] )) { 
		$_SESSION['JBItemid'] = $query['Itemid'];
	   };*/
	
	return $segments;
}

function JBJobsParseRoute($segments){
	$vars 	= array();
	$count 	= count($segments);
	
	/*
	$segments[0] would either be task or view.
	If $segments[0] is task, then $segments[1] would be id
	If $segments[0] is view, then $segments[1] would be layout and $segments[2] would be id
	*/
	
	//$segments[0] would either be task or view. Switch case the tasks
	switch ($segments[0]){
		case 'jbjobsrss':
			$vars['task'] 	= $segments[0];
			if($count == 3){ $vars['type']	= $segments[1]; $vars['id'] = $segments[2]; }
			break;
		case 'removeresume':
			$vars['task'] 	= $segments[0];
			$vars['id']		= $segments[1];
			break;
		case 'removecoverletter':
			$vars['task'] 	= $segments[0];
			$vars['id']		= $segments[1];
			break;
		case 'decidedashboard':
			$vars['task'] 	= $segments[0];
			break;
		case 'removejob':
			$vars['task'] 	= $segments[0];
			$vars['id']		= $segments[1];
			break;
		case 'savejobalert':
			$vars['task'] 	= $segments[0];
			$vars['id']		= $segments[1];
			break;
		case 'copyjob':
			$vars['task'] 	= $segments[0];
			$vars['id']		= $segments[1];
			break;
		case 'upgradesubscription':
			$vars['task'] 	= $segments[0];
			break;
		case 'returnpaypalsubscr':
			$vars['task'] 	= $segments[0];
			break;
		case 'cancelsubscr':
			$vars['task'] 	= $segments[0];
			$vars['id']		= $segments[1];
			break;
		case 'setjobhot':
			$vars['task'] 	= $segments[0];
			$vars['id']		= $segments[1];
			break;
		case 'setresumefeatured':
			$vars['task'] 	= $segments[0];
			$vars['id']		= $segments[1];
			break;
		default:
			break;
	}
	$layout = '';
	if(isset($segments[1]))
		$layout = $segments[1];
		
	$vars['layout'] = $layout;
	
	switch($layout){
		
		//guest
		case 'advsearch':
			$vars['view'] 	= 'guest';
			break;
		case 'advsearchres':
			$vars['view'] 	= 'guest';
			break;
		case 'anms_jobapply':
			$vars['view'] 	= 'guest';
			if($count == 3) $vars['id']	= $segments[2];
			break;
		case 'detailcomp':
			$vars['view'] 	= 'guest';
			if($count == 3) $vars['id']	= $segments[2];
			break;
		case 'detailjob':
			$vars['view'] 	= 'guest';
			if($count == 3) $vars['id']	= $segments[2];
			break;
		case 'joblist':
			$vars['view'] 	= 'guest';
			break;
		case 'companylist':
			$vars['view'] 	= 'guest';
			break;
		case 'jobsby_criteria':
			$vars['view'] 	= 'guest';
			$vars['type']	= $segments[2];
			if($count == 4) $vars['id']	= $segments[3];
			break;
		case 'showfront':
			$vars['view'] 	= 'guest';
			break;
		case 'simplesearch':
			$vars['view'] 	= 'guest';
			break;
		case 'viewindeed':
			$vars['view'] 	= 'guest';
			break;
		
		//Employer and Jobseeker
		case 'dashboard':
			$vars['view'] 	= $segments[0];
			break;
			
		//Membership
		case 'buy_credit':
			$vars['view'] = 'membership';
			break;
		case 'check_out':
			$vars['view'] = 'membership';
			if($count == 3) $vars['id']	= $segments[2];
			break;
		case 'credit_checkout':
			$vars['view'] = 'membership';
			if($count == 3) $vars['id']	= $segments[2];
			break;	
		case 'credit_invoice':
			$vars['view'] = 'membership';
			break;
		case 'manual_payment':
			$vars['view'] = 'membership';
			if($count == 3) $vars['id']	= $segments[2];
			break;
		case 'manual_subscr':
			$vars['view'] = 'membership';
			if($count == 3) $vars['id']	= $segments[2];
			break;	
		case 'planadd':
			$vars['view'] = 'membership';
			break;	
		case 'planaddjs':
			$vars['view'] = 'membership';
			break;	
		case 'planhistory':
			$vars['view'] = 'membership';
			if($count == 3) $vars['subid']	= $segments[2];
			break;
		case 'print_invoice':
			$vars['view'] = 'membership';
			if($count == 3) $vars['id']	= $segments[2];
			break;	
		case 'showcredit':
			$vars['view'] = 'membership';
			break;	
		case 'subscr_detail':
			$vars['view'] = 'membership';
			if($count == 3) $vars['id']	= $segments[2];
			break;	
		case 'subscr_detailjs':
			$vars['view'] = 'membership';
			if($count == 3) $vars['id']	= $segments[2];
			break;	
		
		//Employer
		case 'detailjobseeker':
			$vars['view'] 	= 'employer';
			if($count == 3) $vars['id']	= $segments[2];
			break;
		case 'editjob':
			$vars['view'] 	= 'employer';
			if($count == 3) $vars['id']	= $segments[2];
			break;
		case 'findresume':
			$vars['view'] 	= 'employer';
			break;
		case 'jobapplicants':
			$vars['view'] 	= 'employer';
			break;
		case 'myreferrals':
			$vars['view'] 	= 'employer';
			break;
		case 'publishjob':
			$vars['view'] 	= 'employer';
			if($count == 3) $vars['id']	= $segments[2];
			break;
		case 'regemployer':
			$vars['view'] 	= 'employer';
			break;
		case 'regemployernew':
			$vars['view'] 	= 'employer';
			break;
		case 'showmyjobs':
			$vars['view'] 	= 'employer';
			break;
		case 'viewapplicant':
			$vars['view'] 	= 'employer';
			if($count == 3) $vars['id']	= $segments[2];
			break;
			
		//Jobseeker
		case 'editcoverletter':
			$vars['view'] 	= 'jobseeker';
			if($count == 3) $vars['id']	= $segments[2];
			break;
		case 'editresume':
			$vars['view'] 	= 'jobseeker';
			if($count == 3) $vars['id']	= $segments[2];
			break;
		case 'jobalert':
			$vars['view'] 	= 'jobseeker';
			break;
		case 'mysavedjob':
			$vars['view'] 	= 'jobseeker';
			break;
		case 'recommend_job':
			$vars['view'] 	= 'jobseeker';
			if($count == 3) $vars['id']	= $segments[2];
			break;
		case 'regjobseeker':
			$vars['view'] 	= 'jobseeker';
			break;
		case 'profilebuilder':
			$vars['view'] 	= 'jobseeker';
			break;
		case 'regjobseekernew':
			$vars['view'] 	= 'jobseeker';
			break;
		case 'resumeview':
			$vars['view'] 	= 'jobseeker';
			break;
		case 'viewcoverletter':
			$vars['view'] 	= 'jobseeker';
			if($count == 3) $vars['id']	= $segments[2];
			break;
		case 'viewresume':
			$vars['view'] 	= 'jobseeker';
			if($count == 3) $vars['id']	= $segments[2];
			break;
			
		//Messaging
		case 'messages':
			$vars['view'] = 'messaging';
			break;
		case 'message':
			$vars['view'] = 'messaging';
			break;
		case 'sentmessages':
			$vars['view'] = 'messaging';
			break;
	}
	
	/* if(isset( $_SESSION['JBItemid'] )) { 
		$vars['Itemid'] = $_SESSION['JBItemid'];
		}*/
	
	return $vars;
}

function parseTitle($title){
	$title = str_replace(array(" ", "&", "`", "~", "!", "@", "#", "$", "%", "^", "*", "(", ")", "+", "_", "=", "{", "}", "[", "]", ":", ";", "'", "\"", "<", ">", ",", ".", "/", "?"), "-", strip_tags(strtolower($title)));
	for($n=1;$n<=10;$n++){
		$title = str_replace(array("--", "---", "----"), "-", $title);
		
		if(substr($title, 0, 1) == "-")
			$title = substr($title, 1);
		
		if(substr($title, -1, 1) == "-")
			$title = substr($title, 0, -1);
	}
	return $title;
}