<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/employer/tmpl/detailjobseeker.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows the complete details of the jobseeker (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

JBjobs::loadMootools();
$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/LightFace.js");  
$doc->addScript('index.php?option=com_jbjobs&task=lightjs'); 
JHTML::_('behavior.modal');

$Itemid = JRequest::getInt('Itemid');
$jobseeker = $this->data;
$model = $this->getModel();
$user	=& JFactory::getUser();
$id_resume 	 = $model->getActiveResume($jobseeker->jseekerid);
$id_cover 	 = $model->getActiveCoverletter($jobseeker->jseekerid);
$link_resume = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=viewresume&id='.$id_resume.'&tmpl=component&print=1');
$link_cover  = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=viewcoverletter&id='.$id_cover.'&tmpl=component&print=1');
$preview = JRequest::getVar('preview', 0, 'get', 'int');

$plan = $model->whichPlan($user->id);
$creditpercv = $plan->creditpercv;
$msg = JText::sprintf('JBJOBS_CREDIT_DEBITED_FOR_VIEWING_RESUME', $creditpercv);
$ttl = JText::_('JBJOBS_CREDIT_DEDUCTED');

$config =& JTable::getInstance('config', 'Table');
$config->load(1);
$dformat = $config->dateformat;
?>
<script language="javascript" type="text/javascript">
	function contact1(){
		var form = document.regJobSeeker;
		form.action = '<?php echo JRoute::_("index.php?option=com_jbjobs&view=messaging&layout=message&Itemid=$Itemid", false); ?>';
		form.submit();
	}
</script>	
<script language="javascript" type="text/javascript">
	window.addEvent('domready', function(){
		myFunction();
	});
	function myFunction(){
		var deb = '<?php echo $this->debited; ?>';
		if(deb == '1') jbLightAlert('<?php echo $ttl; ?>', '<?php echo $msg; ?>');

		//hide the unpublished fields
		<?php
			foreach($this->tree as $ffld){ 
				if(!$ffld->published){ ?>
					var el = '<?php echo $ffld->field; ?>';
					if($('con_'+el))
						$('con_'+el).setStyle('display', 'none');
					if($('sp_con_'+el))
						$('sp_con_'+el).setStyle('display', 'none');
		<?php
				}
			}
		?>

		//hide the contact info if it is preview mode
		var preview = '<?php echo $preview; ?>';
		if(preview == 1){
			$('con_contactdetails').dispose();
			$('sp_con_contactdetails').dispose();
			$('con_attachedresume').dispose();
			//$('sp_con_attachedresume').dispose();
		}

		<?php 
			$uid 	= $user->id;
			//show the jobseeker contact info either he is referred by none or the referrer itself
			if($jobseeker->id_job_agency == -1 || $jobseeker->id_job_agency == 0 || $jobseeker->id_job_agency == $uid){ ?>
				$$('tr.withoutreferreal').setStyle('display', 'none');
		<?php 
			} 
			else { ?>
				$$('tr.withreferreal').setStyle('display', 'none');
		<?php 
			}
		?>
	}
</script>

<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_JOBSEEKER_DETAILS'); ?></b></div>
	
<form action="index.php" method="post" name="regJobSeeker" enctype="multipart/form-data">
<?php
	foreach($this->tree as $ffld){ 
		switch ($ffld->field) {
			case "userinformation": ?>
				<div class="border" id="con_userinformation">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_JOBSEEKER_INFORMATION'); ?></div>
					<table class="admintable">
						<tr>
							<td class="key"><label for="name"><?php echo JText::_('JBJOBS_NAME'); ?>:</label>
							</td>
							<td>
								<?php echo ($jobseeker->show_name == 'y') ? $jobseeker->name : JText::_('JBJOBS_NAME_CONFIDENTIAL'); ?>
							</td>
						</tr>		
			<?php break;
			case "contactdetails": ?>
					</table>
				</div>
				<div class="sp20" id="sp_con_userinformation">&nbsp;</div>
				
				<div class="border" id="con_contactdetails">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_CONTACT_INFO'); ?></div>
					<table class="admintable">
			<?php break;
			case "street_addr": ?>
					<tr id="con_street_addr" class="withreferreal">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_ADDRESS'); ?>:</label>
						</td>
						<td>
							<?php echo ($jobseeker->show_addr == 'y')? $jobseeker->street_addr : JText::_('JBJOBS_NOT_DISPLAYED'); ?>
						</td>
					</tr>
			<?php break;
			case "id_country": ?>
					<tr id="con_id_country" class="withreferreal">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_LOCATION'); ?>:</label>
						</td>
						<td>
							<?php 
								echo ($jobseeker->show_location == 'y')? $jobseeker->city.', '.$jobseeker->district.', '.$jobseeker->country : JText::_('JBJOBS_NOT_DISPLAYED');
							?>
						</td>
					</tr>
			<?php break;
			case "zip": ?>
					<tr id="con_zip" class="withreferreal">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_ZIP'); ?>:</label>
						</td>
						<td>
							<?php echo ($jobseeker->show_zip == 'y')? $jobseeker->zip : JText::_('JBJOBS_NOT_DISPLAYED'); ?>
						</td>
					</tr>
			<?php break;
			case "contactno": ?>
					<tr id="con_contactno" class="withreferreal">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_CONTACT_NO'); ?>:</label>
						</td>
						<td>
							<?php echo ($jobseeker->show_phone == 'y')? $jobseeker->contactno : JText::_('JBJOBS_NOT_DISPLAYED'); ?>
						</td>
					</tr>
					<tr id="con_referredby" class="withreferreal">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_REFERRED_BY'); ?>:</label></td>
						<td>
							<b><?php echo ($jobseeker->agent_name == '') ? JText::_('JBJOBS_NONE') : $jobseeker->agent_name.' '.JText::_('JBJOBS_MY_REFERRAL'); ?></b>
						</td>
					</tr>
					
					<tr class="withoutreferreal">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_REFERRED_BY'); ?>:</label></td>
						<td><b><?php echo $jobseeker->agent_name; ?></b></td>
					</tr>
			<?php break; 
			case "personaldetails": ?>
					</table>
				</div>
				<div class="sp20" id="sp_con_contactdetails">&nbsp;</div>
				
				<div class="border" id="con_personaldetails">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_PERSONAL_DETAILS'); ?></div>
					<table class="admintable">
			<?php break;
			case "personal_birthday": ?>
					<tr id="con_personal_birthday">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_DATE_OF_BIRTH'); ?>:</label>
						</td>
						<td><?php echo ($jobseeker->personal_birthday != "0000-00-00") ? JHTML::_('date', $jobseeker->personal_birthday, $dformat, false) : '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>'; ?>
						</td>
					</tr>
			<?php break;
			case "personal_gender": ?>
					<tr id="con_personal_gender">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_GENDER'); ?>:</label>
						</td>
						<td><?php echo JText::_(($jobseeker->personal_gender == 'M')?  'JBJOBS_MALE':  'JBJOBS_FEMALE' );?>
						</td>
					</tr>
			<?php break;
			case "personal_status": ?>
					<tr id="con_personal_status">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_STATUS'); ?>:</label>
						</td>
						<td>
							<?php echo ($jobseeker->personal_status != "0") ? $jobseeker->personal_status : '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>'; ?>
						</td>
					</tr>
			<?php break;
			case "personal_nationality": ?>
					<tr id="con_personal_nationality">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_NATIONALITY'); ?>:</label>
						</td>
						<td nowrap="nowrap">
							<?php echo ($jobseeker->personal_nationality != "") ? $jobseeker->personal_nationality : '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>'; ?>
						</td>
					</tr>
			<?php break;
			case "photo": ?>
					<tr id="con_photo">
						<td class="key"><label for="name">	<?php echo JText::_('JBJOBS_PHOTO'); ?>:</label>
						</td>
						<td nowrap="nowrap">
						  <?php
							echo JBjobs::getLogo($jobseeker->user_id); ?>
						</td>
					</tr>
			<?php break; 
			case "education_tab": ?>
					</table>
				</div>
				<div class="sp20" id="sp_con_personaldetails">&nbsp;</div>
				
				<div class="border" id="con_education_tab">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_EDUCATION'); ?></div>
			<?php break;
			case "highestedu": ?>
					<table class="admintable" width="100%" id="con_highestedu">
					<tr>
						<th class="key" colspan="2"><?php echo JText::_('JBJOBS_HIGHEST_EDUCATION'); ?></th>
					</tr>
			<?php break;
			case "id_degree_level": ?>
					<tr id="con_id_degree_level">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_DEGREE_LEVEL'); ?>:</label>
						</td>
						<td><?php echo $jobseeker->degree_level; ?>
						</td>
					</tr>
			<?php break;
			case "id_major": ?>
					<tr id="con_id_major">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_MAJOR'); ?>:</label>
						</td>
						<td><?php echo $jobseeker->major; ?>
						</td>
					</tr>
			<?php break;
			case "ug_graduated": ?>
					<tr id="con_ug_graduated">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_YEAR_GRADUATED'); ?>:</label>
						</td>
						<td><?php echo $jobseeker->ug_graduated; ?>
						</td>
					</tr>	
			<?php break;
			case "ug_university": ?>
					<tr id="con_ug_university">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_COLLEGE/UNIVERSITY'); ?>:</label>
						</td>
						<td><?php echo $jobseeker->ug_university; ?>
						</td>
					</tr>	
			<?php break;
			case "sechighestedu": ?>
					</table>
					<table class="admintable" width="100%" id="con_sechighestedu">
					<tr>
						<th class="key" colspan="2"><?php echo JText::_('JBJOBS_SECOND_HIGHEST_EDUCATION'); ?></th>
					</tr>
			<?php break;
			case "pg_id_degree_level": ?>
					<tr id="con_pg_id_degree_level">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_DEGREE_LEVEL'); ?>:</label>
						</td>
						<td><?php echo ($jobseeker->pg_degree_level != "") ? $jobseeker->pg_degree_level : '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>'; ?>
						</td>
					</tr>
			<?php break;
			case "pg_major": ?>
					<tr id="con_pg_major">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_MAJOR'); ?>:</label>
						</td>
						<td><?php echo ($jobseeker->pg_major != "") ? $jobseeker->pg_major : '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>'; ?>
						</td>
					</tr>
			<?php break;
			case "pg_graduated": ?>
					<tr id="con_pg_graduated">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_YEAR_GRADUATED'); ?>:</label>
						</td>
						<td>
							<?php echo ($jobseeker->pg_graduated != "0000") ? $jobseeker->pg_graduated : '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>' ; ?>
						</td>
					</tr>	
			<?php break;
			case "pg_university": ?>
					<tr id="con_pg_university">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_COLLEGE/UNIVERSITY'); ?>:</label>
						</td>
						<td><?php echo ($jobseeker->pg_university != "") ? $jobseeker->pg_university : '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>'; ?>
						</td>
					</tr>
			<?php break; 
			case "skill_summary": ?>
					</table>
				</div>
				<div class="sp20">&nbsp;</div>
				
				<div class="border" id="con_skill_summary">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_SKILLS'); ?></div>
					<table class="admintable">
					<tr>
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_SKILLS_SUMMARY'); ?>:</label>
						</td>
						<td>
							<?php echo ($jobseeker->skill_summary != "") ? nl2br($jobseeker->skill_summary) : '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>'; ?>
						</td>
					</tr>
			<?php break; 
			case "currempmnt": ?>
					</table>
				</div>
				<div class="sp20">&nbsp;</div>
				
				<div class="border" id="con_currempmnt">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_CURRENT_EMPLOYMENT'); ?></div>
					<table class="admintable">
			<?php break;
			case "current_employer": ?>
					<tr id="con_current_employer">
						<td class="key">
							<label for="name"><?php echo JText::_('JBJOBS_CURRENT_EMPLOYER'); ?>:</label>
						</td>
						<td><?php echo ($jobseeker->current_employer != "") ? $jobseeker->current_employer : '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>'; ?></td>
					</tr>
			<?php break;
			case "current_position": ?>
					<tr id="con_current_position">
						<td class="key">
							<label for="name"><?php echo JText::_('JBJOBS_CURRENT_POSITION'); ?>:</label>
						</td>
						<td><?php echo $jobseeker->current_position; ?></td>
					</tr>
			<?php break;
			case "id_job_spec": ?>
					<tr id="con_id_job_spec">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_AREA_OF_SPECIALIZATION'); ?>:</label>
						</td>
						<td><?php echo $jobseeker->specialization; ?>
						</td>
					</tr>	
			<?php break;
			case "id_job_exp": ?>
					<tr id="con_id_job_exp">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_EXPERIENCE'); ?>:</label>
						</td>
						<td>
						<?php echo $jobseeker->exp_name; ?>
						</td>
					</tr>
			<?php break; 
			case "prevempmnt": ?>
					</table>
				</div>
				<div class="sp20" id="sp_con_currempmnt">&nbsp;</div>
				
				<div class="border" id="con_prevempmnt">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_PREVIOUS_EMPLOYMENT'); ?></div>
					<table class="admintable">
			<?php break;
			case "prev_employer": ?>
					<tr id="con_prev_employer">
						<td class="key">
							<label for="name"><?php echo JText::_('JBJOBS_PREVIOUS_EMPLOYER'); ?>:</label>
						</td>
						<td><?php echo ($jobseeker->prev_employer != "") ? $jobseeker->prev_employer : '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>'; ?></td>
					</tr>
			<?php break;
			case "designation": ?>
					<tr id="con_designation">
						<td class="key">
							<label for="name"><?php echo JText::_('JBJOBS_DESIGNATION'); ?>:</label>
						</td>
						<td><?php echo ($jobseeker->designation != "") ? $jobseeker->designation : '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>'; ?></td>
					</tr>
			<?php break;
			case "duration": ?>
					<tr id="con_duration">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_EXPERIENCE'); ?>:</label>
						</td>
						<td><?php 
							if($jobseeker->from_date == "0000-00-00" && $jobseeker->to_date == "0000-00-00")
								echo '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>';
							else
								echo JHTML::_('date', $jobseeker->from_date, $dformat, false).' -- '.JHTML::_('date', $jobseeker->to_date, $dformat, false); ?>
						</td>
					</tr>
			<?php break;
			case "job_profile": ?>
					<tr id="con_job_profile">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_JOB_PROFILE'); ?>:</label>
						</td>
						<td>
							<?php echo ($jobseeker->job_profile != "") ? nl2br($jobseeker->job_profile) : '<span class="redfont">'.JText::_('JBJOBS_NOT_MENTIONED').'</span>'; ?>
						</td>
					</tr>
				
			<?php break; 
			case "desiredemp": ?>
					</table>
				</div>
				<div class="sp20" id="sp_con_prevempmnt">&nbsp;</div>
				
				<div class="border" id="con_desiredemp">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_DESIRED_EMPLOYMENT'); ?></div>
					<table class="admintable">
			<?php break;
			case "id_industry1": ?>
					<tr id="con_id_industry1">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_PRIMARY_INDUSTRY'); ?>:</label>
						</td>
						<td>
							<?php echo $jobseeker->primary_industry; ?>
						</td>
					</tr>
			<?php break;
			case "id_industry2": ?>
					<tr id="con_id_industry2">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_SECONDARY_INDUSTRY'); ?>:</label>
						</td>
						<td>
							<?php echo $jobseeker->secondary_industry; ?>
						</td>
					</tr>
			<?php break;
			case "id_pos_type": ?>
					<tr id="con_id_pos_type">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_POSITION_TYPE'); ?>:</label>
						</td>
						<td>
							<?php echo $jobseeker->position_type; ?>
						</td>
					</tr>
			<?php break;
			case "salary": ?>
					<tr id="con_salary">
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_MINIMUM_SALARY'); ?>:</label>
						</td>
						<td nowrap="nowrap">
							<?php echo $jobseeker->currency_salary; ?> <?php echo $jobseeker->min_salary; ?> - <?php echo $jobseeker->salary_type; ?>
						</td>
					</tr>
			<?php break; 
			case "attachedresume": ?>
					</table>
				</div>
				<div class="sp20" id="sp_con_desiredemp">&nbsp;</div>
				<div class="border" id="con_attachedresume">
					<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_ATTACHED_RESUME_COVER'); ?></div>
						<table class="admintable">
						<tr>
							<td class="key">
								<label for="name"><?php echo JText::_('JBJOBS_RESUME'); ?>:</label>
							</td>
							<td><?php if($id_resume){ ?>
								<a rel="{handler: 'iframe', size: {x: 650, y: 500}}" href="<?php echo $link_resume; ?>" class="modal"><?php echo JText::_('JBJOBS_VIEW'); ?></a>
								<?php
									}
									else{ ?>
										<i><?php echo JText::_('JBJOBS_RESUME_NOT_FOUND'); ?></i>
								<?php	}
								?>	
							</td>
						</tr>
						<tr>
							<td class="key">
								<label for="name"><?php echo JText::_('JBJOBS_COVER'); ?>:</label>
							</td>
							<td><?php if($id_cover){ ?>
								<a rel="{handler: 'iframe', size: {x: 700, y: 500}}" href="<?php echo $link_cover; ?>" class="modal"><?php echo JText::_('JBJOBS_VIEW'); ?></a>
								<?php
									}
									else{ ?>
										<i><?php echo JText::_('JBJOBS_COVER_NOT_FOUND'); ?></i>
								<?php	}
								?>	
							</td>
						</tr>
					    
			<?php break; 
			case "customfield": ?>
					</table>
				</div>
				<div class="sp20" id="sp_con_attachedresume">&nbsp;</div>
				
				<div id="con_customfield">
				<?php $model->showCustomFieldValue($this->custom, $jobseeker->jseekerid); ?>
				</div>
			<?php break;
		 } //parent switch end
	 } //parent foreach end ?>
	 
	 <?php 
		$user	=& JFactory::getUser();
		$uid 	= $user->id;
		if($jobseeker->id_job_agency == -1 || $jobseeker->id_job_agency == 0 || $jobseeker->id_job_agency == $uid){ ?>
		<input type="hidden" name="contactid" value="<?php echo $jobseeker->jseekerid; ?>" />
		<input type="hidden" name="send" value="interviewdirect" />
	<?php 
		$contactButton = JText::_('JBJOBS_CONTACT_JOBSEEKER');
		} 
		else {?>
			<?php 
				$contactButton = JText::_('JBJOBS_CONTACT_JOB_AGENT');
				?>
				<input type="hidden" name="contactid" value="<?php echo $jobseeker->companyid; ?>" />
				<input type="hidden" name="send" value="interviewviajobagent" />
				<input type="hidden" name="candidatename" value="<?php echo $jobseeker->name; ?>" />
		
			<?php
			} ?>
	<?php if(!$preview): ?>
		<table>
			<tr>
				<?php $link_print = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=detailjobseeker&id='.$jobseeker->jseekerid.'&tmpl=component&print=1'); ?>
				<td class="key" colspan="2" align="center" style="text-align:center">
					<input onclick="contact1();" type="button" name="contact" value="<?php echo $contactButton; ?>"  class="button" >
					<input onclick="window.open('<?php echo $link_print; ?>','win2','status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=yes,width=640,height=480'); return false;" type="button" value="<?php echo JText::_('JBJOBS_PRINT'); ?>"  class="button" >
				</td>
			</tr>
		</table>
	<?php endif; ?>
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="" />
	<?php echo JHTML::_('form.token'); ?>	
</form>