<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/employer/tmpl/findresume.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Search jobseekers (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');
JBjobs::loadMootools();
JBjobs::getTooltip();
JHTML::_('behavior.modal');
$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/LightFace.js");  
$doc->addScript('index.php?option=com_jbjobs&task=lightjs');
$doc->addScript("components/com_jbjobs/js/utility.js"); 

$user	=& JFactory::getUser();
$action = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=findresume');
$post   = JRequest::get('post');
$keyword 		 = (!empty($post['keyword'])) ? $post['keyword'] : null;
$phrase 		 = (!empty($post['phrase'])) ? $post['phrase'] : 'any';
$id_job_spec     = (!empty($post['id_job_spec'])) ? (int)$post['id_job_spec'] : 0;
$id_major 	     = (!empty($post['id_major'])) ? (int)$post['id_major'] : 0;
$id_job_exp  	 = (!empty($post['id_job_exp'])) ? (int)$post['id_job_exp'] : 0;
$id_degree_level = (!empty($post['id_degree_level'])) ? (int)$post['id_degree_level'] : 0;
$id_industry	 = (!empty($post['id_industry'])) ? (int)$post['id_industry'] : 0;
$id_search_job   = (!empty($post['id_search_job'])) ? (int)$post['id_search_job'] : 0;
$id_country   	 = (!empty($post['id_country'])) ?(int) $post['id_country'] :(int) JRequest::getVar('id_country', 0, 'get', 'string');
$city  	  	  	 = (!empty($post['city'])) ? $post['city'] : JRequest::getVar('city', '', 'get', 'string');
$state  	  	 = (!empty($post['state'])) ? $post['state'] : JRequest::getVar('state', '', 'get', 'string');
$gender			 = JRequest::getVar('personal_gender', '', 'post', 'char');

$model = $this->getModel();
$switch = $model->whichUse();
$plan = $model->whichPlan($user->id);
$creditpercv = $plan->creditpercv;
?>
<script type="text/javascript">
<!--
	function clrfields(){
		var form = document.userFormJob;
		form.keyword.value = '';
		form.id_job_spec.value = '';
		form.id_major.value = '';
		form.id_job_exp.value = '';
		form.id_degree_level.value = '';
		form.id_industry.value = '';
		form.personal_gender.value = '';
		form.id_country.value = '';
		form.state.value = '';
		form.city.value = '';
	}
//-->
</script>
<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_SEARCH_JOBSEEKERS'); ?></b></div>
			
<form action="<?php echo $action; ?>" method="post" name="userFormJob" enctype="multipart/form-data">

	<table width="100%" cellpadding="0" cellspacing="0">
		<tr>
			<td><?php echo JText::_('JBJOBS_ENTER_KEYWORD'); ?></td>
			<td><input class="inputbox jbtooltip" type="text" name="keyword" id="keyword" size="40" title="<?php echo JText::_('JBJOBS_TT_RESUME_KEYWORD'); ?>" value="<?php echo $keyword; ?>" />
			<?php $list_phrase = $model->getSearchPhrase('phrase', $phrase);	   					   		
				 echo $list_phrase;?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('JBJOBS_JOB_SPECIALIZATION'); ?></td>
			<td><?php $list_job_spec = $model->getSelectJobSpec('id_job_spec',$id_job_spec,'');	   					   		
				 echo $list_job_spec;?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('JBJOBS_MAJOR'); ?></td>
			<td><?php $list_major = $model->getSelectMajor('id_major',$id_major,'');	   					   		
				 echo $list_major;?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('JBJOBS_EXPERIENCE_LEVEL'); ?></td>
			<td><?php $list_job_spec = $model->getSelectExpLevel('id_job_exp', $id_job_exp, '');	   					   		
				 echo $list_job_spec;?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('JBJOBS_EDUCATION_LEVEL'); ?></td>
			<td><?php $list_job_spec = $model->getSelectDegreeLevel('id_degree_level', $id_degree_level, '');	   					   		
				  echo $list_job_spec;?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('JBJOBS_INDUSTRY'); ?></td>
			<td><?php $list_industry = $model->getSelectIndustry('id_industry', $id_industry, '');	   					   		
				  echo $list_industry; ?></td>
		</tr>
		<tr>
			<td><?php echo JText::_('JBJOBS_GENDER'); ?></td>
			<td><?php $list_industry = $model->maleFemale('personal_gender', $gender);	   					   		
				  echo $list_industry; ?></td>
		</tr>
	</table>
	<table width="100%">
			<tr>
				<td><strong><?php echo JText::_('JBJOBS_COUNTRY'); ?></strong></td>
				<td ><strong><?php echo JText::_('JBJOBS_STATE'); ?></strong></td>
				<td ><strong><?php echo JText::_('JBJOBS_CITY'); ?></strong></td>
			</tr>
			<tr>
				<td width="33%"><?php $list_country = $model->getSelectCountry('id_country', $id_country, '', 'style="width:200px;" onChange="loadaddress(this.value, \'state\')"');	   					   		
					 echo $list_country; ?>
				</td>
				<td id="state1"  width="33%">
					<?php
					$list_state = $model->getSelectState('state', $state, 'onchange="loadaddress(this.value, \'city\')"', $id_country);
					if($list_state == ''){ ?>
						<input class="inputbox" type="text" name="state" id="state" size="35" maxlength="255" value="<?php echo $state; ?>" />
					<?php
					}
					else { 
						echo $list_state;
					} ?>	
				</td>
				<td id="city1"  width="33%">
					<?php
						$list_city = $model->getSelectCity('city', $city, '', $state);
						if($list_city == ''){ ?>
							<input class="inputbox" type="text" name="city" id="city" size="35" maxlength="255" value="<?php echo $city; ?>" />
					<?php
						}
						else { 
							echo $list_city;
						} ?>	
					<span id="status_city"></span>
				</td>
			</tr>
			<tr>
				<td colspan="3" align="center">
					<input type="submit" value="<?php echo JText::_('JBJOBS_SEARCH'); ?>" class="button" />
					<input type="button" value="<?php echo JText::_('JBJOBS_RESET'); ?>" class="button" onclick="clrfields();" /><br />
			<?php
				$link_adv_search = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=advsearch'); 
			?>
				</td>
			</tr>
		</table>
	<?php 
		if(!JBJOBS_FREE_MODE && $switch == 0){ ?>
			<div class="sp10">&nbsp;</div>
			<?php echo JText::sprintf('JBJOBS_RESUME_VIEW_NOTE', $creditpercv); 
		} 
	?>
	
    <?php 
	if(count($this->rows) > 0) { ?>
   	<br>
	<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_SEARCH_RESULTS'); ?></b></div>
	<div class="border">	
		<table width="100%" cellpadding="0" cellspacing="0">
			<thead>
			<tr  class="jbj_rowhead">
				<th><?php echo JText::_('#'); ?></th>	
				<th width="30%"><?php echo JText::_('JBJOBS_JOBSEEKER_NAME'); ?></th>
				<th width="25%"><?php echo JText::_('JBJOBS_POSITION'); ?></th>
				<th width="25%"><?php echo JText::_('JBJOBS_DEGREE_LEVEL'); ?></th>
				<th width="5%" align="center"><?php echo JText::_('JBJOBS_STATUS'); ?></th>
				<th width="20%" align="center"><?php echo JText::_('JBJOBS_COVER'); ?></th>
				<?php if($switch == 0) : ?>
				<th width="5%" align="center"><?php echo JText::_('JBJOBS_PREVIEW'); ?></th>
				<?php endif; ?>
			</tr>
			</thead>
			
			<tfoot>
			<tr>
				<td colspan="7" class="jbj_row3"><?php echo $this->pageNav->getListFooter(); ?></td>
			</tr>
			</tfoot>
			
			<tbody>
				<?php 
				$k = 0;
				for ($i=0, $n=count($this->rows); $i < $n; $i++) {
				$row = $this->rows[$i];	
				$id_cover 	 = $model->getActiveCoverletter($row->user_id);
				$res_featured = $model->getActiveResumeFeatured($row->user_id);
				$link_cover  = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=viewcoverletter&id='.$id_cover.'&print=1&tmpl=component');
				
				switch($switch){
					case 1:
						$link_jobseeker = JRoute::_('index.php?option=com_comprofiler&task=userProfile&user='.$row->user_id);
					break;
					case 2:
						$link_jobseeker = JRoute::_('index.php?option=com_community&view=profile&userid='.$row->user_id);
					break;
					default:
						$link_jobseeker = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=detailjobseeker&id='.$row->user_id);
						$link_prev_resume = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=detailjobseeker&id='.$row->user_id.'&preview=1&tmpl=component');
					break;
				}
			?>
					<tr class="jbj_<?php echo "row$k"; ?>">
					<td><?php echo $this->pageNav->getRowOffset($i); ?></td>
					<td>
						<?php
							$onclick = ''; 
							if(!JBJOBS_FREE_MODE) 
								if($this->total_credit < $creditpercv){
									$msg = JText::_('JBJOBS_RESUME_VIEW_NOT_ENOUGH_CREDIT');
									$onclick="onclick='noCredit(\"$msg\", \"e\");return false;'";
								}
						?>
						<a href="<?php echo $link_jobseeker; ?>" <?php echo $onclick; ?> ><?php echo ($row->show_name == 'y') ? $row->name : JText::_('JBJOBS_NAME_CONFIDENTIAL'); ?></a>
						<?php if(!JBJOBS_FREE_MODE_JS):?>
							<?php if($res_featured): ?>
								<span style="float:right;"><img src="components/com_jbjobs/images/f1.png" alt="Featured" width="18" title="<?php echo JText::_('JBJOBS_FEATURED_RESUME');?>"></span>
							<?php endif; ?>
						<?php endif; ?>
					</td>					
					<td><?php echo $row->current_position; ?></td>
					<td><?php echo $row->degree_level; ?></td>
					<td style="text-align:center;">
						<?php
							if(!JBJOBS_FREE_MODE){
								$ttlViewed = JText::_('JBJOBS_TT_RESUME_VIEWED');
								$ttlNotViewed = JText::_('JBJOBS_TT_RESUME_NOT_VIEWED');
							}
							else {
								$ttlViewed = JText::_('JBJOBS_TT_RESUME_VIEWED_FM');
								$ttlNotViewed = JText::_('JBJOBS_TT_RESUME_NOT_VIEWED_FM');
							}
								
							if($row->hits > 0) : ?>
								<img class="jbtooltip" src="components/com_jbjobs/images/s1.png" title="<?php echo $ttlViewed; ?>" alt="Viewed">
							<?php else: ?>
								<img class="jbtooltip" src="components/com_jbjobs/images/s0.png" title="<?php echo $ttlNotViewed; ?>" alt="Not-Viewed">
							<?php endif; ?>
					</td>
					<td style="text-align:center;"><?php if($id_cover){ ?>
						<a rel="{handler: 'iframe', size: {x: 650, y: 500}}" href="<?php echo $link_cover; ?>" class="modal"><?php echo JText::_('JBJOBS_VIEW'); ?></a>
						<?php
							}
							else{ ?>
								<i><?php echo JText::_('JBJOBS_COVER_NOT_FOUND'); ?></i>
						<?php	}
						?>	
					</td>
					<?php if($switch == 0) : ?>
					<td style="text-align:center;">
						<a rel="{handler: 'iframe', size: {x: 650, y: 500}}" href="<?php echo $link_prev_resume; ?>" class="modal"><img src="components/com_jbjobs/images/icosearch.png" width="12" alt="Preview"/></a>
					</td>
					<?php endif; ?>
				</tr>
			<?php
			$k = 1 - $k;
			}
			?>
			</tbody>				
		</table>
	</div>
	
	<?php
	}
	else{
		echo '<br><br>'.JText::_('JBJOBS_SORRY_SEARCH_RETURNED_NO_RESULT');
	}
	?>
	
	<input type="hidden" name="id_search_job" value="0" />					
	<input type="hidden" name="option" value="com_jbjobs" />			
	<input type="hidden" name="task" value="findresume" />
	<?php echo JHTML::_('form.token'); ?>	
</form>