<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/employer/tmpl/showmyjobs.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Show the jobs posted by employer (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');
$app =& JFactory::getApplication();
$user =& JFactory::getUser();
$now  = date('Y-m-d H:i:s', time() + ($app->getCfg('offset') * 60 * 60));

JBjobs::loadMootools();
$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/LightFace.js");  
$doc->addScript('index.php?option=com_jbjobs&task=lightjs');  

$model = $this->getModel();
$plan = $model->whichPlan($user->id);
$creditperjob = $plan->creditperjob;
$creditperfeatured = $plan->creditperfeatured;
$creditperhotjob = $plan->creditperhotjob;
$hotjobexpire = $plan->hotjobexpire;

$config =& JTable::getInstance('config', 'Table');
$config->load(1);
$dformat = $config->dateformat;

$action	= JRoute::_('index.php?option=com_jbjobs&view=employer&layout=showmyjobs');
?>

<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_MY_JOB_LISTING'); ?></b></div>
<img src="components/com_jbjobs/images/f1.png" class="featured" width="20" /> = <?php echo JText::_('JBJOBS_FEATURED_JOBS'); ?>&nbsp;
<img src="components/com_jbjobs/images/f0.png" class="featured" width="20" /> = <?php echo JText::_('JBJOBS_NON_FEATURED_JOBS'); ?>
<div class="border">
	<form action="<?php echo $action; ?>" method="post" name="userFormJob" enctype="multipart/form-data">	
		<table width="100%" cellpadding="0" cellspacing="0">
		<thead>
			<tr class="jbj_rowhead">
				<th width="3%">
					<?php echo JText::_('#'); ?>
				</th>
				<th width="36%" align="left">
					<?php echo JText::_('JBJOBS_NAME'); ?>
				</th>
				<th width="23%" align="left">
					<?php echo JText::_('JBJOBS_JOB_SPECIALIZATION'); ?>
				</th>
				<th width="17%" align="left">
					<?php echo JText::_('JBJOBS_PUBLISHED_DATE'); ?>
				</th>
				<th  width="14%" align="left">
					<?php echo JText::_('JBJOBS_EXPIRY_DATE'); ?>
				</th>
				<th width="10%" align="center">
					<?php echo JText::_('JBJOBS_ACTION'); ?>
				</th>
				<th width="5%" align="center">
					<?php echo JText::_('JBJOBS_EDIT/DEL/CPY'); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="8" class="jbj_row3">
					<?php echo $this->pageNav->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->rows); $i < $n; $i++) {
			$row = $this->rows[$i];
			$link_publish = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=publishjob&id='.$row->id);
			$link_set_hot = JRoute::_('index.php?option=com_jbjobs&task=setjobhot&id='.$row->id);
			if($row->is_featured)
				$creditPerJob2Check = $creditperfeatured;
			else
				$creditPerJob2Check = $creditperjob;
			?>
			<tr class="jbj_<?php echo "row$k"; ?>">
				<td>
					<?php echo $this->pageNav->getRowOffset($i); ?>
				</td>
				<td>
					<img src="components/com_jbjobs/images/f<?php echo $row->is_featured;?>.png" width="12" alt="">
					<?php echo $row->job_title; ?>
					<?php
						if($row->expire_date != "0000-00-00 00:00:00" && $row->expire_date < $now){
							echo '('.JText::_('JBJOBS_EXPIRED').')';
						}
					?>
				</td>
				<td>
					<?php echo $row->specialization; ?>
				</td>
				<td>
					<?php echo $row->publish_date != "0000-00-00 00:00:00" ?  JHTML::_('date', $row->publish_date, $dformat, false) :  "&nbsp;"; ?>
				</td>
				
				<td>
					<?php echo $row->expire_date != "0000-00-00 00:00:00" ?  JHTML::_('date', $row->expire_date, $dformat, false) :  "&nbsp;"; ?>
				</td>
				
				<td>
				<?php if($row->publish_date == '0000-00-00 00:00:00') : ?>
					<?php if(JBJOBS_FREE_MODE) : ?>
						<input type="button" value="<?php echo JText::_('JBJOBS_PUBLISH'); ?>" onclick="javascript:location.href ='<?php echo $link_publish; ?>'" class="button"/>
					<?php else: ?>
						<?php if($this->total_credit >= $creditPerJob2Check) : ?>
							<input type="button" value="<?php echo JText::_('JBJOBS_PUBLISH'); ?>" onclick="javascript:location.href ='<?php echo $link_publish; ?>'" class="button"/>
						<?php else : ?>
							<input type="button" value="<?php echo JText::_('JBJOBS_PUBLISH'); ?>" onclick="javascript: noCredit('<?php echo JText::_('JBJOBS_NOT_ENOUGH_CREDIT_BUY_CREDIT'); ?>', 'e');" class="button"/>
						<?php endif; ?>
					<?php endif; ?>
				<?php else : ?>
				<?php
					if($row->expire_date != "0000-00-00 00:00:00" && $row->expire_date < $now){
						if(JBJOBS_FREE_MODE) :
							?>
							<input type="button" value="<?php echo JText::_('JBJOBS_REPUBLISH'); ?>" onclick="javascript:location.href ='<?php echo $link_publish; ?>'" class="button"/>
							<?php
						else:
							if($this->total_credit >= $creditPerJob2Check) : ?>
								<input type="button" value="<?php echo JText::_('JBJOBS_REPUBLISH'); ?>" onclick="javascript:location.href ='<?php echo $link_publish; ?>'" class="button"/>
							<?php else : ?>
								<input type="button" value="<?php echo JText::_('JBJOBS_REPUBLISH'); ?>" onclick="javascript: noCredit('<?php echo JText::_('JBJOBS_NOT_ENOUGH_CREDIT_BUY_CREDIT'); ?>', 'e');" class="button"/>
							<?php endif;
						endif;
					}
				?>
				<?php endif; ?>
				<?php if(!JBJOBS_FREE_MODE && ($now > $row->publish_date && $now < $row->expire_date)):?><!-- show this hot button only when the job is active -->
					<?php
						$hot_expire = date("Y-m-d H:i:s", strtotime($now."+".$hotjobexpire." day"));
						$hot_expire = JHTML::_('date', $hot_expire, $dformat, false);
						$msg = JText::sprintf('JBJOBS_CREDIT_FOR_HOT_JOB_CONFIRM', $creditperhotjob, $hot_expire);
					?>
						<?php 
							if($now < $row->hotjob_expire): ?>
								<img src="components/com_jbjobs/images/hot.png" alt="Hot" width="18" title="<?php echo JText::sprintf('JBJOBS_HOT_JOB_EXPIRE_ON', JHTML::_('date', $row->hotjob_expire, $dformat, false));?>" >
						<?php else : ?>
							<?php if($this->total_credit >= $creditperhotjob) : ?>
								<input type="button" value="<?php echo JText::_('JBJOBS_SET_AS_HOT_JOB'); ?>" onclick="confirmJBTask('<?php echo JText::_('JBJOBS_CONFIRM'); ?>','<?php echo $msg; ?>', '<?php echo $link_set_hot; ?>')" class="button"/>
							<?php else : ?>
								<input type="button" value="<?php echo JText::_('JBJOBS_SET_AS_HOT_JOB'); ?>" onclick="noCredit('<?php echo JText::_('JBJOBS_NOT_ENOUGH_CREDIT_SET_HOT_JOB'); ?>', 'e');" class="button"/>
							<?php endif; ?>
						<?php endif; ?>
					
					<?php endif; ?>	
				</td>
				<td>
					<?php
						$link_edit = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=editjob&id='.$row->id);
						$link_copy = JRoute::_('index.php?option=com_jbjobs&task=copyjob&id='.$row->id);
						$link_del  = JRoute::_('index.php?option=com_jbjobs&task=removejob&id='.$row->id);
					?>
					<img src="components/com_jbjobs/images/edit.png" class="imgcl" alt="Edit" title="<?php echo JText::_('JBJOBS_EDIT_JOB'); ?>" width="16" onclick="javascript:location.href = '<?php echo $link_edit; ?>';" />
					<img src="components/com_jbjobs/images/delete.png" class="imgcl" alt="Remove" title="<?php echo JText::_('JBJOBS_REMOVE_JOB'); ?>" width="16" onclick="javascript:confirmDel('<?php echo JText::_('JBJOBS_ARE_YOU_SURE_WANT_TO_REMOVE_THIS_JOB'); ?>','<?php echo $link_del; ?>');"/>
					<img src="components/com_jbjobs/images/copy.png" class="imgcl" alt="Copy" title="<?php echo JText::_('JBJOBS_COPY_JOB'); ?>" width="16" onclick="javascript:location.href = '<?php echo $link_copy; ?>';" />
					
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
		</tbody>
		</table>

	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_('form.token'); ?>
	</form>
</div>