<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/guest/tmpl/advsearch.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows the advance search page (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');
JBjobs::loadMootools();
JBjobs::getTooltip();
$model = $this->getModel();

$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/CheckboxGroup.js"); 

$action	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=advsearchres');
?>
<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_ADVANCED_JOB_SEARCH'); ?></b></div>
	
<form action="<?php echo $action; ?>" method="post" name="userFormJob" enctype="multipart/form-data" >
	<table width="100%" cellpadding="0" cellspacing="0" class="tabledata">					
		<tr class="sectiontableentry1">
			<td><?php echo JText::_('JBJOBS_ENTER_KEYWORD'); ?></td>
			<td>
				<input type="text" name="keyword" id="keyword" size="40" class="inputbox jbtooltip" title="<?php echo JText::_('JBJOBS_TT_SEARCH_KEYWORD'); ?>"/>
				<?php $list_phrase = $model->getSearchPhrase('phrase', 'any');	   					   		
				 echo $list_phrase; ?>
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td><?php echo JText::_('JBJOBS_JOB_CATEGORIES'); ?></td>
			<td>
				<?php $list_job_spec = $model->getCheckJobCategSpec();	   					   		
				 echo $list_job_spec; ?>
			</td>
		</tr>				
		<tr class="sectiontableentry1">
			<td><?php echo JText::_('JBJOBS_LOCATION'); ?></td>
			<td>	
				<?php $list_country = $model->getMultipleCountry('id_c[]', JText::_('JBJOBS_ALL_LOCATION'), '', '');	   					   		
				 echo $list_country;
				?>
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td><?php echo JText::_('JBJOBS_CITY'); ?></td>
			<td>
				<input type="text" name="city" id="city" size="20" class="inputbox"/><br />
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td><?php echo JText::_('JBJOBS_MINIMUM_SALARY'); ?></td>
			<td>
				<input type="text" name="min_s" id="min_s" size="20" class="inputbox"/> 
			</td>
		</tr>
		
		<tr class="sectiontableentry1">
			<td><?php echo JText::_('JBJOBS_MAXIMUM_SALARY'); ?></td>
			<td>	
				<input type="text" name="max_s" id="max_s" size="20" class="inputbox"/> 
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td><?php echo JText::_('JBJOBS_SALARY_TYPE'); ?></td>
			<td>
				<?php $list_salary = $model->getSelectTypeSalary('id_st', '', '');	   					   		
				 echo $list_salary;
				?>
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td><?php echo JText::_('JBJOBS_EXPERIENCE_LEVEL'); ?></td>
			<td>	
				<?php $list_exp_level = $model->getMultipleExpLevel('id_je[]', JText::_('JBJOBS_ALL_EXPERIENCE_LEVEL'), '', '');	   					   		
				 echo $list_exp_level;
				?>  
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td><?php echo JText::_('JBJOBS_INDUSTRY'); ?></td>
			<td>	
				<?php $list_industry = $model->getMultipleIndustry('id_ind[]', JText::_('JBJOBS_ALL_INDUSTRIES'), '', '');	   					   		
				 echo $list_industry;
				?>  
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td><?php echo JText::_('JBJOBS_POSITION'); ?></td>
			<td>	
				<?php $list_industry = $model->getSelectPositionType('id_pos_type', JText::_('JBJOBS_ALL_POSITIONS'), '', '');	   					   		
				 echo $list_industry;
				?>  
			</td>
		</tr>
		<tr class="sectiontableentry1">
			<td colspan="2">
				<input type="submit" value="<?php echo JText::_('JBJOBS_SEARCH'); ?>" class="button" />
			</td>
		</tr>
	</table>
	<input type="hidden" name="option" value="com_jbjobs">
	<input type="hidden" name="task" value="advsearch">
</form>