<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	18 April 2011
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/jobseeker/tmpl/anms_jobapply.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Anonymous Job Application form (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

JBjobs::loadMootools();
JHTML::script('bfvalidate.js', 'components/com_jbjobs/js/');
JHTML::_('behavior.modal');

$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/utility.js");  


$app =& JFactory::getApplication();
$config =& JTable::getInstance('config', 'Table');
$config->load(1);

$Itemid = JRequest::getInt('Itemid');
$job = $this->data;
$id 	= JRequest::getVar('id', 0, 'get', 'string');
?>
<script language="javascript" type="text/javascript">
<!--
	function validateForm(f){
		if (document.formvalidator.isValid(f)) {
			f.check.value='<?php echo JUtility::getToken(); ?>';//send token
	    }
	    else {
		    var msg = '<?php echo JText::_('JBJOBS_FIEDS_HIGHLIGHTED_RED_COMPULSORY'); ?>';
			alert(msg);
			return false;
	    }
		return true;
	}
//-->
</script>

<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_JOB_APPLICATION').' - '.$job->job_title; ?></b></div>

<form action="index.php" method="post" name="anmsJobApply" class="form-validate" onsubmit="return validateForm(this);" enctype="multipart/form-data">

	<div class="border">
		<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_USER_INFORMATION'); ?></div>
	
			<table class="admintable">
			<tr>
				<td class="key"><label for="contact_name"><?php echo JText::_('JBJOBS_NAME'); ?><span class="redfont">*</span>:</label>
				</td>
				<td>
					<input type="text" size="50" maxlength="100" name="contact_name" id="contact_name" class="inputbox required">
				</td>
			</tr>
			<tr>
				<td class="key"><label for="contact_email"><?php echo JText::_('JBJOBS_EMAIL'); ?><span class="redfont">*</span>:</label>
				</td>
				<td>
					<input type="text" size="50" maxlength="100" name="contact_email" id="contact_email" class="inputbox required validate-email">
				</td>
			</tr>
			<tr>
				<td class="key"><label for="contact_no"><?php echo JText::_('JBJOBS_CONTACT_NO'); ?><span class="redfont">*</span>:</label>
				</td>
				<td>
					<input type="text" size="50" maxlength="100" name="contact_no" id="contact_no" class="inputbox required">
				</td>
			</tr>
			<tr>
				<td class="key"><label for="cover_letter"><?php echo JText::_('JBJOBS_COVER'); ?>:</label>
				</td>
				<td>
					<textarea name="cover_letter" rows="6" cols="50" class="inputbox"></textarea>
				</td>
			</tr>
			<tr>
				<td class="key"><label for="resume_title"><?php echo JText::_('JBJOBS_RESUME_TITLE'); ?><span class="redfont">*</span>:</label>
				</td>
				<td>
					<input type="text" size="50" maxlength="100" name="resume_title" id="resume_title" class="inputbox required">
				</td>
			</tr>
			<tr>
				<td class="key"><label for="resume_link"><?php echo JText::_('JBJOBS_RESUME'); ?>:</label>
				</td>
				<td>
					<input type="file" name="resume_link" class="inputbox"/><br>
					<small><?php echo JText::_('JBJOBS_ALLOWED_FILETYPES'); ?> :  <?php echo $config->cvfiletext; ?></small>
				</td>
			</tr>
	    </table>
	</div>
	<div class="sp20">&nbsp;</div>
	
	<?php if($config->showcaptcha): ?>
		<div class="border">
			<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_CAPTCHA_VERIFICATION'); ?></div>
			<!-- Insert the captcha here-->
			<?php
			//set the argument below to true if you need to show vertically( 3 cells one below the other)
			$app->triggerEvent('onShowOSOLCaptcha', array(true));
			?>
	</div>
	<?php endif; ?>

	<input type="submit" value="<?php echo JText::_('JBJOBS_APPLY_JOB'); ?>" class="button" />
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="applyjobanonymous" />
	<input type="hidden" name="id_job" value="<?php echo $id; ?>" />
	<input type="hidden" name="Itemid" id="Itemid" value="<?php echo $Itemid; ?>" />
    <?php echo JHTML::_('form.token'); ?>
</form>