<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/guest/tmpl/showfront.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	JoomBah Jobs home page (jbjobs)
 ^ 
 * History		:	NONE
 * */
 	defined('_JEXEC') or die('Restricted access');
	
	$user	=& JFactory::getUser();
	$model = $this->getModel();
	
	$config =& JTable::getInstance('config','Table');
	$config->load(1);
	
	$switch = $model->whichUse($user->id);	//1-CB 2-JS 0-JB

	switch($switch){
		case 1:
			if($user->id > 0){
				$link_reg_jobseeker = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=regjobseeker');
				$link_reg_employer = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=regemployer'); 
			}
			else {
				$link_reg_jobseeker = JRoute::_('index.php?option=com_comprofiler&task=registers&type=jobseeker');
				$link_reg_employer = JRoute::_('index.php?option=com_comprofiler&task=registers&type=employer');
			}
		break;
		case 2:
			if($user->id > 0){
				$link_reg_jobseeker = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=regjobseeker'); 
				$link_reg_employer = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=regemployer'); 
			}
			else {
				$link_reg_jobseeker = JRoute::_('index.php?option=com_community&view=register');
				$link_reg_employer = JRoute::_('index.php?option=com_community&view=register');
			}
		break;
		default:
			if($user->id > 0){
				$link_reg_jobseeker = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=regjobseeker'); 
				$link_reg_employer = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=regemployer'); 
			}
			else {
				
				
				//if free mode take user directly to registration page. If not, take him to plan choose page.
				if(!JBJOBS_FREE_MODE){
					$link_reg_employer = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=planadd');
				}
				else {
					$link_reg_employer = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=regemployernew'); 
				}
				//if free mode take user directly to registration page. If not, take him to plan choose page.
				if(!JBJOBS_FREE_MODE_JS){
					$link_reg_jobseeker = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=planaddjs'); 
				}
				else {
					$link_reg_jobseeker = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=regjobseekernew'); 
				}
			}
		break;
	}

	
?>

	<table width="100%" cellpadding="0" cellspacing="0" class="jbj_register">
	
		<th colspan="3" align="left" class="fsl_h3title" valign="top">
			<?php echo $config->welcome_title; ?>
		</th>
		
		<tr >
			<td align="left" valign="top" width="50%"  class="jbj_frontdesc1 borderleft" >
				<div><strong><h1><?php echo JText::_('JBJOBS_JOBSEEKER'); ?></h1></strong></div>
				<div><?php echo stripslashes($config->welcome_jobseeker); ?></div>
			</td>
			<td align="left" valign="top" width="50%"  class="jbj_frontdesc2 borderright" >				
				<div><strong><h1><?php echo JText::_('JBJOBS_EMPLOYER'); ?></h1></strong></div>
				<div><?php echo stripslashes($config->welcome_employer); ?></div>
			</td>
		</tr>
		<tr>
			<td align="center" class="borderleft borderbottom" style="padding-bottom:10px;">
				<a href="<?php echo $link_reg_jobseeker;?>" class="jbj_regbutton" style="text-decoration:none;color:#ffffff;" >
					<?php echo JText::_('JBJOBS_REGISTER_AS_JOBSEEKER');?>
				</a>
			</td>
			<td align="center" class="borderright borderbottom" style="padding-bottom:10px;">
				<a href="<?php echo $link_reg_employer;?>" class="jbj_regbutton" style="text-decoration:none;color:#ffffff;">
					<?php echo JText::_('JBJOBS_REGISTER_AS_EMPLOYER');?>
				</a>
			</td>
		</tr>
	</table>	