<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	26 January 2011
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/jobseeker/tmpl/recommend_job.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows recommended jobs for jobseekers (jbjobs)
 ^ 
 * History		:	NONE
 * */
 defined('_JEXEC') or die('Restricted access');
 ?>
<form>
	<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_RECOMMENDED_JOBS'); ?></b></div> 
	<div>
		<img src="components/com_jbjobs/images/s1.png" class="featured" width="16"> => <?php echo JText::_('JBJOBS_ALREADY_APPLIED'); ?>&nbsp;&nbsp;
		<img src="components/com_jbjobs/images/saved.png" class="featured" width="16"> => <?php echo JText::_('JBJOBS_ALREADY_SAVED'); ?>
	</div>
	<div class="border">
	<table width="100%" style="border-collapse: collapse;">
		<?php
		if(count($this->rows)>0):
			$k = 0;
			for($i=0, $n=count($this->rows); $i<$n; $i++){
				$row = $this->rows[$i];				
				$detail_job	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailjob&id='.$row->id); ?>
				<tr class="jbj_<?php echo "row$k"; ?>">
					<td width="100%">
						<div style="float:right;">
							<?php if($row->isSaved): ?>
								<img src="components/com_jbjobs/images/saved.png" alt="Saved" title="<?php echo JText::_('JBJOBS_ALREADY_SAVED'); ?>">
							<?php endif; ?>
							<?php if($row->isApplied): ?>
							<img src="components/com_jbjobs/images/s1.png" alt="Applied" title="<?php echo JText::_('JBJOBS_ALREADY_APPLIED'); ?>">
							<?php endif; ?>
						</div>
						<a class="jobcriteria" href="<?php echo $detail_job; ?>"><?php echo $row->job_title; ?></a> (<?php echo $row->exp_name; ?>)<br/>			
						<?php echo $row->comp_name; ?><br/>			
						<span class="greenfont"><?php echo $row->city; ?></span><br/>	
						<em><?php echo strip_tags($row->short_desc); ?></em>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
		else:
			$link_job_alert = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=jobalert');
			echo JText::sprintf('JBJOBS_RECOMMENDED_JOBS_NOT_FOUND', $link_job_alert);
		endif;
		?>
	</table>
	</div>
</form>