<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	12 April 2011
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/membership/tmpl/buy_credit.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Buy Credit (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

JBjobs::loadMootools();
$user =& JFactory::getUser();
$model = $this->getModel();
$plan = $model->whichPlan($user->id);
$Itemid = JRequest::getInt('Itemid');

$config =& JTable::getInstance('config','Table');
$config->load(1);

$price_credit  	= $plan->creditprice;
$currency 	  	= $config->currencysymbol;
$mincredit		= $config->creditmin;
$tax_percent	= $config->taxpercent;
?>
	
<script language="javascript" type="text/javascript">
	function isNumberKey(evt){
	  var charCode = (evt.which) ? evt.which : event.keyCode
	  if (charCode > 31 && (charCode < 48 || charCode > 57))
	      return false;
	
	  return true;
	}

	function validateForm(pressbutton) {
		var form = document.userFormJob;
		var mincredit = parseInt('<?php echo $mincredit; ?>');
		
		if(form.credit.value == ''){
			alert('<?php echo JText::_('JBJOBS_PLEASE_ENTER_CREDIT_THAT_YOU_WANT_TO_BUY'); ?>');
			return false;				
		}			
		if(isNaN(parseInt(form.credit.value))){
			alert('<?php echo JText::_('JBJOBS_PLEASE_ENTER_THE_CREDIT_IN_NUMERIC_ONLY'); ?>');
			return false;				
		}
		if(form.credit.value < mincredit){
			alert('<?php echo JText::sprintf('JBJOBS_MINIMUM_CREDIT_IS', $mincredit); ?>');
			return false;				
		}			
		return true;
	}
	
	function updateCart(){
		
	}
	window.addEvent('domready', function() {
		$('credit').addEvent('keyup', function(event){
			var inputstr = $('credit').get('value');
			if(inputstr.length > 0){
				var tot = parseFloat('<?php echo $price_credit?>' * $('credit').get('value'));
				$('tot').set('html', '<b>'+tot+'</b>');
				$('cred').set('html', $('credit').get('value'));
				$('cartTotal').setStyle('display', 'block');
			}
			else {
				$('cartTotal').setStyle('display', 'none');
			}
		});
	});	
	
</script>
	
<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_BUY_CREDIT'); ?></b></div>
<form action="index.php" method="post" name="userFormJob" onsubmit="return validateForm()" enctype="multipart/form-data">
		
	<div class="border">
		<table class="admintable" width= "100%">
			<tr>
				<th colspan="2">
					<?php echo JText::_( 'JBJOBS_PRICE_FOR_1_CREDIT' ); ?> = <?php echo $currency.' '; ?> <?php echo number_format($price_credit, 2, '.', ','); ?>
				</th>
			</tr>			
			<tr>
				<td class="key"><?php echo JText::_( 'JBJOBS_BUY' ); ?></td>
				<td>
					<input type="text" name="credit" id="credit" class="inputbox" onkeypress="return isNumberKey(event)"/> <?php echo JText::_('JBJOBS_CREDIT'); ?>
					<div id="cartTotal" class="plan-choose" style="float:right; width:220px; padding:6px; display:none"><?php echo JText::sprintf('JBJOBS_PAY_TOTAL_FOR_CREDIT_TAX', $currency, '<span id="tot"></span>', '<span id="cred"></span>', $tax_percent )?></div>
				</td>
			</tr>	
			
			<th colspan="2" ><b><?php echo JText::_('JBJOBS_BILLING_ADDRESS'); ?>:</b></th>				
			
			<tr>
				<td class="key"><?php echo JText::_('JBJOBS_ADDRESS'); ?></td>
				
				<td>
					<input class="inputbox" type="text" name="address" id ="address" size="40" maxlength="255" value="<?php echo $this->row->bill_addr; ?>"/>						
				</td>
			</tr>
			
			<tr>
				<td class="key"><?php echo JText::_('JBJOBS_ADDRESS_CONT'); ?>:</td>				
				<td>						
					<input class="inputbox" type="text" size="40" maxlength="255" name="address_cont" id ="address_cont" value="<?php echo $this->row->bill_addr_cont; ?>"/>						
				</td>
			</tr>	
			
			<tr>
				<td class="key"><?php echo JText::_('JBJOBS_CITY'); ?>:	</td>
				<td><input class="inputbox" type="text" name="city" id ="city" value="<?php echo $this->row->bill_city; ?>"/></td>					
			</tr>	
			
			<tr>
				<td class="key"><?php echo JText::_('JBJOBS_DISTRICT/STATE'); ?>:</td>
				<td><input class="inputbox" type="text" name="state" id ="state" value="<?php echo $this->row->bill_state; ?>"/></td>
			</tr>
					
			<tr>
				<td class="key"><?php echo JText::_('JBJOBS_COUNTRY'); ?>:</td>
				<td>
					<?php 
						$list_country = $model->getSelectCountry('id_country', $this->row->bill_id_country, '', '');
						echo $list_country;
					?>						
				</td>				
			 </tr>
			
			<tr>
				<td class="key"><?php echo JText::_('JBJOBS_ZIP'); ?>:</td>
				<td><input class="inputbox" type="text" name="zip" id ="zip" value="<?php echo $this->row->bill_zip; ?>"/></td>
			</tr>		
			
			<tr>
				<td class="key"><?php echo JText::_('JBJOBS_PHONE'); ?>:</td>
				<td>						
					<input class="inputbox" type="text" name="phone" id ="phone" value="<?php echo $this->row->bill_phone; ?>"/>						
				</td>				
			</tr>	
			
			<tr>
				<td class="key"><?php echo JText::_('JBJOBS_PAYMENT'); ?>:</td>
				<td>
					<?php 
						$list_paymode = $model->getSelectPaymode('gateway', '', '');
						echo $list_paymode;
					?>						
				</td>
			</tr>
				
			<th colspan="2" align="center"><input type="submit" value="<?php echo JText::_( 'JBJOBS_BUY' ); ?>" class="button" />	</th>								
		    </table>
		</div>
		<br/>
		<div id="tipbox">
		<?php echo JText::_('JBJBOS_PAYMENT_TIPS'); ?>
	</div>
					
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="savebuycredit" />		
	<input type="hidden" name="Itemid" id="Itemid" value="<?php echo $Itemid; ?>" />
    <?php echo JHTML::_('form.token'); ?>
</form>