<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	07 November 2010
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/employer/tmpl/checkout.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Displays the checkout page (jbjobs)
 * */
defined('_JEXEC') or die('Restricted access');

$user =& JFactory::getUser();

$model = $this->getModel();
$plan = $model->whichPlan($user->id);

$config =& JTable::getInstance('config','Table');
$config->load(1);
$currencysym  		= $config->currencysymbol;
$tax_name			= $config->taxname;
$repeat = JRequest::getVar('repeat', 0, 'get', 'int');
$Itemid = JRequest::getInt('Itemid');
?>
<script language="javascript" type="text/javascript">
		
	function paymentMethod() {
		var form = document.userFormJob;
		form.task.value = 'processpaymentmethod';
		form.submit();
	}		
</script>

<form action="index.php" method="post" name="userFormJob" enctype="multipart/form-data">
	<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_CHECKOUT'); ?></b></div>
	
	<?php  
	
	$introtext = 'JBJOBS_CHECKOUT_INFO'.($repeat ? '_REPEAT' : '' );
	echo JText::sprintf($introtext, '<b>'.$this->subscr->invoiceNo.'</b>' ); ?>
	
	<div class="sp10">&nbsp;</div>
	<div class="plan-choose" style="width:98%; padding:5px">
		<h2><?php echo JText::_('JBJOBS_CART'); ?></h2>
		<table width="100%" border="0" cellspacing="2" cellpadding="4">
			<thead>
				<th align="left"><?php echo JText::_('JBJOBS_NAME'); ?></th>
				<th align="left"><?php echo JText::_('JBJOBS_INVOICE_NO'); ?></th>
				<th align="left"><?php echo JText::_('JBJOBS_PAY_MODE'); ?></th>
				<th align="left"><?php echo JText::_('JBJOBS_PLAN_DURATION'); ?></th>
				<th align="left"><?php echo JText::_('JBJOBS_CREDITS'); ?></th>
				<th><?php echo JText::_('JBJOBS_TOTAL'); ?></th>
			</thead>
			<tr>
				<td><?php echo $this->plan->name; ?></td>
				<td><?php echo $this->subscr->invoiceNo ;?></td>
				<td><?php echo JBjobs::getGwayName($this->subscr->gateway) ;?></td>
				<td><?php echo $this->plan->days.' '.getDaysType($this->plan->days_type); ?></td>
				<td><?php echo $this->subscr->credit ;?></td>
				<td align="right"><?php echo number_format($this->subscr->price, 2, '.', ',') ;?></td>
			</tr>
			<tr>
				<td colspan="5" align="right"><?php echo $tax_name.' '.$this->subscr->tax_percent ;?>% :</td>
				<td colspan="4" align="right">
					<?php
						$taxamt = ($this->subscr->tax_percent/100)*$this->subscr->price;
						echo number_format($taxamt, 2, '.', ',');
					?>
				</td>
			</tr>
			<tr>
				<td colspan="5" align="right"> </td>
				<td colspan="4" align="right"><hr></td>
			</tr>
			<tr>
				<td colspan="5" align="right"><?php echo JText::_('JBJOBS_TOTAL'); ?> :</td>
				<td colspan="4" align="right">
					<?php
						$total = $taxamt + $this->subscr->price;
						echo '<B>'.$currencysym.' '.number_format($total, 2, '.', ',').'</B>';
					?>
				</td>
			</tr>
			<tr>
				<td colspan="7"><hr></td>
			</tr>
			<tr>
				<td colspan="7" align="center"><INPUT type="button" class="button" value="<?php echo JText::_('JBJOBS_CHECKOUT'); ?>" onclick="paymentMethod();" /></td>
			</tr>

		</table>
	</div>
	<input type="hidden" name="option" value="com_jbjobs">
	<input type="hidden" name="task" value="">
	<input type="hidden" name="controller" value="payment">
	<input type="hidden" name="id" value="<?php echo $this->subscr->id; ?>">
	<input type="hidden" name="paymode" value="<?php echo $this->subscr->gateway; ?>">
	<input type="hidden" name="buy" value="plan">
	<input type="hidden" name="amount" value="<?php echo $total; ?>">
	<input type="hidden" name="Itemid" id="Itemid" value="<?php echo $Itemid; ?>" />
	<?php echo JHTML::_('form.token'); ?>
</FORM>
<?php 
	function getDaysType($daysType){
		if($daysType == 'days')
			$lang = JText::_('JBJOBS_DAYS');
		elseif($daysType == 'weeks')
			$lang = JText::_('JBJOBS_WEEKS');
		elseif($daysType == 'months')
			$lang = JText::_('JBJOBS_MONTHS');
		elseif($daysType == 'years')
			$lang = JText::_('JBJOBS_YEARS');
		return $lang;
	}
?>