<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	11 April 2011
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/membership/tmpl/planhistory.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows plan history subscribed (jbjobs)
 ^ 
 * History		:	NONE
 * */
 defined('_JEXEC') or die('Restricted access');

 JBjobs::loadMootools();
 $doc =& JFactory::getDocument();
 $doc->addScript("components/com_jbjobs/js/LightFace.js");  
 $doc->addScript('index.php?option=com_jbjobs&task=lightjs');
 JHTML::_('behavior.modal');
 
 $config =& JTable::getInstance('config', 'Table');
 $config->load(1);
 $currencysym = $config->currencysymbol;
 $dformat = $config->dateformat;
 
 $model	=& $this->getModel();
 $user	=& JFactory::getUser();
 $is_employer  = $model->isEmployer($user->id);
 $is_jobseeker = $model->isJobSeeker($user->id);
 
 if($is_employer)
 	$link_plan_add  = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=planadd');
 elseif($is_jobseeker)
 	$link_plan_add  = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=planaddjs');
 	
 $action = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=planhistory');
?>

<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_SUBSCR_HISTORY'); ?></b></div>
<?php
	$onclick = ''; 
	if(isset($this->rows[0])) 
	if($this->rows[0]->approved == 0){	//the recent subscr is pending approval
		$ttl = JText::_('JBJOBS_CANCEL_SUBSCR');
		$msg = JText::_('JBJOBS_PENDING_SUBSCR_CANCEL_FIRST');
		$onclick="onclick='jbLightAlert(\"$ttl\", \"$msg\");return false;'";
	}
?>
 <P><a href="<?php echo $link_plan_add; ?>" <?php echo $onclick; ?> ><?php echo JText::_('JBJOBS_SUBSCR_NEW'); ?></a></P>

<form action="<?php echo $action; ?>" method="post" name="userFormJob" enctype="multipart/form-data">
	<?php 
	if($this->finish) echo "<p>$this->finish</p>";
	 ?>
      <?php
      if(count($this->rows) > 0){ ?>
	  	<div class="border">
          <TABLE border="0" width="100%" cellpadding="0" cellspacing="0">
		  <thead>
            <tr class="jbj_rowhead">
              <Th width="10"><?php echo JText::_('ID'); ?></Th>
              <Th width="22%"><?php echo JText::_('JBJOBS_PLAN_NAME'); ?></Th>
              <!--<Th><?php echo JText::_('JBJOBS_LIMIT'); ?></Th>
              <Th><?php echo JText::_('JBJOBS_USED'); ?></Th>-->
              <Th width="3%"><?php echo JText::_('JBJOBS_STATUS'); ?></Th>
			  <Th width="15%"><?php echo JText::_('JBJOBS_DATE_BUY'); ?></Th>
              <Th width="10%"><?php echo JText::_('JBJOBS_DAYS_LEFT'); ?></Th>
              <Th width="15%"><?php echo JText::_('JBJOBS_START'); ?></Th>
              <Th width="15%"><?php echo JText::_('JBJOBS_END'); ?></Th>
              <Th width="10%"><?php echo JText::_('JBJOBS_PRICE'); ?></Th>
			  <Th width="12%"><?php echo JText::_('JBJOBS_ACTION'); ?></Th>
            </TR>
		</thead>
		<tbody>
            <?php
            $k = 0;
            foreach ($this->rows AS $row){
				if($row->gateway == '.banktransfer')
					$link_checkout  = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=manual_subscr&id='.$row->id);
				elseif($row->gateway != '.banktransfer')
					$link_checkout  = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=check_out&id='.$row->id.'&repeat=1');
					
				if($is_employer)
					$link_subscrdetail	= JRoute::_('index.php?option=com_jbjobs&view=membership&layout=subscr_detail&id='.$row->id );
				elseif($is_jobseeker)
					$link_subscrdetail	= JRoute::_('index.php?option=com_jbjobs&view=membership&layout=subscr_detailjs&id='.$row->id );
					
				$link_cancelsubscr  = JRoute::_('index.php?option=com_jbjobs&task=cancelsubscr&id='.$row->id);
				$link_printinvoice =  JRoute::_('index.php?option=com_jbjobs&view=membership&layout=print_invoice&id='.$row->id.'&tmpl=component&print=1&type=subscr');
	            ?>
          		<tr class="jbj_<?php echo "row$k"; ?>">
                    <TD><?php echo $row->id;?></TD>
                    <TD><a href="<?php echo $link_subscrdetail; ?>" class="jobcriteria"><?php echo $row->name;?></a></TD>
                    <!--<TD><?php echo $row->access_limit ? $row->access_limit : "No Limit";?></TD>
                    <TD><?php echo $row->access_count;?> Times</TD>-->
                    <TD>
						<?php if($row->daysleft < 0): ?>
							<img src="components/com_jbjobs/images/s3.png" alt="">
						<?php else: ?>
							<img src="components/com_jbjobs/images/s<?php echo $row->approved;?>.png" alt="">
						<?php endif; ?>
					</TD>
					
					<td><?php echo JHTML::_('date', $row->date_buy, $dformat, true); ?></td>
                    <TD><?php if($row->daysleft >= 0)echo $row->daysleft; else echo '0';?></TD>
                   	<td><?php echo $row->date_approval != "0000-00-00 00:00:00" ?  JHTML::_('date', $row->date_approval, $dformat, true) :  "&nbsp;"; ?></td>
                   	<td><?php echo $row->date_expire != "0000-00-00 00:00:00" ?  JHTML::_('date', $row->date_expire, $dformat, true) :  "&nbsp;"; ?></td>
					<TD class="alignright"><?php echo $currencysym; ?> <?php echo number_format($row->price, 2, '.', ','); ?></TD>
					<TD style="text-align:center;"><?php if(!$row->approved): ?>
						<img src="components/com_jbjobs/images/checkout.png" alt="CO" title="<?php echo JText::_('JBJOBS_CHECKOUT'); ?>" width="18" onclick="javascript:location.href = '<?php echo $link_checkout; ?>';" />
						<img src="components/com_jbjobs/images/delete.png" alt="Cancel" title="<?php echo JText::_('JBJOBS_CANCEL_SUBSCR'); ?>" width="16" onclick="javascript:confirmDel('<?php echo JText::_('JBJOBS_CONFIRM_CANCEL_SUBSCRIPTION'); ?>', '<?php echo $link_cancelsubscr; ?>');" />
						<?php endif; ?>
						<a rel="{handler: 'iframe', size: {x: 650, y: 500}}" href="<?php echo $link_printinvoice; ?>" class="modal"><img src="components/com_jbjobs/images/print.png" title="<?php echo JText::_('JBJOBS_PRINT_INVOICE'); ?>" width="18" alt="Print"/></a>
					</TD>
                </TR>
                <?php
            $k = 1 - $k;
            }
                ?>
			</tbody>
            </TABLE>
		</div>
		<div class="sp20">&nbsp;</div>
		<table>
			<th colspan="2"><?php echo JText::_('JBJOBS_STATUS'); ?></th>
			<tr>
				<td><img src="components/com_jbjobs/images/s0.png" alt=""></td>
				<td><?php echo JText::_('JBJOBS_PENDING'); ?></td>
			</tr>
			<tr>
				<td><img src="components/com_jbjobs/images/s1.png" alt=""></td>
				<td><?php echo JText::_('JBJOBS_APPROVED'); ?></td>
			</tr>
			<tr>
				<td><img src="components/com_jbjobs/images/s2.png" alt=""></td>
				<td><?php echo JText::_('JBJOBS_CANCELLED'); ?></td>
			</tr>
			<tr>
				<td><img src="components/com_jbjobs/images/s3.png" alt=""></td>
				<td><?php echo JText::_('JBJOBS_EXPIRED'); ?></td>
			</tr>
		</table>
		<?php 
      }
      else 
      {
      	echo JText::_('JBJOBS_NOSUBSCR');
      }
		?>
</form>

