<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	13 August 2011
 * Author 		:	JoomBah Team
 + Project		: 	Job site
 * File Name	:	mod_jbjobssimplyhired.php
 ^
 * Description	: 	This module displays latest jobs from Indeed.com (jbjobs)
 ^
 * History		:	NONE
 ^
 * */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
require_once( dirname(__FILE__).DS.'helper.php' );

JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbjobs'.DS.'tables');
$config =& JTable::getInstance('config', 'Table');
$config->load(1);

$document = & JFactory::getDocument();
$document->addStyleSheet("components/com_jbjobs/css/$config->theme");
$document->addStyleSheet("modules/mod_jbjobssimplyhired/css/style.css");
$document->addScript('<script type="text/javascript" src="http://api.simplyhired.com/c/jobs-api/js/xml-v2.js"></script>');
?>
<div style="border: 1px solid #dedede; width: 99.5%;">
	<table width="100%" cellpadding="0" cellspacing="0" style="border-collapse: collapse;">
		<thead>
			<tr class="jbj_rowhead">
				<th width="9%" align="left"><b><?php echo JText::_( 'MOD_JBJOBS_DATE' ); ?>
				</b>
				</th>
				<th width="35%" align="left"><b><?php echo JText::_( 'MOD_JBJOBS_DESCRIPTION' ); ?>
				</b>
				</th>
				<th width="35%" align="left"><b><?php echo JText::_( 'MOD_JBJOBS_LOCATION' ); ?>
				</b>
				</th>
				<th width="20%" align="left"><b><?php echo JText::_( 'MOD_JBJOBS_COMPANY' ); ?>
				</b>
				</th>
			</tr>
		</thead>
		<?php
		$publisher	  = $params->get('shpubid'); // A required value, which identifies your publisher account.
		$limit		  = $params->get('total_row'); // Number of results per page
		$shlink	  	  = $params->get('sh_link');  // i.e. where2kerja.jobamatic.com
		$query        = $params->get('query'); // A URL-encoded collection of terms indicating the search criteria.
		$userip		  = $_SERVER['REMOTE_ADDR'];  // IP address of user
		
		$url ="http://api.simplyhired.com/a/jobs-api/xml-v2/q-".urlencode($query)."?pshid=".$publisher."&ssty=2&cflg=r&jbd=".$shlink."&clip=".$userip."&l".$co;
		
		$api = @simplexml_load_file($url);

		if($api) {
			$k=$tempCounter=0;
			$items = $api->rs->r; // simplyhired
			foreach($items as $item) {
				# DISPLAY ACCORDING TO THE LIMIT.
				if ( $tempCounter < $limit )
				{
					$title=$item->jt;
					$link = $item->src['url'];
					$location = $item->loc;
					$company = $item->cn;
					$published_on = $item->ls;
					$city = $item->loc['cty'];
					$state=$item->loc['st'];
					$country=$item->loc['country'];
					$dayVar = date('d', strtotime($published_on));
					$monthVar = date('M', strtotime($published_on));
					$yearVar = date('Y', strtotime($published_on));
					$publishdate=date('Y-m-d H:i:s', strtotime($item->ls));
					$description = $item->e;
					
					$days= 28;
					$time_zone=8;
					$format='Y-m-d H:i:s';
			?>
		<tbody>
			<tr class="jbj_<?php echo "row$k"; ?>">
				<td><span class="jbj_date"><?php echo $dayVar;?> </span><br /> <span
					class="jbj_month"><?php echo $monthVar ;?> </span>
				</td>
				<td><a href="<?php echo $link;?>" onMouseDown="xml_sclk(this); class="jbj_title jobcriteria" target="_blank"><?php echo $title; ?>
				</a>
				</td>
				<td><span class="jbj_location"><?php echo $location; ?> </span>
				</td>
				<td align="center"><?php 
				$img = JURI::base().'components/com_jbjobs/images/nophoto.gif';
				echo '<img class="jbj_imglatest" src="'.$img.'" width="50" height="50" style="margin-right:10px;"alt="img"/>';
				?> <br />
					<div class="jbj_compname">
					<?php echo $company; ?>
					</div>
				</td>
			</tr>
		</tbody>
		<?php
		$k = 1 - $k;
		$tempCounter++;
		} // k++
		}
		}
		?>
		<tfoot>
			<tr>
				<td colspan="4" class="jbj_row3" align="center">
                <a STYLE="text-decoration:none" href="http://www.simplyhired.com/"><span style="color: rgb(0, 0, 0);">Jobs</span></a> by <a STYLE="text-decoration:none" href="http://www.simplyhired.com/"><span style="color: rgb(0, 159, 223); font-weight: bold;">Simply</span><span style="color: rgb(163, 204, 64); font-weight: bold;">Hired</span></a>
				</td>
			</tr>
		</tfoot>
	</table>

</div>
