<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	30 March 2011
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	elements/locationParam.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Get the Id for the criteria (jbjobs)
 ^ 
 * History		:	NONE
 * */

defined('_JEXEC') or die('Restricted access');

class JElementLocationParam extends JElement {
    /**
     * Get an element
     *
     * @param string $name         name of element
     * @param string $value        value of element
     * @param string &$node        node of element
     * @param string $control_name name of controler
     *
     * @return string html
     */
    function fetchElement($name, $value, &$node, $control_name) {
        $lang = & JFactory::getLanguage();
        $lang->load('com_jbjobs');
        $size = $node->attributes('size') ? $node->attributes('size') : "10";

        static $elId;
        if (!is_int($elId)) {
            $elId = 0;
        } 
        else {
            $elId++;
        }
        $db = & JFactory::getDBO();
        $doc = & JFactory::getDocument();
        $fieldName = $control_name . '[' . $name . ']';
        $js = "
		        function jSelectItemid(name,id,num) {
		            document.getElementById(name+'_name'+num).value = id;
		            document.getElementById('sbox-window').close();
		        }
		      ";
        $doc->addScriptDeclaration($js);
        $link = 'index.php?option=com_jbjobs&amp;view=adminconfig&amp;layout=showcountry&amp;tmpl=component&amp;jbtask=getid&amp;ename='.$name.'&amp;elId='.$elId;
        JHTML::_('behavior.modal', 'a.modal');
        $html = "\n" . '<div style="float: left;"><input style="background: #ffffff;" size="'.$size.'" type="text" id="'.$name.'_name'.$elId.'" name="'.$fieldName.'" value="'.$value.'" readonly="readonly"/></div>';
        $html.= '<div class="button2-left"><div  class="blank"><a class="modal" title="' . JText::_('Select') . '"  href="' . $link . '" rel="{handler: \'iframe\', size: {x: 800, y: 500}}">' . JText::_('Select') . '</a></div></div>' . "\n";
        return $html;
    }
}
