<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	13 January 2011
 * Author		:	Faisel
 * Tested by	: 	Zaki
 + Project		: 	Job site
 * File Name	:	helper/helper.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Helper file (jbjobs)
 ^ 
 * History		:	
 * */
defined('_JEXEC') or die('Restricted access');

define('JBJOBS_ADMIN', JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbjobs');
define('JBJOBS_HELPER', JBJOBS_ADMIN.DS.'helper'.DS);
jimport( 'joomla.database.table' );
//require_once(JPATH_SITE.DS.'components'.DS.'com_jbjobs'.DS.'models'.DS.'jbjobs.php');
?>
<?php
class JBjobs {
	function get($path){
		list($group,$class) = explode('.',$path);
		include_once(constant(strtoupper('JBJOBS_'.$group)).$class.'.php');
		$className = $class.ucfirst($group);
		if(!class_exists($className)) return null;
		return new $className();
	}
	
	function getGwayName($gwCode){
		if($gwCode != '.byadmin'){
			$db =& JFactory::getDBO();
			$query = "SELECT fieldtext FROM #__jbjobs_payment_mode WHERE gwcode='$gwCode' AND parent=0";
			$db->setQuery($query);
			$gwayName = $db->loadResult();
		}
		else
			$gwayName = 'By Admin';
		
		return $gwayName;
	}
	
	public function getLogo($userid, $att = ''){
		$db =& JFactory::getDBO();
		
		$switch = JBjobs::whichUse($userid);
		switch($switch){
			case 1:
				$query = "SELECT avatar FROM #__comprofiler WHERE avatarapproved='1' AND user_id='$userid'";
				$db->setQuery($query);
				$i = $db->loadResult();
				if($i){
					$img = JPATH_SITE.DS.'images'.DS.'comprofiler'.DS.$i;
					$pimg = JURI::root().'images/comprofiler/'.$i.'?'.time();
				}
				else {
					$img = JPATH_SITE.DS.'images'.DS.'jbjobs'.DS.$userid.'.jpg';
					$pimg = JURI::root().'images/jbjobs/'.$userid.'.jpg?'.time();
				}
			break;
			case 2:
				$query = 'SELECT avatar FROM #__community_users WHERE userid='.$userid;
				$db->setQuery($query);
				$i = $db->loadResult();
				if($i){
					$img = JPATH_SITE.DS.$i;
					$pimg = JURI::root().$i.'?'.time();
				}
				else {
					$img = JPATH_SITE.DS.'images'.DS.'jbjobs'.DS.$userid.'.jpg';
					$pimg = JURI::root().'images/jbjobs/'.$userid.'.jpg?'.time();
				}
			break;
			default:
				$img = JPATH_SITE.DS.'images'.DS.'jbjobs'.DS.$userid.'.jpg';
				$pimg = JURI::root().'images/jbjobs/'.$userid.'.jpg?'.time();
			break;
		}
	
		if(file_exists($img)) {
			return "<img src=$pimg $att>";
		}
		else if($userid){
			$img = JURI::root().'components/com_jbjobs/images/nophoto.gif';
			return  "<img src=$img $att>";
		}
	}
	
	function getPaymentStatus($approved){
		$lang =& JFactory::getLanguage();
	 	$lang->load('com_jbjobs', JPATH_SITE);
	 	
		if($approved == 0)
			$status = '<span class="bluefont">'.JText::_('JBJOBS_PENDING_PAYMENT').'</span>';
		elseif($approved == 1)
			$status = '<span class="greenfont">'.JText::_('JBJOBS_COMPLETED').'</span>';
		elseif($approved == 2)
			$status = '<span class="redfont">'.JText::_('JBJOBS_CANCELLED').'</span>';
		return $status;
	}
	
	public static function getTooltip(){
		$toolTipArray = array('className' => 'jbtooltip');
		JHTML::_('behavior.tooltip', '.jbtooltip', $toolTipArray); 
	}
	
	public function loadMootools() {
		$config =& JTable::getInstance('config', 'Table');
		$config->load(1);
		if($config->enablemooupg){
			$jversion = new JVersion ();
			if ($jversion->RELEASE == 1.5) {
				jimport ( 'joomla.plugin.helper' );
				$mootools12 = JPluginHelper::isEnabled ( 'system', 'mtupgrade' ) || JPluginHelper::isEnabled ( 'system', 'mootools12' );
				if (! $mootools12) {
					$app = JFactory::getApplication ();
					if (!class_exists ( 'JHTMLBehavior' )) {
						if (is_dir ( JPATH_PLUGINS . DS . 'system' . DS . 'mtupgrade' )) {
							JHTML::addIncludePath ( JPATH_PLUGINS . DS . 'system' . DS . 'mtupgrade' );
						}
					} 
				}
			}
			JHTML::_('behavior.mootools');
		}
		else {
			JHTML::_('behavior.mootools');
		}
	}
	
	public function userProfileLink($userid){
		
		$is_jobseeker = $this->isJobSeeker($userid);
		$is_employer  = $this->isEmployer($userid);
		
		if($is_jobseeker){
			switch(JBjobs::whichUse($userid)){
				case 1:
					$link_url = JRoute::_('index.php?option=com_comprofiler&task=userProfile&user='.$userid);
				break;
				case 2:
					$link_url = JRoute::_('index.php?option=com_community&view=profile&userid='.$userid);
				break;
				default:
					$link_url = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=detailjobseeker&id='.$userid);
				break;
			}
		}
		
		if($is_employer){
			switch(JBjobs::whichUse($userid)){
				case 1:
					$link_url = JRoute::_('index.php?option=com_comprofiler&task=userProfile&user='.$userid);
				break;
				case 2:
					$link_url = JRoute::_('index.php?option=com_community&view=profile&userid='.$userid);
				break;
				default:
					$link_url = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailcomp&id='.$userid);
				break;
			}
		}
		return $link_url;
	}
	
//5.Is JobSeeker?	
	function isJobSeeker($userid){
		$db 	=& JFactory::getDBO();
		$query 	= "SELECT COUNT(*) FROM #__jbjobs_jobseeker where user_id =".$db->quote( $userid );
		$db->setQuery( $query );
		$total 	= $db->loadResult();
		if($total == 1)
			return 1;
		else
			return 0;
	}
//4.Is Employer?	
	function isEmployer($userid){
		$db 	=& JFactory::getDBO();
		$query 	= "SELECT COUNT(*) FROM #__jbjobs_employer where user_id =".$db->quote( $userid );
		$db->setQuery( $query );
		$total 	= $db->loadResult();
		if($total == 1)
			return 1;
		else
			return 0;
	}	
	//1.Which Profile to Use?
	function whichUse($userid = null){
		$config =& JTable::getInstance('config','Table');
		$config->load(1);
		$user_profile = $config->get('userprofile');
	
		switch ($user_profile){
			case 1:
				if((file_exists(JPATH_SITE.DS.'components'.DS.'com_comprofiler'.DS.'comprofiler.php')) && (file_exists(JPATH_SITE.DS.'components'.DS.'com_comprofiler'.DS.'plugin'.DS.'user'.DS.'plug_cbjbjobs'.DS.'cbjbjobs.php'))){
					$db =& JFactory::getDBO();
					$query = "SELECT COUNT(*) FROM #__comprofiler_plugin WHERE element='cbjbjobs' AND published='1'";
					$db->setQuery($query);
					if($db->loadResult())
						return 1;
					else
						return 0;
				}
				else{
					return 0;
				}
			break;
			case 2:
				if((file_exists(JPATH_SITE.DS.'components'.DS.'com_community'.DS.'community.php')) && (file_exists(JPATH_SITE.DS.'plugins'.DS.'community'.DS.'jbactstream.php'))){
					return 2;
				}
				else {
					return 0;
				}
			break;
			case 0:
			default:
				return 0;
			break;
		}
	}
	
	function getPrivacySettings($userid){
		$is_jobseeker = $this->isJobSeeker($userid);
		$is_employer  = $this->isEmployer($userid);
		$db =& JFactory::getDBO();
		$privSettings = array();$query = '';
		if($is_employer){
			$query = "SELECT show_name,show_comp_name,show_location,show_phone,show_email,show_addr,show_fax,show_post
					  FROM #__jbjobs_employer WHERE user_id=$userid";
		}
		if($is_jobseeker){
			$query = "SELECT show_name,show_location,show_phone,show_email,show_addr,show_zip,show_post
					  FROM #__jbjobs_jobseeker WHERE user_id=$userid";
		}
		$db->setQuery($query);
		$privSettings = $db->loadAssoc();
		
		if($is_employer)
			$privSettings['usertype'] = 'e';
		
		if($is_jobseeker)
			$privSettings['usertype'] = 'j';
		
		return $privSettings;
	}
	
	static public function isMine($id1, $id2){
		return ($id1 == $id2) && (($id1 != 0) || ($id2 != 0));
	}
}

?>