<?php
/**
+ Created by	:	JoomBah Team
* Company		:	ISDS Sdn Bhd
+ Contact		:	www.joombah.com , support@joombah.com
* Created on	:	August 2010
* Author 		:	Faisel
+ Project		: 	Job site
* File Name		:	toolbar.jbjobs.html.php
* License		:	GNU General Public License version 3, or later
^ 
* Description	: 	Entry point for the component (jbjobs)
^ 
* History		:	NONE 
* */
defined('_JEXEC') or die('Restricted access');
/**
* @package Joomla
* @subpackage jbtopitem
*/
class TOOLBAR_jbjobs {
	//Dashboard
	function _DASHBOARD(){
		JToolBarHelper::title(JText::_('JBJOBS_JOOMBAH_TITLE'), 'joombah');    
		//JToolBarHelper::preferences('com_jbjobs', 200);
	}
	
	function _DEFAULT(){
		JToolBarHelper::title(JText::_('JBJOBS_JOOMBAH_TITLE'), 'joombah');    
		//JToolBarHelper::preferences('com_jbjobs', 200);
	}
	
	//JOB
	function _JOB_LIST(){
		JToolBarHelper::title( JText::_('JBJOBS_JOBS_MANAGER'), 'joombah' );    
		JToolBarHelper::custom( 'removejob', 'delete.png', 'delete_f2.png', 'DELETE', true, false ); 
		JToolBarHelper::custom( 'newjob', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_JOB(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_('JBJOBS_JOBS_MANAGER') .': <small><small>[ '. $text .' ]</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savejob', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'canceljob', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
		}
		else {
			JToolBarHelper::custom( 'canceljob', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
	}
	
	//EMPLOYER
	function _SHOW_EMPLOYER(){
		JToolBarHelper::title(JText::_('JBJOBS_EMPLOYER_MANAGER'), 'joombah');
		JToolBarHelper::custom('removeemployer', 'delete.png', 'delete_f2.png', 'DELETE', true, true); 
		JToolBarHelper::custom('newemployer', 'new.png', 'new_f2.png', 'NEW', false,  false);
	}
	
	function _EDIT_EMPLOYER(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title(JText::_('JBJOBS_EMPLOYER_MANAGER') .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom('saveemployer', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom('cancelemployer', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom('cancelemployer', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
	}
	
	//JOBSEEKER
	function _SHOW_JOBSEEKER(){
		JToolBarHelper::title( JText::_('JBJOBS_JOBSEEKER_MANAGER'), 'joombah' );
		JToolBarHelper::custom( 'removejobseeker', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newjobseeker', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_JOBSEEKER(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_('JBJOBS_JOBSEEKER_MANAGER') .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savejobseeker', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the buttorn is renamed `close`
			JToolBarHelper::custom( 'canceljobseeker', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'canceljobseeker', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
	}
	
	function _EDIT_RESUME(){
		$id = JRequest::getVar('id', 0, '', 'int');
		($id == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ($isNew ? JText::_('NEW') : JText::_('EDIT'));
		JToolBarHelper::title( JText::_('JBJOBS_RESUME') .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'saveresume', 'save.png', 'save_f2.png', 'Save', false,  false );		
		JToolBarHelper::back();
	}
	
	//BILLING
	function _SHOW_BILLING(){
		JToolBarHelper::title( JText::_('JBJOBS_CREDIT_PURCHASE_MANAGER'),'joombah' );
		JToolBarHelper::custom( 'removebilling', 'delete.png', 'delete_f2.png', 'DELETE', true, false ); 
		JToolBarHelper::custom( 'approvebilling', 'apply.png', 'apply_f2.png','JBJOBS_APPROVE', true, true );
	}
	
	//SUBSCRIPTION
	function _SHOW_SUBSCR(){
		JToolBarHelper::title( JText::_('JBJOBS_SUBSCRIPTION_MANAGER'),'joombah' );
		JToolBarHelper::custom( 'showplan', 'edit.png', 'edit_f2.png', 'JBJOBS__PLANS', false,  false );
		JToolBarHelper::divider();
		JToolBarHelper::custom( 'newsubscr', 'new.png', 'new_f2.png', 'NEW', false,  false );
		JToolBarHelper::custom( 'removesubscr', 'delete.png', 'delete_f2.png', 'DELETE', true, false ); 
		JToolBarHelper::custom( 'approvesubscr', 'apply.png', 'apply_f2.png','JBJOBS_APPROVE', true, true );
	}
	
	function _EDIT_SUBSCR(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_('JBJOBS_SUBSCRIPTION_MANAGER') .': <small><small>[ '. $text .' ]</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savesubscr', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelsubscr', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelsubscr', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//JOB ALERT
	function _SHOW_JOBALERT(){
		JToolBarHelper::title( JText::_('JBJOBS_JOB_ALERTS_MANAGER'),'joombah' );
		/*
		JToolBarHelper::custom( 'newjobalert', 'new.png', 'new_f2.png', 'NEW', false,  false );*/
		JToolBarHelper::custom( 'sendjobalert', 'send.png', 'send_f2.png', 'JBJOBS_SEND_ALERT', true, true );
		JToolBarHelper::divider();
		JToolBarHelper::custom( 'removejobalert', 'delete.png', 'delete_f2.png', 'DELETE', true, false );
		
	}
	
	function _EDIT_JOBALERT(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'Job Alerts' ) .': <small><small>[ '. $text .' ]</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savejobalert', 'save.png', 'save_f2.png', 'Save', false,  false );		
		JToolBarHelper::custom( 'canceljobalert', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
	}
	
	//CONFIGURATION : Config
	function _CONFIG(){
		JToolBarHelper::title( JText::_('JBJOBS_COMPONENT_SETTINGS'), 'joombah' );
		JToolBarHelper::custom( 'saveconfig', 'save.png', 'save_f2.png', 'Save', false,  false );
		JToolBarHelper::custom( 'cancelconfig', 'cancel.png', 'cancel_f2.png', 'Cancel', false,  false );
	}
	
	
	//CONFIGURATION : PARAMETERS
	function _SHOW_CONFIG(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_ALL' ), 'joombah' );
	}

	//CONFIGURATION : MEMBERSHIP PLAN FOR EMPLOYERS
	function _SHOW_PLAN(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_EMPLOYER_PLAN' ), 'joombah' );
		JToolBarHelper::custom( 'showsubscr', 'apply.png', 'apply_f2.png', 'JBJOBS_SUBSCRIPTIONS', false,  false );
		JToolBarHelper::divider();
		JToolBarHelper::custom( 'newplan', 'new.png', 'new_f2.png', 'NEW', false,  false );
		JToolBarHelper::custom( 'removeplan', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
	}
	
	function _EDIT_PLAN(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_EMPLOYER_PLAN' ) .': <small><small>[ '. $text .' ]</small></small>', 'joombah' );
		JToolBarHelper::custom( 'saveplan', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelplan', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelplan', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : MEMBERSHIP PLAN FOR JOBSEEKERS
	function _SHOW_PLANJS(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_JOBSEEKER_PLAN' ), 'joombah' );
		JToolBarHelper::custom( 'showsubscr', 'apply.png', 'apply_f2.png', 'JBJOBS_SUBSCRIPTIONS', false,  false );
		JToolBarHelper::divider();
		JToolBarHelper::custom( 'newplanjs', 'new.png', 'new_f2.png', 'NEW', false,  false );
		JToolBarHelper::custom( 'removeplanjs', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
	}
	
	function _EDIT_PLANJS(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_JOBSEEKER_PLAN' ) .': <small><small>[ '. $text .' ]</small></small>', 'joombah' );
		JToolBarHelper::custom( 'saveplanjs', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelplanjs', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelplan', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : PAYMENT MODES
	function _SHOW_PAYMODE(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_PAYMENT_GATEWAYS' ), 'joombah' );
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
	}
	
	function _EDIT_PAYMODE(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_PAYMENT_GATEWAYS' ) .': <small><small>[ '. $text .' ]</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savepaymode', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelpaymode', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelpaymode', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
		}
	}

	//CONFIGURATION : COUNTRY
	function _SHOW_COUNTRY(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_COUNTRY_MANAGER' ), 'joombah' );
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::custom( 'removecountry', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newcountry', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_COUNTRY(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_COUNTRY_MANAGER' ) .': <small><small>[ '. $text .' ]</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savecountry', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelcountry', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelcountry', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : STATE
	function _SHOW_STATE(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_STATES' ), 'joombah' );
		JToolBarHelper::custom( 'showcountry', 'apply.png', 'apply_f2.png', 'Countries', false,  false );
		JToolBarHelper::divider();
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::custom( 'removestate', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newstate', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_STATE(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_STATES' ) .': <small><small>[ '. $text .' ]</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savestate', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelstate', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelstate', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
		}
	}
	
	//CONFIGURATION : CITY
	function _SHOW_CITY(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_CITIES' ), 'joombah' );
		JToolBarHelper::custom( 'showstate', 'apply.png', 'apply_f2.png', 'States', false,  false );
		JToolBarHelper::divider();
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		JToolBarHelper::custom( 'removecity', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newcity', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_CITY(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_CITIES' ) .': <small><small>[ '. $text .' ]</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savecity', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelcity', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelcity', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
		}
	}
	
	//CONFIGURATION : EMAIL TEMPLATES
	function _EMAIL_TEMPLATE(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_EMAIL_TEMPLATES' ), 'joombah' );
		JToolBarHelper::custom( 'saveemailtemplate', 'save.png', 'save_f2.png', 'Save', false,  false );	
	}

	//CONFIGURATION : FIELD ORDER
	function _FIELD_ORDER(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_STD_FIELD_SETTINGS' ), 'joombah' );
		JToolBarHelper::custom( 'showcustomfield', 'apply.png', 'apply_f2.png', 'JBJOBS_CUSTOM_FIELDS', false,  false );
		JToolBarHelper::divider();
		JToolBarHelper::publishList();
		JToolBarHelper::unpublishList();
		
	}
	
	//CONFIGURATION : CRON
	function _SHOW_CRON(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_CRON_SCHEDULER' ), 'joombah' );
	}
	
	//CONFIGURATION : MAJOR
	function _SHOW_MAJOR(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_MAJOR_STUDIES' ), 'joombah' );
		JToolBarHelper::custom( 'removemajor', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newmajor', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_MAJOR(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_MAJOR_STUDIES' ) .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savemajor', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelmajor', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelmajor', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : DEGREE LEVEL
	function _SHOW_DEGLEVEL(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_DEGREE_LEVEL' ), 'joombah' );
		JToolBarHelper::custom( 'removedeglevel', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newdeglevel', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_DEGLEVEL(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_DEGREE_LEVEL' ) .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savedeglevel', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'canceldeglevel', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'canceldeglevel', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : UNIVERSITY
	function _SHOW_UNIVERSITY(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_UNIVERSITY' ), 'joombah' );
		JToolBarHelper::custom( 'removeuniversity', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newuniversity', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_UNIVERSITY(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_UNIVERSITY' ) .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'saveuniversity', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'canceluniversity', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'canceluniversity', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : SALARY TYPE
	function _SHOW_SALTYPE(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_SALARY_TYPE' ), 'joombah' );
		JToolBarHelper::custom( 'removesaltype', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newsaltype', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_SALTYPE(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_SALARY_TYPE' ) .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savesaltype', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelsaltype', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelsaltype', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : JOB EXPERIENCE
	function _SHOW_JOBEXP(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_EXPERIENCE_LEVEL' ), 'joombah' );
		JToolBarHelper::custom( 'removejobexp', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newjobexp', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_JOBEXP(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_EXPERIENCE_LEVEL' ) .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savejobexp', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'canceljobexp', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'canceljobexp', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : COMPANY TYPE
	function _SHOW_COMPTYPE(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_COMPANY_TYPE' ), 'joombah' );
		JToolBarHelper::custom( 'removecomptype', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newcomptype', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_COMPTYPE(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_COMPANY_TYPE' ) .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savecomptype', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelcomptype', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelcomptype', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : SALUTATION
	function _SHOW_SALUTATION(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_SALUTATION' ), 'joombah' );
		JToolBarHelper::custom( 'removesalutation', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newsalutation', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_SALUTATION(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_SALUTATION' ) .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savesalutation', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelsalutation', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelsalutation', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : POSITION TYPE
	function _SHOW_POSTYPE(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_POSITION_TYPE' ), 'joombah' );
		JToolBarHelper::custom( 'removepostype', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newpostype', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_POSTYPE(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_POSITION_TYPE' ) .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savepostype', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelpostype', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelpostype', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : JOB SPECIALIZATION
	function _SHOW_JOBSPEC(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_JOB_SPECIALIZATION' ), 'joombah' );
		JToolBarHelper::custom( 'showjobcateg', 'apply.png', 'apply_f2.png', 'JBJOBS_JOB_CATEG', false,  false );
		JToolBarHelper::divider();
		JToolBarHelper::custom( 'removejobspec', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newjobspec', 'new.png', 'new_f2.png', 'NEW', false,  false ); 
	}
	
	function _EDIT_JOBSPEC(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_JOB_SPECIALIZATION' ) .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savejobspec', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'canceljobspec', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'canceljobspec', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : JOB CATEGORY
	function _SHOW_JOBCATEG(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_JOB_CATEGORY' ), 'joombah' );
		JToolBarHelper::custom( 'showjobspec', 'apply.png', 'apply_f2.png', 'JBJOBS_JOB_SPEC', false,  false );
		JToolBarHelper::divider();
		JToolBarHelper::custom( 'removejobcateg', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newjobcateg', 'new.png', 'new_f2.png', 'NEW', false,  false ); 
	}
	
	function _EDIT_JOBCATEG(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_JOB_CATEGORY' ) .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savejobcateg', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'canceljobcateg', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else{
			JToolBarHelper::custom( 'canceljobcateg', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//CONFIGURATION : INDUSTRY COMPANY
	function _SHOW_INDCOMP(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_INDUSTRY' ), 'joombah' );
		JToolBarHelper::custom( 'removeindcomp', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newindcomp', 'new.png', 'new_f2.png', 'NEW', false,  false );
	}
	
	function _EDIT_INDCOMP(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_INDUSTRY' ) .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'saveindcomp', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelindcomp', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelindcomp', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );	
			//JToolBarHelper::cancel();
		}
	}
	
	//Custom Fields
	function _SHOW_CUSTOM_FIELD(){
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_CUSTOM_FIELDS' ), 'joombah' );
		JToolBarHelper::custom( 'removecustomfield', 'delete.png', 'delete_f2.png', 'DELETE', true, true ); 
		JToolBarHelper::custom( 'newcustomfield', 'new.png', 'new_f2.png', 'JBJOBS_NEW_FIELD', false,  false );
		JToolBarHelper::custom( 'newcustomgroup', 'new.png', 'new_f2.png', 'JBJOBS_NEW_GROUP', false,  false );
	}
	
	function _EDIT_CUSTOM_FIELD(){
		$cid = JRequest::getVar( 'cid', array(0), '', 'array' );
		($cid[0] == 0)?	$isNew = true : $isNew = false; //if it is new job, cid = 0
		$text = ( $isNew ? JText::_( 'NEW' ) : JText::_( 'EDIT' ) );
		JToolBarHelper::title( JText::_( 'JBJOBS_CONFIGURATION_CUSTOM_FIELDS' ) .': <small><small>['.$text.']</small></small>', 'joombah' );
		JToolBarHelper::custom( 'savecustomfield', 'save.png', 'save_f2.png', 'Save', false,  false );		
		if (!$isNew){
			// for existing items the button is renamed `close`
			JToolBarHelper::custom( 'cancelcustomfield', 'cancel.png', 'cancel_f2.png', 'Close', false,  false );
		}
		else {
			JToolBarHelper::custom( 'cancelcustomfield', 'cancel.png', 'cancel_f2.png', 'Cancel', false,  false );
		}
	}
	
}
?>
