<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	15 December 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminconfig/tmpl/fieldorder.php
 * License		:	GNU General Public License version 3, or later
 ^
 * Description	: 	Show the field ordering page (jbjobs)
 ^
 * History		:	NONE
 * */

 defined('_JEXEC') or die('Restricted access');
 $lang =& JFactory::getLanguage();
 $lang->load('com_jbjobs', JPATH_SITE);
 
 $doc = & JFactory::getDocument(); 
 $doc->addStyleSheet(JURI::root().'components/com_jbjobs/css/style.css');
?>
<form action="index.php" method="post" name="adminForm">
	<table>
		<tr>
			<td width="100%" align="right">
				<?php echo JText::_('FILTER'); ?>:
				<button onclick="this.form.getElementById('filter_field_type').value='0';this.form.submit();"><?php echo JText::_('RESET'); ?></button>
			</td>
			<td nowrap="nowrap">
				<?php echo $this->lists['field_type'];?>
			</td>
		</tr>
	</table>
	<?php if($this->fieldfor == 2) : ?>
	<div class="expiredprd">
		<?php echo JText::_('JBJOBS_FIELD_UNPUBLISH_WARNING'); ?>
	</div>
	<div class="sp10">&nbsp;</div>
	<?php endif; ?>
	<table class="adminlist" cellpadding="1">
		<thead>
			<tr>
				<th width="10" class="title"><?php echo JText::_('#'); ?></th>
				<Th width="10"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->rows); ?>);" /></Th>
				<th width="70%"><?php echo JText::_('JBJOBS_FIELD_TITLE'); ?></th>
				<th width="10%"><?php echo JText::_('JBJOBS_REQUIRED'); ?></th>
				<th width="10%"><?php echo JText::_('PUBLISHED'); ?></th>
				<th width="10%"><?php echo JHTML::_('grid.sort', 'ORDERING', 'f.ordering', $this->lists['order_Dir'], $this->lists['order'] ); ?><?php echo JHTML::_('grid.order',  $this->tree); ?></th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php //echo $this->pageNav->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
			$k = 0;
			for ($i=0, $n=count( $this->tree ); $i < $n; $i++){
				$row 	= $this->tree[$i];
				$row->checked_out = 0;
				$checked 	= JHTML::_('grid.checkedout', $row, $i );
				$published = JHTML::_('grid.published', $row, $i );
				$required = required($row, $i);
				?>
			<tr class="<?php echo "row$k"; ?>" >
				<td>
					<?php echo $this->pageNav->getRowOffset($i); ?>
				</td>
				<td align="center"><?php echo $checked; ?>
				</td>
				<?php
				if ($row->level == 0 || $row->level == 1) {
					$newsection = 1; ?>
					<?php if ($row->level == 0) :?>
				<td align="center" colspan="2" ><strong><font size="2"><?php echo JText::_($row->fieldtitle); ?></font></strong></td>
					<?php endif; ?>
					<?php if ($row->level == 1) :?>
				<td align="" colspan="2" ><strong><font><?php echo $row->fieldtitle;  ?></font></strong></td>
					<?php endif; ?>
				<td align="center">
					<?php if ($row->cannotunpublish == 1) { ?>
						<!--<img src="images/<?php echo $pubimg;?>" width="18" height="16" border="0" alt="<?php echo JText::_( 'CAN_NOT_UNPUBLISHED' ); ?>" />-->
					<?php }else { ?>
					<?php echo $published; ?>
					<?php } ?>
				</td>
					 <td class="order">
						<!--<span><?php echo $this->pageNav->orderUpIcon( $i, true, 'orderup', 'Move Up', true); ?></span>
						<span><?php echo $this->pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', true ); ?></span> -->
						<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align: center; display: none;" />
					</td>
				<?php } else{  ?>
					<td><?php echo $row->fieldtitle; ?></td>
					<td align="center"><?php echo $required; ?></td>
					<td align="center">
						<?php if ($row->cannotunpublish == 1) { ?>
							<!--<img src="images/<?php echo $pubimg;?>" width="16" height="16" border="0" alt="<?php echo JText::_( 'CAN_NOT_UNPUBLISHED' ); ?>" />-->
						<?php }else { ?>
						<?php echo $published; ?>
						<?php } ?>
					</td>
					 <td class="order">
						<span><?php echo $this->pageNav->orderUpIcon( $i, true, 'orderup', 'Move Up', true); ?></span>
						<span><?php echo $this->pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', true ); ?></span>
						<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align: center" />
					</td>
				<?php $newsection = 0;
				} ?>
			</tr>
			<?php
				$k = 1 - $k;
				}
			?>
		</tbody>
	</table>

	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="view" value="adminconfig" />
	<input type="hidden" name="layout" value="fieldorder" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="ctype" value="fieldorder" />
	<input type="hidden" name="fieldfor" value="<?php echo $this->fieldfor; ?>" />
	<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
<?php
	function required( &$row, $i, $imgY = 'tick.png', $imgX = 'publish_x.png', $prefix='' ){
		$img 	= $row->required ? $imgY : $imgX;
		$task 	= $row->required ? 'unrequired' : 'required';
		$alt 	= $row->required ? JText::_( 'Required' ) : JText::_( 'Unrequired' );
		$action = $row->required ? JText::_('JBJOBS_ITEM_UNREQUIRED') : JText::_('JBJOBS_ITEM_REQUIRED');

		$href = '
		<a href="javascript:void(0);" onclick="return listItemTask(\'cb'. $i .'\',\''. $prefix.$task .'\')" title="'. $action .'">
		<img src="images/'. $img .'" border="0" alt="'. $alt .'" /></a>'
		;

		return $href;
	}
?>