<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	31 December 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminconfig/tmpl/showstate.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows list of cities (jbjobs)
 ^ 
 * History		:	NONE
 * */
 defined('_JEXEC') or die('Restricted access');
 $state_name = JRequest::getVar('state_name', '', 'get', 'string');
 $action = 'index.php?option=com_jbjobs&view=adminconfig&layout=showcity&state_name='.$state_name;
?>
<form action="<?php echo $action; ?>" method="post" name="adminForm">	
	<table class="adminlist">
	<thead>
		<tr>
			<th width="10">
				<?php echo JText::_( 'NO' ); ?>
			</th>
			<th width="10" >
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->rows); ?>);" />
			</th>
			<th width="100%" align="left">
				<?php echo JText::_('JBJOBS_CITIES'); ?>
			</th>
			<th width="10" nowrap="nowrap">
				<?php echo JText::_( 'PUBLISH' ); ?>
			</th>
								
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="4">
				<?php echo $this->pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
	<?php
	$k = 0;
	for ($i=0, $n=count($this->rows); $i < $n; $i++) {
		$row = $this->rows[$i];
		$link_edit	= JRoute::_( 'index.php?option=com_jbjobs&view=adminconfig&layout=editcity&cid[]='.$row->id );
		$row->checked_out = 0;
		$checked 	= JHTML::_('grid.checkedout', $row, $i );
		$published = JHTML::_('grid.published', $row, $i ); ?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $this->pageNav->getRowOffset( $i ); ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td>
				<a href="<?php echo $link_edit?>"><?php echo $row->city; ?></a>					
			</td>
			<td align="center">
				<?php echo $published; ?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</tbody>
	</table>

	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="view" value="adminconfig" />
	<input type="hidden" name="layout" value="showcity" />
	<!--<input type="hidden" name="country_id" value="<?php echo $row->country_id; ?>" />-->
	<input type="hidden" name="stat_name" value="<?php echo $state_name; ?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="ctype" value="city" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>