<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	20 December 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminjob/tmpl/showcustomfield.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Entry point for the component (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');
?>
<form action="index.php" method="post" name="adminForm">
	<table>
		<tr>
			<td width="100%" align="right">
				<?php echo JText::_( 'FILTER' ); ?>:
				<button onclick="this.form.getElementById('filter_field_type').value='0';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
			<td nowrap="nowrap">
				<?php echo $this->lists['field_type'];?>
			</td>
		</tr>
	</table>	
	<table class="adminlist">
	<thead>
		<tr>
			<th width="10">
				<?php echo JText::_( 'NO' ); ?>
			</th>
			<th width="10" >
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->rows); ?>);" />
			</th>
			<th width="10%" nowrap="nowrap">
				<?php echo JText::_( 'JBJOBS_FIELD_FOR' ); ?>
			</th>
			<th align="left">
				<?php echo JText::_( 'TITLE' ); ?>
			</th>
			<th width="8%" nowrap="nowrap">
				<?php echo JText::_( 'TYPE' ); ?>
			</th>
			<th width="5%" nowrap="nowrap">
				<?php echo JText::_( 'JBJOBS_REQUIRED' ); ?>
			</th>
			<th width="8%" nowrap="nowrap">
				<?php echo JText::_( 'ORDERING' ); ?>
				<?php echo JHTML::_('grid.order',  $this->rows); ?>
			</th>
			<th width="5%" nowrap="nowrap">
				<?php echo JText::_( 'PUBLISH' ); ?>
			</th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="8">
				<?php //echo $this->pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
	<?php
	$k = 0;
	for ($i=0, $n=count($this->rows); $i < $n; $i++) {
		$row = $this->rows[$i];
		$edit_field	= JRoute::_( 'index.php?option=com_jbjobs&view=adminconfig&layout=editcustomfield&cid[]='.$row->id);
		$edit_group	= JRoute::_( 'index.php?option=com_jbjobs&view=adminconfig&layout=editcustomfield&cid[]='.$row->id.'&type=group');
		$row->checked_out = 0;
		$checked 	= JHTML::_('grid.checkedout', $row, $i );
		$published = JHTML::_('grid.published', $row, $i );
		$required = required($row, $i);
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $this->pageNav->getRowOffset( $i ); ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td>
				<?php echo $row->field_for; ?>
			</td>
			<?php if($row->parent == 0): ?>
			<td align="center" colspan="3">
				<strong><a href="<?php echo $edit_group?>"><?php echo $row->field_title; ?></a></strong>				
			</td>
			<?php else: ?>
			<td>
				<a href="<?php echo $edit_field?>"><?php echo $row->field_title; ?></a>					
			</td>										
			<td>
				<?php echo $row->field_type; ?>
			</td>										
			<td align="center">
				<?php echo $required; ?>
			</td>	
			<?php endif; ?>									
												
			<td class="order">
				<span><?php echo $this->pageNav->orderUpIcon( $i, true, 'orderup', 'Move Up', true); ?></span>
				<span><?php echo $this->pageNav->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', true ); ?></span>
				<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align: center" />
			</td>
			<td align="center">
				<?php echo $published; ?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</tbody>
	</table>

	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="view" value="adminconfig" />
	<input type="hidden" name="layout" value="showcustomfield" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="ctype" value="customfield" />
	<input type="hidden" name="fieldfor" value="<?php echo $this->fieldfor; ?>" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
<?php 
	function required( &$row, $i, $imgY = 'tick.png', $imgX = 'publish_x.png', $prefix='' ){
		$img 	= $row->required ? $imgY : $imgX;
		$task 	= $row->required ? 'unrequired' : 'required';
		$alt 	= $row->required ? JText::_( 'Required' ) : JText::_( 'Unrequired' );
		$action = $row->required ? JText::_( 'Item Unrequired' ) : JText::_( 'Item Required' );

		$href = '
		<a href="javascript:void(0);" onclick="return listItemTask(\'cb'. $i .'\',\''. $prefix.$task .'\')" title="'. $action .'">
		<img src="images/'. $img .'" border="0" alt="'. $alt .'" /></a>'
		;

		return $href;
	}
?>