<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	14 December 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminconfig/tmpl/showstate.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows list of states (jbjobs)
 ^ 
 * History		:	NONE
 * */
 defined('_JEXEC') or die('Restricted access');
 $country_id = JRequest::getVar('country_id', 0, '', 'int');
 $jbtask = JRequest::getVar('jbtask', '');
 $ename = JRequest::getVar('ename');
 //get the number to attach to the id of the input to update after selecting a menu item
 $elId = JRequest::getVar('elId');
?>
<form action="index.php" method="post" name="adminForm">	
	<table class="adminlist">
	<thead>
		<tr>
			<th width="10">
				<?php echo JText::_( 'NO' ); ?>
			</th>
			<th width="10" >
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->rows); ?>);" />
			</th>
			<th width="100%" align="left">
				<?php echo JText::_('JBJOBS_STATES'); ?>
			</th>
			<th width="10" nowrap="nowrap">
				<?php echo JText::_( 'PUBLISH' ); ?>
			</th>
			<th width="25" align="left">
				<?php echo JText::_('JBJOBS_CITIES'); ?>
			</th>					
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="5">
				<?php echo $this->pageNav->getListFooter(); ?>
			</td>
		</tr>
	</tfoot>
	<tbody>
	<?php
	$k = 0;
	for ($i=0, $n=count($this->rows); $i < $n; $i++) {
		$row = $this->rows[$i];
		$link_edit	= JRoute::_( 'index.php?option=com_jbjobs&view=adminconfig&layout=editstate&cid[]='.$row->id );
		$link_city	= JRoute::_('index.php?option=com_jbjobs&view=adminconfig&layout=showcity&state_name='.$row->state);
		$row->checked_out = 0;
		$checked = JHTML::_('grid.checkedout', $row, $i ); 
		$published = JHTML::_('grid.published', $row, $i ); 
		
		$onclick = '';
		if($jbtask == 'getid')
	 		$onclick = "window.parent.jSelectItemid('$ename', '$row->state', $elId)";
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $this->pageNav->getRowOffset( $i ); ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td>
				<a href="<?php echo $link_edit; ?>" onclick="<?php echo $onclick; ?>" ><?php echo $row->state; ?></a>					
			</td>
			<td align="center">
				<?php echo $published; ?>
			</td>
			<td>
				<a href="<?php echo $link_city; ?>"><?php echo JText::_('JBJOBS_CITIES'); ?></a>					
			</td>									
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</tbody>
	</table>

	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="view" value="adminconfig" />
	<input type="hidden" name="layout" value="showstate" />
	<input type="hidden" name="country_id" value="<?php echo $country_id; ?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="ctype" value="state" />
	<input type="hidden" name="boxchecked" value="0" />
	
	<input type="hidden" name="jbtask" value="<?php echo $jbtask; ?>" />
	<input type="hidden" name="ename" value="<?php echo $ename; ?>" />
	<input type="hidden" name="elId" value="<?php echo $elId; ?>" />
	<?php if($jbtask == 'getid'){?>
	<input type="hidden" name="tmpl" value="<?php echo JRequest::getVar('tmpl'); ?>" />
	<?php }?>
	<?php echo JHTML::_( 'form.token' ); ?>
</form>