<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	13 August 2011
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/adminjob/tmpl/editresume.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Add, Edit, Delete Resume (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

JBjobs::loadMootools();
JHTML::script('bfvalidate.js', 'components/com_jbjobs/js/');

$type   = JRequest::getVar('type', '', 'get', 'string');
$model  = $this->getModel();
$editor =& JFactory::getEditor();
$config =& JTable::getInstance('config', 'Table');
$config->load(1);

$link_new = JRoute::_('index.php?option=com_jbjobs&view=adminjob&layout=editresume&type=addnew');
?>

<script language="javascript" type="text/javascript">

	function showResume(){
		document.getElementById('uploadresume').style.display = 'none';
		document.getElementById('copasresume').style.display = 'block';
	}
	function showUpload(){
		document.getElementById('copasresume').style.display = 'none';
		document.getElementById('uploadresume').style.display = 'block';
	}
	function submitbutton(pressbutton) {
		var form = document.adminForm;
		if(pressbutton == 'cancelresume'){
			submitform(pressbutton);
			return;
		}

		// do field validation
		if(form.name_resume.value == ""){
			alert("<?php echo JText::_('Please enter the resume title', true); ?>");			
		} 
		else {
			submitform(pressbutton);
		}
	}
	function limitText(limitField, limitCount, limitNum) {
		if (limitField.value.length > limitNum) {
			limitField.value = limitField.value.substring(0, limitNum);
		} else {
			limitCount.value = limitNum - limitField.value.length;
		}
	}
</script>

<!--<p align="right">
	<input type="button" value="<?php echo JText::_('JBJOBS_ADD_NEW_CV'); ?>" onclick="javascript:location.href ='<?php echo $link_new; ?>'" class="button"/>
</p>-->

<form action="index.php" method="post" name="adminForm" class="form-validate" enctype="multipart/form-data">

	<fieldset class="adminform">
	<legend><?php echo JText::_('JBJOBS_EDIT_RESUME'); ?></legend>
		<table class="admintable border">
			<tr>
				<td class="key">
					<label for="name_resume"><strong><?php echo JText::_('JBJOBS_RESUME_TITLE'); ?></strong> :</label>
				</td>
				<td>
					<input class="inputbox required" type="text" name="name_resume" id="name_resume" size="40" maxlength="100" value="<?php echo $this->row->name_resume; ?>" />
				</td>
			</tr>
			<tr>
				<td valign="top" class="key">
					<?php echo JText::_('JBJOBS_DESCRIPTION'); ?>:
				</td>
				<td>
					<textarea name="description" rows="5" cols="80" class="inputbox" onKeyDown="limitText(this.form.description, this.form.countdown, 256);" 
						onKeyUp="limitText(this.form.description, this.form.countdown, 256);"><?php echo $this->row->description; ?></textarea><br>
						<font size="1">(<?php echo JText::_('JBJOBS_MAX_CHARS'); ?> : 256)<br>
						<input readonly type="text" name="countdown" size="2" value="256"> <?php echo JText::_('JBJOBS_CHARS_LEFT'); ?></font>
				</td>
			</tr>	
			<tr>
				<td class="key">
					<label for="video_link"><?php echo JText::_('JBJOBS_VIDEO_RESUME'); ?> :</label>
				</td>
				<td>
					<input class="inputbox" type="text" name="video_link" id="video_link" size="60" maxlength="100" value="<?php echo $this->row->video_link; ?>" />
					<?php $list_vid_domain = $model->getSelectVideo('video_url', JText::_('JBJOBS_SELECT_VIDEO_DOMAIN'), $this->row->video_url);
					 echo $list_vid_domain; ?>
				</td>
			</tr>
			<tr>
				<td valign="top" class="key">
					<?php echo JText::_('JBJOBS_RESUME_TYPE'); ?>:
				</td>
				<td>
					<input onclick="showResume()" type="radio" name="type[]" value="c"  <?php if($this->row->type =='c') echo 'checked="checked"'?>/><?php echo JText::_('JBJOBS_COPY_PASTE_YOUR_RESUME'); ?>&nbsp;&nbsp;&nbsp;<input onClick="showUpload()" type="radio" name="type[]" value="f" <?php if($this->row->type =='f') echo 'checked="checked"'?>/><?php echo JText::_('JBJOBS_UPLOAD_YOUR_RESUME_FILE'); ?><br>
				
					<div id="copasresume" style="display: <?php echo ($this->row->type=='c') ? 'block':'none'; ?>"><br />
						<?php echo $editor->display('resume',$this->row->resume ,'100%', '400', '75', '20', false); ?>
					</div>
					<div id="uploadresume" style="display: <?php echo ($this->row->type=='f') ? 'block':'none'; ?>">
						<?php if($this->row->type =='f'){?>
						<a href="<?php echo $this->row->file_resume; ?>" target="_blank"><?php echo JText::_('JBJOBS_DOWNLOAD_RESUME'); ?></a>
						<?php } ?><br />
						<input type="file" name="file_resume" class="inputbox"/> <small><?php echo JText::_('JBJOBS_ALLOWED_FILETYPES'); ?> :  <?php echo $config->cvfiletext; ?></small>
					</div>
				</td>
			</tr>
			<tr>
				<td class="key"><?php echo JText::_('JBJOBS_ACTIVE'); ?>:</td>
				<td>
					<?php $is_active = $model->YesNo('is_active', $this->row->is_active == 'n' ? 'n' : 'y');
					 echo $is_active; ?>
				</td>
			</tr>
	    </table>
	</fieldset>
	
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="saveresume" />
	<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
	<input type="hidden" name="jseekerid" value="<?php echo JRequest::getint('jseekerid', 0); ?>" />
	<?php echo JHTML::_('form.token'); ?>
</form>