<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	08 December 2010
 * Author 		:	Faisel
 * Tested by	: 	Zaki
 + Project		: 	Job site
 * File Name	:	tmpl/default.php
 ^ 
 * Description	: 	This module show the list of latest jobs in compact mode (jbjobs)
 ^ 
 * History		:	NONE
 * */
// no direct access
defined('_JEXEC') or die('Restricted access');

JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbjobs'.DS.'tables');
$config =& JTable::getInstance('config', 'Table');
$config->load(1);

$show_hits = intval($params->get('show_jobtype', 1));
$set_Itemid	= intval($params->get('set_itemid', 0));
$Itemid = ($set_Itemid > 0) ? '&Itemid='.$set_Itemid : '';

$sc_align = ($params->get('ScrollAlign', 'left'));
$sc_behaviour = ($params->get('ScrollBehavior', 'scroll'));
$sc_dir = ($params->get('ScrollDirection', 'up'));
$sc_height = intval($params->get('ScrollHeight', '200'));
$sc_width = intval($params->get('ScrollWidth', '180'));
$sc_amount = intval($params->get('ScrollAmount', '3'));
$sc_delay = intval($params->get('ScrollDelay', '100'));

$document = & JFactory::getDocument(); 
$document->addStyleSheet("components/com_jbjobs/css/$config->theme"); 
$document->addStyleSheet("modules/mod_jbjobslatestmini/css/style.css"); 
?>
<?php echo " <div style='width:$sc_width px; text-align:$sc_align;'>
               <marquee behavior='$sc_behaviour' 
                        direction='$sc_dir' 
                        height='$sc_height'
                        width='$sc_width'
                        scrollamount='$sc_amount'
                        scrolldelay='$sc_delay'
                        truespeed=\"true\" onmouseover=\"this.stop()\" onmouseout=\"this.start()\">"; 
?>
	<table width="100%" cellpadding="0" cellspacing="0" class="jbj_tbl">
		<?php
		$k = 0;
		for ($i=0, $n=count($rows); $i < $n; $i++) {
			$row = $rows[$i];				
			$link_detail = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailjob&id='.$row->id.$Itemid);				
			$link_comp = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->employer_id.'&type=company'.$Itemid);
			$link_city = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&name='.$row->city.'&type=city'.$Itemid);			
			?>
			<tr><td>
				<table class="mini" width="100%">
					<tr style="padding-bottom:5px;">					
						<td width="100%" class="<?php echo ($row->is_featured)? 'jbj_jobtitlemini' : 'jbj_jobtitlemini'; ?>" >
							<a class="jobcriteria jbj_bold" href="<?php echo $link_detail;?>" ><?php echo $row->job_title; ?></a>
							<div style="float:right;">
								<?php if($row->is_hot): ?>
									<img src="components/com_jbjobs/images/hot.png" alt="Hot" width="16" title="<?php echo JText::_('JBJOBS_HOT_JOB');?>">
								<?php endif; ?>
								<?php if($row->is_featured): ?>
									<img src="components/com_jbjobs/images/fj1.png" alt="Featured" width="16" title="<?php echo JText::_('JBJOBS_FEATURED_JOB'); ?>" >
								<?php endif; ?>
							</div>
						</td>
					</tr>		
					<tr>
						<td class="jbj_comptitle" >
							<a class="jobcriteria jbj_jobtitlemini " href="<?php echo $link_comp;?>" title="<?php echo JText::_('LIST_BY_COMP'); ?>">
								<?php echo ($row->show_comp_name == 'y') ? $row->comp_name : JText::_('JBJOBS_CONFIDENTIAL'); ?>
							</a>
						</td>
					</tr>
					<tr>
						<td class="jbj_comptitle">
							<?php 
								if($row->city != '') { ?>
									<a href="<?php echo $link_city; ?>" class="jobcriteria jbj_jobtitlemini"><?php echo $row->city; ?></a>
							<?php 
								}?>
						</td>
					</tr>
					<tr>
						<td>
							<?php if($show_hits == 5){ ?>
							<?php echo JText::_('HITS').' : '.$row->hits; ?>
							<?php } ?>
						</td>
					</tr>
				</table>
			</td></tr>
			<?php
			$k = 1 - $k;
		}
		?>
	</table>
<?php 
		echo "    </marquee>
            </div>";
?>
	<?php $link_joblist = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=joblist'.$Itemid); ?>
	<div align="center">
		<input type="button" onclick="location.href='<?php echo $link_joblist; ?>'" class="button" value="<?php echo JText::_('MORE_JOBS'); ?>"/>
	</div>