<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 * Tested by	: 	Zaki
 + Project		: 	Job site
 * File Name	:	tmpl/default.php
 ^ 
 * Description	: 	Entry point for the module (jbjobssearch)
 ^ 
 * History		:	NONE
 * */
// no direct access
defined('_JEXEC') or die('Restricted access'); 

include_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbjobs'.DS.'helper'.DS.'helper.php');
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbjobs'.DS.'tables');
$config =& JTable::getInstance('config', 'Table');
$config->load(1);

JBjobs::loadMootools();

$document = & JFactory::getDocument(); 
$document->addStyleSheet("components/com_jbjobs/css/$config->theme"); 
$document->addStyleSheet("modules/mod_jbjobssearch/css/style.css"); 
$document->addScript("components/com_jbjobs/js/utility.js");

$set_Itemid	= intval($params->get('set_itemid', 0));
$Itemid = ($set_Itemid > 0) ? '&Itemid='.$set_Itemid : '';

$link_simple_search	=  JRoute::_('index.php'); 
$link_adv_search = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=advsearch'.$Itemid); 

$sh_jobspec 	= $params->get('jobspec', 1);
$sh_jobcateg 	= $params->get('jobcateg', 1);
$sh_jobpos 		= $params->get('jobpos', 1);
$sh_industry 	= $params->get('industry', 1);
$sh_education 	= $params->get('education', 1);
$sh_experience 	= $params->get('experience', 1);
$sh_salary	 	= $params->get('salary', 1);
$sh_location 	= $params->get('location', 1);
?>

<form action="<?php echo $link_simple_search;?>" method="get" name="userForm" >
	<table cellpadding="5" cellspacing="0" border="0" width="100%" class="adminform">
		<tr>
			<td width="20%" align="left"><?php echo JText::_('ENTER KEYWORD'); ?>
			<br>
			<input type="text" class="inputbox jbj_dropdown" name="keyword" size="27" maxlength="255" /></td>
		</tr>
		<?php if($sh_jobcateg == 1){ ?>
		<tr>
			<td valign="top" align="left">
				<?php echo JText::_('JOB CATEGORY'); ?><br>
				<?php $list_jobcateg = modJBJobsSearchHelper::getListJobCateg() ;	   					   		
				echo $list_jobcateg; ?>
			</td>
		</tr>
		<?php } ?>
		<?php if($sh_jobspec == 1){ ?>
		<tr>
			<td valign="top" align="left">
				<?php echo JText::_('JOB SPECIALIZATION'); ?><br>
				<?php $list_jobspec = modJBJobsSearchHelper::getListJobSpec() ;	   					   		
				echo $list_jobspec; ?>
			</td>
		</tr>
		<?php } ?>
		<?php if($sh_jobpos == 1){ ?>
		<tr>
			<td valign="top" align="left">
				<?php echo JText::_('JOB POSITION'); ?><br>
				<?php $list_jobpos = modJBJobsSearchHelper::getListJobPos() ;	   					   		
				echo $list_jobpos; ?>
			</td>
		</tr>
		<?php } ?>
		<?php if($sh_industry == 1){ ?>
		<tr>
			<td valign="top" align="left">
				<?php echo JText::_('INDUSTRY'); ?><br>
				<?php $list_industry = modJBJobsSearchHelper::getListIndustry() ;	   					   		
				echo $list_industry; ?>
			</td>
		</tr>
		<?php } ?>
		<?php if($sh_education == 1){ ?>
		<tr>
			<td valign="top" align="left">
				<?php echo JText::_('EDUCATION'); ?><br>
				<?php $list_education = modJBJobsSearchHelper::getListDegreeLevel() ;	   					   		
				echo $list_education; ?>
			</td>
		</tr>
		<?php } ?>
		<?php if($sh_experience == 1){ ?>
		<tr>
			<td valign="top" align="left">
				<?php echo JText::_('EXPERIENCE'); ?><br>
				<?php $list_experience = modJBJobsSearchHelper::getListExperience() ;	   					   		
				echo $list_experience; ?>
			</td>
		</tr>
		<?php } ?>
		<?php if($sh_salary == 1){ ?>
		<tr>
			<td valign="top" align="left">
				<?php echo JText::_('MIN_SALARY'); ?><br>
				<input type="text" class="inputbox jbj_dropdown" name="minsalary" size="10" maxlength="10" />
			</td>
		</tr>
		<tr>
			<td valign="top" align="left">
				<?php echo JText::_('MAX_SALARY'); ?><br>
				<input type="text" class="inputbox jbj_dropdown" name="maxsalary" size="10" maxlength="10" />
			</td>
		</tr>
		<?php } ?>
		<?php if($sh_location == 1){ ?>
		<tr>
			<td valign="top" align="left">
				<?php echo JText::_('COUNTRY'); ?><br>
				<?php $list_industry = modJBJobsSearchHelper::getListCountry('onChange="loadaddress(this.value, \'state\')"') ;	   					   		
				echo $list_industry; ?>
			</td>
		</tr>
		<tr>
			<td>
				<?php echo JText::_('STATE'); ?><br>
				<span id="state1">
					<input class="inputbox jbj_dropdown" type="text" name="state" id="state" size="30" maxlength="255" value="" />
				</span>	
				<div id="status_state" class="dis-inl-blk fl"></div>
			</td>
		</tr>
		<tr>
			<td>
				<?php echo JText::_('CITY'); ?><br>
				<span id="city1">
					<input class="inputbox jbj_dropdown" type="text" name="city" id="city" size="30" maxlength="255" value="" />
				</span>	
				<div id="status_city" class="dis-inl-blk fl"></div>	
			</td>
		</tr>
		<?php } ?>
		
	</table>
	
	<div class="sp10">&nbsp;</div>
	
	<div  align="center">
		<input type="submit" class="button" value="<?php echo JText::_('SEARCH JOBS'); ?>" /><br />
		<span class="jbj_fontsmall"><a href="<?php echo $link_adv_search;?>" class="jobcriteria"><?php echo JText::_('ADVANCED SEARCH'); ?></a></span>
	</div>
	<div style="clear:both;"></div>
	
	<input type="hidden" name="option" value="com_jbjobs"/>
	<input type="hidden" name="view" value="guest"/>
	<input type="hidden" name="layout" value="simplesearch"/>
	<input type="hidden" name="Itemid" value="<?php echo $set_Itemid; ?>"/>
</form>
<script type="text/javascript">
	baseUrl = '<?php echo JURI::base(); ?>';
</script>
