<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	13 January 2011
 * Author 		:	Zaki
 * Tested by	: 	Faisel
 + Project		: 	Job site
 * File Name	:	jbcron.php
 ^ 
 * Description	: 	Entry point for the component (jbjobs)
 ^ 
 * History		:	NONE
 * */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_jbjobs'.DS.'tables');
jimport( 'joomla.plugin.plugin');

class plgSystemJBCron extends JPlugin {
	
    function plgSystemJBCron(&$subject, $config)  {
        parent::__construct($subject, $config);
    }

    function onAfterRender(){
    	$app = &JFactory::getApplication();
    	if($app->isAdmin() || JDEBUG) {
			return;
		}
		
        $config =& JTable::getInstance('config', 'Table');
		$config->load(1);
        $cronEnabled = $config->get('enableCron');
        
        if($cronEnabled)
            if($app->isSite()){

                require_once( JPATH_PLUGINS."/system/jbcron/CronParser.class.php");
                
                //get the settings from config table
				$cronEmailto = $config->get('cronEmail');
				$cronEnableEmail = $config->get('enablecronEmail');
				$cronEnableLog = $config->get('enablecronLog');
               
                $db = JFactory::getDBO();

                $query = "SELECT* from #__jbjobs_crontask WHERE published=1";
                $db->setQuery($query);
                $data = $db->loadObjectList();

                $cron = new JBCronParser();

                foreach($data as $value){
                	$command = $value->file;
                	$command = JURI::root().$command;
                    if($value->last_run == false){
        				//mail( $cronEmailto, "Alert ", "A cron task failed, ".($value->task)." crashed when we tried to run it.", 'JB Cron Daemon' );
                    }

                    if ($cron->calcLastRan($value->unix_mhdmd)){
                        $lastRan = $cron->getLastRan();//Array (0=minute, 1=hour, 2=dayOfMonth, 3=month, 4=week, 5=year)
                        //Convert to Unix timestamp
                        $cron_ran = mktime ($lastRan[1], $lastRan[0], 0 , $lastRan[3], $lastRan[2], $lastRan[5]);
                        $now  = date('Y-m-d H:i:s', time() /*+ ($app->getCfg('offset') * 60 * 60)*/);	
                        
                        $nextRun = date('Y-m-d H:i:s', $cron->getLastRanUnix() /*+ ($app->getCfg('offset') * 60 * 60)*/);
                        /*echo 'next :'.$nextRun.'<br>';
						echo 'ran at'.$value->ran_at.'<br>';*/
                        if ($nextRun > $value->ran_at){
                            $query = "UPDATE #__jbjobs_crontask SET ran_at = '" . $now . "', last_run = 0 WHERE id = '".($value->id)."'";
                            $db->setQuery($query);
                            $db->query();

                            $log = '';
                            //$command = $value->file;
                           if ($value->type == 2){
                                $urlpart = parse_url($command);
                                $port = (isset($urlpart['port'])? $urlpart['port']: "80");
                                $host = ($urlpart['host'] == 'localhost') ? '127.0.0.1' : $urlpart['host'];
                                $fp = fsockopen($host, $port, $errno, $errstr, 30);
                                if (!$fp){
                                    $log= "Error (".$errstr.") - (".$errno.")<br />\n";
                                } 
                                else {
                                	@ini_set("max_execution_time", 0);
                                    $out  = "POST ". $urlpart['path'] . (isset($urlpart['query'])? '?' . $urlpart['query']: '');
                                    $out .= " HTTP/1.1\r\n";
                                    $out .= "Host: ". $host ."\r\n";
                                    $out .= "Connection: Close\r\n\r\n";
                                    $log = "OUT is(". $out .")";
                                    fwrite($fp, $out);
                                    while (!feof($fp)){
                                        $log .=fgets($fp, 128);
                                    }
                                    fclose($fp);
                                }
							}
                            $logdata = '';
                            if($cronEnableLog)
                                if($value->ok){
                                    if(is_array($log))
                                        $logdata = implode("\n",$log);
                                    else
                                        $logdata = $log;
                                    $logdata .= "\n\n\n LOCAL CRON DEBUG:\n\n".$cron->debug;
                                }

                            //STORE DABASE RUN TIME AND LOGS
                            $query = "UPDATE #__jbjobs_crontask SET ran_at= '".$now."', log_text='".addslashes($logdata)."', last_run = 1 WHERE id='".$value->id."'";
                            $db->setQuery( $query );
                            if (!$db->query()) {
                                echo $db->getErrorMsg()." on Query: ".$query." \n";
                                exit();
                            }

                            //SEND EMAIL LOGS
                            if($cronEnableEmail){
                                $subject = $value->task." - ".$value->file;
                                //mail( $cronEmailto, $subject, $logdata, 'JBCron Daemon' );
                            }
                        }
                    }
                }
            }
    }
}