function checkavailable(el){
		var inputstr = el.value;
		var name = el.name;
		var length = inputstr.length;
		if(inputstr.length > 0){
			var myRequest = new Request({
				url: 'index.php?option=com_jbjobs&task=checkuser',
	            method: 'post',
				data: {'inputstr':inputstr, 'name':name},
				onRequest: function(){ $('status_'+name).empty().removeProperty('class'); $('status_'+name).addClass('jbloading dis-inl-blk'); },
				onSuccess: function(response) {
					if(response == 'OK'){
						$('status_'+name).removeClass('jbloading').addClass('successbg');
						$('status_'+name).set('html', 'Available');
					} 
					else {
						$('status_'+name).removeClass('jbloading').addClass('failurebg');
						$('status_'+name).set('html', response);
					}
	           }
			});
			myRequest.send();
		}
	}

function lookup(val, type){
	var inputstr = val;
	if(inputstr.length == 0) { 
		$('suggestions_'+type).setStyle('display', 'none');	// Hide the suggestion box.
	}
	else {
		var myRequest = new Request({
			url: 'index.php?option=com_jbjobs&task=searchsuggest',
            method: 'post',
            data: {'inputstr':inputstr, 'type':type},
            onSuccess: function(response){
				if(response.length >0) {
					$('suggestions_'+type).setStyle('display', 'block');
					$('autoSuggestionsList_'+type).set('html', response);
				}
            }
        });
		myRequest.send();
	}
}

function fill(thisValue, type) {
	if(type == 'ug'){
		$('ug_university').set('value', thisValue);
		setTimeout("$('suggestions_ug').setStyle('display', 'none');", 200);
	}
	else {
		$('pg_university').set('value', thisValue);
		setTimeout("$('suggestions_pg').setStyle('display', 'none');", 200);
	}
}

function loadaddress(val, nxtname){
	var cl = $(nxtname).hasClass('required');
	var myRequest = new Request({
		url: 'index.php?option=com_jbjobs&task=listempaddressdata',
        method: 'post',
        data: {'val':val, 'nxtname':nxtname}, 
        onRequest: function(){ $('status_'+nxtname).addClass('jbloading'); },
        onSuccess: function(response) {
        	$('status_'+nxtname).removeClass('jbloading');
			$(nxtname+1).set('html', response);
			if(cl) $(nxtname).addClass('required');
			if(nxtname == 'state' || nxtname == 'district'){
				var clc = $('city').hasClass('required');
				cityhtml = "<input class='inputbox' type='text' name='city' id='city' size='40' maxlength='100' />";
				$('city1').set('html', cityhtml);
				if(clc) $('city').addClass('required');
			}
        }
    });
	myRequest.send();
}

function limitFunction(fieldName, maxChar){
	current_value = $(fieldName).value;
	current_length = current_value.length;
	remaining_chars = maxChar-current_length;
	$(fieldName+'_cnt').innerHTML = remaining_chars;

	if(remaining_chars <= 5){
		$(fieldName+'_cnt').setStyle('color', 'red');
	}
	else {
		$(fieldName+'_cnt').setStyle('color', '#666666');
	}
	if(remaining_chars <= 0){
		$(fieldName).value = $(fieldName).value.substring(0, maxChar);
	}
}

function processFeed(userid, activityid, type){
	var myRequest = new Request({
		url: 'index.php?option=com_jbjobs&task=processfeed',
		method: 'post',
		data: {'userid':userid, 'activityid':activityid, 'type':type}, 
		onRequest: function(){ $('feed_hide_'+activityid).empty().addClass('jbloading'); },
		onComplete: function(response){
			if(response == 'OK'){
				$('jbj_newsfeed_item_'+activityid).setStyle('display','none');
			} 
		}
	});
	myRequest.send();
}

function removePicture(userid){
	var myRequest = new Request({
		url: 'index.php?option=com_jbjobs&task=removepicture',
		method: 'post',
		data: {'userid': userid },
		onRequest: function(){  $('ajax-container').empty().removeProperty('class');$('ajax-container').addClass('jbloading'); },
		onSuccess: function(responseText, responseXML){
			 var resp = Json.evaluate(responseText);
		       
	          if(resp['result'] == 'OK'){
	          	  $('ajax-container').removeClass('jbloading').addClass('successbg');
	          	  $('ajax-container').set('html', resp['msg']);
	          }
	          else if(resp['result'] == 'NO'){
	          	  $('ajax-container').removeClass('jbloading').addClass('failurebg');
	          	  $('ajax-container').set('html', resp['msg']);
	          }
		}
	});
	myRequest.send();
}

function createUploadButton(userid){
	var uploader = document.getElementById('photoupload');

	   upclick(
	     {
	      element: uploader,
	      action: 'index.php?option=com_jbjobs&task=uploadpicture',
	      dataname: 'photo', 
	      action_params: {'userid': userid},
	      onstart: function(filename){ $('ajax-container').empty().removeProperty('class');$('ajax-container').addClass('jbloading'); },
	      oncomplete:
	        function(response) 
	        { 
	    	  var resp = Json.evaluate( response );
	       
	          if(resp['result'] == 'OK'){
	        	  target = $('divphoto');
	        	  target.set('html', '<img src='+resp['image']+'>');
	          	  $('ajax-container').removeClass('jbloading').addClass('successbg');
	          	  $('ajax-container').set('html', resp['msg']);
	          }
	          else if(resp['result'] == 'NO'){
	          	  $('ajax-container').removeClass('jbloading').addClass('failurebg');
	          	  $('ajax-container').set('html', resp['msg']);
	          }
	        }
	     });
}