<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/employer/tmpl/editjob.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Add/Edit job (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');
JBjobs::loadMootools();
JHTML::script('bfvalidate.js', 'components/com_jbjobs/js/');
JBjobs::getTooltip();

$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/utility.js"); 

$editor =& JFactory::getEditor();
$model = $this->getModel();
$Itemid = JRequest::getInt('Itemid');

$config =& JTable::getInstance('config', 'Table');
$config->load(1);
$dformat = $config->dateformat;
$googleApiKey = $config->googleApiKey;
$mapWidth = $config->googleWidth;
$mapHeight = $config->googleHeight;

$app = &JFactory::getApplication(); 
$lang = JFactory::getLanguage(); 
$tag_lang=(substr($lang->getTag(),0,2)); 
$app->addCustomHeadTag( '<meta name="viewport" content="initial-scale=1.0, user-scalable=no" />'); 
$app->addCustomHeadTag( '<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language='.$tag_lang.'&key='.$googleApiKey.'"></script>'); 
?>	

<script language="javascript" type="text/javascript">
<!--
	window.addEvent('domready', function(){
		myFunction();
		processExtApplyUrl();
	});
	
	function myFunction(){
		//checking children
		<?php
		foreach($this->children as $child){ 
			if($child->required){ ?>
				var el = '<?php echo $child->field; ?>';
				if(document.getElementById(el)){
					$(el).addClass('required');
					if(el == 'salary'){
						$('currency_salary').addClass('required');
						$('id_salary_type').addClass('required');
					}
				}
			<?php
			}
		}
		?>
		//checking parents
		<?php
		foreach($this->parents as $parent){ 
			if($parent->required){ ?>
				var el = '<?php echo $parent->field; ?>';
				if(document.getElementById(el)){
					$(el).addClass('required');
				}
			<?php
			}
		}
		?>

		if($('manage_applicant')){
			$('manage_applicant').addEvent('change', function(e){
				if(e) e.stop();
				processExtApplyUrl();
			});
		}
	}

	function processExtApplyUrl(){
		if($('manage_applicant')){
			var value = $('manage_applicant').get('value');
			if(value == 1)
				$('con_ext_apply_url').removeProperty('style');
			if(value == 0)
				$('con_ext_apply_url').setStyle('display', 'none');
		}
	}
	
	function validateForm(f){
		var browser = navigator.appName;
		if (browser == "Microsoft Internet Explorer"){
				var flag = 0;
				for (var i=0;i < f.elements.length; i++) {
					el = f.elements[i];
					 if ($(el).hasClass('required')) {
						 var idz= $(el).getProperty('id');
						 	if(document.getElementById(idz)){
							  	if (!document.getElementById(idz).value) {
							  		document.formvalidator.handleResponse(false, el);
							  		flag = flag + 1;
								}
						   }
					 }
				}
		}
		else {
			var valid = document.formvalidator.isValid(f);
		}
		
		if(flag == 0 || valid == true){
			f.check.value='<?php echo JUtility::getToken(); ?>';//send token
		}
	    else {
			alert('<?php echo JText::_('JBJOBS_FIEDS_HIGHLIGHTED_RED_COMPULSORY'); ?>');
			return false;
	    }
		return true;
	}	

	function limitText(limitField, limitCount, limitNum) {
		if (limitField.value.length > limitNum) {
			limitField.value = limitField.value.substring(0, limitNum);
		} else {
			limitCount.value = limitNum - limitField.value.length;
		}
	}
//-->
</script>
<script>
<!--
	var geocoder;
	var map;
	var form = document.userFormJob;
	function init() {
		geocoder = new google.maps.Geocoder();

		var lat, lng, zoom_carte;
        if(document.userFormJob.glat.value!=0) lat = document.userFormJob.glat.value;
        else lat = 4;
        if(document.userFormJob.glng.value!=0) lng = document.userFormJob.glng.value;
        else lng = 114;
        if(document.userFormJob.gzoom.value!=0) zoom_carte = parseInt(document.userFormJob.gzoom.value);
        else zoom_carte = 10;

		var latlng = new google.maps.LatLng(lat, lng);
		var myOptions = {
		  zoom: zoom_carte,
		  center: latlng,
		  mapTypeId: google.maps.MapTypeId.ROADMAP
		};
		map = new google.maps.Map(document.getElementById("map"), myOptions);

		google.maps.event.addListener(map, "bounds_changed", function() {
			   document.userFormJob.gzoom.value = map.getZoom();
		  });

	      // Create a draggable marker which will later on be binded to a
	      marker1 = new google.maps.Marker({
	          map: map,
	          position: new google.maps.LatLng(lat, lng),
	          draggable: true,
	          title: 'Drag me!'
	      });
		  google.maps.event.addListener(marker1, "drag", function() {
			document.userFormJob.glat.value = marker1.getPosition().lat();
			document.userFormJob.glng.value = marker1.getPosition().lng();
		  });
	}
	// Register an event listener to fire when the page finishes loading.
    google.maps.event.addDomListener(window, 'load', init);
    
	function codeAddress() { 
		var sAddress = document.getElementById("address_geocode").value;
		geocoder.geocode( { 'address': sAddress}, function(results, status) 
			{ 
			if (status == google.maps.GeocoderStatus.OK) {
				  map.setCenter(results[0].geometry.location);
				  marker1.setPosition(results[0].geometry.location); 
					document.userFormJob.glat.value = results[0].geometry.location.lat();
					document.userFormJob.glng.value = results[0].geometry.location.lng();
				} else {
				  alert(sAddress + " not found for the following reason: " + status);
				}
			});
	}
	function UpdateAddress(){
		var frm = document.userFormJob;
		var selected_text = '';
		if(frm.id_country){
			var w = frm.id_country.selectedIndex;
			selected_text = frm.id_country.options[w].text;
		}
		frm.address_geocode.value = frm.city.value + ", " + frm.state.value + ", " + selected_text;	
	}
//-->
</script>
<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_POST/EDIT_JOB'); ?></b></div>

<form action="index.php" method="post" name="userFormJob" id="userFormJob" class="form-validate" onsubmit="return validateForm(this);" enctype="multipart/form-data">
	<?php
	foreach($this->parents as $parent){ 
		switch ($parent->field) {
			case "comp_info": ?>
				<div class="border">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_EMPLOYER_INFORMATION'); ?></div>
					<table class="admintable">
					<tr>
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_COMPANY_NAME'); ?>:</label>
						</td>
						<td>
							<?php echo $this->employer->comp_name; ?>
						</td>
					</tr>
					</table>
				</div>	
				<div class="sp20">&nbsp;</div>
			<?php 
			break; 
			case "job_options": ?>
				<div class="border">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_JOB_OPTIONS'); ?></div>
					<table class="admintable">
					<?php
					foreach($this->children as $child){ 
						switch ($child->field) {
							case "is_active": ?>
								<tr>
									<td class="key"><label for="name"><?php echo JText::_('JBJOBS_ACTIVE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<?php $list_active = $model->YesNo('is_active', $this->row->is_active ? $this->row->is_active : 'y');
										echo  $list_active; ?>
									</td>
								</tr>
								<?php break;
								case "is_featured": ?>
								<tr>
									<td class="key"><label for="name"><?php echo JText::_('JBJOBS_FEATURED'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<?php 
											if($this->row->publish_date != '0000-00-00 00:00:00' && $this->row->id > 0){ ?>
												<img src="components/com_jbjobs/images/f<?php echo $this->row->is_featured;?>.png" alt="">
												(<?php echo JText::_('JBJOBS_FEATURED_NOT_POSSIBLE_AFTER_PUBLISH'); ?>)
										<?php }
											else {
												$list_featured = $model->YesNoBool('is_featured', $this->row->is_featured);
												echo  $list_featured; 
											} ?>
									</td>
								</tr>
								<?php
							break;
							} //child switch end
						} //child foreach end?>
				 </table>
				</div>	
				<div class="sp20">&nbsp;</div>
			<?php 
			break; 
			case "publish_info": ?>
				<?php 
				if($this->row->publish_date != '0000-00-00 00:00:00' && $this->row->id > 0){?>
				<div class="sp20">&nbsp;</div>
				
				<div class="border">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_PUBLISHED'); ?></div>
			
					<table class="admintable">
					<tr>
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_PUBLISHED_DATE'); ?>:</label>
						</td>
						<td>
							<?php echo $this->row->publish_date != "0000-00-00 00:00:00" ? JHTML::_('date', $this->row->publish_date, $dformat, false) :  "&nbsp;"; ?>
						</td>
					</tr>
					<tr>
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_EXPIRY_DATE'); ?>:</label>
						</td>
						<td>
							<?php echo $this->row->expire_date != "0000-00-00 00:00:00" ?  JHTML::_('date', $this->row->expire_date, $dformat, false) :  "&nbsp;"; ?>
						</td>
					</tr>
				 </table>
				</div>
				<div class="sp20">&nbsp;</div>
				<?php } ?>
			<?php 
			break; 
			case "job_info": ?>
				<div class="border">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_JOB_INFORMATION'); ?></div>
					<table class="admintable">
					<?php
					foreach($this->children as $child){ 
						switch ($child->field) {
							case "job_title": ?>
								<tr>
									<td class="key"><label for="job_title"><?php echo JText::_('JBJOBS_JOB_TITLE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<input class="inputbox" type="text" name="job_title" id="job_title" size="60" maxlength="100" value="<?php echo $this->row->job_title; ?>">
									</td>
								</tr>
								<?php break;
								case "id_country": ?>
								<tr>
									<td class="key"><label for="id_country"><?php echo JText::_('JBJOBS_COUNTRY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<?php $list_country = $model->getSelectCountry('id_country', $this->row->id_country, '', 'onChange="loadaddress(this.value, \'state\')"');
										 echo $list_country; ?>
									</td>
								</tr>
								<?php break;
								case "state": ?>
								<tr>
									<td class="key"><label for="state"><?php echo JText::_('JBJOBS_DISTRICT/STATE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<div id="state1" class="fl">
										<?php
											$list_state = $model->getSelectState('state', $this->row->state, 'onChange="loadaddress(this.value, \'city\')"', $this->row->id_country);
											if($list_state == ''){ ?>
												<input class="inputbox" type="text" name="state" id="state" size="40" maxlength="255" value="<?php echo $this->row->state; ?>" />
										<?php
											}
											else { 
												echo $list_state;
											} ?>	
										</div>
										<div id="status_state" class="dis-inl-blk fl"></div>
									</td>
								</tr>
								<?php break;
								case "city": ?>
								<tr>
									<td class="key"><label for="city"><?php echo JText::_('JBJOBS_CITY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<div id="city1" class="fl">
										<?php
											$list_city = $model->getSelectCity('city', $this->row->city, '', $this->row->state);
											if($list_city == ''){ ?>
												<input class="inputbox" type="text" name="city" id="city" size="40" maxlength="255" value="<?php echo $this->row->city; ?>" />
										<?php
											}
											else { 
												echo $list_city;
											} ?>	
										</div>
										<div id="status_city" class="dis-inl-blk fl"></div>
									</td>
								</tr>
								<?php break;
								case "id_job_spec": ?>
								<tr>
									<td class="key"><label for="id_job_spec"><?php echo JText::_('JBJOBS_JOB_SPECIALIZATION'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<?php $list_job_spec = $model->getSelectJobSpec('id_job_spec', $this->row->id_job_spec, '');
										 echo $list_job_spec; ?>
									</td>
								</tr>
								<?php break;
								case "id_pos_type": ?>
								<tr>
									<td class="key"><label for="id_pos_type"><?php echo JText::_('JBJOBS_POSITION_TYPE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<?php $list_pos_tye = $model->getSelectPositionType('id_pos_type', $this->row->id_pos_type, '');
										 echo $list_pos_tye; ?>
									</td>
								</tr>
								<?php break;
								case "id_job_exp": ?>
								<tr>
									<td class="key"><label for="id_job_exp"><?php echo JText::_('JBJOBS_MIN_EXPERIENCE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<?php $list_comp_type = $model->getSelectExpLevel('id_job_exp', $this->row->id_job_exp, '');
										 echo $list_comp_type; ?>
									</td>
								</tr>
								<?php break;
								case "id_degree_level": ?>
								<tr>
									<td class="key"><label for="id_degree_level"><?php echo JText::_('JBJOBS_MIN_EDUCATION'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<?php $list_degree_level = $model->getSelectDegreeLevel('id_degree_level', $this->row->id_degree_level, '');
										 echo $list_degree_level; ?>
									</td>
								</tr>
								<?php break;
								case "salary": ?>
								<tr>
									<td class="key"><label for="salary"><?php echo JText::_('JBJOBS_APROXIMATE_SALARY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<input class="inputbox required" type="text" name="salary" id="salary" size="10" maxlength="10" value="<?php echo $this->row->salary; ?>" /> 
										<i>(<?php echo JText::_('JBJOBS_ZERO_FOR_NEGOTIABLE_SALARY'); ?>)</i>
									</td>
								</tr>
								<tr>
									<td class="key"><label for="currency_salary"><?php echo JText::_('JBJOBS_CURRENCY_OF_SALARY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<input class="inputbox" type="text" name="currency_salary" id="currency_salary" size="5" maxlength="10" value="<?php echo $this->row->currency_salary; ?>" />
									</td>
								</tr>
								<tr>
									<td class="key"><label for="id_salary_type"><?php echo JText::_('JBJOBS_SALARY_TYPE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<?php $list_salary_type = $model->getSelectTypeSalary('id_salary_type', $this->row->id_salary_type, '');
										 echo $list_salary_type; ?>
									</td>
								</tr>
								<?php
							break;
							case "manage_applicant": ?>
								<tr>
									<td class="key"><label for="manage_applicant"><?php echo JText::_('JBJOBS_MANAGE_APPLICANTS'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<?php $list_manage_app = $model->getSelectManageApplicant('manage_applicant', $this->row->manage_applicant, 0);
										 echo $list_manage_app; ?>
									</td>
								</tr>
								<tr id="con_ext_apply_url" style="display:none">
									<td class="key"><label for="ext_apply_url"><?php echo JText::_('JBJOBS_JOB_APPLICATION_LINK'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<input class="inputbox" type="text" name="ext_apply_url" id="ext_apply_url" size="60" maxlength="100" value="<?php echo $this->row->ext_apply_url; ?>" />&nbsp;<?php echo JText::_('JBJOBS_INCLUDE_HTTP'); ?>
									</td>
								</tr>
							<?php break;
							} //child switch end
						} //child foreach end?>
				</table>
				</div>				
				<div class="sp20">&nbsp;</div>
			<?php 
			break; 
			case "job_desc": ?>
				<div class="border">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_JOB_DESCRIPTION'); ?></div>
				<table class="admintable" width="100%">
					<?php
					foreach($this->children as $child){ 
						switch ($child->field) {
							case "short_desc": ?>
								<tr>
									<td class="">
										<p><strong><label for="short_desc"><?php echo JText::_('JBJOBS_SHORT_DESCRIPTION'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span></label></strong></p>
										<textarea class="inputbox bigarea" name="short_desc" id="short_desc" 
										onKeyDown="limitText(this.form.short_desc, this.form.countdown, 256);" 
										onKeyUp="limitText(this.form.short_desc, this.form.countdown, 256);"><?php echo $this->row->short_desc; ?></textarea><br>
										<font size="1">(<?php echo JText::_('JBJOBS_MAX_CHARS'); ?> : 256)<br>
										<input readonly type="text" name="countdown" size="2" value="256"> <?php echo JText::_('JBJOBS_CHARS_LEFT'); ?></font>
									</td>			
								</tr>
								<?php break;
								case "long_desc": ?>
								<tr>
									<td class="">
										<p><strong><?php echo JText::_('JBJOBS_LONG_DESCRIPTION'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span></strong></p>
										<?php echo $editor->display('long_desc', $this->row->long_desc, '100%', '400', '50', '10', false); ?>
									</td>
								</tr>
								<?php
							break;
							} //child switch end
						} //child foreach end?>	
					</table>
				</div>
				<div class="sp20">&nbsp;</div>
			<?php 
			break; 
			case "google_map": ?>
				<div class="border">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_GOOGLE_MAP'); ?></div>
				<table class="admintable" width="100%">
					<?php
					foreach($this->children as $child){ 
						switch ($child->field) {
							case "address_geocode": ?>
								<tr>
									<td class="key"><label for="address_geocode"><?php echo JText::_('JBJOBS_ADDRESS_TO_GEOCODE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td class="">
										<input type="text" id="address_geocode" name="address_geocode" size="60" title="<?php echo JText::_('JBJOBS_ADDRESS_TO_GEOCODE'); ?>" value="<?php echo $this->row->address_geocode; ?>" />
										<input type="button" onclick="UpdateAddress()" id="inputButtonAddress" value="<?php echo JText::_('JBJOBS_UPDATE_ADDRESS'); ?>" class="button"/>
										<input type="button" onclick="codeAddress()" id="inputButtonGeocode" value="<?php echo JText::_('JBJOBS_CLICK_TO_GEOCODE'); ?>" class="button"/>
									</td>			
								</tr>
								<?php break;
							case "map_point": ?>
								<tr>
									<td class="key"><label for="map_point"><?php echo JText::_('JBJOBS_MAP_POINT'); ?>:</label>
									</td>
									<td class="">
										<div id="map" style="width: <?php echo $mapWidth?>px; height: <?php echo $mapHeight?>px; overflow:hidden;" class="border"></div>
									</td>			
								</tr>
								<?php break;
								case "lat_long": ?>
								<tr>
						            <td class="key"><label for="title"><?php echo JText::_('JBJOBS_LAT_LONG_ZOOM'); ?>:</label>
						            </td>
						            <td valign="top">
						                <input class="inputbox" onblur="IsReal('glat');" type="text" name="glat" id="glat" size="20" value="<?php echo $this->row->glat ?>" />
						                <input class="inputbox" onblur="IsReal('glng');" type="text" name="glng" id="glng" size="20" value="<?php echo $this->row->glng ?>" />
						                <input class="inputbox" onblur="IsReal('gzoom');" type="text" name="gzoom" id="gzoom" size="20" value="<?php echo $this->row->gzoom ?>" />
						                <!-- <input type="button" onclick="getCoordinate();" value="<?php echo JText::_('JBJOBS_LOCATE_COORDINATES'); ?>" />  -->
						            </td>
						    	</tr>
								<?php
							break;
							} //child switch end
						} //child foreach end?>	
					</table>
				</div>
				<div class="sp20">&nbsp;</div>
			<?php 
			break; 
			case "customfield": ?>
				<?php $model->showCustom($this->custom, $this->row->id, 'job'); ?>
			<?php break;
		 } //parent switch end
	 } //parent foreach end ?>

	<table class="admintable">
		<tr>
			<td colspan="2"><input type="submit" value="<?php echo JText::_('JBJOBS_SAVE_JOB'); ?>" class="button" /></td>				
		</tr>								
	</table>

	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="savejob" />
	<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
	<input type="hidden" name="Itemid" id="Itemid" value="<?php echo $Itemid; ?>" />
    <?php echo JHTML::_('form.token'); ?>
</form>