<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/employer/tmpl/regemployer.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Employer  (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

JBjobs::loadMootools();
JHTML::script('bfvalidate.js', 'components/com_jbjobs/js/');
JHTML::_('behavior.modal');

$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/utility.js"); 
$doc->addScript("components/com_jbjobs/js/upclick-min.js"); 

JBjobs::getTooltip();

$db =& JFactory::getDBO();
$user	=& JFactory::getUser();
$model = $this->getModel();
$Itemid = JRequest::getInt('Itemid');
?>

<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_EMPLOYER_PROFILE'); ?></b></div>
	
<script language="javascript" type="text/javascript">
<!--
	window.addEvent('domready', function(){
		createUploadButton('<?php echo $this->row->user_id; ?>');
		myFunction();
	});

	function myFunction(){
	//checking children
		<?php
		foreach($this->children as $child){ 
			if($child -> required){ ?>
				var el = '<?php echo $child->field; ?>';
				if(document.getElementById(el)){
					$(el).addClass('required');
				}
			<?php
			}
		}
		?>
		//checking parents
		<?php
		foreach($this->parents as $parent){ 
			if($parent -> required){ ?>
				var el = '<?php echo $parent->field; ?>';
				if(document.getElementById(el)){
					$(el).addClass('required');
				}
			<?php
			}
		}
		?>
	}
	function makeSame(){
		var form = document.regEmployer;
		form.bill_addr.value = form.street_addr.value;
		form.bill_city.value = form.city.value;
		form.bill_state.value = form.state.value;
		form.bill_zip.value = form.zip.value;
		form.bill_phone.value = form.primary_phone.value;
		form.bill_id_country.selectedIndex = form.id_country.selectedIndex;
		form.bill_state.selectedIndex = form.state.selectedIndex;
		form.bill_city.selectedIndex = form.city.selectedIndex;
	}

	function validateForm(f){
		var browser = navigator.appName;
		if (browser == "Microsoft Internet Explorer"){
				var flag = 0;
				for (var i=0;i < f.elements.length; i++) {
					el = f.elements[i];
					 if ($(el).hasClass('required')) {
						 var idz= $(el).getProperty('id');
						 	if(document.getElementById(idz)){
							  	if (!document.getElementById(idz).value) {
							  		document.formvalidator.handleResponse(false, el);
							  		flag = flag + 1;
								}
						   }
					 }
				}
		}
		else {
			var valid = document.formvalidator.isValid(f);
		}
		
		if(flag == 0 || valid == true){
			f.check.value='<?php echo JUtility::getToken(); ?>';//send token
		}
	    else {
			alert('<?php echo JText::_('JBJOBS_FIEDS_HIGHLIGHTED_RED_COMPULSORY'); ?>');
			return false;
	    }
		return true;
	}
	window.addEvent('domready', function() {
		if($('comp_overview'))
			$('comp_overview').addEvent('keyup', function() {
				limitFunction('comp_overview', 500);
			});

		if($('comp_history'))
			$('comp_history').addEvent('keyup', function() {
				limitFunction('comp_history', 500);
			});

		if($('comp_benefits'))
			$('comp_benefits').addEvent('keyup', function() {
				limitFunction('comp_benefits', 500);
			});
	});
		
//-->
</script>
	
<form action="index.php" method="post" name="regEmployer" id="regEmployer" class="form-validate" onsubmit="return validateForm(this);" enctype="multipart/form-data">
	<?php echo JText::_('JBJOBS_FIELDS_COMPUSORY'); ?>
	<div class="sp10">&nbsp;</div>
	<?php
	foreach($this->parents as $parent){ 
		switch ($parent->field) {
			case "userinformation": ?>
				<div class="border">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_USER_INFORMATION'); ?></div>
					<table class="admintable">
					<?php
					foreach($this->children as $child){ 
						switch ($child->field) {
							case "username": ?>
							<tr>
								<td class="key" valign="top"><label for="name"><?php echo JText::_('JBJOBS_USERNAME'); ?>:</label>
								</td>
								<td>
									<?php echo  $user->username; ?> - 
									<?php
									if(!empty($this->row->id)){
										$link = JRoute::_('index.php?option=com_user&view=user&layout=form', false); ?>
										<strong><a href="<?php echo $link; ?>"><?php echo JText::_('JBJOBS_CHANGE_PASSWORD_OR_EMAIL'); ?></a></strong>
									<?php
									}
									?>
								</td>
							</tr>
							<?php break;
							case "firstname": ?>
							<tr>
								<td class="key"><label for="firstname" id="lblfname"><?php echo JText::_('JBJOBS_FIRST_NAME'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<input class="inputbox" type="text" name="firstname" id="firstname" size="50" maxlength="100" value="<?php echo $this->row->firstname; ?>" />
								</td>
							</tr>
							<?php break;
							case "lastname": ?>
							<tr>
								<td class="key"><label for="lastname"><?php echo JText::_('JBJOBS_LAST_NAME'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<input class="inputbox" type="text" name="lastname" id="lastname" size="50" maxlength="100" value="<?php echo $this->row->lastname; ?>" />
								</td>
							</tr>
							<?php break;
							case "id_salutation": ?>
							<tr>
								<td class="key"><label for="id_salutation"><?php echo JText::_('JBJOBS_SALUTATION'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<?php $list_salutation = $model->getSalutation('id_salutation', $this->row->id_salutation, '');
									 echo $list_salutation; ?>
								</td>
							</tr>
							<?php break;
							case "other_title": ?>
							<tr>
								<td class="key"><label for="other_title"><?php echo JText::_('JBJOBS_OTHER_TITLE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<input class="inputbox" type="text" name="other_title" id="other_title" size="30" maxlength="255" value="<?php echo $this->row->other_title; ?>" />
								</td>
							</tr>
							<?php
							break;
							} //child switch end
						} //child foreach end?>
					</table>
				</div>
				<div class="sp20">&nbsp;</div> 
			<?php 
			break; 
			case "companyinfo": ?>
				<div class="border">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_COMPANY_INFORMATION'); ?></div>
					<table class="admintable">
					<?php
					foreach($this->children as $child){ 
						switch ($child->field) {
							case "comp_name": ?>
							<tr>
								<td class="key"><label for="comp_name"><?php echo JText::_('JBJOBS_COMPANY_NAME'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<input class="inputbox" type="text" name="comp_name" id="comp_name" size="60" maxlength="100" value="<?php echo $this->row->comp_name; ?>" />
								</td>
							</tr>
							<?php break;
							case "id_comp_type": ?>
							<tr>
								<td class="key"><label for="id_comp_type"><?php echo JText::_('JBJOBS_COMPANY_TYPE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<?php $list_comp_type = $model->getSelectCompType('id_comp_type', $this->row->id_comp_type, '');
									 echo $list_comp_type; ?>
								</td>
							</tr>
							<?php break;
							case "id_industry": ?>
							<tr>
								<td class="key"><label for="id_industry"><?php echo JText::_('JBJOBS_INDUSTRY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<?php $list_industry = $model->getSelectIndustry('id_industry', $this->row->id_industry, '');
									 echo $list_industry; ?>
								</td>
							</tr>
							<?php break;
							case "street_addr": ?>
							<tr>
								<td class="key"><label for="street_addr"><?php echo JText::_('JBJOBS_ADDRESS'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<input class="inputbox" type="text" name="street_addr" id="street_addr" size="60" maxlength="100" value="<?php echo $this->row->street_addr; ?>" />
								</td>
							</tr>
							<?php break;
							case "id_country": ?>
							<tr>
								<td class="key"><label for="id_country"><?php echo JText::_('JBJOBS_COUNTRY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<?php $list_country = $model->getSelectCountry('id_country', $this->row->id_country, '', 'onChange="loadaddress(this.value, \'state\')"');
									 echo $list_country; ?>
								</td>
							</tr>
							<?php break;
							case "state": ?>
							<tr>
								<td class="key"><label for="state"><?php echo JText::_('JBJOBS_DISTRICT/STATE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<div id="state1" class="fl">
									<?php
										$list_state = $model->getSelectState('state', $this->row->state, 'onchange="loadaddress(this.value, \'city\')"', $this->row->id_country);
										if($list_state == ''){ ?>
											<input class="inputbox" type="text" name="state" id="state" size="40" maxlength="255" value="<?php echo $this->row->state; ?>" />
									<?php
										}
										else { 
											echo $list_state;
										} ?>
									</div>
									<div id="status_state" class="dis-inl-blk fl"></div>
								</td>
							</tr>
							<?php break;
							case "city": ?>
							<tr>
								<td class="key"><label for="city"><?php echo JText::_('JBJOBS_CITY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<div id="city1" class="fl">
									<?php
										$list_city = $model->getSelectCity('city', $this->row->city, '', $this->row->state);
										if($list_city == ''){ ?>
											<input class="inputbox" type="text" name="city" id="city" size="40" maxlength="255" value="<?php echo $this->row->city; ?>" />
									<?php
										}
										else { 
											echo $list_city;
										} ?>
									</div>
									<div id="status_city" class="dis-inl-blk fl"></div>
								</td>
							</tr>
							<?php break;
							case "zip": ?>
							<tr>
								<td class="key"><label for="zip"><?php echo JText::_('JBJOBS_ZIP'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<input class="inputbox" type="text" name="zip" id="zip" size="12" maxlength="15" value="<?php echo $this->row->zip; ?>" />
								</td>
							</tr>
							<?php break;
							case "primary_phone": ?>
							<tr>
								<td class="key"><label for="primary_phone"><?php echo JText::_('JBJOBS_PRIMARY_PHONE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<input type="text" name="primary_phone" id="primary_phone" size="25" maxlength="30" value="<?php echo $this->row->primary_phone; ?>"  class="inputbox jbtooltip validate-phone" title="<?php echo JText::_('JBJOBS_TT_CONTACT'); ?>"/>
								</td>
							</tr>
							<?php break;
							case "fax_number": ?>
							<tr>
								<td class="key"><label for="fax_number"><?php echo JText::_('JBJOBS_FAX_NUMBER'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<input type="text" name="fax_number" id="fax_number" size="25" maxlength="30" value="<?php echo $this->row->fax_number; ?>"  class="inputbox jbtooltip" title="<?php echo JText::_('JBJOBS_TT_FAX'); ?>"/>
								</td>
							</tr>
							<?php break;
							case "complogo": ?>
							<tr>
								<td class="key"><label for="complogo"><?php echo JText::_('JBJOBS_COMPANY_LOGO'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<div id="divphoto">
									  <?php
										$switch = $model->whichUse($this->row->user_id);
										echo JBjobs::getLogo($this->row->user_id); ?><br>
									</div>
									<div id="ajax-container"></div>
									<input type="button" id="photoupload" value="<?php echo JText::_('JBJOBS_UPLOAD_NEW'); ?>" class="button">
									<input type="button" id="removepicture" value="<?php echo JText::_('JBJOBS_REMOVE_PICTURE'); ?>" onclick="removePicture('<?php echo $this->row->user_id; ?>');" class="button" >
								</td>
							</tr>
							<?php break;
							case "comp_overview": ?>
							<tr>
								<td class="key"><label for="comp_overview"><?php echo JText::_('JBJOBS_COMPANY_OVERVIEW'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<textarea class="inputbox" name="comp_overview" id="comp_overview" rows="8" cols="60"><?php echo $this->row->comp_overview; ?></textarea><br>
									<span id="comp_overview_cnt" class="jbcounter">500</span> <?php echo JText::_('JBJOBS_CHARS_LEFT');?>
									
								</td>
							</tr>
							<?php break;
							case "comp_history": ?>
							<tr>
								<td class="key"><label for="comp_history"><?php echo JText::_('JBJOBS_COMPANY_HISTORY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<textarea class="inputbox" name="comp_history" id="comp_history" rows="8" cols="60" placeholder="<?php echo JText::_('JBJOBS_COMPANY_HISTORY_HELP'); ?>"><?php echo $this->row->comp_history; ?></textarea><br>
									<span id="comp_history_cnt" class="jbcounter">500</span> <?php echo JText::_('JBJOBS_CHARS_LEFT');?>
								</td>
							</tr>
							<?php break;
							case "comp_benefits": ?>
							<tr>
								<td class="key"><label for="comp_benefits"><?php echo JText::_('JBJOBS_COMPANY_BENEFITS'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<textarea class="inputbox" name="comp_benefits" id="comp_benefits" rows="8" cols="60" placeholder="<?php echo JText::_('JBJOBS_COMPANY_BENEFITS_HELP'); ?>"><?php echo $this->row->comp_benefits; ?></textarea><br>
									<span id="comp_benefits_cnt" class="jbcounter">500</span> <?php echo JText::_('JBJOBS_CHARS_LEFT');?>
								</td>
							</tr>
							<?php break;
							} //child switch end
						} //child foreach end?>
					</table>
				</div>
				<div class="sp20">&nbsp;</div>
			<?php 
			break; 
			case "privacy": ?>
				<div class="border">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_PRIVACY_SETTINGS'); ?></div>
			
				<table class="admintable">
					<tr>
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_SHOW_NAME'); ?>:</label>
						</td>
						<td>
							<?php $show_name = $model->YesNo('show_name', $this->row->show_name ? $this->row->show_name : 'y');
							echo  $show_name;	?>
						</td>
					</tr>
					<tr>
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_SHOW_COMP_NAME'); ?>:</label>
						</td>
						<td>
							<?php $show_comp_name = $model->YesNo('show_comp_name', $this->row->show_comp_name ? $this->row->show_comp_name : 'y');
							echo  $show_comp_name;	?>
						</td>
					</tr>
					<tr>
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_SHOW_ADDRESS'); ?>:</label>
						</td>
						<td>
							<?php $show_addr = $model->YesNo('show_addr', $this->row->show_addr ? $this->row->show_addr : 'y');
							echo  $show_addr;?>
						</td>
					</tr>
					<tr>
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_SHOW_LOCATION'); ?>:</label>
						</td>
						<td>
							<?php $show_location = $model->YesNo('show_location', $this->row->show_location ? $this->row->show_location : 'y');
							echo  $show_location;	?>
						</td>
					</tr>
					<tr>
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_SHOW_PHONE'); ?>:</label>
						</td>
						<td>
							<?php $show_phone = $model->YesNo('show_phone', $this->row->show_phone ? $this->row->show_phone : 'y');
							echo  $show_phone;	?>
						</td>
					</tr>
					<tr>
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_SHOW_FAX'); ?>:</label>
						</td>
						<td>
							<?php $show_fax = $model->YesNo('show_fax', $this->row->show_fax ? $this->row->show_fax : 'y');
							echo  $show_fax; ?>
						</td>
					</tr>
					<tr>
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_SHOW_EMAIL'); ?>:</label>
						</td>
						<td>
							<?php $show_email = $model->YesNo('show_email', $this->row->show_email ? $this->row->show_email : 'y');
							echo  $show_email;	?>
						</td>
					</tr>
					<tr>
						<td class="key"><label for="name"><?php echo JText::_('JBJOBS_SHOW_POSTS'); ?>:</label>
						</td>
						<td>
							<?php $show_show_post = $model->postingPrivacy('show_post', $this->row->show_post ? $this->row->show_post : 0);
							echo  $show_show_post;	?>
						</td>
					</tr>
			    </table>
				</div>
				<div class="sp20">&nbsp;</div>
			<?php 
			break; 
			case "billing": ?>
				<div class="border">
				<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_BILLING_ADDRESS'); ?></div>
				<a href="javascript:void(0);" onClick="makeSame()"><?php echo JText::_('JBJOBS_COPY_ADDRESS'); ?></a>
				<table class="admintable">
				<?php
					foreach($this->children as $child){ 
						switch ($child->field) {
							case "bill_addr": ?>
								<tr>
									<td class="key"><label for="bill_addr"><?php echo JText::_('JBJOBS_ADDRESS'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<input class="inputbox" type="text" name="bill_addr" id="bill_addr" size="60" maxlength="255" value="<?php echo $this->row->bill_addr; ?>" />
									</td>
								</tr>
							<?php break;
							case "bill_addr_cont": ?>
								<tr>
									<td class="key"><label for="bill_addr_cont"><?php echo JText::_('JBJOBS_ADDRESS_CONT'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<input class="inputbox" type="text" name="bill_addr_cont" id="bill_addr_cont" size="60" maxlength="255" value="<?php echo $this->row->bill_addr_cont; ?>" />
									</td>
								</tr>
							<?php break;
							case "bill_id_country": ?>
								<tr>
								<td class="key"><label for="bill_id_country"><?php echo JText::_('JBJOBS_COUNTRY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<?php $list_country = $model->getSelectCountry('bill_id_country', $this->row->bill_id_country, '', 'onChange="loadaddress(this.value, \'bill_state\')"');
									 echo $list_country; ?>
								</td>
							</tr>
							<?php break;
							case "bill_state": ?>
							<tr>
								<td class="key"><label for="bill_state"><?php echo JText::_('JBJOBS_DISTRICT/STATE'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<div id="bill_state1" class="fl">
									<?php
										$list_state = $model->getSelectState('bill_state', $this->row->bill_state, 'onchange="loadaddress(this.value, \'bill_city\')"', $this->row->bill_id_country);
										if($list_state == ''){ ?>
											<input class="inputbox" type="text" name="bill_state" id="bill_state" size="60" maxlength="255" value="<?php echo $this->row->bill_state; ?>" />
									<?php
										}
										else { 
											echo $list_state;
										} ?>
									</div>
									<div id="status_bill_state" class="dis-inl-blk fl"></div>
								</td>
							</tr>
							<?php break;
							case "bill_city": ?>
							<tr>
								<td class="key"><label for="bill_city"><?php echo JText::_('JBJOBS_CITY'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
								</td>
								<td>
									<div id="bill_city1" class="fl">
									<?php
										$list_city = $model->getSelectCity('bill_city', $this->row->bill_city, '', $this->row->bill_state);
										if($list_city == ''){ ?>
											<input class="inputbox" type="text" name="bill_city" id="bill_city" size="60" maxlength="255" value="<?php echo $this->row->bill_city; ?>" />
									<?php
										}
										else { 
											echo $list_city;
										} ?>
									</div>
									<div id="status_bill_city" class="dis-inl-blk fl"></div>	
								</td>
							</tr>
							<?php break;
							case "bill_zip": ?>
								<tr>
									<td class="key"><label for="bill_zip"><?php echo JText::_('JBJOBS_ZIP'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<input class="inputbox" type="text" name="bill_zip" id="bill_zip" size="12" maxlength="15" value="<?php echo $this->row->bill_zip; ?>" />
									</td>
								</tr>
							<?php break;
							case "bill_phone": ?>
								<tr>
									<td class="key"><label for="bill_phone"><?php echo JText::_('JBJOBS_PHONE_NUMBER'); ?><span class="redfont"><?php echo ($child->required)? '*' : ''; ?></span>:</label>
									</td>
									<td>
										<input class="inputbox" type="text" name="bill_phone" id="bill_phone" size="25" maxlength="30" value="<?php echo $this->row->bill_phone; ?>" />					
									</td>
								</tr>
							<?php 
							break;
						} //child switch end
					} //child foreach end ?>	
			    </table>
				</div>
				<div class="sp20">&nbsp;</div>
		<?php break;
		 } //parent switch end
	 } //parent foreach end ?>

	<?php $model->showCustom($this->custom, $this->row->user_id); ?>
	
	<div class="sp20">&nbsp;</div>
	<br />
	<?php if($this->row->id > 0){?>
		<input type="submit" value="<?php echo JText::_('JBJOBS_SAVE_PROFILE'); ?>" class="button" />
		<input type="button" value="<?php echo JText::_('JBJOBS_CANCEL'); ?>" class="button" onclick="history.back()" />
	<?php }else{ ?>
		<?php
		$config =& JTable::getInstance('config', 'Table');
		$config->load(1);
		$termid = $config->termarticleid;
		$link = JRoute::_("index.php?option=com_content&view=article&id=".$termid.'&tmpl=component');
		?>
		<p><a><?php echo JText::sprintf('JBJOBS_BY_CLICKING_YOU_AGREE', $link); ?></a></p>
		<input type="submit"  value="<?php echo JText::_('JBJOBS_SET_ME_AS_EMPLOYER'); ?>" class="button" />
	<?php } ?>
	<input type="hidden" name="option" value="com_jbjobs" />			
	<input type="hidden" name="task" value="saveemployer" />
	<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />			
	<input type="hidden" name="Itemid" id="Itemid" value="<?php echo $Itemid; ?>" />
	<?php echo JHTML::_('form.token'); ?>
</form>