<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/employer/tmpl/regemployernew.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Employer registration page (jbjobs)
 * */
defined('_JEXEC') or die('Restricted access');
JBjobs::loadMootools();
JHTML::script('bfvalidate.js', 'components/com_jbjobs/js/');
JHTML::_('behavior.modal');

$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/utility.js"); 

JBjobs::getTooltip();

$app =& JFactory::getApplication();
$user	=& JFactory::getUser();
$model = $this->getModel();
$config =& JTable::getInstance('config','Table');
$config->load(1);
$taxpercent = $config->taxpercent;
$taxname = $config->taxname;
$currencysym = $config->currencysymbol;
$post   = JRequest::get('post');
if(!JBJOBS_FREE_MODE){
	if(empty($post)){	//this is to check if the user has selected plan and entered this page
		$link	= JRoute::_('index.php?option=com_jbjobs&view=membership&layout=planadd', false);
		$app->redirect($link);
	}
}
?>

<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_EMPLOYER_REGISTRATION'); ?></b></div>

<script language="javascript" type="text/javascript">
<!--
	function validateForm(f){
		if (document.formvalidator.isValid(f)) {
			f.check.value='<?php echo JUtility::getToken(); ?>';//send token
	    }
	    else {
		    var msg = '<?php echo JText::_('JBJOBS_FIEDS_HIGHLIGHTED_RED_COMPULSORY'); ?>';
	    	if($('password2').hasClass('invalid')){
		    	msg = msg+'\n\n* '+'<?php echo JText::_('JBJOBS_VERIFY_PASSWORD_INVALID'); ?>';
		    }
			alert(msg);
			return false;
	    }
		return true;
	}
//-->
</script>

<form action="index.php" method="post" name="regNewEmployer" class="form-validate" onsubmit="return validateForm(this);" enctype="multipart/form-data">
	
<?php echo JText::_('JBJOBS_FIELDS_COMPUSORY'); ?>
	
	<?php 	if(!JBJOBS_FREE_MODE) : ?>
	<div class="border">
	<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_MEMBERSHIP_CHOSEN'); ?></div>
		<table class="admintable">
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_PLAN_NAME'); ?>:<br /></label>
				</td>
				<td>
					<?php $sub_id = $post['subscription_id'];
					echo $post['planname'.$sub_id]; ?>
				</td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_PLAN_DURATION'); ?>:</label>
				</td>
				<td>
					<?php echo $post['planperiod'.$sub_id]; ?>
				</td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_CREDITS'); ?>:</label>
				</td>
				<td>
					<?php echo $post['plancredit'.$sub_id]; ?>
				</td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_PAY_MODE'); ?>:</label>
				</td>
				<td>
					<?php echo JBjobs::getGwayName($post['gateway']); ?>
				</td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_TOTAL_AMOUNT'); ?>:</label>
				</td>
				<td>
					<?php
						$totalamt = $post['price'.$sub_id];
						if($taxpercent > 0){
							$taxamt = $totalamt * ($taxpercent/100);
							$totalamt = $taxamt + $totalamt;
						}
						echo $currencysym.' '.number_format($totalamt, 2, '.', '' );
						if($taxpercent > 0){
							echo ' ( '.$post['price'.$sub_id].' + '.$taxamt.' )';
						}
					?>
				</td>
			</tr>
	    </table>
	</div>
	<div class="sp20">&nbsp;</div>
	<?php endif; ?>
	
	<div class="border">
	<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_USER_INFORMATION'); ?></div>
		<table class="admintable">
			<tr>
				<td class="key"><label for="firstname"><?php echo JText::_('JBJOBS_FIRST_NAME'); ?><span class="redfont">*</span>:</label>
				</td>
				<td>
					<input class="inputbox required" type="text" name="firstname" id="firstname" size="40" maxlength="100" value="" />
				</td>
			</tr>
			<tr>
				<td class="key"><label for="lastname"><?php echo JText::_('JBJOBS_LAST_NAME'); ?>:</label>
				</td>
				<td>
					<input class="inputbox" type="text" name="lastname" id="lastname" size="40" maxlength="100" value="" />
				</td>
			</tr>
			<tr>
				<td class="key"><label for="username"><?php echo JText::_('JBJOBS_USERNAME'); ?><span class="redfont">*</span>:</label>
				</td>
				<td>
					<input type="text" size="40" maxlength="100" name="username" id="username" class="inputbox jbtooltip required" onchange="checkavailable(this);" title="<?php echo JText::_('JBJOBS_TT_USERNAME'); ?>"> 
					<div id="status_username" class="dis-inl-blk"></div>
				</td>
			</tr>
			<tr>
				<td class="key"><label for="email"><?php echo JText::_('JBJOBS_EMAIL'); ?><span class="redfont">*</span>:</label>
				</td>
				<td>
					<input type="text" size="40" maxlength="100" name="email" id="email" class="inputbox jbtooltip required validate-email" onchange="checkavailable(this);" title="<?php echo JText::_('JBJOBS_TT_EMAIL'); ?>">
					<div id="status_email" class="dis-inl-blk">
				</td>
			</tr>
			<tr>
				<td class="key"><label for="password"><?php echo JText::_('JBJOBS_PASSWORD'); ?><span class="redfont">*</span>:</label>
				</td>
				<td>
					<input type="password" size="40" maxlength="100" name="password" id="password" class="inputbox jbtooltip required validate-password" title="<?php echo JText::_('JBJOBS_TT_PASSWORD'); ?>">
				</td>
			</tr>
			<tr>
				<td class="key"><label for="password2"><?php echo JText::_('JBJOBS_CONFIRM_PASSWORD'); ?><span class="redfont">*</span>:</label>
				</td>
				<td>
					<input type="password" size="40" maxlength="100" name="password2" id="password2" class="inputbox jbtooltip required validate-passverify" title="<?php echo JText::_('JBJOBS_TT_REPASSWORD'); ?>">
				</td>
			</tr>
			<tr>
				<td class="key"><label for="comp_name"><?php echo JText::_('JBJOBS_COMPANY_NAME'); ?><span class="redfont">*</span>:</label>
				</td>
				<td>
					<input type="text" name="comp_name" id="comp_name" size="40" maxlength="100" value="" class="inputbox required" />
				</td>
			</tr>
	    </table>
	</div>
	<div class="sp20">&nbsp;</div>
	
	<?php $model->showCustom($this->custom); ?>

	<div class="sp20">&nbsp;</div>
	
	<?php if($config->showcaptcha): ?>
		<div class="border">
			<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_CAPTCHA_VERIFICATION'); ?></div>
			<!-- Insert the captcha here-->
			<?php
			//set the argument below to true if you need to show vertically( 3 cells one below the other)
			$app->triggerEvent('onShowOSOLCaptcha', array(true));
			?>
		</div>
	<?php endif; ?>
	
	<?php
	$termid = $config->get('termarticleid');
	$link = JRoute::_("index.php?option=com_content&view=article&id=".$termid.'&tmpl=component');
	?>
	<p><a><?php echo JText::sprintf('JBJOBS_BY_CLICKING_YOU_AGREE', $link); ?></a></p>
	
	<input type="submit" value="<?php echo JText::_( 'JBJOBS_I_ACCEPT_CREATE_MY_ACCOUNT' ); ?>" class="button"  />
		
	<input type="hidden" name="option" value="com_jbjobs" />			
	<input type="hidden" name="task" value="saveemployernew" />			
	<input type="hidden" name="subscription_id" value="<?php echo $post['subscription_id'];?>" />			
	<input type="hidden" name="gateway" value="<?php echo $post['gateway'];?>" />
	<input type="hidden" name="user_type" value="<?php echo $post['user_type'];?>" />
	<?php echo JHTML::_('form.token'); ?>
</form>