<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/employer/tmpl/viewapplicant.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	View the list of applicants applied to jobs (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');
JBjobs::loadMootools();
JBjobs::getTooltip();
JHTML::_('behavior.modal');
$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/LightFace.js");  
$doc->addScript('index.php?option=com_jbjobs&task=lightjs'); 

$user =& JFactory::getUser();		
$action	= JRoute::_('index.php?option=com_jbjobs&view=employer&layout=viewApplicant');

$model = $this->getModel();
$plan = $model->whichPlan($user->id);
$creditpercv = $plan->creditpercv;
?>

<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_JOB_APPLICANTS_FOR').' '.$this->rows[0]->job_title; ?></b></div>

	<?php 
		if(!JBJOBS_FREE_MODE){ ?>
			<div class="sp10">&nbsp;</div>
			<?php echo JText::sprintf('JBJOBS_RESUME_VIEW_NOTE', $creditpercv); 
		} 
	?>
	<div class="sp10">&nbsp;</div>
<form action="<?php echo $action; ?>" method="post" name="allApplicants">

<?php
if(count($this->rows) >0) { ?>
			
	<table width="100%" cellpadding="0" cellspacing="0">
			<thead>								
			<tr class="jbj_rowhead">					
				<th><?php echo JText::_('#'); ?></th>	
				<th><?php echo JText::_('JBJOBS_APPLICANT'); ?></th>					
				<th><?php echo JText::_('JBJOBS_POSITION'); ?></th>
				<th><?php echo JText::_('JBJOBS_STATUS'); ?></th>
				<th><?php echo JText::_('JBJOBS_COVER'); ?></th>
				<th><?php echo JText::_('JBJOBS_PREVIEW'); ?></th>
			</tr>
			</thead>				
			<tbody>
				<?php 
				$k = 0;
				for ($i=0, $n=count($this->rows); $i < $n; $i++) {
				$row 		 = $this->rows[$i];		
				$id_cover 	 = $model->getActiveCoverletter($row->jseeker_id);
				$link_cover = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=viewcoverletter&id='.$id_cover.'&print=1&tmpl=component');
				
				switch($model->whichUse($row->jseeker_id)){
					case 1:
						$link_applicant = JRoute::_('index.php?option=com_comprofiler&task=userProfile&user='.$row->jseeker_id);
					break;
					case 2:
						$link_applicant = JRoute::_('index.php?option=com_community&view=profile&userid='.$row->jseeker_id);
					break;
					default:
						$link_applicant = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=detailjobseeker&id='.$row->jseeker_id);
						$link_prev_resume = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=detailjobseeker&id='.$row->user_id.'&preview=1&tmpl=component');
					break;
				}

				?>
				<!-- Registered users applied to the job -->
				<?php if($row->jseeker_id) : ?>
					<tr class="jbj_<?php echo "row$k"; ?>">
					<td><?php echo $this->pageNav->getRowOffset($i); ?></td>
					<td>
						<?php
							$onclick = '';
							if(!JBJOBS_FREE_MODE)  
								if($this->total_credit < $creditpercv){
									$msg = JText::_('JBJOBS_RESUME_VIEW_NOT_ENOUGH_CREDIT');
									$onclick="onclick='noCredit(\"$msg\",\"e\");return false;'";
								}
						?>
						<a href="<?php echo $link_applicant; ?>" class="jobcriteria" <?php echo $onclick; ?> ><?php echo ($row->show_name == 'y') ? $row->name : JText::_('JBJOBS_NAME_CONFIDENTIAL'); ?></a>
					</td>	
					<td>
						<?php echo $row->current_position; ?>
					</td>
					<td style="text-align:center;">
						<?php
							if(!JBJOBS_FREE_MODE){
								$ttlViewed = JText::_('JBJOBS_TT_RESUME_VIEWED');
								$ttlNotViewed = JText::_('JBJOBS_TT_RESUME_NOT_VIEWED');
							}
							else {
								$ttlViewed = JText::_('JBJOBS_TT_RESUME_VIEWED_FM');
								$ttlNotViewed = JText::_('JBJOBS_TT_RESUME_NOT_VIEWED_FM');
							}
								
							if($row->hits > 0) : ?>
								<img class="jbtooltip" src="components/com_jbjobs/images/s1.png" title="<?php echo $ttlViewed; ?>" alt="Viewed">
							<?php else: ?>
								<img class="jbtooltip" src="components/com_jbjobs/images/s0.png" title="<?php echo $ttlNotViewed; ?>" alt="Not-Viewed">
							<?php endif; ?>
					</td>
					<td style="text-align:center;"><?php if($id_cover){ ?>
						<a rel="{handler: 'iframe', size: {x: 650, y: 500}}" href="<?php echo $link_cover; ?>" class="modal"><?php echo JText::_('JBJOBS_VIEW'); ?></a> 
						<?php
							}
							else { ?>
								<i><?php echo JText::_('JBJOBS_COVER_NOT_FOUND'); ?></i>
						<?php	}
						?>	
					</td>
					<td style="text-align:center;">
						<a rel="{handler: 'iframe', size: {x: 650, y: 500}}" href="<?php echo $link_prev_resume; ?>" class="modal"><img src="components/com_jbjobs/images/icosearch.png" width="12" alt="Preview"/></a>
					</td>
				</tr>
				<!-- Non-Registered / anonymous users applied to the job -->
				<?php else : ?>
					<tr class="jbj_<?php echo "row$k"; ?>">
					<td><?php echo $this->pageNav->getRowOffset($i); ?></td>
					<td>
						<?php
							$onclick = '';
							$res_link = !empty($row->resume_link) ? JHTML::_('link', $row->resume_link, JText::_('JBJOBS_DOWNLOAD_RESUME')) : '';
							$ttl = JText::_('JBJOBS_APPLICANT');
							$msg = JText::_('JBJOBS_APPLICANT_NOT_REGISTERED_IN_THE_SITE').' ';
							$msg .= JText::sprintf('JBJOBS_ANONYMOUS_APPLICANT_DETAILS', $row->contact_name, $row->contact_email, $row->contact_no);
							$onclick="onclick='jbLightAlert(\"$ttl\",\"$msg\");'";
						?>
						<a class="jobcriteria" <?php echo $onclick; ?> ><?php echo $row->contact_name; ?></a>
					</td>
					<td>
						<?php echo $row->resume_title; ?>
					</td>
					<td style="text-align: center;">
						<img class="" src="components/com_jbjobs/images/non_member.png" title="<?php echo JText::_('JBJOBS_APPLICANT_NOT_REGISTERED_IN_THE_SITE'); ?>" width="22" alt="Non-Member">
					</td>
					<td>
						<?php
							if(!empty($row->cover_letter)){
							$onclick = '';
							$msg = str_replace("\r\n", "<br>", $row->cover_letter);
							$ttl = JText::_('JBJOBS_COVER');
						?>
						<a class="jobcriteria" onclick="jbLightAlert('<?php echo $ttl;?>','<?php echo $msg; ?>')" ><?php echo JText::_('JBJOBS_COVER'); ?></a>
						<?php 
							}
							else { ?>
								<i><?php echo JText::_('JBJOBS_COVER_NOT_FOUND'); ?></i>
							<?php }
						?>
					</td>
					<td>
						<?php echo !empty($row->resume_link) ? JHTML::_('link', $row->resume_link, JText::_('JBJOBS_DOWNLOAD_RESUME')) : JText::_('JBJOBS_NOT_ATTACHED'); ?>
					</td>
				</tr>
			<?php endif; ?>	
			<?php
			$k = 1 - $k;
			}
			?>
			</tbody>				
		</table>
			
			<?php }
			else{
				echo '<span class="redfont">'.JText::_('JBJOBS_THERE_IS_NO_APPLICANT_FOR_THIS_JOB').'</span>'; 
				}
			
			?>
			
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="" />
    <input type="hidden" name="statusId" value="0" />
	<input type="hidden" name="applicantId" value="0" />
	<!--<input type="hidden" name="jobId" value="<?php echo $this->rows[0]->id_job; ?>" />-->
	<?php echo JHTML::_('form.token'); ?>		
</form>