<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/employer/view.html.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Entry point for the component (jbjobs)
 ^ 
 * History		:	NONE
 * */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.view');
$config =& JTable::getInstance('config','Table');
$config->load(1);

$document = & JFactory::getDocument(); 
$document->addStyleSheet("components/com_jbjobs/css/$config->theme"); 
$document->addStyleSheet("components/com_jbjobs/css/style.css");
?>

<table width="100%" style="table-layout:fixed;">
	<tr>
		<td style="vertical-align:top;">
			<?php
				include_once('components/com_jbjobs/views/jbmenu.php');
			?>
		</td>
	</tr>
</table>
<?php
class JBJobsViewEmployer extends JView {
	function display($tpl = null){
		$app =& JFactory::getApplication();

		$user	=& JFactory::getUser();
		$uid 	= $user->id;
		
		$config =& JTable::getInstance('config','Table');
		$config->load(1);
		$enable_emp_reg = $config->get('enableempreg');

		$itemid =  JRequest::getVar('Itemid');
		$layout = JRequest::getVar('layout', '', 'get', 'string');
		$print = JRequest::getVar('print', 0, 'get', 'int');
		$preview = JRequest::getVar('preview', 0, 'get', 'int');
		$model	=& $this->getModel(); 
		
		$is_employer  = $model->isEmployer($user->id);
		$is_jobseeker = $model->isJobSeeker($user->id);
		
		if ($layout == 'dashboard'){
			if($user->id == 0){
				$return	= JRoute::_('index.php?option=com_user&view=login');
				$app->redirect( $return );	
			}
			if($is_jobseeker == 1){
				$return	= JRoute::_('index.php?option=com_jbjobs&task=decidedashboard');
				$app->redirect($return);	
			}
			elseif(!$is_employer){
				$return	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=showfront', false);
				$app->redirect($return);	
			}
			else {
				$feeds = $model->getFeeds();
				$this->assignRef('feeds', $feeds);
			}
		}
		
		if($layout == 'regemployernew'){
			if($enable_emp_reg){
				$custom = $model->getRegEmployerNew();
				$this->assignRef('custom', $custom);
			}
			else {
				$msg = JText::_('JBJOBS_EMPLOYER_REG_BLOCKED');
				$return	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=showfront', false);
				$app->redirect($return, $msg);
			}
		}
		elseif($layout == 'regemployer'){
			if($is_employer || $enable_emp_reg){
				$return = $model->getEditEmployer();
				$row = $return[0];
				$custom = $return[1];
				$parents = $return[2];
				$children = $return[3];
				
				$this->assignRef('row', $row); 
				$this->assignRef('custom', $custom);
				$this->assignRef('parents', $parents);
				$this->assignRef('children', $children);
			}
			else {
				$msg = JText::_('JBJOBS_EMPLOYER_REG_BLOCKED');
				$return	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=showfront', false);
				$app->redirect($return, $msg);	
			}
		}
		elseif($layout == 'editjob'){
			$return = $model->getEditJob();
			$row = $return[0];
			$employer = $return[1];
			$custom = $return[2];
			$parents = $return[3];
			$children = $return[4];
			
			$this->assignRef('row', $row);
			$this->assignRef('employer', $employer);
			$this->assignRef('custom', $custom);
			$this->assignRef('parents', $parents);
			$this->assignRef('children', $children);
		}
		elseif($layout == 'showmyjobs'){
			$return = $model->getShowMyJobs();
			$rows = $return[0];
			$pageNav = $return[1];
			$total_credit = $return[2];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('total_credit', $total_credit);
		}
		elseif($layout == 'publishjob'){
			$row = $model->getPublishJob();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'jobapplicants'){
			$return = $model->getJobApplicants();
			$rows = $return[0];
			$pageNav = $return[1];
			$applicants = $return[2];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('applicants', $applicants);
		}
		elseif($layout == 'viewapplicant'){
			$return = $model->getViewApplicant();
			$rows = $return[0];
			$pageNav = $return[1];
			$total_credit = $return[2];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('total_credit', $total_credit);
		}
		elseif($layout == 'detailjobseeker'){
			$return = $model->getDetailJobSeeker();
			$data = $return[0];
			$custom = $return[1];
			$parents = $return[2];
			$children = $return[3];
			$debited = $return[4];
			$tree = $return[5];
			
			$this->assignRef('data', $data);
			$this->assignRef('custom', $custom);
			$this->assignRef('parents', $parents);
			$this->assignRef('children', $children);
			$this->assignRef('debited', $debited);
			$this->assignRef('tree', $tree);
		}
		elseif($layout == 'findresume'){
			$return = $model->getFindResume();
			$rows = $return[0];
			$pageNav = $return[1];
			$total_credit = $return[2];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('total_credit', $total_credit);
		}
		elseif($layout == 'myreferrals'){
			$return = $model->getMyReferrals();
			$referrals = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('referrals', $referrals);
			$this->assignRef('pageNav', $pageNav);
		}
		
	parent::display($tpl);
	}
}
?>
