<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/guest/tmpl/advsearchres.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows the advance search results (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

$config =& JTable::getInstance('config', 'Table');
$config->load(1);
$dformat = $config->dateformat;

$post   	   	= JRequest::get('post');
$keyword      	= (!empty($post['keyword'])) ? $post['keyword'] : null;
$id_job_spec  	= (!empty($post['id_js'])) ? $post['id_js'] : null;
$id_country   	= (!empty($post['id_c'])) ? $post['id_c'] : null;
$id_job_exp   	= (!empty($post['id_je'])) ? $post['id_je'] : null;
$min_salary   	= (!empty($post['min_s'])) ? $post['min_s'] : null;
$max_salary   	= (!empty($post['max_s'])) ? $post['max_s'] : null;
$id_salary_type = (!empty($post['id_st'])) ? $post['id_st'] : null;
$action	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=advsearchres');
$advsearch	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=advsearch');
?>

<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_ADVANCE_SEARCH_RESULT'); ?></b></div>
<!--<img src="components/com_jbjobs/images/fj1.png" class="featured" width="22"> = <?php echo JText::_('JBJOBS_FEATURED_JOBS'); ?>-->
<div style="float:right;"><a href="<?php echo $advsearch; ?>"><?php echo JText::_('JBJOBS_NEW_SEARCH')?></a></div>
<form action="<?php echo $action; ?>" method="post" name="userFormJob" enctype="multipart/form-data">	
	
	<table  width="100%" cellpadding="0" cellspacing="0">
		<thead>
			<tr class="jbj_rowhead">
				<th width="10">
					<?php echo JText::_('#'); ?>
				</th>
				<th width="15%" align="left">
					<?php echo JText::_('JBJOBS_DATE'); ?>
				</th>
				<th width="35%" align="left">
					<?php echo JText::_('JBJOBS_JOB_TITLE'); ?>
				</th>
				<th width="25%" align="left">
					<?php echo JText::_('JBJOBS_LOCATION'); ?>
				</th>
				<th width="25%" align="left">
					<?php echo JText::_('JBJOBS_COMPANY_NAME'); ?>
				</th>
				<th></th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="6" class="jbj_row3">
					<?php echo $this->pageNav->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->rows); $i < $n; $i++) {
			$row = $this->rows[$i];
			$link_detail = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailjob&id='. $row->id );
			$link_comp    = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->employer_id.'&type=company');
			$link_state   = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&name='.$row->state.'&type=state');
			$link_country = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->countryid.'&type=country');
			?>
			<tr class="jbj_<?php echo "row$k"; ?>">
				<td>
					<?php echo $this->pageNav->getRowOffset( $i ); ?>
				</td>
				<td>
					<?php echo JHTML::_('date', $row->publish_date, $dformat, false); ?>
				</td>
				<td>
					<a href="<?php echo $link_detail; ?>" class="jobcriteria"><?php echo $row->job_title; ?></a>					
				</td>
				<td>
					<a href="<?php echo $link_state; ?>" class="jobcriteria"><?php echo $row->state; ?></a>, 
					<a href="<?php echo $link_country; ?>" class="jobcriteria"><?php echo $row->country; ?></a>
				</td>
				<td>
					<a href="<?php echo $link_comp; ?>" class="jobcriteria"><?php echo ($row->show_comp_name == 'y') ? $row->comp_name : JText::_('JBJOBS_NAME_CONFIDENTIAL'); ?></a>
				</td>
				<td nowrap="nowrap">
					<div class="fr">
						<?php if($row->is_hot): ?>
							<img src="components/com_jbjobs/images/hot.png" alt="Hot" width="20" title="<?php echo JText::_('JBJOBS_HOT_JOB');?>">
						<?php endif; ?>
						<?php if($row->is_featured): ?>
							<img src="components/com_jbjobs/images/fj1.png" alt="Featured" width="20" title="<?php echo JText::_('JBJOBS_FEATURED_JOB'); ?>" >
						<?php endif; ?>
					</div>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
		</tbody>
	</table>
	<?php 	
		if(count($id_job_spec) > 0){
			for($i=0;$i<count($id_job_spec);$i++){
				?>
				<input type="hidden" name="id_js[]" value="<?php echo $id_job_spec[$i]?>" />
				<?php	
			}
		}
		if(count($id_country) > 0){
			for($i=0;$i<count($id_country);$i++){
				?>
				<input type="hidden" name="id_c[]" value="<?php echo $id_country[$i]?>" />
				<?php	
			}
		}
		if(count($id_job_exp) > 0){
			for($i=0;$i<count($id_job_exp);$i++){
				?>
				<input type="hidden" name="id_je[]" value="<?php echo $id_job_exp[$i]?>" />
				<?php	
			}
		}
	?>
	<input type="hidden" name="option" value="com_jbjobs">
	<input type="hidden" name="task" value="">
</form>