<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/guest/tmpl/companylist.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows list of active jobs (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

JBjobs::loadMootools();
JBjobs::getTooltip();

$model = $this->getModel();
$letter = JRequest::getVar('letter', '', 'get', 'char');

$config =& JTable::getInstance('config', 'Table');
$config->load(1);
$dformat = $config->dateformat;

$action	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=companylist');
?>
						    
<form action="<?php echo $action; ?>" method="post" name="userFormJob" enctype="multipart/form-data">
	<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_LIST_OF_COMPANIES'); ?></b></div>
	<!-- <img src="components/com_jbjobs/images/fj1.png" class="featured" width="22"> = <?php echo JText::_('JBJOBS_FEATURED_JOBS'); ?> -->
	<div class="alpha-index">
		<?php
			echo JHTML::_('link', $action, '#', array('title'=>JText::_('JBJOBS_ALL'))); 
			foreach (range('A', 'Z') as $i) :
				$link_comp_index = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=companylist&letter='.strtolower($i), false);
				if(strcasecmp($letter, $i) == 0)
					echo JHTML::_('link', $link_comp_index, $i, array('title'=>$i, 'class'=>'msgunread'));
				else
					echo JHTML::_('link', $link_comp_index, $i, array('title'=>$i));	
			endforeach; ?>	
    </div>
	<div class="border">
		<table width="100%" cellpadding="0" cellspacing="0">
		<thead>
			<tr class="jbj_rowhead">
				<th>
					<?php echo JText::_('#'); ?>
				</th>
				<th width="40%">
					<?php echo JText::_('JBJOBS_COMPANY_NAME'); ?>
				</th>
				<th width="30%" align="left">
					<?php echo JText::_('JBJOBS_INDUSTRY'); ?>
				</th>
				<th width="30%" align="left">
					<?php echo JText::_('JBJOBS_LOCATION'); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="7" class="jbj_row3">
					<?php echo $this->pageNav->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->rows); $i < $n; $i++) {
			$row = $this->rows[$i];
			
			$link_cmp_job = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->user_id.'&type=company');
			$link_ind     = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->id_industry.'&type=industry');
			$link_state   = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&name='.$row->state.'&type=state');
			$link_country = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->countryid.'&type=country');
			
			switch($model->whichUse($row->user_id)){
				case 1:
					$link_company = JRoute::_('index.php?option=com_comprofiler&task=userProfile&user='.$row->user_id);
				break;
				case 2:
					$link_company = JRoute::_('index.php?option=com_community&view=profile&userid='.$row->user_id);
				break;
				default:
					$link_company = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailcomp&id='.$row->user_id);
				break;
			}
			?>
			<tr class="jbj_<?php echo "row$k"; ?>">
				<td>
					<?php echo $this->pageNav->getRowOffset($i); ?>
				</td>
				<td>
					<?php echo JHTML::_('link', $link_company, ($row->show_comp_name == 'y') ? $row->comp_name : JText::_('JBJOBS_NAME_CONFIDENTIAL'), array('class'=>'jobcriteria')); ?>
					<div class="fr">
						<a href="<?php echo $link_cmp_job; ?>">
							<?php echo JHTML::_('image', 'components/com_jbjobs/images/icojob.png', JText::_('JBJOBS_JOBS'), array('width'=>'16', 'class'=>'jbtooltip', 'title'=>JText::_('JBJOBS_TT_JOBS_BY_COMP')))?>
						</a>
					</div>
					<!-- <div style="float: right;">
						<img src="components/com_jbjobs/images/fj<?php echo $row->is_featured;?>.png" alt="" width="16">
					</div> -->
				</td>
				<td>
					<?php echo JHTML::_('link', $link_ind, $row->industry, array('class'=>'jobcriteria')); ?>
				</td>
				<td>
					<?php echo JHTML::_('link', $link_state, $row->state, array('class'=>'jobcriteria')); ?>,
					<?php echo JHTML::_('link', $link_country, $row->country, array('class'=>'jobcriteria')); ?>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
		</tbody>
		</table>
	</div>
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="" />
	<?php echo JHTML::_('form.token'); ?>
</form>