<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/guest/tmpl/detailjob.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows details of job (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

JBjobs::loadMootools();
JHTML::_('behavior.modal');
$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/LightFace.js");
$doc->addScript("components/com_jbjobs/js/LightFace.Static.js");
$doc->addScript('index.php?option=com_jbjobs&task=lightjs'); 

$job = $this->data;
$doc->setDescription(strip_tags($job->short_desc));
$doc->setTitle($job->job_title);

$Itemid 	  = JRequest::getInt('Itemid');
$user 		  =& JFactory::getUser();
$model 		  = $this->getModel();	
$id 		  = JRequest::getVar('id', 0, 'get', 'string');
$is_jobseeker = $model->isJobSeeker($user->id);
$is_employer  = $model->isEmployer($user->id);

$config 		=& JTable::getInstance('config','Table');
$config->load(1);
$show_bookmark 	= $config->get('showbookmark');
$dformat 		= $config->dateformat;
$anonJobapply 	= $config->anonymous_jobapply;
$googleApiKey 	= $config->googleApiKey;
$mapWidth 		= $config->googleWidth;
$mapHeight 		= $config->googleHeight;

$app = &JFactory::getApplication(); 
$lang = JFactory::getLanguage(); 
$tag_lang=(substr($lang->getTag(),0,2)); 
$app->addCustomHeadTag( '<meta name="viewport" content="initial-scale=1.0, user-scalable=no" />'); 
$app->addCustomHeadTag( '<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language='.$tag_lang.'&key='.$googleApiKey.'"></script>'); 

$mapInfoContent = JText::sprintf('JBJOBS_GMAP_INFOWINDOW_JOB_LOCATION', $job->comp_name, $this->employer->street_addr, $this->employer->em_city, $this->employer->em_state, $this->employer->em_country, $job->city, $job->state, $job->country);

$link_comp_job 	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$job->employer_id.'&type=company');
$link_spec    	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$job->id_job_spec.'&type=jobspec');
$link_jobcatg 	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$job->id_jobcateg.'&type=jobcateg');
$link_industry 	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$job->industryid.'&type=industry');
$link_position 	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$job->positionid.'&type=position');
$link_country 	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$job->countryid.'&type=country');
$link_state 	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&name='.$job->state.'&type=state');
$link_city	 	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&name='.$job->city.'&type=city');

	switch($model->whichUse($job->employer_id)){
		case 1:
			$link_detail_comp = JRoute::_('index.php?option=com_comprofiler&task=userProfile&user='.$job->employer_id);
		break;
		case 2:
			$link_detail_comp = JRoute::_('index.php?option=com_community&view=profile&userid='.$job->employer_id);
		break;
		default:
			$link_detail_comp = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailcomp&id='.$job->employer_id);
		break;
	}
	
	$link_regjseekernew = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=regjobseekernew');
	$link_regjseeker = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=regjobseeker');
	$link_anms_jobapply = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=anms_jobapply&id='.$id.'&Itemid='.$Itemid);
	
	//return to same page after login
	$uri 	= JFactory::getURI();
	$url	= $uri->toString();
	$link_login  = JRoute::_('index.php?option=com_user&view=login&return='.base64_encode($url));
	$encoded = urlencode($url);
	$jobtitle = urlencode($job->job_title);
	?>
<script language="javascript" type="text/javascript">
<!--
	window.addEvent('domready',function() {
		actionLink('Title', 'Content');
		myFunction();
	});
	
	function apply(apply, choice) {			
		var form = document.userFormJob;			
			form.task.value = apply;
			form.isapply.value = choice;			
			form.submit();			
	}
	function myFunction(){
		<?php
			foreach($this->tree as $ffld){ 
				if(!$ffld->published){ ?>
					var el = '<?php echo $ffld->field; ?>';
					if($('con_'+el))
						$('con_'+el).setStyle('display', 'none');
		<?php
				}
			}
		?>
	}
//-->
</script>

<script>
<!--
	var map;
	function init() {

		var lat, lng, zoom_carte;
        lat = '<?php echo $job->glat;?>';
        lng = '<?php echo $job->glng;?>';
        zom  = '<?php echo $job->gzoom;?>';

        if(lat == '' && lng == '' && zom == ''){
        	document.getElementById('con_google_map').style.display = 'none';
        	return;
        }

        zoom_carte = parseInt(zom);

		var latlng = new google.maps.LatLng(lat, lng);
		var myOptions = {
		  zoom: zoom_carte,
		  center: latlng,
		  mapTypeId: google.maps.MapTypeId.ROADMAP
		};
		map = new google.maps.Map(document.getElementById("map"), myOptions);

      	// Create a draggable marker which will later on be binded to a
      	marker1 = new google.maps.Marker({
        	map: map,
          	position: new google.maps.LatLng(lat, lng),
          	draggable: false,
          	title: ''
     	});

      	google.maps.event.addListener(marker1, 'click', function() {
            infowindow = new google.maps.InfoWindow({
                 content: "<?php echo $mapInfoContent; ?>"
            });
             infowindow.open(map,marker1);
      });  
	}
	// Register an event listener to fire when the page finishes loading.
    google.maps.event.addDomListener(window, 'load', init);
//-->
</script>

	<div align="left" class="fl">
		<h3><?php echo $job->job_title; ?></h3>
	</div>
	<div class="fl">
		<?php if($job->is_hot): ?>
			<img src="components/com_jbjobs/images/hot.png" alt="Hot" width="22" title="<?php echo JText::_('JBJOBS_HOT_JOB');?>">
		<?php endif; ?>
		<?php if($job->is_featured): ?>
			<img src="components/com_jbjobs/images/fj1.png" alt="Featured" width="22" title="<?php echo JText::_('JBJOBS_FEATURED_JOB'); ?>" >
		<?php endif; ?>
	</div>
	
	<div style="clear:both;"></div>
	
<form action="index.php" method="post" name="userFormJob" enctype="multipart/form-data">
	<table width="100%" cellpadding="0" cellspacing="0" >
		<tr>
			<td width="220px" valign="top">
				<div class="jobsummary border">
				<div class="jobsummary_ttl"><?php echo JText::_('JBJOBS_JOB_SUMMARY'); ?></div>
					<ul>
						<li>
							<b><?php echo JText::_('JBJOBS_COMPANY_NAME'); ?> :</b>
							<?php 
								switch($model->whichUse($job->employer_id)){
									case 1:
										$link_company = JRoute::_('index.php?option=com_comprofiler&task=userProfile&user='.$job->employer_id);
									break;
									case 2:
										$link_company = JRoute::_('index.php?option=com_community&view=profile&userid='.$job->employer_id);
									break;
									default:
										$link_company = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailcomp&id='.$job->employer_id);
									break;
								}
						    ?>
						    <?php
								$switch = $model->whichUse($job->employer_id);
								echo JBjobs::getLogo($job->employer_id);
							?><br>
							<a href="<?php echo $link_company; ?>" class="jobcriteria"><?php echo ($job->show_comp_name == 'y') ? $job->comp_name : JText::_('JBJOBS_NAME_CONFIDENTIAL'); ?></a>
							
						</li>
						<li id="con_salary">
							<b><?php echo JText::_('JBJOBS_APROXIMATE_SALARY'); ?>:</b>
							<?php 
								if($job->salary == 0){ 
									$salary = JText::_('JBJOBS_NEGOTIABLE'); ?>
							<?php 
								}
								else { 
									$salary = $job->currency_salary.' '.number_format($job->salary,2,'.',',').' / '.$job->type_salary;
								} ?>
							<i><?php echo $salary; ?></i>
						</li>
						<li>
							<b><?php echo JText::_('JBJOBS_LOCATION'); ?> :</b>
							<a id="con_city" href="<?php echo $link_city; ?>" class="jobcriteria"><?php echo $job->city; ?></a>, 
							<a id="con_state" href="<?php echo $link_state; ?>" class="jobcriteria"><?php echo $job->state; ?></a>
						</li>
						<li id="con_id_country">
							<b><?php echo JText::_('JBJOBS_COUNTRY'); ?> :</b>
							<a href="<?php echo $link_country; ?>" class="jobcriteria"><?php echo $job->country; ?></a>
						</li>
						<li>
							<b><?php echo JText::_('JBJOBS_INDUSTRY'); ?> :</b>
							<a href="<?php echo $link_industry; ?>" class="jobcriteria"><?php echo $job->industry; ?></a>
						</li>
						<li id="con_id_job_spec">
							<b><?php echo JText::_('JBJOBS_SPECIALIZATION'); ?> :</b>
							<a class="jobcriteria" title="<?php echo JText::sprintf('JBJOBS_SHOW_JOBS_FROM', JText::_('JBJOBS_CATEGORY')); ?>" href="<?php echo $link_jobcatg; ?>"><?php echo $job->category; ?></a> » 
							<a class="jobcriteria" title="<?php echo JText::sprintf('JBJOBS_SHOW_JOBS_FROM', JText::_('JBJOBS_SPECIALIZATION')); ?>" href="<?php echo $link_spec; ?>"><?php echo $job->specialization; ?></a>
						</li>
						<li id="con_id_pos_type">
							<b><?php echo JText::_('JBJOBS_POSITION_TYPE'); ?> :</b>
							<a href="<?php echo $link_position; ?>" class="jobcriteria"><?php echo $job->pos_type; ?></a>
						</li>
						<li id="con_id_job_exp">
							<b><?php echo JText::_('JBJOBS_EXPERIENCE_LEVEL'); ?> :</b>
							<?php echo $job->exp_name; ?>
						</li>
						<li id="con_id_degree_level">
							<b><?php echo JText::_('JBJOBS_EDUCATION_LEVEL'); ?> :</b>
							<?php echo $job->degree_level; ?> 
						</li>
						<li>
							<b><?php echo JText::_('JBJOBS_ADVERTISED'); ?> :</b>
							<?php echo JHTML::_('date',$job->publish_date, $dformat, false); ?>
						</li>
						<li>
							<b><?php echo JText::_('JBJOBS_CLOSING_DATE'); ?> :</b>
							<?php echo JHTML::_('date',$job->expire_date, $dformat, false); ?>
						</li>
						<li>
							<b><?php echo JText::_('JBJOBS_JOBID'); ?> : <?php echo $job->id; ?></b>
						</li>
						<li>
							<?php echo JText::sprintf('JBJOBS_MORE_JOBS_BY_EMPLOYER', $link_comp_job); ?>
						</li>
					</ul>
				</div>
			</td>
			
			<td valign="top">
				 <table width="100%">
					 <tr>
						 <td style="text-align:left;">
							<?php 
								if($user->guest){
									$msg = "<a href=$link_regjseekernew>".JText::_('JBJOBS_REGISTER')."</a><br />";
									$msg .= "<a href=$link_login>".JText::_('JBJOBS_LOGIN')."</a><br />";
							?>
							<?php
								if($anonJobapply) { //show the apply w/o register link if anonymous job application is allowed
									$msg .= "<a href=$link_anms_jobapply>".JText::_('JBJOBS_APPLY_WITHOUT_REGISTERING')."</a><br />";
								} ?>	
								<a href="javascript:void(0);" id="action-link" class="jbbutton" onclick="actionLink('<?php echo JText::_("JBJOBS_SELECT_AN_ACTION");?>', '<?php echo $msg; ?>');"><span><?php echo JText::_('JBJOBS_ACTION'); ?></span></a>
							<?php 
								}
							?>
							<?php 
								if(!$user->guest && (!$is_jobseeker && !$is_employer)){ ?>
									<input type="button" onclick="javascript:location.href ='<?php echo $link_regjseeker; ?>'" value="<?php echo JText::_('JBJOBS_SET_AS_JOBSEEKER'); ?>"  class="button"/>
							<?php 		
								}
							?>
							<?php if($is_jobseeker){
									$chkSavApp = $model->checkSavedApplied($job->id, $user->id);
									
									if($chkSavApp['is_saved'] == 0){ ?>
										<input type="button" onclick="javascript:apply('applyJobByJS', 'false')" value="<?php echo JText::_('JBJOBS_SAVE_JOB'); ?>"  class="button"/>&nbsp; 
									<?php
									}
									else {
										echo "<b>".JText::_('JBJOBS_ALREADY_SAVED')."</b>"; 
									}
									if($chkSavApp['is_applied'] == 0){ 
										if($job->manage_applicant == 0){ ?> <!-- 0 for interal application -->
											<?php if(JBJOBS_FREE_MODE_JS) : ?>	<!-- Begin of Free Mode condition -->
												<input type="button" value="<?php echo JText::_('JBJOBS_APPLY_JOB'); ?>" onclick="javascript:apply('applyJobByJS', 'true');" class="button" />
											<?php else : ?>
												<?php
													$plan = $model->whichPlan($user->id);
													$total_credit = $model->getTotalCredit($user->id); 
													//get the credit to debit based on type of job (featured / not)
													if($job->is_featured)
														$credit_applyjob = $plan->credit_featuredapplyjob;
													else
														$credit_applyjob = $plan->credit_applyjob;
												?>
												<?php if($total_credit >= $credit_applyjob) : ?>	<!-- Begin of total credit check condition -->
													<input type="button" value="<?php echo JText::_('JBJOBS_APPLY_JOB'); ?>" onclick="javascript:apply('applyJobByJS', 'true')" class="button" />
												<?php else : ?>
													<input type="button" value="<?php echo JText::_('JBJOBS_APPLY_JOB'); ?>" onclick="noCredit('<?php echo JText::_('JBJOBS_NOT_ENOUGH_CREDIT_TO_APPLY_TO_JOB'); ?>', 'j');" class="button"/>
												<?php endif; ?>		<!-- End of total credit check condition -->
											<?php endif; ?>		<!-- End of Free Mode condition -->
										<?php 
										}
										else {		//<!-- 1 for interal application -->
											$msg = JText::_('JBJOBS_EXTERNAL_APPLICATION_LINK_CONFIRM');
											$link_ext_app = $job->ext_apply_url;
											?>
											<input type="button" value="<?php echo JText::_('JBJOBS_APPLY_JOB'); ?>" onclick="confirmJBTask('<?php echo JText::_('JBJOBS_CONFIRM'); ?>','<?php echo $msg; ?>', '<?php echo $link_ext_app; ?>')" class="button" />
										<?php
										}
										?>	
									<?php 
									}
									else {
										echo " & <b>".JText::_('JBJOBS_ALREADY_APPLIED')."</b>"; 
									}
							 } ?>
						</td>
						<td>
					 		<div style="float:right; width:300px;" >
								<?php $link_print = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailjob&id='.$job->id.'&tmpl=component&print=1'); ?>
								<?php if($show_bookmark){ ?>
									<a target="_blank" rel="nofollow" href="<?php echo $link_print; ?>" title="Print" onclick="window.open(this.href,'win2','status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=yes,width=640,height=480'); return false;" ><img src="components/com_jbjobs/images/bookmark/print.png" alt="Print"></a>
									<a target="_blank" rel="nofollow" href="index.php?option=com_mailto&tmpl=component&link=<?php echo base64_encode($url); ?>" title="E-mail" onclick="window.open(this.href,'win2','width=400,height=350,menubar=yes,resizable=yes'); return false;"><img src="components/com_jbjobs/images/bookmark/email_link.png" alt="E-mail"></a>
									<a target="_blank" rel="nofollow" href="http://www.facebook.com/sharer.php?u=<?php echo $encoded; ?>&amp;t=<?php echo $jobtitle; ?>"><img title="Facebook" border="0" src="components/com_jbjobs/images/bookmark/facebook.png" alt="Facebook" /></a>
									<a target="_blank" rel="nofollow" href="http://www.myspace.com/Modules/PostTo/Pages/?l=3&amp;u=<?php echo $encoded; ?>&amp;title=<?php echo $jobtitle; ?>"><img title="MySpace" border="0" src="components/com_jbjobs/images/bookmark/myspace.png" alt="MySpace" /></a>
									<a target="_blank" rel="nofollow" href="http://twitter.com/home?status=<?php echo $encoded; ?>&amp;title=<?php echo $jobtitle; ?>"><img title="Twitter" border="0" src="components/com_jbjobs/images/bookmark/twitter.png" alt="Twitter" /></a>
									<a target="_blank" rel="nofollow" href="http://digg.com/submit?phase=2&amp;url=<?php echo $encoded; ?>&amp;title=<?php echo $jobtitle; ?>"><img title="Digg" border="0" src="components/com_jbjobs/images/bookmark/digg.png" alt="Digg" /></a>
									<a target="_blank" rel="nofollow" href="http://del.icio.us/post?url=<?php echo $encoded; ?>&amp;title=<?php echo $jobtitle; ?>"><img title="Delicious" border="0" src="components/com_jbjobs/images/bookmark/delicious.png" alt="Delicious" /></a>
									<a target="_blank" rel="nofollow" href="http://www.stumbleupon.com/submit?url=<?php echo $encoded; ?>&amp;title=<?php echo $jobtitle; ?>"><img title="Stumbleupon" border="0" src="components/com_jbjobs/images/bookmark/stumbleupon.png" alt="Stumbleupon" /></a>
									<a target="_blank" rel="nofollow" href="http://www.google.com/bookmarks/mark?op=edit&amp;bkmk=<?php echo $encoded; ?>&amp;title=<?php echo $jobtitle; ?>"><img title="Google Bookmarks" border="0" src="components/com_jbjobs/images/bookmark/google.png" alt="Google Bookmarks" /></a>
									<a target="_blank" rel="nofollow" href="http://www.linkedin.com/shareArticle?mini=true&url=<?php echo $encoded; ?>&amp;title=<?php echo $jobtitle; ?>"><img title="Linked in" border="0" src="components/com_jbjobs/images/bookmark/linkedin.png" alt="Linked in" /></a>
								<?php 
								}
								?>
							</div>
				 		</td>
					</tr>
					<tr id="con_short_desc">
						<td colspan="2" align="center"><div class="shortdesc"><?php echo $job->short_desc; ?></div>
						</td>
					</tr>
					<tr id="con_long_desc">
						<td colspan="2"><div class="border_bg"><?php echo $job->long_desc; ?></div></td>
					</tr>
					<tr id="con_google_map">
						<td colspan="2">
							<p><b><?php echo JText::_('JBJOBS_FIND_US_AT'); ?></b></p>
							<div id="map" style="width: <?php echo $mapWidth?>px; height: <?php echo $mapHeight?>px; overflow:hidden;" class="border"></div>
						</td>			
					</tr>
					<tr id="con_long_desc">
						<td style="text-align: center; border-bottom: 1px solid #E5E5E5;" colspan="2">
							<?php echo JHTML::_('image', 'components/com_jbjobs/images/back.png', 'Back' , array('title'=>JText::_('JBJOBS_BACK'))); ?>
							<a href="javascript:history.back();"><?php echo JText::_('JBJOBS_BACK'); ?></a>&nbsp;
							<?php echo JHTML::_('image', 'components/com_jbjobs/images/stats.png', 'Stats'); ?>
							<?php echo JText::_('JBJOBS_HITS').':'.$job->hits;?>&nbsp;
							<?php echo JText::_('JBJOBS_APPLICANTS').':'.$job->appcount;?>&nbsp;
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<div class="sp20">&nbsp;</div>
	<?php $model->showCustomFieldValue($this->custom, $job->id, 'job'); ?>
	
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="isapply" value="" />
	<input type="hidden" name="id_job" value="<?php echo $job->id; ?>" />
	<input type="hidden" name="return" value="detailjob" />
	<input type="hidden" name="Itemid" id="Itemid" value="<?php echo $Itemid; ?>" />
</form>
	
	