<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/guest/tmpl/joblist.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows list of active jobs (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

$config =& JTable::getInstance('config', 'Table');
$config->load(1);
$dformat = $config->dateformat;

$app  =& JFactory::getApplication();
$now  = date('Y-m-d H:i:s', time() + ($app->getCfg('offset') * 60 * 60));
$user =& JFactory::getUser();
$model = $this->getModel();
$is_jobseeker = $model->isJobSeeker($user->id);

$action	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=joblist');
?>
<form action="<?php echo $action; ?>" method="post" name="userFormJob" enctype="multipart/form-data">
	<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_LIST_OF_JOBS'); ?></b></div>
	<!--<img src="components/com_jbjobs/images/fj1.png" class="featured" width="22"> = <?php echo JText::_('JBJOBS_FEATURED_JOBS'); ?>-->
	<div class="">
		<table width="100%" cellpadding="0" cellspacing="0">
		<tfoot>
			<tr>
				<td colspan="7" class="jbj_row3">
					<?php echo $this->pageNav->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->data); $i < $n; $i++) {
			$row = $this->data[$i];
			$link_jobdtl  = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailjob&id='.$row->id );
			$link_spec    = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->id_job_spec.'&type=jobspec');
			$link_jobcatg = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->id_jobcateg.'&type=jobcateg');
			$link_comp    = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->employer_id.'&type=company');
			$link_city    = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&name='.$row->city.'&type=city');
			$link_state   = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&name='.$row->state.'&type=state');
			$link_country = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->countryid.'&type=country');
			$cl = ''; 
			if($row->is_hot || ($row->is_featured && $row->is_hot)) $cl = 'hotjob';
			elseif($row->is_featured) $cl = 'featuredjob';
			?>
			<tr>
				<td width="100%" style="border-bottom: 1px solid #c0c0c0; padding: 6px 0 6px 12px;">
					
					<div class="joblistSum <?php echo $cl; ?>">
						<div class="fr">
						<?php if($row->is_hot): ?>
							<img src="components/com_jbjobs/images/hot.png" alt="Hot" width="22" title="<?php echo JText::_('JBJOBS_HOT_JOB');?>">
						<?php endif; ?>
						<?php if($row->is_featured): ?>
							<img src="components/com_jbjobs/images/fj1.png" alt="Featured" width="22" title="<?php echo JText::_('JBJOBS_FEATURED_JOB'); ?>" >
						<?php endif; ?>
						</div>
						
						<a class="jobcriteria ft14" href="<?php echo $link_jobdtl; ?>"><strong><?php echo $row->job_title; ?></strong></a> 
						(<span title="<?php echo JText::_('JBJOBS_EXPERIENCE_LEVEL'); ?>"><?php echo $row->exp_name; ?></span>)<br/>			
						<a href="<?php echo $link_comp; ?>" class="jobcriteria" title="<?php echo JText::sprintf('JBJOBS_SHOW_JOBS_FROM', JText::_('JBJOBS_EMPLOYER')); ?>"><?php echo ($row->show_comp_name == 'y') ? $row->comp_name : JText::_('JBJOBS_NAME_CONFIDENTIAL'); ?></a><br/>			
						<span>
							<a href="<?php echo $link_city; ?>" class="greenfont" title="<?php echo JText::sprintf('JBJOBS_SHOW_JOBS_FROM', JText::_('JBJOBS_CITY')); ?>"><?php echo JText::_($row->city); ?></a>, 
							<a href="<?php echo $link_state; ?>" class="greenfont" title="<?php echo JText::sprintf('JBJOBS_SHOW_JOBS_FROM', JText::_('JBJOBS_STATE')); ?>"><?php echo JText::_($row->state); ?></a>, 
							<a href="<?php echo $link_country; ?>" class="greenfont" title="<?php echo JText::sprintf('JBJOBS_SHOW_JOBS_FROM', JText::_('JBJOBS_COUNTRY')); ?>"><?php echo $row->country; ?></a>
						</span><br/>	
						<em><?php echo strip_tags($row->short_desc); ?></em>
					</div>
					<div class="actRow">
						<div class="fl">
							<a class="jobcriteria" title="<?php echo JText::sprintf('JBJOBS_SHOW_JOBS_FROM', JText::_('JBJOBS_CATEGORY')); ?>" href="<?php echo $link_jobcatg; ?>"><?php echo $row->category; ?></a> » 
							<a class="jobcriteria" title="<?php echo JText::sprintf('JBJOBS_SHOW_JOBS_FROM', JText::_('JBJOBS_SPECIALIZATION')); ?>" href="<?php echo $link_spec; ?>"><?php echo $row->specialization; ?></a>
						</div>
						<span class="postedDate">
							<!--<a href="javascript:void(0)" id="action-link" onclick="actionLink('<?php echo JText::_("JBJOBS_SELECT_AN_ACTION");?>', '<?php echo $msg; ?>');"><?php echo JText::_('JBJOBS_ACTION'); ?></a>-->
							<?php echo JText::_('JBJOBS_POSTED_DATE'); ?> : <?php echo JHTML::_('date', $row->publish_date, $dformat, false); ?>
						</span>&nbsp;&nbsp;
						<?php if($is_jobseeker){
							$chkSavApp = $model->checkSavedApplied($row->id, $user->id); ?>
						<div class="fr" style="position: relative; right: 20px;">
							<?php if($chkSavApp['is_saved']): ?>
								<img src="components/com_jbjobs/images/saved.png" alt="Saved" title="<?php echo JText::_('JBJOBS_ALREADY_SAVED'); ?>">
							<?php endif; ?>
							<?php if($chkSavApp['is_applied']): ?>
							<img src="components/com_jbjobs/images/s1.png" alt="Applied" title="<?php echo JText::_('JBJOBS_ALREADY_APPLIED'); ?>">
							<?php endif; ?>
						</div>
						<?php } ?>
					</div>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
		</tbody>
		</table>
	</div>
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<?php echo JHTML::_('form.token'); ?>
</form>