<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	03 January 2011
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/guest/tmpl/jobsby_criteria.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows list of jobs by any criteria (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

$id   = (int)JRequest::getVar('id', 0, 'get', 'string');	
$sname  = JRequest::getVar('name', '', 'get', 'string');
$post   = JRequest::get('post');
$type 	= JRequest::getVar('type', '', 'get', 'string');

$config =& JTable::getInstance('config', 'Table');
$config->load(1);
$dformat = $config->dateformat;

if($type == 'state' || $type == 'city')
	$action	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&name='.$sname.'&type='.$type);
else
	$action	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$id.'&type='.$type);

//header title
if($type == 'jobcateg')
	$criteria = 'JBJOBS_CATEGORY';
elseif($type == 'jobspec')
	$criteria = 'JBJOBS_SPECIALIZATION';
elseif($type == 'company')
	$criteria = 'JBJOBS_COMPANY_NAME';
elseif($type == 'position')
	$criteria = 'JBJOBS_POSITION';
elseif($type == 'industry')
	$criteria = 'JBJOBS_INDUSTRY';
elseif($type == 'country')
	$criteria = 'JBJOBS_COUNTRY';
elseif($type == 'state')
	$criteria = 'JBJOBS_STATE';
elseif($type == 'city')
	$criteria = 'JBJOBS_CITY';

?>

<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_LIST_OF_JOBS'); ?></b></div>
<!--<img src="components/com_jbjobs/images/fj1.png" class="featured" width="22"> = <?php echo JText::_('JBJOBS_FEATURED_JOBS'); ?>-->
<span class="jbj_jobtitle"><b><?php echo JText::_($criteria); ?> :</b> <?php echo $this->header; ?></span>
<form action="<?php echo $action; ?>" method="post" name="userFormJob" enctype="multipart/form-data">	
	<table width="100%" cellpadding="0" cellspacing="0">
		<thead>
			<tr class="jbj_rowhead">
				<th width="10" class="jbj_rowhead">
					<?php echo JText::_('#'); ?>
				</th>
				<th width="15%" align="left">
					<?php echo JText::_('JBJOBS_DATE'); ?>
				</th>
				<th width="35%" align="left">
					<?php echo JText::_('JBJOBS_JOB_TITLE'); ?>
				</th>
				<th width="25%" align="left">
					<?php echo JText::_('JBJOBS_LOCATION'); ?>
				</th>
				<th  width="25%" align="left">
					<?php echo JText::_('JBJOBS_COMPANY_NAME'); ?>
				</th>
				<th></th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="6" class="jbj_row3">
					<?php echo $this->pageNav->getListFooter(); ?>
				</td>
			</tr>
			<tr>
				<td colspan="6" class="jbj_row3">
					<a href="<?php echo JRoute::_('index.php?option=com_jbjobs&task=jbjobsrss&type='.$type.'&id='.$id); ?>">
						<img src="<?php echo JURI::root(); ?>components/com_jbjobs/images/rss.png" alt="RSS">
					</a>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->rows); $i < $n; $i++) {
			$row = $this->rows[$i];
			$link_detail  = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailjob&id='. $row->id );
			$link_comp    = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->employer_id.'&type=company');
			$link_state   = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&name='.$row->state.'&type=state');
			$link_country = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->countryid.'&type=country');
			?>
			<tr class="jbj_<?php echo "row$k"; ?>">
				<td>
					<?php echo $this->pageNav->getRowOffset( $i ); ?>
				</td>
				<td>
					<?php echo JHTML::_('date', $row->publish_date, $dformat, false); ?>
				</td>
				<td>
					<a href="<?php echo $link_detail; ?>" class="jobcriteria"><?php echo $row->job_title; ?></a>					
				</td>
				<td>
					<a href="<?php echo $link_state; ?>" class="jobcriteria"><?php echo $row->state; ?></a>, 
					<a href="<?php echo $link_country; ?>" class="jobcriteria"><?php echo $row->country; ?></a>
				</td>
				<td>
					<a href="<?php echo $link_comp; ?>" class="jobcriteria"><?php echo ($row->show_comp_name == 'y') ? $row->comp_name : JText::_('JBJOBS_NAME_CONFIDENTIAL'); ?></a>
				</td>
				<td nowrap="nowrap">
					<div class="fr">
						<?php if($row->is_hot): ?>
							<img src="components/com_jbjobs/images/hot.png" alt="Hot" width="20" title="<?php echo JText::_('JBJOBS_HOT_JOB');?>">
						<?php endif; ?>
						<?php if($row->is_featured): ?>
							<img src="components/com_jbjobs/images/fj1.png" alt="Featured" width="20" title="<?php echo JText::_('JBJOBS_FEATURED_JOB'); ?>" >
						<?php endif; ?>
					</div>
				</td>
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>
		</tbody>
	</table>
</form>