<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/guest/tmpl/simplesearch.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Search for jobs (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');
JBjobs::loadMootools();
JBjobs::getTooltip();
$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/utility.js");

$model = $this->getModel();
$post   	  = JRequest::get('post');

$keyword  	 = (!empty($post['keyword'])) ? $post['keyword'] : JRequest::getVar('keyword','', 'get', 'string');
$phrase 	 = (!empty($post['phrase'])) ? $post['phrase'] : 'any';
$id_job_spec = (!empty($post['id_job_spec'])) ?(int) $post['id_job_spec'] : (int) JRequest::getVar('id_job_spec', 0, 'get', 'string');
$id_country  = (!empty($post['id_country'])) ?(int) $post['id_country'] :(int) JRequest::getVar('id_country', 0, 'get', 'string');
$city  	  	 = (!empty($post['city'])) ? $post['city'] : JRequest::getVar('city', '', 'get', 'string');
$state  	 = (!empty($post['state'])) ? $post['state'] : JRequest::getVar('state', '', 'get', 'string');

$config =& JTable::getInstance('config', 'Table');
$config->load(1);
$dformat = $config->dateformat;

$action	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=simplesearch');
?>
<script type="text/javascript">
<!--
	function clrfields(){
		var form = document.userFormJob;
		form.keyword.value = '';
		form.id_job_spec.value = '';
		form.id_country.value = '';
		form.state.value = 0;
		form.state.value = '';
		form.city.value = '';
	}
//-->
</script>
<form action="<?php echo $action; ?>" method="post" name="userFormJob" enctype="multipart/form-data">
	<div class="border">
		<table width="100%">
			<tr>
				<td width="40%"><strong><?php echo JText::_('JBJOBS_ENTER_KEYWORD'); ?></strong></td>
				<td width="60%"><strong><?php echo JText::_('JBJOBS_JOB_SPECIALIZATION'); ?></strong></td>
			</tr>
			<tr>
				<td><input type="text" name="keyword" id="keyword" size="40" class="inputbox jbtooltip" title="<?php echo JText::_('JBJOBS_TT_SEARCH_KEYWORD'); ?>" value="<?php echo $keyword; ?>" /><BR>
					<?php $list_phrase = $model->getSearchPhrase('phrase', $phrase);	   					   		
				 	 echo $list_phrase; ?>
				</td>
				<td><?php $list_job_spec = $model->getSelectJobSpec('id_job_spec', $id_job_spec, '');
					 echo $list_job_spec; ?>
				</td>
			</tr>
		</table>
		<table width="100%">
			<tr>
				<td><strong><?php echo JText::_('JBJOBS_COUNTRY'); ?></strong></td>
				<td ><strong><?php echo JText::_('JBJOBS_STATE'); ?></strong></td>
				<td ><strong><?php echo JText::_('JBJOBS_CITY'); ?></strong></td>
			</tr>
			<tr>
				<td width="33%">
					<?php $list_country = $model->getSelectCountry('id_country', $id_country, '', 'style="width:200px;" onChange="loadaddress(this.value, \'state\')"');	   					   		
					 echo $list_country; ?>
				</td>
				<td width="33%">
					<div id="state1" class="fl">
					<?php
					$list_state = $model->getSelectState('state', $state, 'onchange="loadaddress(this.value, \'city\')"', $id_country);
					if($list_state == ''){ ?>
						<input class="inputbox" type="text" name="state" id="state" size="35" maxlength="255" value="<?php echo $state; ?>" />
					<?php
					}
					else { 
						echo $list_state;
					} ?>
					</div>
					<div id="status_state" class="dis-inl-blk fl"></div>	
				</td>
				<td width="33%">
					<div id="city1" class="fl">
					<?php
						$list_city = $model->getSelectCity('city', $city, '', $state);
						if($list_city == ''){ ?>
							<input class="inputbox" type="text" name="city" id="city" size="35" maxlength="255" value="<?php echo $city; ?>" />
					<?php
						}
						else { 
							echo $list_city;
						} ?>
					</div>
					<div id="status_city" class="dis-inl-blk fl"></div>	
				</td>
			</tr>
			<tr>
				<td colspan="3" align="center">
					<input type="submit" value="<?php echo JText::_('JBJOBS_SEARCH'); ?>" class="button" />
					<input type="button" value="<?php echo JText::_('JBJOBS_RESET'); ?>" class="button" onclick="clrfields();" /><br />
			<?php
				$link_adv_search = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=advsearch'); 
			?>
				<small><a href="<?php echo $link_adv_search; ?>"><?php echo JText::_('JBJOBS_ADVANCED_JOB_SEARCH'); ?></a></small>
				</td>
			</tr>
		</table>
	</div>
	
	<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_SEARCH_RESULTS'); ?></b></div>
	<!--<img src="components/com_jbjobs/images/fj1.png" class="featured" width="22"> = <?php echo JText::_('JBJOBS_FEATURED_JOBS'); ?>-->
	<div class="border">
		<table width="100%" cellpadding="0" cellspacing="0">
		<?php
		$k = 0;
		if(count($this->rows)){
		?>
		<thead>
			<tr class="jbj_rowhead">
				<th width="10">
					<?php echo JText::_('#'); ?>
				</th>
				<th width="15%" align="left">
					<?php echo JText::_('JBJOBS_DATE'); ?>
				</th>
				<th width="35%" align="left">
					<?php echo JText::_('JBJOBS_JOB_TITLE'); ?>
				</th>
				<th width="25%" align="left">
					<?php echo JText::_('JBJOBS_LOCATION'); ?>
				</th>
				<th width="25%">
					<?php echo JText::_('JBJOBS_COMPANY_NAME'); ?>
				</th>
				<th>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="6" class="jbj_row3">
					<?php echo $this->pageNav->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
			<?php
			for ($i=0, $n=count($this->rows); $i < $n; $i++) {
				$row = $this->rows[$i];
				$link_detail  = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=detailjob&id='.$row->id );
				$link_comp 	  = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->employer_id.'&type=company');
				$link_state   = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&name='.$row->state.'&type=state');
				$link_country = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=jobsby_criteria&id='.$row->countryid.'&type=country');
			
				?>
				<tr class="jbj_<?php echo "row$k"; ?>">
					<td>
						<?php echo $this->pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo JHTML::_('date', $row->publish_date, $dformat, false, false); ?>
					</td>
					<td>
						<a href="<?php echo $link_detail; ?>" class="jobcriteria"><?php echo $row->job_title; ?></a>	
										
					</td>
					<td>
						<a href="<?php echo $link_state; ?>" class="jobcriteria"><?php echo $row->state; ?></a>, 
						<a href="<?php echo $link_country; ?>" class="jobcriteria"><?php echo $row->country; ?></a>
					</td>
					<td>
						<a href="<?php echo $link_comp; ?>" class="jobcriteria"><?php echo ($row->show_comp_name == 'y') ? $row->comp_name : JText::_('JBJOBS_NAME_CONFIDENTIAL'); ?></a>
					</td>	
					<td nowrap="nowrap">
						<div class="fr">
							<?php if($row->is_hot): ?>
								<img src="components/com_jbjobs/images/hot.png" alt="Hot" width="20" title="<?php echo JText::_('JBJOBS_HOT_JOB');?>">
							<?php endif; ?>
							<?php if($row->is_featured): ?>
								<img src="components/com_jbjobs/images/fj1.png" alt="Featured" width="20" title="<?php echo JText::_('JBJOBS_FEATURED_JOB'); ?>" >
							<?php endif; ?>
						</div>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			}
			else {
			?>
			<tr>
				<td colspan="6"><img src="components/com_jbjobs/images/alert.png" class="featured" width="32"><span class="redfont"><?php echo JText::_('JBJOBS_SORRY_SEARCH_RETURNED_NO_RESULT'); ?></span></td>
			</tr>
			<?php
			}
			?>
		</tbody>
		</table>
	</div>
	<input type="hidden" name="option" value="com_jbjobs">
	<input type="hidden" name="task" value="">
</form>