<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/guest/view.html.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Entry point for the component (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
$config =& JTable::getInstance('config','Table');
$config->load(1);
$document = & JFactory::getDocument();
$document->addStyleSheet("components/com_jbjobs/css/$config->theme"); 
$document->addStyleSheet("components/com_jbjobs/css/style.css");
$link_rss = JRoute::_('index.php?option=com_jbjobs&task=jbjobsrss'); 
?>

<?php
class JBJobsViewGuest extends JView {
	function display($tpl = null){
		$app =& JFactory::getApplication();
		$user	=& JFactory::getUser();
		
		$config =& JTable::getInstance('config','Table');
		$config->load(1);
		$allowGuest_jobdetail = $config->allowGuest_jobdetail;
		$allowGuest_compdetail = $config->allowGuest_compdetail;
		
		$layout = JRequest::getVar('layout', 'showfront', 'get', 'string');
		$print = JRequest::getVar('print', 0, 'get', 'int');
		$model	=& $this->getModel(); 
		
		$is_jobseeker = $model->isJobSeeker($user->id);
		$is_employer  = $model->isEmployer($user->id);
		
		$link_job_listing	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=joblist');
		$link_simple_search	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=simplesearch'); 
		$link_rss 			= JRoute::_('index.php?option=com_jbjobs&task=jbjobsrss'); 
		
		if($is_jobseeker == 1)
			$link_dashboard = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=dashboard');
		elseif($is_employer == 1)
			$link_dashboard = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=dashboard');
		
		//hide the menu incase of print layout
		if($print != 1 ) :
		
		if($layout != 'dashboard'){
			if($is_jobseeker == 1 or $is_employer == 1){ ?>
				<ul id="jbj_topmenuglobal">
					<li><a href="<?php echo $link_dashboard;?>"><img src="components/com_jbjobs/images/icodb.png" width="12" alt="Dashboard"/> <?php echo JText::_('JBJOBS_DASHBOARD');?></a></li>
				</ul>
		<?php }
		}
		 
		?>
		<ul id="jbj_topmenuglobal">
				<li><a href="<?php echo $link_job_listing;?>"><img src="components/com_jbjobs/images/icolatest.png" width="12" alt="Latest Jobs"/> <?php echo JText::_('JBJOBS_LATEST_JOBS');?></a></li>
				<li><a href="<?php echo $link_simple_search;?>"><img src="components/com_jbjobs/images/icosearch.png" width="12" alt="Search"/> <?php echo JText::_('JBJOBS_SEARCH_JOBS');?></a></li>
		</ul>
		<?php
		endif; 
		
		if($print == 1){ ?>
			<input onclick="window.print()" type="button" value="<?php echo JText::_('JBJOBS_PRINT'); ?>"  class="button" />
		<?php
		}
		?>
		
		<div style="clear:both;"></div>
		<div class="sp10">&nbsp;</div>
	<?php 
		if($layout == 'joblist'){
			$return = $model->getJobList();
			$data = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('data', $data);
		}
		if($layout == 'companylist'){
			$return = $model->getCompanyList();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('rows', $rows);
		}
		elseif($layout == 'detailjob'){
			if(!$allowGuest_jobdetail && $user->guest){
				$msg = JText::_('JBJOBS_MUSTBE_REGISTERED_MEMBER_TO_VIEW_THE_PAGE');
				$return	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=showfront', false);
				$app->redirect($return, $msg);
			}
			else {
				$return = $model->getDetailJob();
				$data = $return[0];
				$custom = $return[1];
				$tree = $return[2];
				$employer = $return[3];
				
				$this->assignRef('data', $data);
				$this->assignRef('custom', $custom);
				$this->assignRef('tree', $tree);
				$this->assignRef('employer', $employer);
			}
		}
		elseif($layout == 'simplesearch'){
			$return = $model->getSimpleSearch();
			$rows = $return[0];
			$pageNav = $return[1];
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('rows', $rows);
		}
		elseif($layout == 'detailcomp'){
			if(!$allowGuest_compdetail && $user->guest){
				$msg = JText::_('JBJOBS_MUSTBE_REGISTERED_MEMBER_TO_VIEW_THE_PAGE');
				$return	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=showfront', false);
				$app->redirect($return, $msg);
			}
			else {
				$return = $model->getDetailCompany();
				$data = $return[0];
				$custom = $return[1];
				$tree = $return[2];
				
				$this->assignRef('data', $data);
				$this->assignRef('custom', $custom);
				$this->assignRef('tree', $tree);
			}
		}
		elseif($layout == 'jobsby_criteria'){
			$return = $model->getJobsbyCriteria();
			
			$rows = $return[0];
			$header = $return[1];
			$pageNav = $return[2];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('header', $header);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'advsearchres'){
			$return = $model->getAdvSearchRes();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('rows', $rows);
		}
		elseif($layout == 'showfront'){
			$return = $model->getShowFront();
		}
		elseif($layout == 'anms_jobapply'){
			$return = $model->getAnmsJobapply();
			$data = $return[0];
			$this->assignRef('data', $data);
		}
	
	parent::display($tpl);
?>
	
	<div align="center" class="jbj_footer">
		<?php $creditvisible = (!$config->showjbcredit) ? 'style=visibility:hidden' : ''; ?>
		<?php $rssvisible = (!$config->enablerss) ? 'style=visibility:hidden' : ''; ?>
		<div id="showcredit" <?php echo $creditvisible; ?>><img src="administrator/components/com_jbjobs/images/joombah-logo-128.png" width="22" align="middle"/> Powered By JoomBah Jobs - <a href="http://www.joombah.com" target="_blank">Jobs Directory Component</a></div>	
		<div id="showrss" <?php echo $rssvisible; ?>><a href="<?php echo $link_rss; ?>"><img src="components/com_jbjobs/images/rss.png" alt="RSS" title="RSS"></a></div>
		<?php 
			$parser		=& JFactory::getXMLParser('Simple');
			$xml		= JPATH_COMPONENT_ADMINISTRATOR.DS.'com_jbjobs.xml';
			$parser->loadFile($xml);
	
			$docv		=& $parser->document;
			$element	=& $docv->getElementByPath('version');
			$version	= $element->data();
		?>
		<div id="jbversioninfo" style="visibility: hidden;"><?php echo $version; ?></div>
	</div>
<?php
	}

}
?>
