<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	12 April 2011
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/jbmenu.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Entry point for the component (jbjobs)
 ^ 
 * History		:	NONE
 * */
 defined('_JEXEC') or die('Restricted access');
 $print = JRequest::getVar('print', 0, 'get', 'int');
 $preview = JRequest::getVar('preview', 0, 'get', 'int');
 $layout = JRequest::getVar('layout', '', 'get', 'string');
 
 $model	=& $this->getModel(); 
 $user	=& JFactory::getUser();
 $is_employer  = $model->isEmployer($user->id);
 $is_jobseeker = $model->isJobSeeker($user->id);
 
 if($is_employer){
 	$link_dashboard = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=dashboard');
 	$link_buy_subscr = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=planadd');
 }
 elseif($is_jobseeker){
 	$link_dashboard = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=dashboard');
 	$link_buy_subscr = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=planaddjs');
 }
 
 $link_post_job 	  = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=editjob');
 $link_find_resume 	  = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=findresume');
 $link_my_job_listing = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=showmyjobs');
 $link_job_applicants = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=jobapplicants');
 $link_credit_invoice = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=credit_invoice');
 $link_my_credit 	  = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=showcredit');
 $link_buy_credit	  = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=buy_credit');
 $link_my_subscr	  = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=planhistory');
 $link_my_referrals   = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=myreferrals');
 

 $link_post_resume 	= JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=editresume');
 $link_cover		= JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=editcoverletter');
 $link_saved_job 	= JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=mysavedjob');	
 $link_job_alert 	= JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=jobalert');	
 $link_find_job 	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=simplesearch');		
 $link_job_listing 	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=joblist');
 $link_simple_search = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=simplesearch'); 
 $link_rss 			= JRoute::_('index.php?option=com_jbjobs&task=jbjobsrss'); 
 $link_my_messages 	= JRoute::_('index.php?option=com_jbjobs&view=messaging&layout=messages');
 
 $switch = $model->whichUse($user->id);
 switch($switch){
	case 1:
		$link_edit_profile_jobseeker = JRoute::_('index.php?option=com_comprofiler'); 
		$link_edit_profile_emp = JRoute::_('index.php?option=com_comprofiler'); 
	break;
	case 2:
		$link_edit_profile_jobseeker = JRoute::_('index.php?option=com_community&view=profile'); 
		$link_edit_profile_emp = JRoute::_('index.php?option=com_community&view=profile'); 
	break;
	case 0:
	default:
		$link_edit_profile_jobseeker = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=regjobseeker');
		$link_edit_profile_emp = JRoute::_('index.php?option=com_jbjobs&view=employer&layout=regemployer');  
	break;
 }

	//hide the menu incase of print layout
	if(!$print && !$preview) :
	
		if($layout != 'dashboard'){
			if($is_employer || $is_jobseeker){ ?>
				<ul id="jbj_topmenuglobal">
					<li><a href="<?php echo $link_dashboard;?>"><img src="components/com_jbjobs/images/icodb.png" width="12" alt="Dashboard"/>&nbsp;<?php echo JText::_('JBJOBS_DASHBOARD');?></a></li>
				</ul>
			<?php
			} 
		}
		
		//Render the Employer Menu
		if($is_employer){ ?>
			<ul id="jbj_topmenu">
				<li><a href="<?php echo $link_edit_profile_emp; ?>"><img src="components/com_jbjobs/images/icoprofile.png" width="12" alt="Profile"/> <?php echo JText::_('JBJOBS_EDIT_PROFILE'); ?></a></li>
				<li><a href="#"><img src="components/com_jbjobs/images/icojob.png" width="12" alt="Jobs"/><?php echo JText::_('JBJOBS_JOBS'); ?></a>
			<ul>
				<li><a href="<?php echo $link_post_job; ?>">  <?php echo JText::_('JBJOBS_POST_NEW_JOB'); ?></a></li>
				<li><a href="<?php echo $link_my_job_listing; ?>">  <?php echo JText::_('JBJOBS_MY_JOB_LISTING'); ?></a></li>
				<li><a href="<?php echo $link_job_applicants; ?>">  <?php echo JText::_('JBJOBS_MY_JOB_APPLICANTS'); ?></a></li>
			</ul>
			</li>
			<li><a href="<?php echo $link_find_resume; ?>"><img src="components/com_jbjobs/images/icoresume.png" width="12" alt="Resume"/>&nbsp;<?php echo JText::_('JBJOBS_SEARCH_JOBSEEKERS'); ?></a></li>
			<li><a href="<?php echo $link_my_referrals; ?>"><img src="components/com_jbjobs/images/icoreferral.png" width="12" alt="Referrals"/>&nbsp;<?php echo JText::_('JBJOBS_MY_REFERRALS'); ?></a></li>
		</ul>
		<?php 
		}

		//Render the Jobseeker Menu
		if($is_jobseeker == 1){ ?>
			<ul id="jbj_topmenuglobal">
				<li><a href="<?php echo $link_job_listing;?>"><img src="components/com_jbjobs/images/icolatest.png" width="12" alt="Latest Jobs"/> <?php echo JText::_('JBJOBS_LATEST_JOBS');?></a></li>
				<li><a href="<?php echo $link_simple_search;?>"><img src="components/com_jbjobs/images/icosearch.png" width="12" alt="Search"/> <?php echo JText::_('JBJOBS_SEARCH_JOBS');?></a></li>
			</ul>
		
			<ul id="jbj_topmenu">
				<li><a href="<?php echo $link_edit_profile_jobseeker; ?>"><img src="components/com_jbjobs/images/icoprofile.png" width="12" alt="Profile"/> <?php echo JText::_('JBJOBS_EDIT_PROFILE'); ?></a></li>
				<li><a href="#"><img src="components/com_jbjobs/images/icopostcv.png" width="12" alt="Finance"/>&nbsp;<?php echo JText::_('JBJOBS_ATTACHED_FILES'); ?></a>
					<ul>
						<li><a href="<?php echo $link_post_resume; ?>"><?php echo JText::_('JBJOBS_RESUME'); ?></a></li>
						<li><a href="<?php echo $link_cover; ?>"> <?php echo JText::_('JBJOBS_COVER'); ?></a></li>
					</ul>
				</li>
				<li><a href="#"><img src="components/com_jbjobs/images/icojob.png" width="12" alt="Jobs"/> <?php echo JText::_('JBJOBS_JOBS'); ?></a>
				<ul>
					<li><a href="<?php echo $link_saved_job; ?>"><?php echo JText::_('JBJOBS_MY_SAVED_APPLIED_JOBS'); ?></a></li>
					<li><a href="<?php echo $link_job_alert; ?>"><?php echo JText::_('JBJOBS_MY_JOBALERTS'); ?></a></li>
				</ul>
				</li>
			</ul>
			
		<?php 
		}
		if($is_employer || $is_jobseeker){
			$new = $model->countUnreadMsg(); ?>
			
			<ul id="jbj_topmenu">
			<?php
				$show = 0; 
				if($is_employer && !JBJOBS_FREE_MODE) $show = 1;
				if($is_jobseeker && !JBJOBS_FREE_MODE_JS) $show = 1;
			?>
			<?php if($show) : ?>
			<li><a href="#"><img src="components/com_jbjobs/images/icocredit.png" width="12" alt="Finance"/>&nbsp;<?php echo JText::_('JBJOBS_CREDIT'); ?></a>
				<ul>
					<li><a href="<?php echo $link_credit_invoice; ?>"><?php echo JText::_('JBJOBS_CREDIT_INVOICES'); ?></a></li>
					<li><a href="<?php echo $link_buy_credit; ?>"><?php echo JText::_('JBJOBS_BUY_CREDIT'); ?></a></li>
					<li><a href="<?php echo $link_my_credit; ?>"><?php echo JText::_('JBJOBS_MY_CREDIT'); ?></a></li>
					<li><a href="<?php echo $link_my_subscr; ?>"><?php echo JText::_('JBJOBS_MY_SUBSCR'); ?></a></li>
					<li><a href="<?php echo $link_buy_subscr; ?>"><?php echo JText::_('JBJOBS_BUY_SUBSCRIPTION'); ?></a></li>
				</ul>
			<?php endif; ?>	
			</li>
			
			
				<li>
					<a href="<?php echo $link_my_messages; ?>"><img src="components/com_jbjobs/images/icomail.png" width="12" alt="Message"/> <?php  echo JText::_('JBJOBS_MY_MESSAGES'); ?>
					<?php if($new > 0): ?>
						<span class="yellowfont">(<?php echo $new.' '.JText::_('JBJOBS_NEW'); ?>)</span>
					<?php endif; ?>
					</a>
				</li>
			</ul>
		<?php	
		}
	endif; 
		
	if($print == 1){ ?>
		<input onclick="window.print()" type="button" value="<?php echo JText::_('JBJOBS_PRINT'); ?>"  class="button" />
	<?php
	}
	?>
	<div style="clear:both;"></div>