<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/jobseeker/tmpl/dashboard.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Entry point for the component (jbjobs)
 ^ 
 * History		:	NONE
 * */
 defined('_JEXEC') or die('Restricted access');
 
 JBjobs::loadMootools();
 $doc =& JFactory::getDocument();
 $doc->addScript("components/com_jbjobs/js/utility.js");
 $doc->addScript("components/com_jbjobs/js/LightFace.js");  
 $doc->addScript('index.php?option=com_jbjobs&task=lightjs');
 
 $model = $this->getModel();
 $user	=& JFactory::getUser();
 
 $plan = $model->whichPlan($user->id);
 $recruiter_view = $plan->recruitersview;
 $jobalert = $plan->jobalert;

$link_latest_jobs  = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=joblist');
$link_search_jobs  = JRoute::_('index.php?option=com_jbjobs&view=guest&layout=simplesearch');
$link_my_jobs 	   = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=mysavedjob');
$link_job_alert    = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=jobalert');
$link_edit_profile = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=regjobseeker');
$link_edit_resume  = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=editresume');
$link_edit_cover   = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=editcoverletter');
$link_res_view     = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=resumeview');
$link_my_credit    = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=showcredit');
$link_buy_credit   = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=buy_credit');
$link_invoices	   = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=credit_invoice');
$link_subscr	   = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=planhistory');
$link_my_messages  = JRoute::_('index.php?option=com_jbjobs&view=messaging&layout=messages');
$link_buy_subscr   = JRoute::_('index.php?option=com_jbjobs&view=membership&layout=planaddjs');

$switch = $model->whichUse($user->id);
switch($switch){
	case 1:
		$link_edit_profile = JRoute::_('index.php?option=com_comprofiler'); 
		break;
	case 2:
		$link_edit_profile = JRoute::_('index.php?option=com_community&view=profile'); 
		break;
	case 0:
	default:
		$link_edit_profile = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=regjobseeker');
		break;
}
if(!JBJOBS_FREE_MODE_JS){
	$planStatus = $model->planStatus($user->id);
	
	if($planStatus == '0'){ ?>
		<div class="sp10">&nbsp;</div>
		<div class="graceprd">
			<?php echo JText::_('JBJOBS_USER_IS_IN_GRACE_PERIOD'); ?>
		</div>
	<?php }
	elseif($planStatus == '1'){ ?>
		<div class="sp10">&nbsp;</div>
		<div class="expiredprd">
			<?php echo JText::sprintf('JBJOBS_USER_SUBSCRIPTION_EXPIRED', $link_buy_subscr); ?>
		</div>
	<?php }
	elseif($planStatus == '2'){ ?>
	<div class="sp10">&nbsp;</div>
	<div class="graceprd">
			<?php echo JText::sprintf('JBJOBS_USER_DONT_HAVE_ACTIVE_PLAN', $link_subscr); ?>
		</div>
	<?php }
}
?>
<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_JOBSEEKER_DASHBOARD'); ?></b></div> 
<div class="border">
	<div id="cpanel" >
		<table width="100%" border="0" cellpadding="0" cellspacing="1" >
			<tr><th colspan="5"><div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_JOBS'); ?></div></th></tr>
			<tr align="center">
				<td width="5%"></td>
				<td width="90">
				       
					   <div style="float:center;align:center;"><div class="icon">
						<a href="<?php echo $link_latest_jobs; ?>"><img src="components/com_jbjobs/images/cpanel/latest_jobs.png" width="48" alt="Latest Jobs"/>
						<span><?php echo JText::_('JBJOBS_LATEST_JOBS'); ?></span></a>
						</div></div>
				</td>
				<td width="90">
					<div ><div class="icon">
						<a href="<?php echo $link_search_jobs; ?>"><img src="components/com_jbjobs/images/cpanel/search_jobs.png" width="48" alt="Search Jobs"/>
						<span><?php echo JText::_('JBJOBS_SEARCH_JOBS'); ?></span></a>
					</div></div>
				</td>	
				<td width="90">
					<div ><div class="icon">
						<a href="<?php echo $link_my_jobs; ?>"><img src="components/com_jbjobs/images/cpanel/saved_jobs.png" width="48" alt="My Saved Jobs"/>
						<span><?php echo JText::_('JBJOBS_MY_SAVED_APPLIED_JOBS'); ?></span></a>
					</div></div>
				</td>
				<td width="90">
				<?php if($jobalert || JBJOBS_FREE_MODE_JS): ?>
					<div><div class="icon">
						<a href="<?php echo $link_job_alert; ?>"><img src="components/com_jbjobs/images/cpanel/job_alert.png" alt="My Job Alert"/><img src="components/com_jbjobs/images/cpanel/new.gif" align="top"/>
						<span><?php echo JText::_('JBJOBS_MY_JOBALERTS'); ?></span></a>
					</div></div>
				<?php else: ?>
					<div><div class="icon" >
						<a><img class="imgdisabled" src="components/com_jbjobs/images/cpanel/job_alert.png" alt="My Job Alert" onclick="jbLightAlert('<?php echo JText::_('JBJOBS_NOT_AVAILABLE')?>', '<?php echo JText::_('JBJOBS_FEATURE_NOT_AVAILABLE')?>');"/>
						<span><?php echo JText::_('JBJOBS_MY_JOBALERTS'); ?></span></a>
					</div></div>
				<?php endif; ?>
				</td>
			</tr>
			
			<tr><th colspan="5"><div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_PROFILE'); ?></div></th></tr>
			<tr align="center">
				<td width="5%"></td>
				<td width="90">
					<div ><div class="icon">
						<a href="<?php echo $link_edit_profile; ?>"><img src="components/com_jbjobs/images/cpanel/edit_profile.png" width="48" alt="Edit Profile"/>
						<span><?php echo JText::_('JBJOBS_EDIT_PROFILE'); ?></span></a>
					</div></div>
				</td>	
				<td width="90">
					<div ><div class="icon">
						<a href="<?php echo $link_edit_resume; ?>"><img src="components/com_jbjobs/images/cpanel/edit_resume.png" width="48" alt="Add/Edit Resume"/>
						<span><?php echo JText::_('JBJOBS_ADD_EDIT_RESUME'); ?></span></a>
					</div></div>
				</td>
				<td width="90">
					<div ><div class="icon">
						<a href="<?php echo $link_edit_cover; ?>"><img src="components/com_jbjobs/images/cpanel/cover_letter.png" alt="Add/Edit Cover Letter"/>
						<span><?php echo JText::_('JBJOBS_ADD_EDIT_COVER'); ?></span></a>
					</div></div>
				</td>
				
				<td width="90">
				<?php if($recruiter_view || JBJOBS_FREE_MODE_JS): ?>
					<div><div class="icon">
						<a href="<?php echo $link_res_view; ?>"><img src="components/com_jbjobs/images/cpanel/res_view.png" alt="Add/Edit Cover Letter"/>
						<span><?php echo JText::_('JBJOBS_RES_VIEW_RECRUITERS'); ?></span></a>
					</div></div>
				<?php else: ?>
					<div><div class="icon">
						<a><img class="imgdisabled" src="components/com_jbjobs/images/cpanel/res_view.png" alt="Add/Edit Cover Letter" onclick="jbLightAlert('<?php echo JText::_('JBJOBS_NOT_AVAILABLE')?>', '<?php echo JText::_('JBJOBS_FEATURE_NOT_AVAILABLE')?>');"/>
						<span><?php echo JText::_('JBJOBS_RES_VIEW_RECRUITERS'); ?></span></a>
					</div></div>
				<?php endif; ?>
				</td>
				
			</tr>
			
			<?php if(!JBJOBS_FREE_MODE_JS) : ?>
			<tr><th colspan="6"><div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_BILLING_AND_FINANCE'); ?></div></th></tr>
			<tr align="center">
				<td width="5%"></td>
				<td width="90">
					<div ><div class="icon">
						<a href="<?php echo $link_my_credit; ?>"><img src="components/com_jbjobs/images/cpanel/my_credit.png" width="48" alt="My Credit"/>
						<span><?php echo JText::_('JBJOBS_MY_CREDIT'); ?></span></a>
					</div></div>
				</td>	
				<td width="90">
					<div ><div class="icon">
						<a href="<?php echo $link_buy_credit; ?>"><img src="components/com_jbjobs/images/cpanel/buy_credit.png" width="48" alt="Buy Credit"/> 
						<span><?php echo JText::_('JBJOBS_BUY_CREDIT'); ?></span></a>
						</div></div>
				</td>	
				<td width="90">
					<div ><div class="icon">
						<a href="<?php echo $link_invoices; ?>"><img src="components/com_jbjobs/images/cpanel/invoice.png" width="48" alt="Credit Invoices"/>
						<span><?php echo JText::_('JBJOBS_CREDIT_INVOICES'); ?></span></a>
					</div></div>
				</td>
				<td width="90">
					<div ><div class="icon">
						<a href="<?php echo $link_subscr; ?>"><img src="components/com_jbjobs/images/cpanel/membership.png" width="48" alt="My Subscription"/>
						<span><?php echo JText::_('JBJOBS_MY_SUBSCR'); ?></span></a>
					</div></div>
				</td>
			</tr>
			<?php endif; ?>
			
			<tr><th colspan="5"><div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_INTERVIEW_AND_MESSAGES'); ?></div></th></tr>
			<tr align="center">
				<td width="5%"></td>
				<td width="90">
					<div ><div class="icon">
						<a href="<?php echo $link_my_messages; ?>"><img src="components/com_jbjobs/images/cpanel/my_messages.png" width="48" alt="My Credit"/>
							<span><?php echo JText::_('JBJOBS_MY_MESSAGES'); 
							$new = $model->countUnreadMsg(); 
							if($new > 0): ?>
								<br><span class="redfont" style="text-decoration: blink;" >(<?php echo $new.' '.JText::_('JBJOBS_NEW'); ?>)</span>
							<?php endif; ?></span>
						</a>
					</div></div>
				</td>	
			</tr>
		</table>
	</div>
</div>
<div class="app-box" id="recent-activities">
	<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_NEWS_FEED'); ?></b></div>
	<?php
	for($i=0, $n=count($this->feeds); $i < $n; $i++){
		$feed = $this->feeds[$i]; ?>
		<div id="jbj_newsfeed_item_<?php echo $feed->id; ?>" class="jbj_newsfeed_item">
			<div class="newsfeed_avatar">
					<?php echo $feed->logo; ?>
			</div>
	    	<div class="newsfeed_content">
				<div class="newsfeed_content_top">
					<?php echo $feed->title; ?>
				</div>
			</div>
			<div class="newsfeed_date small"><?php echo $feed->daysago; ?></div>
			<div id="feed_hide_<?php echo $feed->id; ?>" class="newsfeed_remove">
				<?php if($feed->isMine) : ?>
				<a class="remFeed" onclick="processFeed('<?php echo $user->id; ?>' , '<?php echo $feed->id; ?>', 'remove');" href="javascript:void(0);">
					<img alt="" src="components/com_jbjobs/images/remove.gif" title="<?php echo JText::_('JBJOBS_REMOVE'); ?>">
				</a>
				<?php endif; ?>
				<a class="hideFeed" onclick="processFeed('<?php echo $user->id; ?>' , '<?php echo $feed->id; ?>', 'hide');" href="javascript:void(0);">
					<img alt="" src="components/com_jbjobs/images/hide.gif" title="<?php echo JText::_('JBJOBS_HIDE'); ?>">
				</a>
			</div>
		</div>
	<?php
	}
	?>
</div>