<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	20 November 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/jobseeker/tmpl/editcoverletter.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Add, Edit, Delete Cover Letter
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

JBjobs::loadMootools();
JHTML::script('bfvalidate.js', 'components/com_jbjobs/js/');
JHTML::_('behavior.modal');

$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/LightFace.js");  
$doc->addScript('index.php?option=com_jbjobs&task=lightjs');

$link_new	= JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=editcoverletter&type=addnew');

$Itemid = JRequest::getInt('Itemid');
$type = JRequest::getVar('type', '', 'get', 'string');
$user	=& JFactory::getUser();
$model = $this->getModel();
$editor =& JFactory::getEditor();
$config =& JTable::getInstance('config', 'Table');
$config->load(1);

$plan = $model->whichPlan($user->id);
$coverletter_no = $plan->coverletter_no;
$total_credit = $model->getTotalCredit($user->id);
?>

<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_MY_COVER'); ?></b></div>

<script language="javascript" type="text/javascript">
	function validateForm(f){
		if (document.formvalidator.isValid(f)) {
			f.check.value='<?php echo JUtility::getToken(); ?>';//send token
		}
		else {
			alert('<?php echo JText::_('JBJOBS_FIEDS_HIGHLIGHTED_RED_COMPULSORY'); ?>');
			return false;
		}
		return true;
	}
</script>
<p align="right">
<?php if(!JBJOBS_FREE_MODE_JS && (count($this->cletters) >= $coverletter_no)) : ?>
	<?php $msg = JText::sprintf('JBJOBS_MAXIMUM_COVER', $coverletter_no);?>
	<input type="button" value="<?php echo JText::_('JBJOBS_ADD_NEW_COVER'); ?>" onclick="jbLightAlert('<?php echo JText::_('JBJOBS_LIMIT_EXCEEDED'); ?>','<?php echo $msg; ?>')" class="button"/>
<?php else : ?>
	<input type="button" value="<?php echo JText::_('JBJOBS_ADD_NEW_COVER'); ?>" onclick="javascript:location.href ='<?php echo $link_new; ?>'" class="button"/>
<?php endif; ?>
</p>
<form action="index.php" method="post" name="userFormJob" enctype="multipart/form-data" class="form-validate" onsubmit="return validateForm(this);">
		
	<?php if(count($this->cletters) > 0){?>
	
	<div class="border">
	<table width= "100%" style="border-collapse: collapse">
		<tr class="jbj_rowhead">
			<th><?php echo JText::_('#'); ?></th>
			<th><?php echo JText::_('JBJOBS_TITLE'); ?></th>
			<th><?php echo JText::_('JBJOBS_DESCRIPTION'); ?></th>
			<th><?php echo JText::_('JBJOBS_OPTIONS'); ?></th>
		</tr>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->cletters); $i < $n; $i++) {
			$cletter = $this->cletters[$i];
			$link_edit		= JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=editcoverletter&id='.$cletter->id);
			$link_delete	= JRoute::_('index.php?option=com_jbjobs&task=removecoverletter&id='.$cletter->id);
			$link_view		= JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=viewcoverletter&id='.$cletter->id.'&tmpl=component&print=1');
			?>
			<tr class="jbj_<?php echo "row$k"; ?>">
				<td><?php echo $i+1; ?>
				</td>
				
				<td><?php echo $cletter->title; ?><?php echo ($cletter->is_active) ? ' <b>('.JText::_('JBJOBS_ACTIVE').')</b>' : ''; ?>
				</td>
				<td>
					<?php 
						$position = 40; // Define how many character you want to display.
						$message = $cletter->description; 
						$trimmed = substr($message, 0, $position); 
						echo $trimmed.'...';
					?>
				</td>
				<td>
				<a href="<?php echo $link_edit; ?>"><?php echo JText::_('JBJOBS_EDIT'); ?></a>	|	 
				<a href="<?php echo $link_delete; ?>"><?php echo JText::_('JBJOBS_DELETE'); ?></a>	|	
				<a rel="{handler: 'iframe', size: {x: 700, y: 500}}" href="<?php echo $link_view; ?>" class="modal"><?php echo JText::_('JBJOBS_VIEW'); ?></a>
				</td>				
			</tr>
			<?php
			$k = 1 - $k;
		}
		?>	
	
	</table>
	</div>
	
	<?php 
	} 
	else 
		echo JText::_('JBJOBS_NO_COVER_SAVED'); 
	?>

<!-- Show the Edit layout only when there is no resume or add new or edit link is clicked -->
<?php if(count($this->cletters) == 0 || $this->row->id != 0 || $type == 'addnew'){?>
	<table width= "100%">
		<tr>
			<td>
				<div class="fsl_h3title"><strong>
					<?php echo ($this->row->id == 0) ? JText::_('JBJOBS_CREATE_NEW_COVER') : JText::_('JBJOBS_EDIT_COVER'); ?>
				</strong></div>
					<label for="title"><p><strong><?php echo JText::_('JBJOBS_TITLE'); ?></strong> :</p></label>
					<input class="inputbox required" type="text" name="title" id="title" size="40" maxlength="100" value="<?php echo $this->row->title; ?>" />
			</td>
		</tr>		
		<tr>
			<td>
				<label for="description"><p><strong><?php echo JText::_('JBJOBS_DESCRIPTION'); ?></strong> :</p></label>
				<textarea name="description" rows="10" cols="50" class="inputbox required"><?php echo $this->row->description; ?></textarea>
			</td>
		</tr>	
		<tr>
			<td>
				<p><strong><?php echo JText::_('JBJOBS_ACTIVE'); ?></strong> :</p>
				<?php $list_active = $model->YesNoBool('is_active', $this->row->is_active);
				echo  $list_active;  ?>
			</td>
		</tr>						
    </table>
    <input type="submit" value="<?php echo JText::_('JBJOBS_SAVE'); ?>" class="button" />
<?php } ?>
	
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="savecoverletter" />
	<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
	<input type="hidden" name="Itemid" id="Itemid" value="<?php echo $Itemid; ?>" />
	<?php echo JHTML::_('form.token'); ?>
</form>