<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/jobseeker/tmpl/editresume.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Add, Edit, Delete Resume (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

JBjobs::loadMootools();
JHTML::script('bfvalidate.js', 'components/com_jbjobs/js/');
JHTML::_('behavior.modal');

$doc =& JFactory::getDocument();
$doc->addScript("components/com_jbjobs/js/LightFace.js");  
$doc->addScript('index.php?option=com_jbjobs&task=lightjs');

$link_new	= JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=editresume&type=addnew');

$Itemid = JRequest::getInt('Itemid');
$type = JRequest::getVar('type', '', 'get', 'string');
$user	=& JFactory::getUser();
$model = $this->getModel();
$editor =& JFactory::getEditor();
$config =& JTable::getInstance('config', 'Table');
$config->load(1);

$plan = $model->whichPlan($user->id);
$allowedResumes = $plan->resume_no;
$credit_featuredcv = $plan->credit_featuredresume;
$total_credit = $model->getTotalCredit($user->id);
?>

<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_MY_CVS'); ?></b></div>

<script language="javascript" type="text/javascript">

	function showResume(){
		document.getElementById('uploadresume').style.display = 'none';
		document.getElementById('copasresume').style.display = 'block';
	}
	function showUpload(){
		document.getElementById('copasresume').style.display = 'none';
		document.getElementById('uploadresume').style.display = 'block';
	}
	function validateForm(f){
		if (document.formvalidator.isValid(f)) {
			f.check.value='<?php echo JUtility::getToken(); ?>';//send token
		}
		else {
			alert('<?php echo JText::_('JBJOBS_FIEDS_HIGHLIGHTED_RED_COMPULSORY'); ?>');
			return false;
		}
		return true;
	}
	function limitText(limitField, limitCount, limitNum) {
		if (limitField.value.length > limitNum) {
			limitField.value = limitField.value.substring(0, limitNum);
		} else {
			limitCount.value = limitNum - limitField.value.length;
		}
	}
</script>

<p align="right">
<?php if(!JBJOBS_FREE_MODE_JS && (count($this->resumes) >= $allowedResumes)) : ?>
	<?php $msg = JText::sprintf('JBJOBS_MAXIMUM_RESUME', $allowedResumes);?>
	<input type="button" value="<?php echo JText::_('JBJOBS_ADD_NEW_CV'); ?>" onclick="jbLightAlert('<?php echo JText::_('JBJOBS_LIMIT_EXCEEDED'); ?>','<?php echo $msg; ?>')" class="button"/>
<?php else : ?>
	<input type="button" value="<?php echo JText::_('JBJOBS_ADD_NEW_CV'); ?>" onclick="javascript:location.href ='<?php echo $link_new; ?>'" class="button"/>
<?php endif; ?>
</p>

<form action="index.php" method="post" name="userFormJob" class="form-validate" onsubmit="return validateForm(this);" enctype="multipart/form-data" >
		
	<?php if(count($this->resumes) > 0){?>
	
	<div class="border">
	<table width= "100%" style="border-collapse: collapse">
		<tr class="jbj_rowhead">
			<th width="10"><?php echo JText::_('#'); ?></th>
			<th width="35%"><?php echo JText::_('JBJOBS_RESUME_TITLE'); ?></th>
			<th width="40%"><?php echo JText::_('JBJOBS_DESCRIPTION'); ?></th>
			<?php if(!JBJOBS_FREE_MODE_JS):?>
			<th width="10%"><?php echo JText::_('JBJOBS_FEATURED'); ?></th>
			<?php endif; ?>
			<th width="15%"><?php echo JText::_('JBJOBS_OPTIONS'); ?></th>
		</tr>
		<?php
		$k = 0;
		for ($i=0, $n=count($this->resumes); $i < $n; $i++) {
			$resume = $this->resumes[$i];
		
			$link_featd	 = JRoute::_('index.php?option=com_jbjobs&task=setresumefeatured&id='.$resume->id);
			$link_edit	 = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=editresume&id='.$resume->id);
			$link_delete = JRoute::_('index.php?option=com_jbjobs&task=removeresume&id='.$resume->id);
			$link_view	 = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=viewresume&id='.$resume->id.'&tmpl=component&print=1');
		?>
		<tr class="jbj_<?php echo "row$k"; ?>">
			<td>
				<?php echo $i+1; ?>
			</td>
			<td>
				<?php echo $resume->name_resume; ?><?php echo ($resume->is_active == 'y') ? ' <b>('.JText::_('JBJOBS_ACTIVE').')</b>' : ''; ?>
			</td>
			<td>
				<?php 
					$position = 40; // Define how many character you want to display.
					$message = $resume->description; 
					$trimmed = substr($message, 0, $position); 
					echo $trimmed.'...';
				?>
			</td>
			<?php if(!JBJOBS_FREE_MODE_JS):?>
			<?php $msg = JText::sprintf('JBJOBS_CREDIT_FOR_FEATURED_RESUME', $credit_featuredcv)?>
			<td style="text-align: center;">
				<?php 
					$app =& JFactory::getApplication();
					$now  = date('Y-m-d H:i:s', time() + ($app->getCfg('offset') * 60 * 60));
					if($now < $resume->featured_expire): ?>
						<img src="components/com_jbjobs/images/f<?php echo $resume->featured;?>.png" alt="Featured" width="18" title="<?php echo JText::_('JBJOBS_FEATURED_RESUME');?>">
				<?php else : ?>
					<?php if($total_credit >= $credit_featuredcv) : ?>
						<input type="button" value="<?php echo JText::_('JBJOBS_SET_AS_FEATURED'); ?>" onclick="confirmJBTask('<?php echo JText::_('JBJOBS_CONFIRM'); ?>','<?php echo $msg; ?>', '<?php echo $link_featd; ?>')" class="button"/>
					<?php else : ?>
						<input type="button" value="<?php echo JText::_('JBJOBS_SET_AS_FEATURED'); ?>" onclick="noCredit('<?php echo JText::_('JBJOBS_NOT_ENOUGH_CREDIT_SET_FEATURED_RESUME'); ?>', 'j');" class="button"/>
					<?php endif; ?>
				<?php endif; ?>
			</td>
			<?php endif; ?>
			<td>
				<a href="<?php echo $link_edit; ?>"><?php echo JText::_('JBJOBS_EDIT'); ?></a>	|	 
				<a href="<?php echo $link_delete; ?>"><?php echo JText::_('JBJOBS_DELETE'); ?></a>	|	
				<a rel="{handler: 'iframe', size: {x: 750, y: 600}}" href="<?php echo $link_view; ?>" class="modal"><?php echo JText::_('JBJOBS_VIEW'); ?></a>
			</td>				
		</tr>
			<?php
			$k = 1 - $k;
		}
	?>	
	</table>
	</div>
	
	<?php 
	} else echo JText::_('JBJOBS_NO_CVS_SAVED'); 
	?>

<!-- Show the Edit layout only when there is no cover letter or add new or edit link is clicked -->
<?php if(count($this->resumes) == 0 || $this->row->id != 0 || $type == 'addnew'){ ?>
	
	<div class="fsl_h3title">
		<strong>
			<?php echo ($this->row->id == 0) ? JText::_('JBJOBS_CREATE_NEW_RESUME') : JText::_('JBJOBS_EDIT_RESUME'); ?>
		</strong>
	</div>
	<table class="admintable border">
		<tr>
			<td class="key">
				<label for="name_resume"><strong><?php echo JText::_('JBJOBS_RESUME_TITLE'); ?></strong> :</label>
			</td>
			<td>
				<input class="inputbox required" type="text" name="name_resume" id="name_resume" size="40" maxlength="100" value="<?php echo $this->row->name_resume; ?>" />
			</td>
		</tr>
		<tr>
			<td valign="top" class="key">
				<?php echo JText::_('JBJOBS_DESCRIPTION'); ?>:
			</td>
			<td>
				<textarea name="description" rows="5" cols="80" class="inputbox" onKeyDown="limitText(this.form.description, this.form.countdown, 256);" 
					onKeyUp="limitText(this.form.description, this.form.countdown, 256);"><?php echo $this->row->description; ?></textarea><br>
					<font size="1">(<?php echo JText::_('JBJOBS_MAX_CHARS'); ?> : 256)<br>
					<input readonly type="text" name="countdown" size="2" value="256"> <?php echo JText::_('JBJOBS_CHARS_LEFT'); ?></font>
			</td>
		</tr>
		<?php if($plan->videoresume) : ?>	
		<tr>
			<td class="key">
				<label for="video_link"><?php echo JText::_('JBJOBS_VIDEO_RESUME'); ?> :</label>
			</td>
			<td>
				<input class="inputbox" type="text" name="video_link" id="video_link" size="60" maxlength="100" value="<?php echo $this->row->video_link; ?>" />
				<?php $list_country = $model->getSelectVideo('video_url', JText::_('JBJOBS_SELECT_VIDEO_DOMAIN'), $this->row->video_url, '', 'onChange="loadaddress(this.value, \'district\')"');
				 echo $list_country;?>
			</td>
		</tr>
		<?php endif; ?>
		<tr>
			<td valign="top" class="key">
				<?php echo JText::_('JBJOBS_RESUME_TYPE'); ?>:
			</td>
			<td>
				<input onclick="showResume()" type="radio" name="type[]" value="c"  <?php if($this->row->type =='c') echo 'checked="checked"'?>/><?php echo JText::_('JBJOBS_COPY_PASTE_YOUR_RESUME'); ?>&nbsp;&nbsp;&nbsp;<input onClick="showUpload()" type="radio" name="type[]" value="f" <?php if($this->row->type =='f') echo 'checked="checked"'?>/><?php echo JText::_('JBJOBS_UPLOAD_YOUR_RESUME_FILE'); ?><br>
			
				<div id="copasresume" style="display: <?php echo ($this->row->type=='c') ? 'block':'none'; ?>"><br />
					<?php echo $editor->display('resume',$this->row->resume ,'100%', '400', '75', '20', false); ?>
				</div>
				<div id="uploadresume" style="display: <?php echo ($this->row->type=='f') ? 'block':'none'; ?>">
					<?php if($this->row->type =='f'){?>
					<a href="<?php echo $this->row->file_resume; ?>" target="_blank"><?php echo JText::_('JBJOBS_DOWNLOAD_RESUME'); ?></a>
					<?php } ?><br />
					<input type="file" name="file_resume" class="inputbox"/> <small><?php echo JText::_('JBJOBS_ALLOWED_FILETYPES'); ?> :  <?php echo $config->cvfiletext; ?></small>
				</div>
			</td>
		</tr>
		<tr>
			<td class="key"><?php echo JText::_('JBJOBS_ACTIVE'); ?>:</td>
			<td>
				<?php $is_active = $model->YesNo('is_active', $this->row->is_active == 'n' ? 'n' : 'y');
				 echo $is_active; ?>
			</td>
		</tr>
    </table>
    <input type="submit" value="<?php echo JText::_('JBJOBS_SAVE'); ?>" class="button" />
<?php } ?>
	
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="saveresume" />
	<input type="hidden" name="id" value="<?php echo $this->row->id; ?>" />
	<input type="hidden" name="Itemid" id="Itemid" value="<?php echo $Itemid; ?>" />
	<?php echo JHTML::_('form.token'); ?>
</form>