<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	10 January 2011
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/jobseeker/tmpl/jobalert.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Shows job alert page for jobseekers (jbjobs)
 ^ 
 * History		:	NONE
 * */
 defined('_JEXEC') or die('Restricted access');

 JHTML::script('bfvalidate.js', 'components/com_jbjobs/js/');
 $model = $this->getModel();
 $link_save_alert	= JRoute::_('index.php');
 $max = 5;
 $link_recommendjob = JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=recommend_job&id='.$this->row->id);
?>
<script type="text/javascript">
<!--
	function validateAlert(f){
		var form = document.userFormJob;
		var max = '<?php echo $max; ?>';
		var sel = 0;
		
		for (var i = 0; i < form.id_js.length; i++) { 
	        if (form.id_js.options[i].selected) { 
				sel++;
	        } 
	    } 
		if (sel > max){
			alert('<?php echo JText::sprintf('JBJOBS_MAX_JOBALERT_SPEC', $max); ?>');
			return false;
		}
		
		if(form.alert_title.value == ''){
			alert('<?php echo JText::_('JBJOBS_PLEASE_ENTER_JOBALERT_TITLE'); ?>');
			form.alert_title.focus();
			return false;
		}
		else if((form.id_js.value == '0' || form.id_js.value == '') && form.keyword.value == ''){
			alert('<?php echo JText::_('JBJOBS_PLEASE_SELECT_SPEC_KEYWORD'); ?>');
			return false;
		}
		else
			return true;
	}
	
	function selAlert(){
		var form = document.userFormJob;
		var max = 5;
		var sel = 0;
		
		var result = ""; 
   	 	for (var i = 0; i < form.id_js.length; i++) { 
	        if (form.id_js.options[i].selected) { 
				sel++;
	            result += form.id_js.options[i].text + "; "; 
	        } 
   		} 
		if (sel > max){
			msg = "<span class='redfont'><?php echo JText::sprintf('JBJOBS_MAX_SPEC_EXCEEDED', $max); ?></span>";
			document.getElementById('specmax').innerHTML = msg;
		}	
		if (sel <= max){
			document.getElementById('specialselect').innerHTML = result;
			document.getElementById('specmax').innerHTML = '';
		}
	}
//-->
</script>
	
<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_JOB_ALERT'); ?></b></div> 
<form action="<?php echo $link_save_alert; ?>" method="post" name="userFormJob"  class="form-validate" onsubmit="return validateAlert(this);"  enctype="multipart/form-data">
	<div class="border">
	<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_ALERT'); ?></div>
		<table class="admintable" width="100%">	
			<tr>
				<td class="key">
					<?php echo JText::_('JBJOBS_SUBSCRIBED'); ?>? :
				</td>
				<td><?php echo $model->YesNoBool('subscribed', $this->row->subscribed); ?></td>
			</tr>
			<tr>
				<td class="key">
					<label for="alert_title"><?php echo JText::_('JBJOBS_JOBALERT_TITLE'); ?></label>:
				</td>
				<td><input type="text" name="alert_title" id="alert_title" size="40" value="<?php echo $this->row->alert_title;?>" class="inputbox required"/></td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('JBJOBS_FREQUENCY'); ?>:
				</td>
				<td><?php $show_freq = $model->getJobalertFrequency('frequency', $this->row->frequency ? $this->row->frequency : 'w');
					echo  $show_freq;?>
				</td>
			</tr>
		</table>
	</div>
	<div class="sp10">&nbsp;</div>
	
	<div class="border">
	<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_SELECT_DESIRED_AREA_OF_EXPERTISE'); ?></div>
		<table class="admintable" width="100%">
		<em><?php echo JText::_('JBJOBS_CHOOSE_SPEC_KEYWORD_REQUIRED'); ?></em>
			<tr>
				<td class="key">
					<?php echo JText::_('JBJOBS_SPECIALIZATION'); ?>: 
				</td>
				<td>
					<?php $list_job_spec = $model->getMultipleJobSpec('id_js[]', JText::_('JBJOBS_ALL_SPECIALIZATION'), explode(',',$this->row->id_job_spec), 'onclick="selAlert()"');	   					   		
					 echo $list_job_spec; ?>
				</td>
				<td>
					<em><?php echo JText::_('JBJOBS_MULTIPLE_SELECT_TIPS'); ?></em>
					<div id="specmax"></div>
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('JBJOBS_YOUR_SELECTION'); ?>:
				</td>
				<td>
					<div id="specialselect">
						<?php 
							for($i=0; $i<count($this->specs); $i++){
								echo $this->specs[$i]->specialization.'; ';
							}
						?>
					</div>
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo JText::_('JBJOBS_KEYWORDS'); ?>: 
				</td>
				<td><input type="text" name="keyword" id="keyword" size="40" value="<?php echo $this->row->keyword;?>" class="inputbox" title="Separated by commas &lt;br&gt; Eg. Java,Clerk,Driver"/></td>
			</tr>
		</table>
	</div>
	<input type="submit" value="<?php echo JText::_('JBJOBS_SAVE_ALERT'); ?>" class="button"/>&nbsp;
	<input type="button" value="<?php echo JText::_('JBJOBS_RECOMMENDED_JOBS'); ?>" onclick="location.href ='<?php echo $link_recommendjob; ?>'"  class="button"/>
	<input type="hidden" name="option" value="com_jbjobs">
	<input type="hidden" name="task" value="savejobalert">
	<input type="hidden" name="id" value="<?php echo $this->row->id; ?>">
</form>