<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 + Project		: 	Job site
 * File Name	:	views/jobseeker/view.html.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Entry point for the component (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');
$config =& JTable::getInstance('config','Table');
$config->load(1);

$document = & JFactory::getDocument(); 
$document->addStyleSheet("components/com_jbjobs/css/$config->theme"); 
$document->addStyleSheet("components/com_jbjobs/css/style.css");
?>

<table width="100%" style="table-layout:fixed;">
	<tr>
		<td style="vertical-align:top;">
			<?php
				include_once('components/com_jbjobs/views/jbmenu.php');
			?>
		</td>
	</tr>
</table>
<?php
class JBJobsViewJobseeker extends JView {
	function display($tpl = null){
		$app =& JFactory::getApplication();

		$user	=& JFactory::getUser();
		$uid 	= $user->id;
		
		$config =& JTable::getInstance('config','Table');
		$config->load(1);
		$enable_js_reg = $config->get('enablejsreg');

		$itemid =  JRequest::getVar('Itemid');
		$layout = JRequest::getVar('layout', '', 'get', 'string');
		$model	=& $this->getModel(); 
		$print = JRequest::getVar('print', 0, 'get', 'int');
		$preview = JRequest::getVar('preview', 0, 'get', 'int');
		
		$is_jobseeker = $model->isJobSeeker($user->id);
		$is_employer = $model->isEmployer($user->id);
		
		$plan = $model->whichPlan($user->id);
		if($plan){
	 		$recruiter_view = $plan->recruitersview;
	 		$jobalert = $plan->jobalert;
		}	
		?>

		<!-- To display the referrer faisel -->		
		<?php 
		if($is_jobseeker == 1) {
			$db		=& JFactory::getDBO();
			$user	=& JFactory::getUser();
			$query = 'SELECT e.comp_name FROM #__jbjobs_jobseeker j'.
					 ' LEFT JOIN #__jbjobs_employer e ON j.id_job_agency = e.user_id'.
				     ' WHERE j.user_id='.$user->id;
			$db->setQuery($query);
			$referrer = $db->loadObject();
			if($referrer->comp_name != NULL){
		 	?>
				<br/><?php echo JText::_('JBJOBS_REFERRED_BY'); ?>: <b><?php echo $referrer->comp_name; ?></b>
		<?php  } 
		} 
		
		if ($layout == 'dashboard'){
			if($user->id == 0){
				$return	= JRoute::_('index.php?option=com_user&view=login');
				$app->redirect($return);	
			}
			if($is_employer == 1){
				$return	= JRoute::_('index.php?option=com_jbjobs&task=decidedashboard');
				$app->redirect($return);	
			}
			elseif(!$is_jobseeker){
				$return	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=showfront', false);
				$app->redirect($return);	
			}
			else {
				$feeds = $model->getFeeds();
				$this->assignRef('feeds', $feeds);
			}
		}
		
		if($layout == 'regjobseekernew'){
			if($enable_js_reg){
				$custom = $model->getRegJobSeekerNew();
				$this->assignRef('custom', $custom);
			}
			else{
				$msg = JText::_('JBJOBS_JOBSEEKER_REG_BLOCKED');
				$return	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=showfront', false);
				$app->redirect($return, $msg);
			}
		}
		elseif($layout == 'regjobseeker'){
			if($is_jobseeker || $enable_js_reg){
				$return = $model->getEditJobSeeker();
				$row = $return[0];
				$exp = $return[1];
				$custom = $return[2];
				$tree   = $return[3];
				
				$this->assignRef('row', $row);
				$this->assignRef('exp', $exp);
				$this->assignRef('custom', $custom);
				$this->assignRef('tree', $tree);
			}
			else {
				$msg = JText::_('JBJOBS_JOBSEEKER_REG_BLOCKED');
				$return	= JRoute::_('index.php?option=com_jbjobs&view=guest&layout=showfront', false);
				$app->redirect($return, $msg);	
			}
		}
		elseif($layout == 'editresume'){
			$return = $model->getEditResume();
			$row = $return[0];
			$resumes = $return[1];
			$this->assignRef('row', $row);
			$this->assignRef('resumes', $resumes);
		}
		elseif($layout == 'editcoverletter'){
			$return = $model->getEditCoverletter();
			$row = $return[0];
			$cletters = $return[1];
			$this->assignRef('row', $row);
			$this->assignRef('cletters', $cletters);
		}
		elseif($layout == 'resumeview'){
			if($recruiter_view || JBJOBS_FREE_MODE_JS){
				$return 	= $model->getResumeViews();
				$rows 		= $return[0];
				$totalhits 	= $return[1];
				$pageNav 	= $return[2];
				$total 		= $return[3];
				
				$this->assignRef('rows', $rows);
				$this->assignRef('total', $total);
				$this->assignRef('totalhits', $totalhits);
				$this->assignRef('pageNav', $pageNav);
			}
			else {
				$return	= JRoute::_('index.php?option=com_jbjobs&task=decidedashboard');
				$app->redirect($return);
			}
		}
		elseif($layout == 'viewcoverletter'){
			$row = $model->getViewCoverletter();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'viewresume'){
			$row = $model->getViewResume();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'mysavedjob'){
			$return = $model->getMySavedJob();
			$rows = $return[0];
			$pageNav = $return[1];
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('rows', $rows);
		}
		elseif($layout == 'jobalert'){
				if($jobalert || JBJOBS_FREE_MODE_JS){
				$return = $model->getJobalert();
				$row = $return[0];
				$specs = $return[1];
				$this->assignRef('row', $row);
				$this->assignRef('specs', $specs);
			}
			else {
				$return	= JRoute::_('index.php?option=com_jbjobs&task=decidedashboard');
				$app->redirect($return);
			}
		}
		elseif($layout == 'recommend_job'){
			$return 	= $model->getRecommendedJob();
			$rows 		= $return[0];
			$totalhits 	= $return[1];
			$pageNav 	= $return[2];
			//$total 		= $return[3];
			
			$this->assignRef('rows', $rows);
			//$this->assignRef('total', $total);
			$this->assignRef('totalhits', $totalhits);
			$this->assignRef('pageNav', $pageNav);
		}
		
		
		parent::display($tpl);
	}
}
?>
