<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	11 April 2011
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/membership/tmpl/print_invoice.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Show th recipt of the invoice (jbjobs)
 ^ 
 * History		:	NONE
 * */
 defined('_JEXEC') or die('Restricted access');
 
 $config =& JTable::getInstance('config','Table');
 $config->load(1);
 $tax_name	 = $config->taxname;
 $currencysym = $config->currencysymbol;
 $myinvoicedetails  = $config->myinvoicedetails;
 $dformat = $config->dateformat;
 $type 	= JRequest::getVar('type', '', 'get', 'string');
?>
<div style="padding: 10px">
	<table width="100%" cellpadding="0" cellspacing="0">
		<tr>
			<td style="background: #ccc; padding: 20px"><strong><?php echo JText::_('JBJOBS_INVOICE_NO'); ?></strong>: <?php echo !empty($this->row->invoiceNo) ? $this->row->invoiceNo : $this->row->invoiceid; ?></td>
			<td style="background: #ccc; padding: 20px"><strong><?php echo JText::_('JBJOBS_DATE_PLACED'); ?></strong>: <?php echo JHTML::_('date', $this->row->date_buy, $dformat.' %H:%M:%S', false) ?></td>
		</tr>
		<tr>
			<td valign="top" style="padding: 20px">
				<strong><?php echo JText::_('JBJOBS_BILLED_TO'); ?>:</strong><br />
				<?php echo $this->row->name; ?><br />
				<?php echo $this->row->bill_addr.', '.$this->row->bill_addr_cont; ?><br />
				<?php echo $this->row->bill_city; ?>, <?php echo $this->row->bill_state; ?> <?php echo $this->row->bill_zip; ?><br />
				<?php echo $this->row->bill_country; ?><br />
				<?php echo JText::_('JBJOBS_PHONE'); ?>: <?php echo $this->row->bill_phone; ?><br />
				<?php echo JText::_('JBJOBS_EMAIL'); ?>: <?php echo $this->row->email; ?>
			</td>
			<td valign="top" style="padding: 20px">
				<strong><?php echo JText::_('JBJOBS_PROVIDED_BY'); ?>:<br /></strong>
	 			<?php $app =& JFactory::getApplication();?> 
				<strong><?php echo $app->getCfg('sitename');?></strong> <br />
				<?php echo JURI::base(); ?><br/>
				<?php echo $myinvoicedetails; ?>
			</td>
		</tr>
	</table>

	<table width="100%" cellpadding="4" cellspacing="2" bgcolor="#CCCCCC">
		<tr>
			<td><strong><?php echo JText::_('JBJOBS_PAYMENT_GATEWAY'); ?>:</strong> <?php echo JBjobs::getGwayName($this->row->gateway); ?></td>
		</tr>
	</table>
	<br />
	<table width="100%" cellpadding="4" cellspacing="2">
		<tr>
			<th align="left"><?php echo JText::_('JBJOBS_FROM'); ?></th>
			<th align="left"><?php echo JText::_('JBJOBS_STATUS'); ?></th>
			<th align="left"><?php echo JText::_('JBJOBS_DESCRIPTION'); ?></th>
			<th align="right"><?php echo JText::_('JBJOBS_AMOUNT'); ?></th>
		</tr>
		<tr>
		<?php if($type == 'credit'): ?>
			<td><strong><?php echo JText::_('JBJOBS_BUY_CREDIT_AT'); ?> <?php echo JURI::base(); ?></strong></td>
			<td><?php echo ($this->row->approval == 'y') ? JText::_('JBJOBS_COMPLETED') : JText::_('JBJOBS_PENDING_PAYMENT'); ?></td>
			<td><?php echo JText::_('JBJOBS_BUY_CREDIT'); ?>: <?php echo $this->row->credit; ?></td>
			<td style="text-align:right;"><?php echo $currencysym.' '.number_format($this->row->amount, 2, '.', ','); ?></td>
		<?php elseif($type == 'subscr'): ?>
			<td><strong><?php echo JText::_('JBJOBS_BUY_SUBSCRIPTION_AT'); ?> <?php echo JURI::base(); ?></strong></td>
			<td><?php echo JBjobs::getPaymentStatus($this->row->approved); ?></td>
			<td><?php echo $this->row->planname; ?></td>
			<td style="text-align:right;"><?php echo $currencysym.' '.number_format($this->row->amount, 2, '.', ','); ?></td>
		<?php endif; ?>
		</tr>
		<tr>
			<td></td>
			<td></td>
			<td><?php echo $tax_name.' '.$this->row->tax_percent ;?>% </td>
			<td style="text-align:right;">
				<?php
					$taxamt = ($this->row->tax_percent/100)*$this->row->amount;
					echo $currencysym.' '.number_format($taxamt, 2, '.', ',');
				?>
			</td>
		</tr>
		<tr>
			<td></td>
			<td></td>
			<td><?php echo JText::_('JBJOBS_TOTAL'); ?></td>
			<td style="text-align:right;">
				<?php
					$total = $taxamt + $this->row->amount;
					echo '<B>'.$currencysym.' '.number_format($total, 2, '.', ',').'</B>';
				?>
			</td>
		</tr>
	</table>
	<br />
	<table width="100%" cellpadding="0" cellspacing="0">
		<tr>
			<td><?php echo JText::_('JBJOBS_WE_THANK_YOU_FOR_YOUR_BUSINESS'); ?></td>
		</tr>
	</table>
</div>