<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	22 November 2010
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/employer/tmpl/subscrdetail.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	View subscription details (jbjobs)
 ^ 
 * History		:	NONE
 * */
defined('_JEXEC') or die('Restricted access');
$model = $this->getModel();
$config =& JTable::getInstance('config','Table');
$config->load(1);
$currencysym = $config->currencysymbol;
$dformat = $config->dateformat;
?>	

<div class="fsl_h3title"><b><?php echo JText::_('JBJOBS_SUBSCR_DETAILS'); ?></b></div>

<form action="index.php" method="post" name="userFormJob" id="userFormJob" enctype="multipart/form-data">

	<div class="border">
	<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_SUBSCR_INFO'); ?></div>

		<table class="admintable">
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_INVOICE_NO'); ?>:</label></td>
				<td><?php echo $this->row->invoiceNo; ?></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_PLAN_ID'); ?>:</label></td>
				<td><?php echo $this->row->planid; ?></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_PLAN_NAME'); ?>:</label></td>
				<td><?php echo $this->row->name; ?></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_APPROVED'); ?>:</label></td>
				<td><img src="components/com_jbjobs/images/s<?php echo $this->row->approved;?>.png" alt="Status"></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_DATE_BUY'); ?>:</label></td>
				<td>
					<?php echo $this->row->date_buy != "0000-00-00 00:00:00" ? JHTML::_('date', $this->row->date_buy, $dformat.' %H:%M:%S', false) :  "&nbsp;"; ?>
				</td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_DURATION'); ?>:</label></td>
				<td>
					<?php echo $this->row->date_approval != "0000-00-00 00:00:00" ? JHTML::_('date', $this->row->date_approval, $dformat) :  "&nbsp;"; ?> &harr; <?php echo $this->row->date_expire != "0000-00-00 00:00:00" ? JHTML::_('date', $this->row->date_expire, $dformat) :  "&nbsp;"; ?>
				</td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_PLAN_GRACE_PERIOD'); ?>:</label></td>
				<td>
					<?php echo $this->row->graceperiod.' '.JText::_('JBJOBS_DAYS'); ?>
				</td>
			</tr>
	 	</table>
	</div>	
	<div class="sp20">&nbsp;</div>
	
	<div class="border">
	<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_PAYMENT_INFO'); ?></div>
		<table class="admintable">
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_TAX'); ?>:</label></td>
				<td><?php echo $this->row->tax_percent; ?>%</td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_TOTAL_AMOUNT'); ?>:</label></td>
				<td><?php echo $currencysym; ?> <?php echo number_format($this->row->price, 2, '.', ','); ?></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_PAYMENT_GATEWAY'); ?>:</label></td>
				<td><?php echo JBjobs::getGwayName($this->row->gateway); ?></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_GATEWAY_ID'); ?>:</label></td>
				<td><?php echo $this->row->gateway_id; ?></td>
			</tr>
	 	</table>
	</div>	
	<div class="sp20">&nbsp;</div>
	
	<div class="border">
	<div class="shade"><div class="arrow"></div><?php echo JText::_('JBJOBS_SPECIAL_FEATURES'); ?></div>
		<table class="admintable">
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_BONUS_CREDIT'); ?>:</label></td>
				<td><?php echo $this->row->credit; ?></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_CREDIT_PER_JOB_APPLN'); ?>:</label></td>
				<td><?php echo ($this->row->credit_applyjob == 0) ? JText::_('JBJOBS_FREE') : $this->row->credit_applyjob; ?></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_CREDIT_PER_FEATURED_JOB_APPLN'); ?>:</label></td>
				<td><?php echo ($this->row->credit_featuredapplyjob == 0) ? JText::_('JBJOBS_FREE') : $this->row->credit_featuredapplyjob; ?></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_PRICE_FOR_1_CREDIT'); ?>:</label></td>
				<td><?php echo $currencysym; ?> <?php echo number_format($this->row->creditprice, 2, '.', ','); ?></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_RESUMES_ALLOWED_NO'); ?>:</label></td>
				<td><?php echo $this->row->resume_no; ?></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_COVERLETTER_ALLOWED_NO'); ?>:</label></td>
				<td><?php echo $this->row->coverletter_no; ?></td>
			</tr>
			
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_CREDIT_PER_FEATURED_RESUME'); ?>:</label></td>
				<td><?php echo $this->row->credit_featuredresume;?></td>
			</tr>
			
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_FEATURED_RESUME_EXPIRE_IN'); ?>:</label></td>
				<td><?php echo $this->row->featuredres_expireday; ?> <?php echo JText::_('JBJOBS_DAYS'); ?></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_JOB_ALERT'); ?>:</label></td>
				<td><img src="components/com_jbjobs/images/s<?php echo $this->row->jobalert;?>.png" alt="Yes"></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_CREDIT_EXPIRE'); ?>?</label></td>
				<td><img src="components/com_jbjobs/images/s<?php echo $this->row->creditexpire;?>.png" alt="Expire"></td>
			</tr>
			<tr>
				<td class="key"><label for="name"><?php echo JText::_('JBJOBS_RES_VIEW_RECRUITERS'); ?>?</label></td>
				<td><img src="components/com_jbjobs/images/s<?php echo $this->row->recruitersview;?>.png" alt="Expire"></td>
			</tr>
	 	</table>
	</div>	
	<div class="sp20">&nbsp;</div>
	<center><input type="button" onclick="history.back()" value="<?php echo JText::_('JBJOBS_BACK'); ?>" class="button" /></center>
	<input type="hidden" name="option" value="com_jbjobs" />
	<input type="hidden" name="task" value="" />
    <?php echo JHTML::_('form.token'); ?>
</form>