<?php
/**
 + Created by	:	JoomBah Team
 * Company		:	ISDS Sdn Bhd
 + Contact		:	www.joombah.com , support@joombah.com
 * Created on	:	August 2010
 * Author 		:	Faisel
 * Tested by	:	Zaki
 + Project		: 	Job site
 * File Name	:	views/employer/view.html.php
 * License		:	GNU General Public License version 3, or later
 ^ 
 * Description	: 	Entry point for the component (jbjobs)
 ^ 
 * History		:	NONE
 * */

defined('_JEXEC') or die('Restricted access');
jimport('joomla.application.component.view');
$config =& JTable::getInstance('config','Table');
$config->load(1);

$document = & JFactory::getDocument(); 
$document->addStyleSheet("components/com_jbjobs/css/$config->theme"); 
$document->addStyleSheet("components/com_jbjobs/css/style.css");
?>

<table width="100%" style="table-layout:fixed;">
	<tr>
		<td style="vertical-align:top;">
			<?php
				include_once('components/com_jbjobs/views/jbmenu.php');
			?>
		</td>
	</tr>
</table>
<?php
class JBJobsViewMembership extends JView {
	function display($tpl = null){
		$app =& JFactory::getApplication();

		$user	=& JFactory::getUser();
		$uid 	= $user->id;
		
		$config =& JTable::getInstance('config', 'Table');
		$config->load(1);
		$enable_emp_reg = $config->get('enableempreg');

		$itemid =  JRequest::getVar('Itemid');
		$layout = JRequest::getVar('layout', '', 'get', 'string');
		$print = JRequest::getVar('print', 0, 'get', 'int');
		$preview = JRequest::getVar('preview', 0, 'get', 'int');
		$model	=& $this->getModel(); 
		
		$is_employer  = $model->isEmployer($user->id);
		$is_jobseeker = $model->isJobSeeker($user->id);
		
		if($is_employer){
			if(JBJOBS_FREE_MODE){
				switch($layout){
					case 'buy_credit':
					case 'check_out':
					case 'credit_checkout':
					case 'credit_invoice':
					case 'manual_payment':
					case 'manual_subscr':
					case 'planadd':
					case 'planhistory':
					case 'print_invoice':	
					case 'showcredit':
					case 'subscr_detail':
						$return	= JRoute::_('index.php?option=com_jbjobs&view=employer&layout=dashboard', false);
						$app->redirect($return);	
						break;
				}
			}
		}
		
		if($is_jobseeker){
			if(JBJOBS_FREE_MODE_JS){
				switch($layout){
					case 'buy_credit':
					case 'check_out':
					case 'credit_checkout':
					case 'credit_invoice':
					case 'manual_payment':
					case 'manual_subscr':
					case 'planaddjs':
					case 'planhistory':
					case 'print_invoice':	
					case 'showcredit':
					case 'subscr_detailjs':
						$return	= JRoute::_('index.php?option=com_jbjobs&view=jobseeker&layout=dashboard', false);
						$app->redirect($return);	
						break;
				}
			}
		}
		
		
		
		if($layout == 'planhistory'){
			$return = $model->getPlanHistory();
			$rows = $return[0];
			$finish = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('finish', $finish);
		}
		elseif($layout == 'planadd'){
			if($is_jobseeker == 1){
				$return	= JRoute::_('index.php?option=com_jbjobs&task=decidedashboard');
				$app->redirect($return);	
			}
			$return = $model->getPlanAdd();
			$rows = $return[0];
			$plans = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('plans', $plans);
		}
		elseif($layout == 'subscr_detail'){
			$return = $model->getSubscrDetail();
			$row = $return[0];
			$employer = $return[1];
			
			$this->assignRef('row', $row);
			$this->assignRef('employer', $employer);
		}
		elseif($layout == 'subscr_detailjs'){
			$return = $model->getSubscrDetailJS();
			$row = $return[0];
			$employer = $return[1];
			
			$this->assignRef('row', $row);
			$this->assignRef('employer', $employer);
		}
		elseif($layout == 'showcredit'){

			$return = $model->getShowCredit();
			
			$rows = $return[0];
			$pageNav = $return[1];
			$last_credit = $return[2];
			$total_credit = $return[3];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
			$this->assignRef('last_credit', $last_credit);
			$this->assignRef('total_credit', $total_credit);
		}
		elseif($layout == 'buy_credit'){
			$row = $model->getBuyCredit();
			$this->assignRef('row', $row);
		}
		elseif($layout == 'manual_payment'){
			$return = $model->getManualPayment();
			$billing = $return[0];
			$payconfig = $return[1];
			
			$this->assignRef('billing', $billing);
			$this->assignRef('payconfig', $payconfig);
		}
		elseif($layout == 'manual_subscr'){
			$return = $model->getManualSubscr();
			$subscr = $return[0];
			$plan = $return[1];
			$payconfig = $return[2];
			
			$this->assignRef('plan', $plan);
			$this->assignRef('subscr', $subscr);
			$this->assignRef('payconfig', $payconfig);
		}
		elseif($layout == 'check_out'){
			$return = $model->getCheckout();
			$subscr = $return[0];
			$plan = $return[1];
			
			$this->assignRef('plan', $plan);
			$this->assignRef('subscr', $subscr);
		}
		elseif($layout == 'credit_checkout'){
			$bill = $model->getCreditCheckout();
			$this->assignRef('bill', $bill);
		}
		elseif($layout == 'credit_invoice'){
			$return = $model->getShowBilling();
			$rows = $return[0];
			$pageNav = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('pageNav', $pageNav);
		}
		elseif($layout == 'print_invoice'){
			$return = $model->getPrintInvoice();
			$row = $return[0];
			
			$this->assignRef('row', $row);
		}
		elseif($layout == 'planaddjs'){
			if($is_employer == 1){
				$return	= JRoute::_('index.php?option=com_jbjobs&task=decidedashboard');
				$app->redirect($return);	
			}
			$return = $model->getPlanAddJS();
			$rows = $return[0];
			$plans = $return[1];
			
			$this->assignRef('rows', $rows);
			$this->assignRef('plans', $plans);
		}
	parent::display($tpl);
	}
}
?>
