<?php
/**
* @author Guillermo Vargas, http://joomla.vargas.co.cr
* @email guille@vargas.co.cr
* @version $Id: com_jbjobs.php 47 2009-08-02 02:47:16Z guilleva $
* @package Xmap
* @license GNU/GPL
* @description Xmap plugin for JoomBah Jobs component
*/

defined( '_JEXEC' ) or die( 'Restricted access.' );

class xmap_com_jbjobs {

	function getTree( &$xmap, &$parent, &$params) {
		
		$link_query = parse_url( $parent->link );
                parse_str( html_entity_decode($link_query['query']), $link_vars );
		
		$layout = JArrayHelper::getValue($link_vars, 'layout', 0);
		$params['layout'] = $layout;

		$priority = JArrayHelper::getValue($params,'cat_priority',$parent->priority,'');
		$changefreq = JArrayHelper::getValue($params,'cat_changefreq',$parent->changefreq,'');
		if ($priority  == '-1')
			$priority = $parent->priority;
		if ($changefreq  == '-1')
			$changefreq = $parent->changefreq;

		$params['cat_priority'] = $priority;
		$params['cat_changefreq'] = $changefreq;

		$priority = JArrayHelper::getValue($params,'job_priority',$parent->priority,'');
		$changefreq = JArrayHelper::getValue($params,'job_changefreq',$parent->changefreq,'');
		if ($priority  == '-1')
			$priority = $parent->priority;

		if ($changefreq  == '-1')
			$changefreq = $parent->changefreq;

		$params['job_priority'] = $priority;
		$params['job_changefreq'] = $changefreq;

			$params['limit'] = '';
			$params['days'] = '';
			$limit = JArrayHelper::getValue($params, 'max_jobs', '', '');

			if ( intval($limit) )
				$params['limit'] = ' LIMIT '.$limit;

			$days = JArrayHelper::getValue($params, 'max_age', '', '');
			if ( intval($days) )
				$params['days'] = ' AND filedate >= \''.date('Y-m-d H:m:s', ($xmap->now - ($days*86400)) ) ."' ";
		

		xmap_com_jbjobs::getJBJobsTree( $xmap, $parent, $params );
	}

	function getJBJobsTree ( &$xmap, &$parent, &$params ) {
		$db = JFactory::getDBO();

		$xmap->changeLevel(1);

		if($params['layout'] == 'joblist'){
			$now = date('Y-m-d'); // H:i:s', time() + ( $app->getCfg('offset') * 60 * 60 ) );
			$where = "WHERE is_active='y' AND publish_date <= '$now' AND expire_date >= '$now' AND expire_date <> '0000-00-00 00:00:00'";

			$limit = $params['limit'];
			$query = "SELECT id, job_title FROM #__jbjobs_job $where $limit";//
			$db->setQuery ($query);
			$cats = $db->loadObjectList();
			foreach($cats as $file) {
				$node = new stdclass;
				$node->id   = $parent->id;  // Itemid
				$node->uid  = $parent->uid .'d'.$file->id; // Uniq ID for the download
				$node->name = ($file->job_title ? $file->job_title : $file->job_title);
				$node->link = 'index.php?option=com_jbjobs&amp;view=guest&amp;layout=detailjob&amp;id='.$file->id;
				$node->priority   = $params['job_priority'];
				$node->changefreq = $params['job_changefreq'];
				$node->expandible = false;
				$xmap->printNode($node);
			}
		}
		$xmap->changeLevel(-1);
	}
}